diff -u -r -N squid-3.1.0.14/acinclude.m4 squid-3.1.0.15/acinclude.m4
--- squid-3.1.0.14/acinclude.m4	2009-09-27 15:28:23.000000000 +1200
+++ squid-3.1.0.15/acinclude.m4	2009-11-23 16:09:49.000000000 +1300
@@ -70,6 +70,7 @@
 dnl Test whether -fhuge-objects is available with this c++ compiler. gcc-29.5 series compilers need this on some platform with large objects.
 dnl
 AC_DEFUN([AC_TEST_CHECKFORHUGEOBJECTS],[
+ if test "$GCC" = "yes"; then
   AC_MSG_CHECKING([whether compiler accepts -fhuge-objects])
   AC_CACHE_VAL([ac_cv_test_checkforhugeobjects],[
     ac_cv_test_checkforhugeobjects=`echo "int main(int argc, char **argv) { int foo; }" > conftest.cc
@@ -92,6 +93,7 @@
   else
     HUGE_OBJECT_FLAG=""
   fi
+ fi
 ]) # end of AC_DEFUN of AC_TEST_CHECKFORHUGEOBJECTS
 
 
diff -u -r -N squid-3.1.0.14/bootstrap.sh squid-3.1.0.15/bootstrap.sh
--- squid-3.1.0.14/bootstrap.sh	2009-09-27 15:28:23.000000000 +1200
+++ squid-3.1.0.15/bootstrap.sh	2009-11-23 16:09:49.000000000 +1300
@@ -9,11 +9,11 @@
 # the command line like "env acver=.. amver=... ./bootstrap.sh"
 acversions="${acver:-2.63 2.62 2.61}"
 amversions="${amver:-1.11 1.10 1.9}"
-ltversions="${ltver:-1.5 1.4}"
+ltversions="${ltver:-2.2 1.5 1.4}"
 
 check_version()
 {
-  eval $2 --version 2>/dev/null | grep -i "$1.*$3" >/dev/null
+  eval $2 --version 2>/dev/null | grep -i "$1.* $3" >/dev/null
 }
 
 show_version()
diff -u -r -N squid-3.1.0.14/ChangeLog squid-3.1.0.15/ChangeLog
--- squid-3.1.0.14/ChangeLog	2009-09-27 15:28:23.000000000 +1200
+++ squid-3.1.0.15/ChangeLog	2009-11-23 16:09:48.000000000 +1300
@@ -1,3 +1,24 @@
+Changes to squid-3.1.0.15 (23 Nov 2009):
+
+	- Regression Fix: myip ACL not accepted in config
+	- Bug 2795: acl arp lookups including port
+	- Bug 2794: ESI parsing fails on FreeBSD
+	- Bug 2778: fix linking issues using SunCC
+	- Bug 2724: eCAP build failure unless ICAP enabled
+	- Bug 2628: Correct default PID location to PREFIX/var/run/squid.pid
+	- Bug 2617: Performance degradation during processing list of dstdomain ACL's
+	- Bug 2374: Support ICY / ICEcast / SHOUTcast streaming protocol.
+	- Fix: 64-bit filesize issue in squidclient POST of large files
+	- Fix: send correct Connection: header on intercepted replies
+	- Support libtool 2.x
+	- ESI libraries libexpat and libxml2 now optional
+	- ESI support default enabled
+	- Bump libcap minimum requirement to libcap 2.09+
+	- ARP / MAC support fixes for IPv6-mode
+	- Add outstanding IPv6 settings to squid.conf (localnet, localhost)
+	- ... and many additions to the background testing structure
+	- ... and very many minor build and code cleanups for non-GCC compilers.
+
 Changes to squid-3.1.0.14 (27 Sep 2009):
 
 	- Bug 2777: Various build issues on OpenSolaris
@@ -242,6 +263,20 @@
 	- Bug #2223: Follow XFF extensions added
 	- ... and many code and documentation cleanups
 
+Changes to squid-3.0.STABLE20 (29 Oct 2009):
+
+	- Bug 2794: ESI parsing on FreeBSD
+	- Bug 2791: assertion failed: MemBuf.cc:400: new_cap > (size_t) capacity
+	- Bug 2779: Support GNU/kFreeBSD
+	- Bug 2773: Segfault in RFC2069 Digest authantication
+	- Bug 2768: squid_ldap_group argument parsing error
+	- Bug 2761: Gopher and double HTTP response header
+	- Bug 2735: Incomplete -fhuge-objects detection
+	- Bug 2722: prevent CONNECT via http_port with accel
+	- Bug 2624: Invalid response for IMS request
+	- Bug 2510: digest_ldap_auth TLS support
+	- Correct LINUX_CAPABILITY actions on non-Linux
+
 Changes to squid-3.0.STABLE19 (06 Sep 2009):
 
 	- Bug 2745: Invalid Response error on small reads
diff -u -r -N squid-3.1.0.14/compat/Makefile.am squid-3.1.0.15/compat/Makefile.am
--- squid-3.1.0.14/compat/Makefile.am	2009-09-27 15:28:23.000000000 +1200
+++ squid-3.1.0.15/compat/Makefile.am	2009-11-23 16:09:49.000000000 +1300
@@ -40,6 +40,15 @@
 	GnuRegex.h \
 	GnuRegex.c
 
+check_PROGRAMS += testPreCompiler
+TESTS += testPreCompiler
+
+testPreCompiler_SOURCES= \
+	testPreCompiler.h \
+	testPreCompiler.cc \
+	$(top_srcdir)/src/tests/testMain.cc
+testPreCompiler_LDADD= $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS)
+testPreCompiler_LDFLAGS=
 
 # os/ subdir prevents us using src/TestHeaders.am
 #
diff -u -r -N squid-3.1.0.14/compat/Makefile.in squid-3.1.0.15/compat/Makefile.in
--- squid-3.1.0.14/compat/Makefile.in	2009-09-27 15:28:48.000000000 +1200
+++ squid-3.1.0.15/compat/Makefile.in	2009-11-23 16:10:30.000000000 +1300
@@ -38,7 +38,8 @@
 host_triplet = @host@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
 	$(top_srcdir)/src/Common.am
-check_PROGRAMS =
+check_PROGRAMS = testPreCompiler$(EXEEXT)
+TESTS = testPreCompiler$(EXEEXT) testHeaders
 subdir = compat
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
@@ -52,6 +53,15 @@
 libcompat_la_LIBADD =
 am_libcompat_la_OBJECTS = assert.lo compat.lo GnuRegex.lo
 libcompat_la_OBJECTS = $(am_libcompat_la_OBJECTS)
+am_testPreCompiler_OBJECTS = testPreCompiler.$(OBJEXT) \
+	testMain.$(OBJEXT)
+testPreCompiler_OBJECTS = $(am_testPreCompiler_OBJECTS)
+am__DEPENDENCIES_1 =
+testPreCompiler_DEPENDENCIES = $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1)
+testPreCompiler_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
+	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
+	$(CXXFLAGS) $(testPreCompiler_LDFLAGS) $(LDFLAGS) -o $@
 DEFAULT_INCLUDES = 
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
 am__depfiles_maybe = depfiles
@@ -73,14 +83,13 @@
 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
-SOURCES = $(libcompat_la_SOURCES)
-DIST_SOURCES = $(libcompat_la_SOURCES)
+SOURCES = $(libcompat_la_SOURCES) $(testPreCompiler_SOURCES)
+DIST_SOURCES = $(libcompat_la_SOURCES) $(testPreCompiler_SOURCES)
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -99,6 +108,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -116,6 +126,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -127,6 +138,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -179,6 +191,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -196,6 +209,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -252,19 +266,15 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
-
-# os/ subdir prevents us using src/TestHeaders.am
-#
-TESTS = testHeaders
 INCLUDES = \
 	-I$(top_srcdir) \
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 
 # Ideally this would be 100% inline functions and macro wrappers.
@@ -300,6 +310,13 @@
 	GnuRegex.h \
 	GnuRegex.c
 
+testPreCompiler_SOURCES = \
+	testPreCompiler.h \
+	testPreCompiler.cc \
+	$(top_srcdir)/src/tests/testMain.cc
+
+testPreCompiler_LDADD = $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS)
+testPreCompiler_LDFLAGS = 
 all: all-am
 
 .SUFFIXES:
@@ -351,6 +368,9 @@
 	  echo " rm -f $$p $$f"; \
 	  rm -f $$p $$f ; \
 	done
+testPreCompiler$(EXEEXT): $(testPreCompiler_OBJECTS) $(testPreCompiler_DEPENDENCIES) 
+	@rm -f testPreCompiler$(EXEEXT)
+	$(testPreCompiler_LINK) $(testPreCompiler_OBJECTS) $(testPreCompiler_LDADD) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
@@ -361,6 +381,8 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/GnuRegex.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/assert.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compat.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testMain.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testPreCompiler.Po@am__quote@
 
 .c.o:
 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@@ -404,6 +426,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<
 
+testMain.o: $(top_srcdir)/src/tests/testMain.cc
+@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testMain.o -MD -MP -MF $(DEPDIR)/testMain.Tpo -c -o testMain.o `test -f '$(top_srcdir)/src/tests/testMain.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/testMain.cc
+@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/testMain.Tpo $(DEPDIR)/testMain.Po
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(top_srcdir)/src/tests/testMain.cc' object='testMain.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testMain.o `test -f '$(top_srcdir)/src/tests/testMain.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/testMain.cc
+
+testMain.obj: $(top_srcdir)/src/tests/testMain.cc
+@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testMain.obj -MD -MP -MF $(DEPDIR)/testMain.Tpo -c -o testMain.obj `if test -f '$(top_srcdir)/src/tests/testMain.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/testMain.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/testMain.cc'; fi`
+@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/testMain.Tpo $(DEPDIR)/testMain.Po
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(top_srcdir)/src/tests/testMain.cc' object='testMain.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testMain.obj `if test -f '$(top_srcdir)/src/tests/testMain.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/testMain.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/testMain.cc'; fi`
+
 mostlyclean-libtool:
 	-rm -f *.lo
 
diff -u -r -N squid-3.1.0.14/compat/os/sgi.h squid-3.1.0.15/compat/os/sgi.h
--- squid-3.1.0.14/compat/os/sgi.h	2009-09-27 15:28:23.000000000 +1200
+++ squid-3.1.0.15/compat/os/sgi.h	2009-11-23 16:09:49.000000000 +1300
@@ -21,6 +21,14 @@
 #define _ABI_SOURCE
 #endif /* USE_ASYNC_IO */
 
+#if defined(__cplusplus) && !defined(_SQUID_EXTERNNEW_) && !defined(_GNUC_)
+/*
+ * The gcc compiler treats extern inline functions as being extern,
+ * while the SGI MIPSpro compilers treat them as inline. To get equivalent
+ * behavior, remove the inline keyword.
+ */
+#define _SQUID_EXTERNNEW_ extern
+#endif
 
 #endif /* _SQUID_SGI_ */
 #endif /* SQUID_OS_SGI_H */
diff -u -r -N squid-3.1.0.14/compat/os/solaris.h squid-3.1.0.15/compat/os/solaris.h
--- squid-3.1.0.14/compat/os/solaris.h	2009-09-27 15:28:23.000000000 +1200
+++ squid-3.1.0.15/compat/os/solaris.h	2009-11-23 16:09:49.000000000 +1300
@@ -5,7 +5,8 @@
 #ifndef SQUID_OS_SOLARIS_H
 #define SQUID_OS_SOLARIS_H
 
-#ifdef _SQUID_SOLARIS_
+
+#if _SQUID_SOLARIS_
 
 /*
  * On Solaris 9 x86, gcc may includes a "fixed" set of old system
@@ -44,7 +45,19 @@
 SQUIDCEXTERN int gethostname(char *, int);
 #endif
 
+/*
+ * SunPro CC handles extern inline as inline, PLUS extern symbols.
+ */
+#if !defined(_SQUID_EXTERNNEW_) && defined(__SUNPRO_CC)
+#define _SQUID_EXTERNNEW_ extern
+#endif
 
+/*
+ * SunStudio CC does not define C++ portability API __FUNCTION__
+ */
+#if defined(__SUNPRO_CC) && !defined(__FUNCTION__)
+#define __FUNCTION__ ""
+#endif
 
 #endif /* _SQUID_SOLARIS_ */
 #endif /* SQUID_OS_SOALRIS_H */
diff -u -r -N squid-3.1.0.14/compat/osdetect.h squid-3.1.0.15/compat/osdetect.h
--- squid-3.1.0.14/compat/osdetect.h	2009-09-27 15:28:23.000000000 +1200
+++ squid-3.1.0.15/compat/osdetect.h	2009-11-23 16:09:49.000000000 +1300
@@ -15,76 +15,78 @@
  *     or other definitions within this if-else structure.
  */
 
-#if defined(__sun__) || defined(__sun)	/* SUN */
-# define _SQUID_SUN_
-# if defined(__SVR4)		/* SOLARIS */
-#  define _SQUID_SOLARIS_
-# else /* SUNOS */
-#  define _SQUID_SUNOS_
-# endif
+/* SUN SOLARIS / OPENSOLARIS */
+#if defined(__sun__) || defined(__sun) || defined(__SUNPRO_CC) || defined(__SunOS_OSversion)
+#define _SQUID_SUN_ 1 /* SunOS */
+
+#if defined(__SVR4) /* Solaris */
+#define _SQUID_SOLARIS_ 1
+#else /* SunOS */
+#define _SQUID_SUNOS_ 1
+#endif /* __SVR4 */
 
 #elif defined(__hpux)		/* HP-UX - SysV-like? */
-#define _SQUID_HPUX_
-#define _SQUID_SYSV_
+#define _SQUID_HPUX_ 1
+#define _SQUID_SYSV_ 1
 
 #elif defined(__osf__)		/* OSF/1 */
-#define _SQUID_OSF_
+#define _SQUID_OSF_ 1
 
 #elif defined(__ultrix)		/* Ultrix */
-#define _SQUID_ULTRIX_
+#define _SQUID_ULTRIX_ 1
 
 #elif defined(_AIX)		/* AIX */
-#define _SQUID_AIX_
+#define _SQUID_AIX_ 1
 
-#elif defined(__linux__)	/* Linux */
-#define _SQUID_LINUX_
+#elif defined(__linux__)	/* Linux. WARNING: solaris-x86 also sets this */
+#define _SQUID_LINUX_ 1
 
 #elif defined(__FreeBSD__)	/* FreeBSD */
-#define _SQUID_FREEBSD_
+#define _SQUID_FREEBSD_ 1
 
 #elif defined(__FreeBSD_kernel__)      /* GNU/kFreeBSD */
-#define _SQUID_KFREEBSD_
+#define _SQUID_KFREEBSD_ 1
 
 #elif defined(__sgi__)	|| defined(sgi) || defined(__sgi)	/* SGI */
-#define _SQUID_SGI_
+#define _SQUID_SGI_ 1
 
 #elif defined(__NeXT__)
-#define _SQUID_NEXT_
+#define _SQUID_NEXT_ 1
 
-#elif defined(__bsdi__)
-#define _SQUID_BSDI_		/* BSD/OS */
+#elif defined(__bsdi__)		/* BSD/OS */
+#define _SQUID_BSDI_ 1
 
 #elif defined(__NetBSD__)
-#define _SQUID_NETBSD_
+#define _SQUID_NETBSD_ 1
 
 #elif defined(__OpenBSD__)
-#define _SQUID_OPENBSD_
+#define _SQUID_OPENBSD_ 1
 
 #elif defined(__DragonFly__)
-#define _SQUID_DRAGONFLY_
+#define _SQUID_DRAGONFLY_ 1
 
 #elif defined(__CYGWIN32__)  || defined(__CYGWIN__)
-#define _SQUID_CYGWIN_
-#define _SQUID_WIN32_
+#define _SQUID_CYGWIN_ 1
+#define _SQUID_WIN32_ 1
 
 #elif defined(WIN32) || defined(WINNT) || defined(__WIN32__) || defined(__WIN32)
 /* We are using _SQUID_MSWIN_ define in cf.data.pre, so
    it must be defined to 1 to avoid the build failure of cfgen.
  */
 #define _SQUID_MSWIN_ 1
-#define _SQUID_WIN32_
+#define _SQUID_WIN32_ 1
 
 #elif defined(__APPLE__)
-#define _SQUID_APPLE_
+#define _SQUID_APPLE_ 1
 
 #elif defined(sony_news) && defined(__svr4)
-#define _SQUID_NEWSOS6_
+#define _SQUID_NEWSOS6_ 1
 
 #elif defined(__QNX__)
-#define _SQUID_QNX_
+#define _SQUID_QNX_ 1
 
 #elif defined(__EMX__) || defined(OS2) || defined(__OS2__)
-#define _SQUID_OS2_
+#define _SQUID_OS2_ 1
 
 #endif /* OS automatic detection */
 
diff -u -r -N squid-3.1.0.14/compat/testPreCompiler.cc squid-3.1.0.15/compat/testPreCompiler.cc
--- squid-3.1.0.14/compat/testPreCompiler.cc	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.15/compat/testPreCompiler.cc	2009-11-23 16:09:49.000000000 +1300
@@ -0,0 +1,65 @@
+#include "config.h"
+
+#if HAVE_ASSERT_H
+#include <assert.h>
+#endif
+
+#include "testPreCompiler.h"
+
+CPPUNIT_TEST_SUITE_REGISTRATION( testPreCompiler );
+
+/**
+ * Test several ways of defining pre-compiler directives.
+ * Squid-3 uses #if FOO syntax for precompiler directives.
+ * These tests ensure that the inputs will work as expected.
+ */
+void
+testPreCompiler::testIfDef()
+{
+    /* Defined to explicit value 1 should be true */
+#define ONE_FOO 1
+#if ONE_FOO
+    bool oneTrue = true;
+#else
+    bool oneTrue = false;
+#endif
+#if !ONE_FOO
+    bool oneFalse = true;
+#else
+    bool oneFalse = false;
+#endif
+    CPPUNIT_ASSERT(oneTrue);
+    CPPUNIT_ASSERT(!oneFalse);
+
+    /* Defined to explicit value 0 should be false */
+#define ZERO_FOO 0
+#if ZERO_FOO
+    bool zeroTrue = true;
+#else
+    bool zeroTrue = false;
+#endif
+#if !ZERO_FOO
+    bool zeroFalse = true;
+#else
+    bool zeroFalse = false;
+#endif
+    CPPUNIT_ASSERT(zeroFalse);
+    CPPUNIT_ASSERT(!zeroTrue);
+
+    /* Defined to exist without a value generates pre-compiler errors when used in #if . */
+
+    /* Not Defined to exist at all == false */
+#undef UNDEFINED_FOO
+#if UNDEFINED_FOO
+    bool undefinedTrue = true;
+#else
+    bool undefinedTrue = false;
+#endif
+#if !UNDEFINED_FOO
+    bool undefinedFalse = true;
+#else
+    bool undefinedFalse = false;
+#endif
+    CPPUNIT_ASSERT(undefinedFalse);
+    CPPUNIT_ASSERT(!undefinedTrue);
+}
diff -u -r -N squid-3.1.0.14/compat/testPreCompiler.h squid-3.1.0.15/compat/testPreCompiler.h
--- squid-3.1.0.14/compat/testPreCompiler.h	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.15/compat/testPreCompiler.h	2009-11-23 16:09:49.000000000 +1300
@@ -0,0 +1,20 @@
+#ifndef SQUID_COMPAT_TESTS_TESTPRECOMPILER_H
+#define SQUID_COMPAT_TESTS_TESTPRECOMPILER_H
+
+#include <cppunit/extensions/HelperMacros.h>
+
+/*
+ * Test the pre-compiler directives used within Squid code actually work.
+ */
+
+class testPreCompiler : public CPPUNIT_NS::TestFixture
+{
+    CPPUNIT_TEST_SUITE( testPreCompiler );
+    CPPUNIT_TEST( testIfDef );
+    CPPUNIT_TEST_SUITE_END();
+
+protected:
+    void testIfDef();
+};
+
+#endif /* SQUID_COMPAT_TESTS_TESTPRECOMPILER_H */
diff -u -r -N squid-3.1.0.14/configure squid-3.1.0.15/configure
--- squid-3.1.0.14/configure	2009-09-27 15:29:12.000000000 +1200
+++ squid-3.1.0.15/configure	2009-11-23 16:11:00.000000000 +1300
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.in Revision.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.62 for Squid Web Proxy 3.1.0.14.
+# Generated by GNU Autoconf 2.62 for Squid Web Proxy 3.1.0.15.
 #
 # Report bugs to <http://www.squid-cache.org/bugs/>.
 #
@@ -751,8 +751,8 @@
 # Identity of this package.
 PACKAGE_NAME='Squid Web Proxy'
 PACKAGE_TARNAME='squid'
-PACKAGE_VERSION='3.1.0.14'
-PACKAGE_STRING='Squid Web Proxy 3.1.0.14'
+PACKAGE_VERSION='3.1.0.15'
+PACKAGE_STRING='Squid Web Proxy 3.1.0.15'
 PACKAGE_BUGREPORT='http://www.squid-cache.org/bugs/'
 
 ac_unique_file="src/main.cc"
@@ -889,6 +889,7 @@
 host_os
 USE_LOADABLE_MODULES_TRUE
 USE_LOADABLE_MODULES_FALSE
+top_build_prefix
 SED
 GREP
 EGREP
@@ -925,7 +926,7 @@
 DISK_LIBS
 DISK_PROGRAMS
 DISK_LINKOBJS
-AIOLIB
+DISK_OS_LIBS
 USE_AIOPS_WIN32_TRUE
 USE_AIOPS_WIN32_FALSE
 USE_AIO_WIN32_TRUE
@@ -942,6 +943,12 @@
 USE_DELAY_POOLS_FALSE
 USE_ESI_TRUE
 USE_ESI_FALSE
+HAVE_LIBEXPAT_TRUE
+HAVE_LIBEXPAT_FALSE
+EXPATLIB
+HAVE_LIBXML2_TRUE
+HAVE_LIBXML2_FALSE
+XMLLIB
 USE_ICAP_CLIENT_TRUE
 USE_ICAP_CLIENT_FALSE
 ICAP_LIBS
@@ -992,10 +999,12 @@
 MV
 MKDIR
 LN
+CHMOD
 RM
 PERL
 AR_R
 ALLOCA
+SET_IPV6_SETTINGS
 CRYPTLIB
 LIB_LDAP
 LIB_LBER
@@ -1025,6 +1034,7 @@
 enable_option_checking
 enable_maintainer_mode
 enable_dependency_tracking
+enable_strict_error_checking
 enable_loadable_modules
 enable_shared
 enable_static
@@ -1051,6 +1061,8 @@
 enable_icmp
 enable_delay_pools
 enable_esi
+with_expat
+with_libxml2
 enable_icap_client
 enable_ecap
 enable_useragent_log
@@ -1102,7 +1114,7 @@
 with_maxfd
 with_filedescriptors
 with_cppunit_basedir
-enable_caps
+with_libcap
 enable_ipv6
 with_ipv6_split_stack
 enable_gnuregex
@@ -1680,7 +1692,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Squid Web Proxy 3.1.0.14 to adapt to many kinds of systems.
+\`configure' configures Squid Web Proxy 3.1.0.15 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1750,7 +1762,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Squid Web Proxy 3.1.0.14:";;
+     short | recursive ) echo "Configuration of Squid Web Proxy 3.1.0.15:";;
    esac
   cat <<\_ACEOF
 
@@ -1762,6 +1774,10 @@
 			  (and sometimes confusing) to the casual installer
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
+  --disable-strict-error-checking
+                          By default squid is compiled with all possible
+                          static compiler error-checks enbled. This flag
+                          disables the behavior
   --disable-loadable-modules
                           do not support loadable modules
   --enable-shared[=PKGS]  build shared libraries [default=yes]
@@ -1811,13 +1827,10 @@
                           build your custom policy
   --enable-icmp           Enable ICMP pinging and Network Measurement
   --enable-delay-pools    Enable delay pools to limit bandwidth usage
-  --enable-esi            Enable ESI for accelerators. Requires libexpat.
-                          Enabling ESI will cause squid to follow the Edge
-                          Acceleration Specification (www.esi.org). This
-                          causes squid to IGNORE client Cache-Control headers.
-                          DO NOT use this in a squid configured as a web
-                          proxy, ONLY use it in a squid configured for
-                          webserver acceleration.
+  --enable-esi            Enable ESI for accelerators. Benefits from expat or
+                          libxml2. Enabling ESI will cause squid reverse
+                          proxies to be capable of the Edge Acceleration
+                          Specification (www.esi.org).
   --enable-icap-client    Enable the ICAP client.
   --enable-ecap           support loadable content adaptation modules
   --enable-useragent-log  Enable logging of User-Agent header
@@ -1932,8 +1945,6 @@
                           other code that adds custom HTTP headers to the
                           requests.
   --enable-zph-qos        Enable ZPH QOS support
-  --disable-caps          disable usage of Linux capabilities library to
-                          control privileges
   --disable-ipv6          Disable IPv6 support
   --enable-gnuregex       Compile GNUregex. Unless you have reason to use this
                           option, you should not enable it. This library file
@@ -1960,13 +1971,15 @@
   --with-logdir=PATH      Default location for squid logs. default:
                           $DEFAULT_LOG_DIR
   --with-pidfile=PATH     Default location for squid PID file. default:
-                          $DEFAULT_PIDFILE
+                          PREFIX/var/run/squid.pid
   --with-aufs-threads=N_THREADS
                           Tune the number of worker threads for the aufs
                           object store.
   --with-dl               Use dynamic linking
   --without-pthreads      Disable POSIX Threads
   --without-aio           Do not use POSIX AIO. Default: auto-detect
+  --without-expat         Do not use expat for ESI. Default: auto-detect
+  --without-libxml2       Do not use libxml2 for ESI. Default: auto-detect
   --with-openssl{=PATH}   Compile with the OpenSSL libraries. The path to the
                           OpenSSL development libraries and headers
                           installation can be specified if outside of the
@@ -1992,6 +2005,8 @@
   --with-cppunit-basedir=PATH
                           Path where the cppunit headers are libraries are
                           found for unit testing.
+  --without-libcap        disable usage of Linux capabilities library to
+                          control privileges
   --with-ipv6-split-stack Force-Enable experimental split-stack support for
                           Windows XP and *BSD. Requires IPv6.
   --with-po2html=[[PATH]]
@@ -2079,7 +2094,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Squid Web Proxy configure 3.1.0.14
+Squid Web Proxy configure 3.1.0.15
 generated by GNU Autoconf 2.62
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -2093,7 +2108,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Squid Web Proxy $as_me 3.1.0.14, which was
+It was created by Squid Web Proxy $as_me 3.1.0.15, which was
 generated by GNU Autoconf 2.62.  Invocation command line was
 
   $ $0 $@
@@ -2811,7 +2826,7 @@
 
 # Define the identity of the package.
  PACKAGE='squid'
- VERSION='3.1.0.14'
+ VERSION='3.1.0.15'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -4878,6 +4893,17 @@
 new_configure_args="$ac_configure_args --with-squid=$ac_abs_confdir"
 ac_configure_args="$new_configure_args"
 
+squid_disable_werror="no"
+# Check whether --enable-strict-error-checking was given.
+if test "${enable_strict_error_checking+set}" = set; then
+  enableval=$enable_strict_error_checking;
+  if test "${enableval}" = "no"
+  then
+    squid_disable_werror="yes"
+  fi
+
+fi
+
 
 use_loadable_modules=1
 { $as_echo "$as_me:$LINENO: checking whether to use loadable modules" >&5
@@ -4977,6 +5003,9 @@
 
 if test $use_loadable_modules = yes;
 then
+            top_build_prefix=${ac_top_build_prefix}
+
+
       case $enable_ltdl_convenience in
   no) { { $as_echo "$as_me:$LINENO: error: this package needs a convenience libltdl" >&5
 $as_echo "$as_me: error: this package needs a convenience libltdl" >&2;}
@@ -5664,7 +5693,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5667 "configure"' > conftest.$ac_ext
+  echo '#line 5696 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -8286,11 +8315,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8289: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8318: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8293: \$? = $ac_status" >&5
+   echo "$as_me:8322: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8576,11 +8605,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8579: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8608: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8583: \$? = $ac_status" >&5
+   echo "$as_me:8612: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8680,11 +8709,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8683: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8712: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8687: \$? = $ac_status" >&5
+   echo "$as_me:8716: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11080,7 +11109,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11083 "configure"
+#line 11112 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11180,7 +11209,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11183 "configure"
+#line 11212 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13589,11 +13618,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13592: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13621: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13596: \$? = $ac_status" >&5
+   echo "$as_me:13625: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13693,11 +13722,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13696: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13725: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13700: \$? = $ac_status" >&5
+   echo "$as_me:13729: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15276,11 +15305,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15279: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15308: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15283: \$? = $ac_status" >&5
+   echo "$as_me:15312: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15380,11 +15409,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15383: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15412: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15387: \$? = $ac_status" >&5
+   echo "$as_me:15416: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17595,11 +17624,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17598: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17627: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17602: \$? = $ac_status" >&5
+   echo "$as_me:17631: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17885,11 +17914,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17888: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17917: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17892: \$? = $ac_status" >&5
+   echo "$as_me:17921: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17989,11 +18018,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17992: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18021: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:17996: \$? = $ac_status" >&5
+   echo "$as_me:18025: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -21634,7 +21663,7 @@
 
 
 
-DEFAULT_PIDFILE="$localstatedir/squid.pid"
+DEFAULT_PIDFILE="$localstatedir/run/squid.pid"
 
 # Check whether --with-pidfile was given.
 if test "${with_pidfile+set}" = set; then
@@ -21724,10 +21753,15 @@
         SQUID_CFLAGS="-Wall -Wpointer-arith -Wwrite-strings -Wcomments"
 	;;
     *)
-        SQUID_CFLAGS="-Werror -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments"
+        SQUID_CFLAGS="-Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments"
 	;;
     esac
-    SQUID_CXXFLAGS="-Werror -Wall -Wpointer-arith -Wwrite-strings -Wcomments"
+    SQUID_CXXFLAGS="-Wall -Wpointer-arith -Wwrite-strings -Wcomments"
+    if test "$squid_disable_werror" = "no"
+    then
+        SQUID_CFLAGS="$SQUID_CFLAGS -Werror"
+        SQUID_CXXFLAGS="$SQUID_CXXFLAGS -Werror"
+    fi
 else
     SQUID_CFLAGS=
     SQUID_CXXFLAGS=
@@ -21736,6 +21770,7 @@
 
 
 
+ if test "$GCC" = "yes"; then
   { $as_echo "$as_me:$LINENO: checking whether compiler accepts -fhuge-objects" >&5
 $as_echo_n "checking whether compiler accepts -fhuge-objects... " >&6; }
   if test "${ac_cv_test_checkforhugeobjects+set}" = set; then
@@ -21765,6 +21800,7 @@
   else
     HUGE_OBJECT_FLAG=""
   fi
+ fi
 
 SQUID_CXXFLAGS="$SQUID_CXXFLAGS $HUGE_OBJECT_FLAG"
 
@@ -22047,6 +22083,7 @@
 FOUND_DISKIO_DISKDAEMON=
 FOUND_DISKIO_DISKTHREADS=
 DISK_LIBS=
+DISK_OS_LIBS=
 DISK_MODULES=
 DISK_LINKOBJS=
 for module in $MAYBE_DISK_MODULES none; do
@@ -22381,7 +22418,7 @@
 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
 $as_echo "$ac_cv_lib_pthread_main" >&6; }
 if test $ac_cv_lib_pthread_main = yes; then
-  DISK_LIBS="$DISK_LIBS -lpthread"
+  LIBPTHREADS="-lpthread"
 else
    { $as_echo "$as_me:$LINENO: pthread library required but cannot be found." >&5
 $as_echo "$as_me: pthread library required but cannot be found." >&6;}
@@ -22404,7 +22441,8 @@
 
 	  { $as_echo "$as_me:$LINENO: Enabling DiskThreads DiskIO module" >&5
 $as_echo "$as_me: Enabling DiskThreads DiskIO module" >&6;}
-	  DISK_LIBS="$DISK_LIBS $LIBPTHREADS libDiskThreads.a"
+	  DISK_LIBS="$DISK_LIBS libDiskThreads.a"
+	  DISK_OS_LIBS="$DISK_OS_LIBS $LIBPTHREADS"
 	  DISK_MODULES="$DISK_MODULES DiskThreads"
 	  DISK_LINKOBJS="$DISK_LINKOBJS DiskIO/DiskThreads/DiskThreadsDiskIOModule.o"
 	else
@@ -22768,6 +22806,7 @@
 	    *)
 		{ $as_echo "$as_me:$LINENO: Enabling AIO DiskIO module" >&5
 $as_echo "$as_me: Enabling AIO DiskIO module" >&6;}
+		DISK_OS_LIBS="$DISK_OS_LIBS $AIOLIB"
 		;;
 	  esac
 	else
@@ -23038,14 +23077,7 @@
 
 use_adaptation=no
 
- if false; then
-  USE_ESI_TRUE=
-  USE_ESI_FALSE='#'
-else
-  USE_ESI_TRUE='#'
-  USE_ESI_FALSE=
-fi
-
+use_esi=yes
 # Check whether --enable-esi was given.
 if test "${enable_esi+set}" = set; then
   enableval=$enable_esi; use_esi=$enableval
@@ -23053,22 +23085,27 @@
   use_esi=no
 fi
 
+HAVE_LIBEXPAT=0
+EXPATLIB=
+HAVE_LIBXML2=0
+XMLLIB=
 if test "$use_esi" = "yes" ; then
+  { $as_echo "$as_me:$LINENO: Enabling ESI processor and Surrogate header support." >&5
+$as_echo "$as_me: Enabling ESI processor and Surrogate header support." >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define USE_SQUID_ESI 1
 _ACEOF
 
-   if true; then
-  USE_ESI_TRUE=
-  USE_ESI_FALSE='#'
-else
-  USE_ESI_TRUE='#'
-  USE_ESI_FALSE=
-fi
 
 
-      { $as_echo "$as_me:$LINENO: checking for main in -lexpat" >&5
+# Check whether --with-expat was given.
+if test "${with_expat+set}" = set; then
+  withval=$with_expat;
+fi
+
+  if test "$with_expat" != "no" ; then
+    { $as_echo "$as_me:$LINENO: checking for main in -lexpat" >&5
 $as_echo_n "checking for main in -lexpat... " >&6; }
 if test "${ac_cv_lib_expat_main+set}" = set; then
   $as_echo_n "(cached) " >&6
@@ -23128,48 +23165,45 @@
 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_expat_main" >&5
 $as_echo "$ac_cv_lib_expat_main" >&6; }
 if test $ac_cv_lib_expat_main = yes; then
-  ESI_LIBS="-lexpat"
-else
-  { { $as_echo "$as_me:$LINENO: error: ESI support requires libexpat library, but no usable library was found
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: ESI support requires libexpat library, but no usable library was found
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-
+  EXPATLIB="-lexpat"; HAVE_LIBEXPAT=1
 fi
 
-  { $as_echo "$as_me:$LINENO: checking for main in -lxml2" >&5
-$as_echo_n "checking for main in -lxml2... " >&6; }
-if test "${ac_cv_lib_xml2_main+set}" = set; then
+
+for ac_header in expat.h
+do
+as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   $as_echo_n "(cached) " >&6
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
 else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lxml2  $LIBS"
+  # Is the header compilable?
+{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
+$as_echo_n "checking $ac_header usability... " >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-
-
-int
-main ()
-{
-return main ();
-  ;
-  return 0;
-}
+$ac_includes_default
+#include <$ac_header>
 _ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
 $as_echo "$ac_try_echo") >&5
-  (eval "$ac_link") 2>conftest.er1
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
@@ -23178,130 +23212,138 @@
   (exit $ac_status); } && {
 	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext && {
-	 test "$cross_compiling" = yes ||
-	 $as_test_x conftest$ac_exeext
-       }; then
-  ac_cv_lib_xml2_main=yes
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_lib_xml2_main=no
-fi
-
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_xml2_main" >&5
-$as_echo "$ac_cv_lib_xml2_main" >&6; }
-if test $ac_cv_lib_xml2_main = yes; then
-  ESI_LIBS="-lxml2"
-else
-  { { $as_echo "$as_me:$LINENO: error: ESI support requires libxml2 library, but no usable library was found
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: ESI support requires libxml2 library, but no usable library was found
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-
+	ac_header_compiler=no
 fi
 
-  XTRA_LIBS="$XTRA_LIBS -lexpat -lxml2"
-
-else
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+$as_echo "$ac_header_compiler" >&6; }
 
-cat >>confdefs.h <<\_ACEOF
-#define USE_SQUID_ESI 0
+# Is the header present?
+{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
+$as_echo_n "checking $ac_header presence... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
 _ACEOF
-
-fi
-
- if false; then
-  USE_ICAP_CLIENT_TRUE=
-  USE_ICAP_CLIENT_FALSE='#'
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
 else
-  USE_ICAP_CLIENT_TRUE='#'
-  USE_ICAP_CLIENT_FALSE=
-fi
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-# Check whether --enable-icap-client was given.
-if test "${enable_icap_client+set}" = set; then
-  enableval=$enable_icap_client; use_icap_client=$enableval
-else
-  use_icap_client=no
+  ac_header_preproc=no
 fi
 
-if test "$use_icap_client" = "yes" ; then
-
-cat >>confdefs.h <<\_ACEOF
-#define ICAP_CLIENT 1
-_ACEOF
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
 
-   if true; then
-  USE_ICAP_CLIENT_TRUE=
-  USE_ICAP_CLIENT_FALSE='#'
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ----------------------------------------------- ##
+## Report this to http://www.squid-cache.org/bugs/ ##
+## ----------------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
 else
-  USE_ICAP_CLIENT_TRUE='#'
-  USE_ICAP_CLIENT_FALSE=
+  eval "$as_ac_Header=\$ac_header_preproc"
 fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
 
-  ICAP_LIBS="icap/libicap.la"
-  use_adaptation=yes
-else
-
-cat >>confdefs.h <<\_ACEOF
-#define ICAP_CLIENT 0
+fi
+if test `eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
 _ACEOF
 
-  ICAP_LIBS=""
 fi
 
+done
 
-use_ecap=1
-{ $as_echo "$as_me:$LINENO: checking whether to support eCAP" >&5
-$as_echo_n "checking whether to support eCAP... " >&6; }
-# Check whether --enable-ecap was given.
-if test "${enable_ecap+set}" = set; then
-  enableval=$enable_ecap;
-        case "${enableval}" in
-            yes) use_ecap=yes ;;
-            no) use_ecap=no ;;
-            *) { { $as_echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-ecap" >&5
-$as_echo "$as_me: error: bad value ${enableval} for --enable-ecap" >&2;}
-   { (exit 1); exit 1; }; } ;;
-        esac
-        { $as_echo "$as_me:$LINENO: result: $use_ecap, explicitly" >&5
-$as_echo "$use_ecap, explicitly" >&6; }
 
-else
+cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBEXPAT $HAVE_LIBEXPAT
+_ACEOF
 
-        use_ecap=no;
-        { $as_echo "$as_me:$LINENO: result: $use_ecap, implicitly" >&5
-$as_echo "$use_ecap, implicitly" >&6; }
+    if test "$with_expat" = "yes" && test "$HAVE_LIBEXPAT" != "1" ; then
+      { { $as_echo "$as_me:$LINENO: error: Required library expat is not able to be found." >&5
+$as_echo "$as_me: error: Required library expat is not able to be found." >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+  fi
 
 
+# Check whether --with-libxml2 was given.
+if test "${with_libxml2+set}" = set; then
+  withval=$with_libxml2;
 fi
 
-
-ECAPLIB=""
-if test $use_ecap = yes;
-then
-        if test "$use_loadable_modules" != "yes"
-    then
-        { { $as_echo "$as_me:$LINENO: error: eCAP support requires loadable modules. Please do not use --disable-loadable-modules with --enable-ecap." >&5
-$as_echo "$as_me: error: eCAP support requires loadable modules. Please do not use --disable-loadable-modules with --enable-ecap." >&2;}
-   { (exit 1); exit 1; }; };
-    fi
-
-        { $as_echo "$as_me:$LINENO: checking for main in -lecap" >&5
-$as_echo_n "checking for main in -lecap... " >&6; }
-if test "${ac_cv_lib_ecap_main+set}" = set; then
+  if test "$with_libxml2" != "no" ; then
+    { $as_echo "$as_me:$LINENO: checking for main in -lxml2" >&5
+$as_echo_n "checking for main in -lxml2... " >&6; }
+if test "${ac_cv_lib_xml2_main+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lecap  $LIBS"
+LIBS="-lxml2  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -23339,12 +23381,12 @@
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  ac_cv_lib_ecap_main=yes
+  ac_cv_lib_xml2_main=yes
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_lib_ecap_main=no
+	ac_cv_lib_xml2_main=no
 fi
 
 rm -rf conftest.dSYM
@@ -23352,105 +23394,750 @@
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_ecap_main" >&5
-$as_echo "$ac_cv_lib_ecap_main" >&6; }
-if test $ac_cv_lib_ecap_main = yes; then
-  ECAPLIB="-lecap"
-else
-  { { $as_echo "$as_me:$LINENO: error: eCAP support requires libecap library, but no usable library was found
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: eCAP support requires libecap library, but no usable library was found
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_xml2_main" >&5
+$as_echo "$ac_cv_lib_xml2_main" >&6; }
+if test $ac_cv_lib_xml2_main = yes; then
+  XMLLIB="-lxml2"; HAVE_LIBXML2=1
 fi
 
-fi
 
- if test $use_ecap = yes; then
-  USE_ECAP_TRUE=
-  USE_ECAP_FALSE='#'
+for ac_header in libxml/parser.h
+do
+as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
 else
-  USE_ECAP_TRUE='#'
-  USE_ECAP_FALSE=
+  # Is the header compilable?
+{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
+$as_echo_n "checking $ac_header usability... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_header_compiler=no
 fi
 
-if test $use_ecap = yes;
-then
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+$as_echo "$ac_header_compiler" >&6; }
 
-cat >>confdefs.h <<\_ACEOF
-#define USE_ECAP 1
+# Is the header present?
+{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
+$as_echo_n "checking $ac_header presence... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
 _ACEOF
-
-    ECAP_LIBS="ecap/libecap.la $ECAP_LIBS"
-    use_adaptation=yes
-else
-
-cat >>confdefs.h <<\_ACEOF
-#define USE_ECAP 0
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
 _ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-    ECAP_LIBS=""
+  ac_header_preproc=no
 fi
 
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
 
-
-
- if test $use_adaptation = yes; then
-  USE_ADAPTATION_TRUE=
-  USE_ADAPTATION_FALSE='#'
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ----------------------------------------------- ##
+## Report this to http://www.squid-cache.org/bugs/ ##
+## ----------------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
 else
-  USE_ADAPTATION_TRUE='#'
-  USE_ADAPTATION_FALSE=
+  eval "$as_ac_Header=\$ac_header_preproc"
 fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
 
-if test $use_adaptation = yes
-then
-
-cat >>confdefs.h <<\_ACEOF
-#define USE_ADAPTATION 1
+fi
+if test `eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
 _ACEOF
 
-    ADAPTATION_LIBS="adaptation/libadaptation.la"
 else
 
-cat >>confdefs.h <<\_ACEOF
-#define USE_ADAPTATION 0
-_ACEOF
+        SAVED_CPPFLAGS="$CPPFLAGS"
+        CPPFLAGS="-I/usr/include/libxml2 $CPPFLAGS"
+        unset ac_cv_header_libxml_parser_h
 
-    ADAPTATION_LIBS=""
+for ac_header in libxml/parser.h
+do
+as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
 fi
-
-
-
-
-# Check whether --enable-useragent-log was given.
-if test "${enable_useragent_log+set}" = set; then
-  enableval=$enable_useragent_log;  if test "$enableval" = "yes" ; then
-    { $as_echo "$as_me:$LINENO: User-Agent logging enabled" >&5
-$as_echo "$as_me: User-Agent logging enabled" >&6;}
-
-cat >>confdefs.h <<\_ACEOF
-#define USE_USERAGENT_LOG 1
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
+$as_echo_n "checking $ac_header usability... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
 _ACEOF
-
-  fi
-
-fi
-
-
-# Check whether --enable-referer-log was given.
-if test "${enable_referer_log+set}" = set; then
-  enableval=$enable_referer_log;  if test "$enableval" = "yes" ; then
-    { $as_echo "$as_me:$LINENO: Referer logging enabled" >&5
-$as_echo "$as_me: Referer logging enabled" >&6;}
-
-cat >>confdefs.h <<\_ACEOF
-#define USE_REFERER_LOG 1
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
 _ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+$as_echo "$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
+$as_echo_n "checking $ac_header presence... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ----------------------------------------------- ##
+## Report this to http://www.squid-cache.org/bugs/ ##
+## ----------------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+
+fi
+if test `eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+ ac_cv_libxml2_include=yes
+fi
+
+done
+
+        CPPFLAGS="$SAVED_CPPFLAGS"
+
+fi
+
+done
+
+    if test "x$ac_cv_libxml2_include" = "xyes"; then
+        SQUID_CXXFLAGS="-I/usr/include/libxml2 $SQUID_CXXFLAGS"
+        CPPFLAGS="-I/usr/include/libxml2 $CPPFLAGS"
+    fi
+
+
+for ac_header in libxml/HTMLparser.h libxml/HTMLtree.h
+do
+as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
+$as_echo_n "checking $ac_header usability... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+$as_echo "$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
+$as_echo_n "checking $ac_header presence... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ----------------------------------------------- ##
+## Report this to http://www.squid-cache.org/bugs/ ##
+## ----------------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+
+fi
+if test `eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBXML2 $HAVE_LIBXML2
+_ACEOF
+
+    if test "$with_libxml2" = "yes" && test "$HAVE_LIBXML2" != "1" ; then
+      { { $as_echo "$as_me:$LINENO: error: Required library libxml2 is not able to be found." >&5
+$as_echo "$as_me: error: Required library libxml2 is not able to be found." >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+  fi
+
+else
+  { $as_echo "$as_me:$LINENO: Disabling ESI processor and Surrogate header support." >&5
+$as_echo "$as_me: Disabling ESI processor and Surrogate header support." >&6;}
+fi
+ if test "$use_esi" = "yes"; then
+  USE_ESI_TRUE=
+  USE_ESI_FALSE='#'
+else
+  USE_ESI_TRUE='#'
+  USE_ESI_FALSE=
+fi
+
+ if test $HAVE_LIBEXPAT = 1; then
+  HAVE_LIBEXPAT_TRUE=
+  HAVE_LIBEXPAT_FALSE='#'
+else
+  HAVE_LIBEXPAT_TRUE='#'
+  HAVE_LIBEXPAT_FALSE=
+fi
+
+
+ if test $HAVE_LIBXML2 = 1; then
+  HAVE_LIBXML2_TRUE=
+  HAVE_LIBXML2_FALSE='#'
+else
+  HAVE_LIBXML2_TRUE='#'
+  HAVE_LIBXML2_FALSE=
+fi
+
+
+
+ if false; then
+  USE_ICAP_CLIENT_TRUE=
+  USE_ICAP_CLIENT_FALSE='#'
+else
+  USE_ICAP_CLIENT_TRUE='#'
+  USE_ICAP_CLIENT_FALSE=
+fi
+
+# Check whether --enable-icap-client was given.
+if test "${enable_icap_client+set}" = set; then
+  enableval=$enable_icap_client; use_icap_client=$enableval
+else
+  use_icap_client=no
+fi
+
+if test "$use_icap_client" = "yes" ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define ICAP_CLIENT 1
+_ACEOF
+
+   if true; then
+  USE_ICAP_CLIENT_TRUE=
+  USE_ICAP_CLIENT_FALSE='#'
+else
+  USE_ICAP_CLIENT_TRUE='#'
+  USE_ICAP_CLIENT_FALSE=
+fi
+
+  ICAP_LIBS="icap/libicap.la"
+  use_adaptation=yes
+else
+
+cat >>confdefs.h <<\_ACEOF
+#define ICAP_CLIENT 0
+_ACEOF
+
+  ICAP_LIBS=""
+fi
+
+
+use_ecap=1
+{ $as_echo "$as_me:$LINENO: checking whether to support eCAP" >&5
+$as_echo_n "checking whether to support eCAP... " >&6; }
+# Check whether --enable-ecap was given.
+if test "${enable_ecap+set}" = set; then
+  enableval=$enable_ecap;
+        case "${enableval}" in
+            yes) use_ecap=yes ;;
+            no) use_ecap=no ;;
+            *) { { $as_echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-ecap" >&5
+$as_echo "$as_me: error: bad value ${enableval} for --enable-ecap" >&2;}
+   { (exit 1); exit 1; }; } ;;
+        esac
+        { $as_echo "$as_me:$LINENO: result: $use_ecap, explicitly" >&5
+$as_echo "$use_ecap, explicitly" >&6; }
+
+else
+
+        use_ecap=no;
+        { $as_echo "$as_me:$LINENO: result: $use_ecap, implicitly" >&5
+$as_echo "$use_ecap, implicitly" >&6; }
+
+
+fi
+
+
+ECAPLIB=""
+if test $use_ecap = yes;
+then
+        if test "$use_loadable_modules" != "yes"
+    then
+        { { $as_echo "$as_me:$LINENO: error: eCAP support requires loadable modules. Please do not use --disable-loadable-modules with --enable-ecap." >&5
+$as_echo "$as_me: error: eCAP support requires loadable modules. Please do not use --disable-loadable-modules with --enable-ecap." >&2;}
+   { (exit 1); exit 1; }; };
+    fi
+
+        { $as_echo "$as_me:$LINENO: checking for main in -lecap" >&5
+$as_echo_n "checking for main in -lecap... " >&6; }
+if test "${ac_cv_lib_ecap_main+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lecap  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+return main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  ac_cv_lib_ecap_main=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_ecap_main=no
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_ecap_main" >&5
+$as_echo "$ac_cv_lib_ecap_main" >&6; }
+if test $ac_cv_lib_ecap_main = yes; then
+  ECAPLIB="-lecap"
+else
+  { { $as_echo "$as_me:$LINENO: error: eCAP support requires libecap library, but no usable library was found
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: eCAP support requires libecap library, but no usable library was found
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
+
+fi
+
+fi
+
+ if test $use_ecap = yes; then
+  USE_ECAP_TRUE=
+  USE_ECAP_FALSE='#'
+else
+  USE_ECAP_TRUE='#'
+  USE_ECAP_FALSE=
+fi
+
+if test $use_ecap = yes;
+then
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_ECAP 1
+_ACEOF
+
+    ECAP_LIBS="ecap/libecap.la $ECAP_LIBS"
+    use_adaptation=yes
+else
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_ECAP 0
+_ACEOF
+
+    ECAP_LIBS=""
+fi
+
+
+
+
+ if test $use_adaptation = yes; then
+  USE_ADAPTATION_TRUE=
+  USE_ADAPTATION_FALSE='#'
+else
+  USE_ADAPTATION_TRUE='#'
+  USE_ADAPTATION_FALSE=
+fi
+
+if test $use_adaptation = yes
+then
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_ADAPTATION 1
+_ACEOF
+
+    ADAPTATION_LIBS="adaptation/libadaptation.la"
+else
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_ADAPTATION 0
+_ACEOF
+
+    ADAPTATION_LIBS=""
+fi
+
+
+
+
+# Check whether --enable-useragent-log was given.
+if test "${enable_useragent_log+set}" = set; then
+  enableval=$enable_useragent_log;  if test "$enableval" = "yes" ; then
+    { $as_echo "$as_me:$LINENO: User-Agent logging enabled" >&5
+$as_echo "$as_me: User-Agent logging enabled" >&6;}
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_USERAGENT_LOG 1
+_ACEOF
+
+  fi
+
+fi
+
+
+# Check whether --enable-referer-log was given.
+if test "${enable_referer_log+set}" = set; then
+  enableval=$enable_referer_log;  if test "$enableval" = "yes" ; then
+    { $as_echo "$as_me:$LINENO: Referer logging enabled" >&5
+$as_echo "$as_me: Referer logging enabled" >&6;}
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_REFERER_LOG 1
+_ACEOF
+
+  fi
 
-  fi
-
 fi
 
 
@@ -24804,8 +25491,8 @@
 # Check whether --enable-linux-tproxy was given.
 if test "${enable_linux_tproxy+set}" = set; then
   enableval=$enable_linux_tproxy;  if test "$enableval" = "yes" ; then
-	{ $as_echo "$as_me:$LINENO: \"Linux Netfilter/TPROXY v2 enabled" >&5
-$as_echo "$as_me: \"Linux Netfilter/TPROXY v2 enabled" >&6;}
+	{ $as_echo "$as_me:$LINENO: Linux Netfilter/TPROXY v2 enabled" >&5
+$as_echo "$as_me: Linux Netfilter/TPROXY v2 enabled" >&6;}
 
 cat >>confdefs.h <<\_ACEOF
 #define LINUX_TPROXY2 1
@@ -26515,6 +27202,47 @@
 fi
 
 
+# Extract the first word of "chmod", so it can be a program name with args.
+set dummy chmod; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_CHMOD+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  case $CHMOD in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_CHMOD="$CHMOD" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_CHMOD="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  test -z "$ac_cv_path_CHMOD" && ac_cv_path_CHMOD="$FALSE"
+  ;;
+esac
+fi
+CHMOD=$ac_cv_path_CHMOD
+if test -n "$CHMOD"; then
+  { $as_echo "$as_me:$LINENO: result: $CHMOD" >&5
+$as_echo "$CHMOD" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+
 
 # Extract the first word of "rm", so it can be a program name with args.
 set dummy rm; ac_word=$2
@@ -27638,288 +28366,67 @@
 { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
 $as_echo_n "checking for $ac_header... " >&6; }
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  $as_echo_n "(cached) " >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-/* What a mess.. many systems have added the (now standard) bit types
- * in their own ways, so we need to scan a wide variety of headers to
- * find them..
- * IMPORTANT: Keep include/squid_types.h syncronised with this list
- */
-#if HAVE_SYS_TYPES_H
-#include <sys/types.h>
-#endif
-#if STDC_HEADERS
-#include <stdlib.h>
-#include <stddef.h>
-#endif
-#if HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-#if HAVE_SYS_BITYPES_H
-#include <sys/bitypes.h>
-#endif
-#if HAVE_SYS_SELECT_H
-#include <sys/select.h>
-#endif
-#if HAVE_NETINET_IN_SYSTM_H
-#include <netinet/in_systm.h>
-#endif
-
-#if HAVE_SYS_TIME_H
-#include <sys/time.h>
-#endif
-#if HAVE_SYS_SOCKET_H
-#include <sys/socket.h>
-#endif
-#if HAVE_NETINET_IN_H
-#include <netinet/in.h>
-#endif
-#if HAVE_NETINET_IP_H
-#include <netinet/ip.h>
-#endif
-#if HAVE_NETINET_IP_COMPAT_H
-#include <netinet/ip_compat.h>
-#endif
-#if HAVE_NET_IF_H
-#include <net/if.h>
-#endif
-#if HAVE_NETINET_IP_FIL_H
-#include <netinet/ip_fil.h>
-#endif
-#if HAVE_SYS_PARAM_H
-#include <sys/param.h>
-#endif
-
-
-#include <$ac_header>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  eval "$as_ac_Header=yes"
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	eval "$as_ac_Header=no"
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-ac_res=`eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-if test `eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
-
-fi
-
-done
-
-
-
-for ac_header in libxml/parser.h
-do
-as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
-$as_echo_n "checking for $ac_header... " >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  $as_echo_n "(cached) " >&6
-fi
-ac_res=`eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-else
-  # Is the header compilable?
-{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
-$as_echo_n "checking $ac_header usability... " >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <$ac_header>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-$as_echo "$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
-$as_echo_n "checking $ac_header presence... " >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <$ac_header>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-$as_echo "$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
-  yes:no: )
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    ( cat <<\_ASBOX
-## ----------------------------------------------- ##
-## Report this to http://www.squid-cache.org/bugs/ ##
-## ----------------------------------------------- ##
-_ASBOX
-     ) | sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
-$as_echo_n "checking for $ac_header... " >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  $as_echo_n "(cached) " >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
-fi
-ac_res=`eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-
-fi
-if test `eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
-
-else
-
-    	SAVED_CPPFLAGS="$CPPFLAGS"
-	CPPFLAGS="-I/usr/include/libxml2 $CPPFLAGS"
-	unset ac_cv_header_libxml_parser_h
-
-for ac_header in libxml/parser.h
-do
-as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
-$as_echo_n "checking for $ac_header... " >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  $as_echo_n "(cached) " >&6
-fi
-ac_res=`eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+  $as_echo_n "(cached) " >&6
 else
-  # Is the header compilable?
-{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
-$as_echo_n "checking $ac_header usability... " >&6; }
-cat >conftest.$ac_ext <<_ACEOF
+  cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-$ac_includes_default
+
+
+/* What a mess.. many systems have added the (now standard) bit types
+ * in their own ways, so we need to scan a wide variety of headers to
+ * find them..
+ * IMPORTANT: Keep include/squid_types.h syncronised with this list
+ */
+#if HAVE_SYS_TYPES_H
+#include <sys/types.h>
+#endif
+#if STDC_HEADERS
+#include <stdlib.h>
+#include <stddef.h>
+#endif
+#if HAVE_INTTYPES_H
+#include <inttypes.h>
+#endif
+#if HAVE_SYS_BITYPES_H
+#include <sys/bitypes.h>
+#endif
+#if HAVE_SYS_SELECT_H
+#include <sys/select.h>
+#endif
+#if HAVE_NETINET_IN_SYSTM_H
+#include <netinet/in_systm.h>
+#endif
+
+#if HAVE_SYS_TIME_H
+#include <sys/time.h>
+#endif
+#if HAVE_SYS_SOCKET_H
+#include <sys/socket.h>
+#endif
+#if HAVE_NETINET_IN_H
+#include <netinet/in.h>
+#endif
+#if HAVE_NETINET_IP_H
+#include <netinet/ip.h>
+#endif
+#if HAVE_NETINET_IP_COMPAT_H
+#include <netinet/ip_compat.h>
+#endif
+#if HAVE_NET_IF_H
+#include <net/if.h>
+#endif
+#if HAVE_NETINET_IP_FIL_H
+#include <netinet/ip_fil.h>
+#endif
+#if HAVE_SYS_PARAM_H
+#include <sys/param.h>
+#endif
+
+
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
@@ -27940,120 +28447,30 @@
 	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
+  eval "$as_ac_Header=yes"
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_header_compiler=no
+	eval "$as_ac_Header=no"
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-$as_echo "$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
-$as_echo_n "checking $ac_header presence... " >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <$ac_header>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-$as_echo "$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
-  yes:no: )
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    ( cat <<\_ASBOX
-## ----------------------------------------------- ##
-## Report this to http://www.squid-cache.org/bugs/ ##
-## ----------------------------------------------- ##
-_ASBOX
-     ) | sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
-$as_echo_n "checking for $ac_header... " >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  $as_echo_n "(cached) " >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
 fi
 ac_res=`eval 'as_val=${'$as_ac_Header'}
 		 $as_echo "$as_val"'`
 	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
 $as_echo "$ac_res" >&6; }
-
-fi
 if test `eval 'as_val=${'$as_ac_Header'}
 		 $as_echo "$as_val"'` = yes; then
   cat >>confdefs.h <<_ACEOF
 #define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
 _ACEOF
- ac_cv_libxml2_include=yes
-fi
-
-done
-
-	CPPFLAGS="$SAVED_CPPFLAGS"
 
 fi
 
 done
 
-if test "x$ac_cv_libxml2_include" = "xyes"; then
-	SQUID_CXXFLAGS="-I/usr/include/libxml2 $SQUID_CXXFLAGS"
-fi
 
 { $as_echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
 $as_echo_n "checking for an ANSI C-conforming const... " >&6; }
@@ -44735,25 +45152,117 @@
 fi
 
 
-use_caps=yes
-# Check whether --enable-caps was given.
-if test "${enable_caps+set}" = set; then
-  enableval=$enable_caps;  if test "x$enableval" = "xyes" ; then
-    { $as_echo "$as_me:$LINENO: result: forced yes" >&5
-$as_echo "forced yes" >&6; }
+use_libcap=auto
+
+# Check whether --with-libcap was given.
+if test "${with_libcap+set}" = set; then
+  withval=$with_libcap;  if test "x$withval" = "xyes" ; then
+    { $as_echo "$as_me:$LINENO: result: libcap forced enabled" >&5
+$as_echo "libcap forced enabled" >&6; }
+    use_libcap=yes
   else
-    { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
-    use_caps=no
+    { $as_echo "$as_me:$LINENO: result: libcap forced disabled" >&5
+$as_echo "libcap forced disabled" >&6; }
+    use_libcap=no
   fi
 
+fi
+
+if test "x$use_libcap" != "xno"; then
+  # cap_clear_flag is the most recent libcap function we require
+
+{ $as_echo "$as_me:$LINENO: checking for cap_clear_flag in -lcap" >&5
+$as_echo_n "checking for cap_clear_flag in -lcap... " >&6; }
+if test "${ac_cv_lib_cap_cap_clear_flag+set}" = set; then
+  $as_echo_n "(cached) " >&6
 else
-  { $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lcap  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char cap_clear_flag ();
+int
+main ()
+{
+return cap_clear_flag ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  ac_cv_lib_cap_cap_clear_flag=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_cap_cap_clear_flag=no
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_cap_cap_clear_flag" >&5
+$as_echo "$ac_cv_lib_cap_cap_clear_flag" >&6; }
+if test $ac_cv_lib_cap_cap_clear_flag = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBCAP 1
+_ACEOF
+
+  LIBS="-lcap $LIBS"
+
+fi
+
+  if test "x$ac_cv_lib_cap_cap_clear_flag" = xyes; then
+    use_libcap=yes
+  else
+    if test "x$use_libcap" = "xyes"; then
+      { { $as_echo "$as_me:$LINENO: error: libcap forced enabled but not available or not usable, requires libcap-2.09 or later" >&5
+$as_echo "$as_me: error: libcap forced enabled but not available or not usable, requires libcap-2.09 or later" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+    use_libcap=no
+  fi
 fi
 
-if test "x$use_caps" = "xyes"; then
-    libcap_broken=1
+if test "x$use_libcap" = "xyes"; then
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_LIBCAP 1
+_ACEOF
+
 
 for ac_header in sys/capability.h
 do
@@ -44835,99 +45344,380 @@
   rm -f conftest.er1
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ----------------------------------------------- ##
+## Report this to http://www.squid-cache.org/bugs/ ##
+## ----------------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+
+fi
+if test `eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+  { $as_echo "$as_me:$LINENO: checking for operational libcap2 headers" >&5
+$as_echo_n "checking for operational libcap2 headers... " >&6; }
+if test "${squid_cv_sys_capability_works+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#include <stdlib.h>
+#include <stddef.h>
+#include <sys/capability.h>
+
+int
+main ()
+{
+
+capget(NULL, NULL);
+capset(NULL, NULL);
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  squid_cv_sys_capability_works=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	squid_cv_sys_capability_works=no
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+
+fi
+{ $as_echo "$as_me:$LINENO: result: $squid_cv_sys_capability_works" >&5
+$as_echo "$squid_cv_sys_capability_works" >&6; }
+  if test x$squid_cv_sys_capability_works != xyes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define LIBCAP_BROKEN 1
+_ACEOF
+
+  fi
+fi
+
+
+{ $as_echo "$as_me:$LINENO: checking for mtyp_t" >&5
+$as_echo_n "checking for mtyp_t... " >&6; }
+if test "${ac_cv_type_mtyp_t+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  ac_cv_type_mtyp_t=no
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <sys/types.h>
+#include <sys/ipc.h>
+#include <sys/msg.h>
+
+int
+main ()
+{
+if (sizeof (mtyp_t))
+       return 0;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <sys/types.h>
+#include <sys/ipc.h>
+#include <sys/msg.h>
+
+int
+main ()
+{
+if (sizeof ((mtyp_t)))
+	  return 0;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  :
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_type_mtyp_t=yes
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_type_mtyp_t" >&5
+$as_echo "$ac_cv_type_mtyp_t" >&6; }
+if test $ac_cv_type_mtyp_t = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_MTYP_T 1
+_ACEOF
+
+fi
+
+
+{ $as_echo "$as_me:$LINENO: checking for library containing gethostbyname" >&5
+$as_echo_n "checking for library containing gethostbyname... " >&6; }
+if test "${ac_cv_search_gethostbyname+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  ac_func_search_save_LIBS=$LIBS
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char gethostbyname ();
+int
+main ()
+{
+return gethostbyname ();
+  ;
+  return 0;
+}
+_ACEOF
+for ac_lib in '' nsl resolv bind; do
+  if test -z "$ac_lib"; then
+    ac_res="none required"
+  else
+    ac_res=-l$ac_lib
+    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
+  fi
+  rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
        }; then
-  ac_header_preproc=yes
+  ac_cv_search_gethostbyname=$ac_res
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-  ac_header_preproc=no
-fi
 
-rm -f conftest.err conftest.$ac_ext
-{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-$as_echo "$ac_header_preproc" >&6; }
+fi
 
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
-  yes:no: )
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    ( cat <<\_ASBOX
-## ----------------------------------------------- ##
-## Report this to http://www.squid-cache.org/bugs/ ##
-## ----------------------------------------------- ##
-_ASBOX
-     ) | sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
-$as_echo_n "checking for $ac_header... " >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  $as_echo_n "(cached) " >&6
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext
+  if test "${ac_cv_search_gethostbyname+set}" = set; then
+  break
+fi
+done
+if test "${ac_cv_search_gethostbyname+set}" = set; then
+  :
 else
-  eval "$as_ac_Header=\$ac_header_preproc"
+  ac_cv_search_gethostbyname=no
 fi
-ac_res=`eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-
+rm conftest.$ac_ext
+LIBS=$ac_func_search_save_LIBS
 fi
-if test `eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_gethostbyname" >&5
+$as_echo "$ac_cv_search_gethostbyname" >&6; }
+ac_res=$ac_cv_search_gethostbyname
+if test "$ac_res" != no; then
+  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 fi
 
-done
-
-  { $as_echo "$as_me:$LINENO: checking for operational libcap2" >&5
-$as_echo_n "checking for operational libcap2... " >&6; }
-if { as_var=$libcap_broken; eval "test \"\${$as_var+set}\" = set"; }; then
+{ $as_echo "$as_me:$LINENO: checking for library containing res_init" >&5
+$as_echo_n "checking for library containing res_init... " >&6; }
+if test "${ac_cv_search_res_init+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  cat >conftest.$ac_ext <<_ACEOF
+  ac_func_search_save_LIBS=$LIBS
+cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <sys/capability.h>
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char res_init ();
 int
 main ()
 {
-
-                    capget(NULL, NULL);
-                    capset(NULL, NULL);
-
+return res_init ();
   ;
   return 0;
 }
 _ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
+for ac_lib in '' resolv; do
+  if test -z "$ac_lib"; then
+    ac_res="none required"
+  else
+    ac_res=-l$ac_lib
+    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
+  fi
+  rm -f conftest.$ac_objext conftest$ac_exeext
 if { (ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
@@ -44948,7 +45738,7 @@
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  libcap_broken=0
+  ac_cv_search_res_init=$ac_res
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
@@ -44958,54 +45748,71 @@
 
 rm -rf conftest.dSYM
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-
+      conftest$ac_exeext
+  if test "${ac_cv_search_res_init+set}" = set; then
+  break
 fi
-ac_res=`eval 'as_val=${'$libcap_broken'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-
-cat >>confdefs.h <<_ACEOF
-#define LIBCAP_BROKEN $libcap_broken
-_ACEOF
+done
+if test "${ac_cv_search_res_init+set}" = set; then
+  :
+else
+  ac_cv_search_res_init=no
+fi
+rm conftest.$ac_ext
+LIBS=$ac_func_search_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_res_init" >&5
+$as_echo "$ac_cv_search_res_init" >&6; }
+ac_res=$ac_cv_search_res_init
+if test "$ac_res" != no; then
+  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 fi
 
-{ $as_echo "$as_me:$LINENO: checking for mtyp_t" >&5
-$as_echo_n "checking for mtyp_t... " >&6; }
-if test "${ac_cv_type_mtyp_t+set}" = set; then
+{ $as_echo "$as_me:$LINENO: checking for library containing bind" >&5
+$as_echo_n "checking for library containing bind... " >&6; }
+if test "${ac_cv_search_bind+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  ac_cv_type_mtyp_t=no
+  ac_func_search_save_LIBS=$LIBS
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <sys/types.h>
-#include <sys/ipc.h>
-#include <sys/msg.h>
 
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char bind ();
 int
 main ()
 {
-if (sizeof (mtyp_t))
-       return 0;
+return bind ();
   ;
   return 0;
 }
 _ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
+for ac_lib in '' socket; do
+  if test -z "$ac_lib"; then
+    ac_res="none required"
+  else
+    ac_res=-l$ac_lib
+    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
+  fi
+  rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
 $as_echo "$ac_try_echo") >&5
-  (eval "$ac_compile") 2>conftest.er1
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
@@ -45014,35 +45821,85 @@
   (exit $ac_status); } && {
 	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  cat >conftest.$ac_ext <<_ACEOF
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  ac_cv_search_bind=$ac_res
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext
+  if test "${ac_cv_search_bind+set}" = set; then
+  break
+fi
+done
+if test "${ac_cv_search_bind+set}" = set; then
+  :
+else
+  ac_cv_search_bind=no
+fi
+rm conftest.$ac_ext
+LIBS=$ac_func_search_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_bind" >&5
+$as_echo "$ac_cv_search_bind" >&6; }
+ac_res=$ac_cv_search_bind
+if test "$ac_res" != no; then
+  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
+
+fi
+
+{ $as_echo "$as_me:$LINENO: checking for library containing opcom_stack_trace" >&5
+$as_echo_n "checking for library containing opcom_stack_trace... " >&6; }
+if test "${ac_cv_search_opcom_stack_trace+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  ac_func_search_save_LIBS=$LIBS
+cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <sys/types.h>
-#include <sys/ipc.h>
-#include <sys/msg.h>
 
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char opcom_stack_trace ();
 int
 main ()
 {
-if (sizeof ((mtyp_t)))
-	  return 0;
+return opcom_stack_trace ();
   ;
   return 0;
 }
 _ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
+for ac_lib in '' opcom_stack; do
+  if test -z "$ac_lib"; then
+    ac_res="none required"
+  else
+    ac_res=-l$ac_lib
+    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
+  fi
+  rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
 $as_echo "$ac_try_echo") >&5
-  (eval "$ac_compile") 2>conftest.er1
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
@@ -45051,44 +45908,47 @@
   (exit $ac_status); } && {
 	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  :
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  ac_cv_search_opcom_stack_trace=$ac_res
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_type_mtyp_t=yes
+
 fi
 
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext
+  if test "${ac_cv_search_opcom_stack_trace+set}" = set; then
+  break
+fi
+done
+if test "${ac_cv_search_opcom_stack_trace+set}" = set; then
+  :
 else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
+  ac_cv_search_opcom_stack_trace=no
 fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm conftest.$ac_ext
+LIBS=$ac_func_search_save_LIBS
 fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_type_mtyp_t" >&5
-$as_echo "$ac_cv_type_mtyp_t" >&6; }
-if test $ac_cv_type_mtyp_t = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_MTYP_T 1
-_ACEOF
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_opcom_stack_trace" >&5
+$as_echo "$ac_cv_search_opcom_stack_trace" >&6; }
+ac_res=$ac_cv_search_opcom_stack_trace
+if test "$ac_res" != no; then
+  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 fi
 
-
-
-{ $as_echo "$as_me:$LINENO: checking for main in -lnsl" >&5
-$as_echo_n "checking for main in -lnsl... " >&6; }
-if test "${ac_cv_lib_nsl_main+set}" = set; then
+{ $as_echo "$as_me:$LINENO: checking for library containing strlcpy" >&5
+$as_echo_n "checking for library containing strlcpy... " >&6; }
+if test "${ac_cv_search_strlcpy+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lnsl  $LIBS"
+  ac_func_search_save_LIBS=$LIBS
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -45096,16 +45956,29 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char strlcpy ();
 int
 main ()
 {
-return main ();
+return strlcpy ();
   ;
   return 0;
 }
 _ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
+for ac_lib in '' bsd; do
+  if test -z "$ac_lib"; then
+    ac_res="none required"
+  else
+    ac_res=-l$ac_lib
+    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
+  fi
+  rm -f conftest.$ac_objext conftest$ac_exeext
 if { (ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
@@ -45126,38 +45999,43 @@
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  ac_cv_lib_nsl_main=yes
+  ac_cv_search_strlcpy=$ac_res
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_lib_nsl_main=no
+
 fi
 
 rm -rf conftest.dSYM
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
+      conftest$ac_exeext
+  if test "${ac_cv_search_strlcpy+set}" = set; then
+  break
 fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_main" >&5
-$as_echo "$ac_cv_lib_nsl_main" >&6; }
-if test $ac_cv_lib_nsl_main = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBNSL 1
-_ACEOF
-
-  LIBS="-lnsl $LIBS"
-
+done
+if test "${ac_cv_search_strlcpy+set}" = set; then
+  :
+else
+  ac_cv_search_strlcpy=no
+fi
+rm conftest.$ac_ext
+LIBS=$ac_func_search_save_LIBS
 fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_strlcpy" >&5
+$as_echo "$ac_cv_search_strlcpy" >&6; }
+ac_res=$ac_cv_search_strlcpy
+if test "$ac_res" != no; then
+  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
+fi
 
-{ $as_echo "$as_me:$LINENO: checking for main in -lsocket" >&5
-$as_echo_n "checking for main in -lsocket... " >&6; }
-if test "${ac_cv_lib_socket_main+set}" = set; then
+{ $as_echo "$as_me:$LINENO: checking for library containing yp_match" >&5
+$as_echo_n "checking for library containing yp_match... " >&6; }
+if test "${ac_cv_search_yp_match+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lsocket  $LIBS"
+  ac_func_search_save_LIBS=$LIBS
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -45165,16 +46043,29 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char yp_match ();
 int
 main ()
 {
-return main ();
+return yp_match ();
   ;
   return 0;
 }
 _ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
+for ac_lib in '' nsl nss_nis nss_nisplus; do
+  if test -z "$ac_lib"; then
+    ac_res="none required"
+  else
+    ac_res=-l$ac_lib
+    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
+  fi
+  rm -f conftest.$ac_objext conftest$ac_exeext
 if { (ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
@@ -45195,27 +46086,34 @@
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  ac_cv_lib_socket_main=yes
+  ac_cv_search_yp_match=$ac_res
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_lib_socket_main=no
+
 fi
 
 rm -rf conftest.dSYM
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
+      conftest$ac_exeext
+  if test "${ac_cv_search_yp_match+set}" = set; then
+  break
 fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_socket_main" >&5
-$as_echo "$ac_cv_lib_socket_main" >&6; }
-if test $ac_cv_lib_socket_main = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBSOCKET 1
-_ACEOF
-
-  LIBS="-lsocket $LIBS"
+done
+if test "${ac_cv_search_yp_match+set}" = set; then
+  :
+else
+  ac_cv_search_yp_match=no
+fi
+rm conftest.$ac_ext
+LIBS=$ac_func_search_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_yp_match" >&5
+$as_echo "$ac_cv_search_yp_match" >&6; }
+ac_res=$ac_cv_search_yp_match
+if test "$ac_res" != no; then
+  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 fi
 
@@ -45823,75 +46721,6 @@
 		esac
   fi
 
-
-{ $as_echo "$as_me:$LINENO: checking for main in -lbsd" >&5
-$as_echo_n "checking for main in -lbsd... " >&6; }
-if test "${ac_cv_lib_bsd_main+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lbsd  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-return main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext && {
-	 test "$cross_compiling" = yes ||
-	 $as_test_x conftest$ac_exeext
-       }; then
-  ac_cv_lib_bsd_main=yes
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_bsd_main=no
-fi
-
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_bsd_main" >&5
-$as_echo "$ac_cv_lib_bsd_main" >&6; }
-if test $ac_cv_lib_bsd_main = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBBSD 1
-_ACEOF
-
-  LIBS="-lbsd $LIBS"
-
-fi
-
 { $as_echo "$as_me:$LINENO: checking for main in -lregex" >&5
 $as_echo_n "checking for main in -lregex... " >&6; }
 if test "${ac_cv_lib_regex_main+set}" = set; then
@@ -45955,160 +46784,6 @@
   REGEXLIB="-lregex"
 fi
 
-
-{ $as_echo "$as_me:$LINENO: checking for gethostbyname in -lbind" >&5
-$as_echo_n "checking for gethostbyname in -lbind... " >&6; }
-if test "${ac_cv_lib_bind_gethostbyname+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lbind  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char gethostbyname ();
-int
-main ()
-{
-return gethostbyname ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext && {
-	 test "$cross_compiling" = yes ||
-	 $as_test_x conftest$ac_exeext
-       }; then
-  ac_cv_lib_bind_gethostbyname=yes
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_bind_gethostbyname=no
-fi
-
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_bind_gethostbyname" >&5
-$as_echo "$ac_cv_lib_bind_gethostbyname" >&6; }
-if test $ac_cv_lib_bind_gethostbyname = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBBIND 1
-_ACEOF
-
-  LIBS="-lbind $LIBS"
-
-fi
-
-if test $ac_cv_lib_bind_gethostbyname = "no" ; then
-    case "$host" in
-	i386-*-freebsd*)
-		{ $as_echo "$as_me:$LINENO: skipping libresolv checks for $host" >&5
-$as_echo "$as_me: skipping libresolv checks for $host" >&6;}
-		;;
-	*)
-
-{ $as_echo "$as_me:$LINENO: checking for main in -lresolv" >&5
-$as_echo_n "checking for main in -lresolv... " >&6; }
-if test "${ac_cv_lib_resolv_main+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lresolv  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-return main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext && {
-	 test "$cross_compiling" = yes ||
-	 $as_test_x conftest$ac_exeext
-       }; then
-  ac_cv_lib_resolv_main=yes
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_resolv_main=no
-fi
-
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_resolv_main" >&5
-$as_echo "$ac_cv_lib_resolv_main" >&6; }
-if test $ac_cv_lib_resolv_main = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBRESOLV 1
-_ACEOF
-
-  LIBS="-lresolv $LIBS"
-
-fi
-
-		;;
-    esac
-fi
 case "$host_os" in
 mingw|mingw32)
 	{ $as_echo "$as_me:$LINENO: Use MSVCRT for math functions." >&5
@@ -46301,6 +46976,7 @@
 #define USE_IPV6 1
 _ACEOF
 
+  SET_IPV6_SETTINGS=""
   use_v4mapped=yes
 
   { $as_echo "$as_me:$LINENO: checking for IPv6 split-stack requirement" >&5
@@ -46524,8 +47200,10 @@
 #define IPV6_SPECIAL_V4MAPPED 0
 _ACEOF
 
+  SET_IPV6_SETTINGS="\#IPv6 Not Available: "
 fi
 
+
 { $as_echo "$as_me:$LINENO: checking for ss_len field in struct sockaddr_storage" >&5
 $as_echo_n "checking for ss_len field in struct sockaddr_storage... " >&6; }
 if test "${ac_cv_have_ss_len_in_struct_ss+set}" = set; then
@@ -48255,20 +48933,32 @@
 $as_echo "$as_me: WARNING: Cannot find necessary Linux kernel (Netfilter) header files" >&2;}
     { $as_echo "$as_me:$LINENO: WARNING: Linux Transparent and Intercepting Proxy support WILL NOT be enabled" >&5
 $as_echo "$as_me: WARNING: Linux Transparent and Intercepting Proxy support WILL NOT be enabled" >&2;}
+    LINUX_TPROXY2="no"
+
+cat >>confdefs.h <<\_ACEOF
+#define LINUX_TPROXY2 0
+_ACEOF
+
     sleep 10
 fi
-if test "$LINUX_NETFILTER" = "yes" && test "$use_caps" != "yes" ; then
+if test "$LINUX_NETFILTER" = "yes" && test "$use_libcap" != "yes" ; then
     { $as_echo "$as_me:$LINENO: WARNING: Missing needed capabilities (libcap or libcap2) for TPROXY" >&5
 $as_echo "$as_me: WARNING: Missing needed capabilities (libcap or libcap2) for TPROXY" >&2;}
     { $as_echo "$as_me:$LINENO: WARNING: Linux Transparent Proxy support WILL NOT be enabled" >&5
 $as_echo "$as_me: WARNING: Linux Transparent Proxy support WILL NOT be enabled" >&2;}
     { $as_echo "$as_me:$LINENO: WARNING: Reduced support to Interception Proxy" >&5
 $as_echo "$as_me: WARNING: Reduced support to Interception Proxy" >&2;}
+    LINUX_TPROXY2="no"
+
+cat >>confdefs.h <<\_ACEOF
+#define LINUX_TPROXY2 0
+_ACEOF
+
     sleep 10
 fi
 
 if test "$LINUX_TPROXY2"; then
-  if test "$use_caps" = "yes"; then
+  if test "$use_libcap" = "yes"; then
     { $as_echo "$as_me:$LINENO: checking if TPROXYv2 header files are installed" >&5
 $as_echo_n "checking if TPROXYv2 header files are installed... " >&6; }
     # hold on to your hats...
@@ -48305,6 +48995,12 @@
 $as_echo "$as_me: WARNING: Missing needed capabilities (libcap or libcap2) for TPROXY v2" >&2;}
     { $as_echo "$as_me:$LINENO: WARNING: Linux Transparent Proxy support WILL NOT be enabled" >&5
 $as_echo "$as_me: WARNING: Linux Transparent Proxy support WILL NOT be enabled" >&2;}
+    LINUX_TPROXY2="no"
+
+cat >>confdefs.h <<\_ACEOF
+#define LINUX_TPROXY2 0
+_ACEOF
+
     sleep 10
   fi
 fi
@@ -49903,10 +50599,17 @@
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
-if test -z "${USE_ESI_TRUE}" && test -z "${USE_ESI_FALSE}"; then
-  { { $as_echo "$as_me:$LINENO: error: conditional \"USE_ESI\" was never defined.
+if test -z "${HAVE_LIBEXPAT_TRUE}" && test -z "${HAVE_LIBEXPAT_FALSE}"; then
+  { { $as_echo "$as_me:$LINENO: error: conditional \"HAVE_LIBEXPAT\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
-$as_echo "$as_me: error: conditional \"USE_ESI\" was never defined.
+$as_echo "$as_me: error: conditional \"HAVE_LIBEXPAT\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${HAVE_LIBXML2_TRUE}" && test -z "${HAVE_LIBXML2_FALSE}"; then
+  { { $as_echo "$as_me:$LINENO: error: conditional \"HAVE_LIBXML2\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+$as_echo "$as_me: error: conditional \"HAVE_LIBXML2\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -50414,7 +51117,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Squid Web Proxy $as_me 3.1.0.14, which was
+This file was extended by Squid Web Proxy $as_me 3.1.0.15, which was
 generated by GNU Autoconf 2.62.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -50467,7 +51170,7 @@
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_version="\\
-Squid Web Proxy config.status 3.1.0.14
+Squid Web Proxy config.status 3.1.0.15
 configured by $0, generated by GNU Autoconf 2.62,
   with options \\"`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
diff -u -r -N squid-3.1.0.14/configure.in squid-3.1.0.15/configure.in
--- squid-3.1.0.14/configure.in	2009-09-27 15:29:12.000000000 +1200
+++ squid-3.1.0.15/configure.in	2009-11-23 16:11:00.000000000 +1300
@@ -1,8 +1,8 @@
-dnl  Configuration input file for Squid
+
 dnl
 dnl  $Id$
 dnl
-AC_INIT([Squid Web Proxy],[3.1.0.14],[http://www.squid-cache.org/bugs/],[squid])
+AC_INIT([Squid Web Proxy],[3.1.0.15],[http://www.squid-cache.org/bugs/],[squid])
 AC_PREREQ(2.61)
 AC_CONFIG_HEADERS([include/autoconf.h])
 AC_CONFIG_AUX_DIR(cfgaux)
@@ -31,6 +31,17 @@
 new_configure_args="$ac_configure_args --with-squid=$ac_abs_confdir"
 ac_configure_args="$new_configure_args"
 
+squid_disable_werror="no"
+AC_ARG_ENABLE(strict-error-checking,
+  AS_HELP_STRING([--disable-strict-error-checking],[By default squid is compiled
+                 with all possible static compiler error-checks enbled.
+                 This flag disables the behavior]),
+[ 
+  if test "${enableval}" = "no"
+  then
+    squid_disable_werror="yes"
+  fi
+])
 
 use_loadable_modules=1
 AC_MSG_CHECKING(whether to use loadable modules)
@@ -63,6 +74,11 @@
 AC_LIBTOOL_DLOPEN
 if test $use_loadable_modules = yes;
 then
+    dnl Linux LTDL v3-v7 macros assume the autoconf 2.62 variable top_build_prefix is defined
+    dnl But from autoconf 2.64 its called ac_top_build_prefix and not automatically added to the Makefile
+    top_build_prefix=${ac_top_build_prefix}
+    AC_SUBST(top_build_prefix)
+
     AC_LIBLTDL_CONVENIENCE(lib/libLtdl)
 fi
 AC_PROG_LIBTOOL
@@ -171,9 +187,9 @@
 )
 AC_SUBST(DEFAULT_LOG_DIR)
 
-DEFAULT_PIDFILE="$localstatedir/squid.pid"
+DEFAULT_PIDFILE="$localstatedir/run/squid.pid"
 AC_ARG_WITH(pidfile,
-  AS_HELP_STRING([--with-pidfile=PATH],[Default location for squid PID file. default: $DEFAULT_PIDFILE]),
+  AS_HELP_STRING([--with-pidfile=PATH],[Default location for squid PID file. default: PREFIX/var/run/squid.pid]),
  [ case $withval in
    yes|no)
      AC_MSG_ERROR( --with-pidfile requires a file PATH. --with-pidfile=PATH )
@@ -259,10 +275,15 @@
         SQUID_CFLAGS="-Wall -Wpointer-arith -Wwrite-strings -Wcomments"
 	;;
     *)
-        SQUID_CFLAGS="-Werror -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments"
+        SQUID_CFLAGS="-Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments"
 	;;
     esac
-    SQUID_CXXFLAGS="-Werror -Wall -Wpointer-arith -Wwrite-strings -Wcomments"
+    SQUID_CXXFLAGS="-Wall -Wpointer-arith -Wwrite-strings -Wcomments"
+    if test "$squid_disable_werror" = "no"
+    then
+        SQUID_CFLAGS="$SQUID_CFLAGS -Werror"
+        SQUID_CXXFLAGS="$SQUID_CXXFLAGS -Werror"
+    fi
 else
     SQUID_CFLAGS=
     SQUID_CXXFLAGS=
@@ -469,6 +490,7 @@
 FOUND_DISKIO_DISKDAEMON=
 FOUND_DISKIO_DISKTHREADS=
 DISK_LIBS=
+DISK_OS_LIBS=
 DISK_MODULES=
 DISK_LINKOBJS=
 for module in $MAYBE_DISK_MODULES none; do
@@ -543,7 +565,7 @@
 		*)
 			SQUID_CFLAGS="$SQUID_CFLAGS -D_REENTRANT"
 			SQUID_CXXFLAGS="$SQUID_CXXFLAGS -D_REENTRANT"
-			AC_CHECK_LIB(pthread, main,[DISK_LIBS="$DISK_LIBS -lpthread"],
+			AC_CHECK_LIB(pthread, main,[LIBPTHREADS="-lpthread"],
 				[ AC_MSG_NOTICE(pthread library required but cannot be found.)
 				  use_diskthreads="no"
 				])
@@ -556,7 +578,8 @@
 	if test "$use_diskthreads" = "yes" ; then
 	  AC_DEFINE(USE_DISKIO_DISKTHREADS, 1, [Whether pthreads support is needed. Automatic])
 	  AC_MSG_NOTICE([Enabling DiskThreads DiskIO module])
-	  DISK_LIBS="$DISK_LIBS $LIBPTHREADS libDiskThreads.a"
+	  DISK_LIBS="$DISK_LIBS libDiskThreads.a"
+	  DISK_OS_LIBS="$DISK_OS_LIBS $LIBPTHREADS"
 	  DISK_MODULES="$DISK_MODULES DiskThreads"
 	  DISK_LINKOBJS="$DISK_LINKOBJS DiskIO/DiskThreads/DiskThreadsDiskIOModule.o"
 	else
@@ -617,6 +640,7 @@
 		;;
 	    *)
 		AC_MSG_NOTICE([Enabling AIO DiskIO module])
+		DISK_OS_LIBS="$DISK_OS_LIBS $AIOLIB"
 		;;
 	  esac
 	else
@@ -648,7 +672,7 @@
 AC_SUBST(DISK_LIBS)
 AC_SUBST(DISK_PROGRAMS)
 AC_SUBST(DISK_LINKOBJS)
-AC_SUBST(AIOLIB)
+AC_SUBST(DISK_OS_LIBS)
 AM_CONDITIONAL([USE_AIOPS_WIN32], [test "$USE_AIOPS_WIN32" = 1])
 AM_CONDITIONAL([USE_AIO_WIN32], [test "$USE_AIO_WIN32" = 1])
 
@@ -826,34 +850,61 @@
 dnl disable generic/common adaptation support by default
 use_adaptation=no
 
-AM_CONDITIONAL(USE_ESI, false)
+use_esi=yes
 AC_ARG_ENABLE(esi,
-  AS_HELP_STRING([--enable-esi],[Enable ESI for accelerators. Requires libexpat.
-                  Enabling ESI will cause squid to follow the
-                  Edge Acceleration Specification (www.esi.org).
-                  This causes squid to IGNORE client Cache-Control headers.
-                  DO NOT use this in a squid configured as a web proxy, 
-                  ONLY use it in a squid configured for webserver acceleration.]),
+  AS_HELP_STRING([--enable-esi],[Enable ESI for accelerators. Benefits from expat or libxml2.
+                  Enabling ESI will cause squid reverse proxies to be capable of the
+                  Edge Acceleration Specification (www.esi.org).]),
 	      use_esi=$enableval, use_esi=no)
+HAVE_LIBEXPAT=0
+EXPATLIB=
+HAVE_LIBXML2=0
+XMLLIB=
 if test "$use_esi" = "yes" ; then
+  AC_MSG_NOTICE([Enabling ESI processor and Surrogate header support.])
   AC_DEFINE(USE_SQUID_ESI,1,[Compile the ESI processor and Surrogate header support])
-  AM_CONDITIONAL(USE_ESI, true)
 
-  dnl Perform configuration consistency checks for ESI
-  dnl ESI support requires libexpat
-  AC_CHECK_LIB([expat], [main],
-        [ESI_LIBS="-lexpat"],
-        [AC_MSG_FAILURE([ESI support requires libexpat library, but no usable library was found])]
-  )
-  AC_CHECK_LIB([xml2], [main],
-        [ESI_LIBS="-lxml2"],
-        [AC_MSG_FAILURE([ESI support requires libxml2 library, but no usable library was found])]
-  )
-  XTRA_LIBS="$XTRA_LIBS -lexpat -lxml2"
+  AC_ARG_WITH(expat, AS_HELP_STRING([--without-expat],[Do not use expat for ESI. Default: auto-detect]))
+  if test "$with_expat" != "no" ; then
+    AC_CHECK_LIB([expat], [main], [EXPATLIB="-lexpat"; HAVE_LIBEXPAT=1])
+    AC_CHECK_HEADERS([expat.h])
+    AC_DEFINE_UNQUOTED(HAVE_LIBEXPAT, $HAVE_LIBEXPAT, [Define to 1 if you have the expat library])
+    if test "$with_expat" = "yes" && test "$HAVE_LIBEXPAT" != "1" ; then
+      AC_MSG_ERROR([Required library expat is not able to be found.])
+    fi
+  fi
+
+  AC_ARG_WITH(libxml2, AS_HELP_STRING([--without-libxml2],[Do not use libxml2 for ESI. Default: auto-detect]))
+  if test "$with_libxml2" != "no" ; then
+    AC_CHECK_LIB([xml2], [main], [XMLLIB="-lxml2"; HAVE_LIBXML2=1])
+    dnl Find the main header and include path...
+    AC_CHECK_HEADERS([libxml/parser.h], [], [
+        SAVED_CPPFLAGS="$CPPFLAGS"
+        CPPFLAGS="-I/usr/include/libxml2 $CPPFLAGS"
+        unset ac_cv_header_libxml_parser_h
+        AC_CHECK_HEADERS([libxml/parser.h], [ac_cv_libxml2_include=yes], [])
+        CPPFLAGS="$SAVED_CPPFLAGS"
+        ])
+    if test "x$ac_cv_libxml2_include" = "xyes"; then
+        SQUID_CXXFLAGS="-I/usr/include/libxml2 $SQUID_CXXFLAGS"
+        CPPFLAGS="-I/usr/include/libxml2 $CPPFLAGS"
+    fi
+    dnl Now that we know where to look find the other headers...
+    AC_CHECK_HEADERS(libxml/HTMLparser.h libxml/HTMLtree.h)
+    AC_DEFINE_UNQUOTED(HAVE_LIBXML2, $HAVE_LIBXML2, [Define to 1 if you have the libxml2 library])
+    if test "$with_libxml2" = "yes" && test "$HAVE_LIBXML2" != "1" ; then
+      AC_MSG_ERROR([Required library libxml2 is not able to be found.])
+    fi
+  fi
 
 else
-  AC_DEFINE(USE_SQUID_ESI,0,[Compile the ESI processor and Surrogate header support])
+  AC_MSG_NOTICE([Disabling ESI processor and Surrogate header support.])
 fi
+AM_CONDITIONAL(USE_ESI, test "$use_esi" = "yes")
+AM_CONDITIONAL(HAVE_LIBEXPAT, test $HAVE_LIBEXPAT = 1)
+AC_SUBST(EXPATLIB)
+AM_CONDITIONAL(HAVE_LIBXML2, test $HAVE_LIBXML2 = 1)
+AC_SUBST(XMLLIB)
 
 AM_CONDITIONAL(USE_ICAP_CLIENT, false)
 AC_ARG_ENABLE(icap-client,
@@ -1472,7 +1523,7 @@
   AS_HELP_STRING([--enable-linux-tproxy],[Enable real Transparent Proxy support for Netfilter TPROXY 
                   (version 2).]),
 [ if test "$enableval" = "yes" ; then
-	AC_MSG_NOTICE(["Linux Netfilter/TPROXY v2 enabled])
+	AC_MSG_NOTICE([Linux Netfilter/TPROXY v2 enabled])
 	AC_DEFINE(LINUX_TPROXY2, 1, [Enable real Transparent Proxy support for Netfilter TPROXY v2.])
 	LINUX_TPROXY2="yes"
         if test -z "$LINUX_NETFILTER"; then
@@ -2074,6 +2125,7 @@
 AC_PATH_PROG(MV, mv, $FALSE)
 AC_PATH_PROG(MKDIR, mkdir, $FALSE)
 AC_PATH_PROG(LN, ln, cp)
+AC_PATH_PROG(CHMOD, chmod, $FALSE)
 
 AC_PATH_PROG(RM, rm, $FALSE)
 dnl Libtool 2.2.6 requires: rm -f
@@ -2239,17 +2291,6 @@
 ,,,
 SQUID_BSDNET_INCLUDES)
 
-AC_CHECK_HEADERS([libxml/parser.h], [], [
-    	SAVED_CPPFLAGS="$CPPFLAGS"
-	CPPFLAGS="-I/usr/include/libxml2 $CPPFLAGS"
-	unset ac_cv_header_libxml_parser_h
-	AC_CHECK_HEADERS([libxml/parser.h], [ac_cv_libxml2_include=yes], [])
-	CPPFLAGS="$SAVED_CPPFLAGS"
-	])
-if test "x$ac_cv_libxml2_include" = "xyes"; then
-	SQUID_CXXFLAGS="-I/usr/include/libxml2 $SQUID_CXXFLAGS"
-fi
-
 AC_C_CONST
 AC_C_BIGENDIAN
 
@@ -2470,35 +2511,60 @@
 #endif])
 
 dnl Check for libcap header (assume its not broken unless 
-use_caps=yes
-AC_ARG_ENABLE(caps, AS_HELP_STRING([--disable-caps],[disable usage of Linux capabilities library to control privileges]),
-[ if test "x$enableval" = "xyes" ; then
-    AC_MSG_RESULT(forced yes)
+use_libcap=auto
+AC_ARG_WITH(libcap, AS_HELP_STRING([--without-libcap],[disable usage of Linux capabilities library to control privileges]),
+[ if test "x$withval" = "xyes" ; then
+    AC_MSG_RESULT(libcap forced enabled)
+    use_libcap=yes
   else
-    AC_MSG_RESULT(no)
-    use_caps=no
+    AC_MSG_RESULT(libcap forced disabled)
+    use_libcap=no
   fi
-],[AC_MSG_RESULT(yes)])
-if test "x$use_caps" = "xyes"; then
-  dnl Check for libcap1 breakage or libcap2 fixed (assume broken unless found working)
-  libcap_broken=1
+])
+if test "x$use_libcap" != "xno"; then
+  # cap_clear_flag is the most recent libcap function we require
+  AC_CHECK_LIB(cap, cap_clear_flag)
+  if test "x$ac_cv_lib_cap_cap_clear_flag" = xyes; then
+    use_libcap=yes
+  else
+    if test "x$use_libcap" = "xyes"; then
+      AC_MSG_ERROR([libcap forced enabled but not available or not usable, requires libcap-2.09 or later])
+    fi
+    use_libcap=no
+  fi
+fi
+
+if test "x$use_libcap" = "xyes"; then
+  AC_DEFINE(USE_LIBCAP, 1, [use libcap to set capabilities required for TPROXY])
+  dnl Check for libcap headader breakage.
   AC_CHECK_HEADERS(sys/capability.h)
-  AC_CACHE_CHECK([for operational libcap2], $libcap_broken,
-    AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <sys/capability.h>]], [[
-                    capget(NULL, NULL);
-                    capset(NULL, NULL);
-                   ]])],[libcap_broken=0],[])
+  AC_CACHE_CHECK([for operational libcap2 headers], squid_cv_sys_capability_works,
+    AC_LINK_IFELSE([AC_LANG_PROGRAM([[
+#include <stdlib.h>
+#include <stddef.h>
+#include <sys/capability.h>
+]], [[
+capget(NULL, NULL);
+capset(NULL, NULL);
+                   ]])],[squid_cv_sys_capability_works=yes],[squid_cv_sys_capability_works=no])
   )
-  AC_DEFINE_UNQUOTED([LIBCAP_BROKEN],$libcap_broken,[if libcap2 is available and not clashing with libc])
+  if test x$squid_cv_sys_capability_works != xyes; then
+    AC_DEFINE([LIBCAP_BROKEN],1,[if libcap2 headers are broken and clashing with glibc])
+  fi
 fi
 
+
 AC_CHECK_TYPE(mtyp_t,AC_DEFINE(HAVE_MTYP_T,1,[mtyp_t is defined by the system headers]),,[#include <sys/types.h>
 #include <sys/ipc.h>
 #include <sys/msg.h>])
 
 dnl Check for needed libraries
-AC_CHECK_LIB(nsl, main)
-AC_CHECK_LIB(socket, main)
+AC_SEARCH_LIBS([gethostbyname],[nsl resolv bind])
+AC_SEARCH_LIBS([res_init],[resolv])
+AC_SEARCH_LIBS([bind],[socket])
+AC_SEARCH_LIBS([opcom_stack_trace],[opcom_stack])
+AC_SEARCH_LIBS([strlcpy], [bsd])
+AC_SEARCH_LIBS([yp_match], [nsl nss_nis nss_nisplus])
 dnl Check for Winsock only on MinGW, on Cygwin we must use emulated BSD socket API
 case "$host_os" in
   mingw|mingw32)
@@ -2568,19 +2634,7 @@
 		esac
   fi
 
-AC_CHECK_LIB(bsd, main)
 AC_CHECK_LIB(regex, main, [REGEXLIB="-lregex"])
-AC_CHECK_LIB(bind, gethostbyname)
-if test $ac_cv_lib_bind_gethostbyname = "no" ; then
-    case "$host" in
-	i386-*-freebsd*)
-		AC_MSG_NOTICE([skipping libresolv checks for $host])
-		;;
-	*)
-		AC_CHECK_LIB(resolv, main)
-		;;
-    esac
-fi
 case "$host_os" in
 mingw|mingw32)
 	AC_MSG_NOTICE([Use MSVCRT for math functions.])
@@ -2633,6 +2687,7 @@
 
 if test "$use_ipng" = "yes"; then
   AC_DEFINE(USE_IPV6,1,[Enable support for IPv6 ])
+  SET_IPV6_SETTINGS=""
   use_v4mapped=yes
 
 dnl Check for forced split-stack mode
@@ -2706,7 +2761,9 @@
   AC_DEFINE(USE_IPV6,0,[Enable support for IPv6])
   AC_DEFINE(IPV6_SPECIAL_SPLITSTACK,0,[Enable support for IPv6 on split-stack implementations])
   AC_DEFINE(IPV6_SPECIAL_V4MAPPED,0,[Enable v4-mapping through v6 sockets])
+  SET_IPV6_SETTINGS="\#IPv6 Not Available: "
 fi
+AC_SUBST(SET_IPV6_SETTINGS)
 
 dnl Check whether this OS defines ss_len as a member of sockaddr_storage
 AC_CACHE_CHECK([for ss_len field in struct sockaddr_storage],
@@ -3224,20 +3281,24 @@
 if test "$LINUX_NETFILTER" = "no" ; then
     AC_MSG_WARN([Cannot find necessary Linux kernel (Netfilter) header files])
     AC_MSG_WARN([Linux Transparent and Intercepting Proxy support WILL NOT be enabled])
+    LINUX_TPROXY2="no"
+    AC_DEFINE(LINUX_TPROXY2, 0, [Enable real Transparent Proxy support for Netfilter TPROXY v2.])
     sleep 10
 fi
 dnl Netfilter TPROXY depends on libcap but the NAT parts can still work.
-if test "$LINUX_NETFILTER" = "yes" && test "$use_caps" != "yes" ; then
+if test "$LINUX_NETFILTER" = "yes" && test "$use_libcap" != "yes" ; then
     AC_MSG_WARN([Missing needed capabilities (libcap or libcap2) for TPROXY])
     AC_MSG_WARN([Linux Transparent Proxy support WILL NOT be enabled])
     AC_MSG_WARN([Reduced support to Interception Proxy])
+    LINUX_TPROXY2="no"
+    AC_DEFINE(LINUX_TPROXY2, 0, [Enable real Transparent Proxy support for Netfilter TPROXY v2.])
     sleep 10
 fi
 
 dnl Linux Netfilter/TPROXYv2 support requires some specific header files
 dnl Shamelessly copied from above
 if test "$LINUX_TPROXY2"; then
-  if test "$use_caps" = "yes"; then
+  if test "$use_libcap" = "yes"; then
     AC_MSG_CHECKING(if TPROXYv2 header files are installed)
     # hold on to your hats...
     if test "$ac_cv_header_linux_netfilter_ipv4_ip_tproxy_h" = "yes" && test "$LINUX_NETFILTER" = "yes"; then
@@ -3258,6 +3319,8 @@
   else
     AC_MSG_WARN([Missing needed capabilities (libcap or libcap2) for TPROXY v2])
     AC_MSG_WARN([Linux Transparent Proxy support WILL NOT be enabled])
+    LINUX_TPROXY2="no"
+    AC_DEFINE(LINUX_TPROXY2, 0, [Enable real Transparent Proxy support for Netfilter TPROXY v2.])
     sleep 10
   fi
 fi
diff -u -r -N squid-3.1.0.14/contrib/Makefile.in squid-3.1.0.15/contrib/Makefile.in
--- squid-3.1.0.14/contrib/Makefile.in	2009-09-27 15:28:48.000000000 +1200
+++ squid-3.1.0.15/contrib/Makefile.in	2009-11-23 16:10:30.000000000 +1300
@@ -51,7 +51,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -70,6 +69,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -87,6 +87,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -98,6 +99,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -150,6 +152,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -167,6 +170,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/doc/Makefile.am squid-3.1.0.15/doc/Makefile.am
--- squid-3.1.0.14/doc/Makefile.am	2009-09-27 15:28:24.000000000 +1200
+++ squid-3.1.0.15/doc/Makefile.am	2009-11-23 16:09:50.000000000 +1300
@@ -12,10 +12,10 @@
 DEFAULT_ERROR_DIR       = $(datadir)/errors
 
 SUBSTITUTE=sed "\
-	s%@DEFAULT_CONFIG_FILE@%$(DEFAULT_CONFIG_FILE)%g;\
-	s%@DEFAULT_CACHEMGR_CONFIG@%$(DEFAULT_CACHEMGR_CONFIG)%g;\
-	s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
-	s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
+	s%$(DEFAULT_CONFIG_FILE)%$(DEFAULT_CONFIG_FILE)%g;\
+	s%$(DEFAULT_CACHEMGR_CONFIG)%$(DEFAULT_CACHEMGR_CONFIG)%g;\
+	s%$(DEFAULT_ERROR_DIR)%$(DEFAULT_ERROR_DIR)%g;\
+	s%$(DEFAULT_MIME_TABLE)%$(DEFAULT_MIME_TABLE)%g;\
 	s%@""PACKAGE_STRING""@%$(PACKAGE_STRING)%g;\
 	"
 
diff -u -r -N squid-3.1.0.14/doc/Makefile.in squid-3.1.0.15/doc/Makefile.in
--- squid-3.1.0.14/doc/Makefile.in	2009-09-27 15:28:48.000000000 +1200
+++ squid-3.1.0.15/doc/Makefile.in	2009-11-23 16:10:30.000000000 +1300
@@ -58,7 +58,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -77,6 +76,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -94,6 +94,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -105,6 +106,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -157,6 +159,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -174,6 +177,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -235,10 +239,10 @@
 DEFAULT_MIME_TABLE = $(sysconfdir)/mime.conf
 DEFAULT_ERROR_DIR = $(datadir)/errors
 SUBSTITUTE = sed "\
-	s%@DEFAULT_CONFIG_FILE@%$(DEFAULT_CONFIG_FILE)%g;\
-	s%@DEFAULT_CACHEMGR_CONFIG@%$(DEFAULT_CACHEMGR_CONFIG)%g;\
-	s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
-	s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
+	s%$(DEFAULT_CONFIG_FILE)%$(DEFAULT_CONFIG_FILE)%g;\
+	s%$(DEFAULT_CACHEMGR_CONFIG)%$(DEFAULT_CACHEMGR_CONFIG)%g;\
+	s%$(DEFAULT_ERROR_DIR)%$(DEFAULT_ERROR_DIR)%g;\
+	s%$(DEFAULT_MIME_TABLE)%$(DEFAULT_MIME_TABLE)%g;\
 	s%@""PACKAGE_STRING""@%$(PACKAGE_STRING)%g;\
 	"
 
diff -u -r -N squid-3.1.0.14/errors/ar/ERR_DIR_LISTING squid-3.1.0.15/errors/ar/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/ar/ERR_DIR_LISTING	2009-09-27 15:30:32.000000000 +1200
+++ squid-3.1.0.15/errors/ar/ERR_DIR_LISTING	2009-11-23 16:13:19.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/az/ERR_DIR_LISTING squid-3.1.0.15/errors/az/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/az/ERR_DIR_LISTING	2009-09-27 15:30:37.000000000 +1200
+++ squid-3.1.0.15/errors/az/ERR_DIR_LISTING	2009-11-23 16:13:24.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Direktoriyanın m�^�zmunu</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Ana direktoriya"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/az/ERR_DNS_FAIL squid-3.1.0.15/errors/az/ERR_DNS_FAIL
--- squid-3.1.0.14/errors/az/ERR_DNS_FAIL	2009-09-27 15:30:39.000000000 +1200
+++ squid-3.1.0.15/errors/az/ERR_DNS_FAIL	2009-11-23 16:13:27.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Uzaqda yerləşən kompyuterin İP adresini təyin mumkun olmadı <q>%H</q></b></p> </blockquote>  <p>The DNS server returned:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>Bu o deməkdir ki keş URL-də göstərilmiş serveri təyin edə bilmir. Adresin düzgün yazıldığını yoxlayın.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Uzaqda yerləşən kompyuterin İP adresini təyin mumkun olmadı <q>%H</q></b></p> </blockquote>  <p>DNS serverin cavabı:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>Bu o deməkdir ki keş URL-də göstərilmiş serveri təyin edə bilmir. Adresin düzgün yazıldığını yoxlayın.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/az/ERR_ICAP_FAILURE squid-3.1.0.15/errors/az/ERR_ICAP_FAILURE
--- squid-3.1.0.14/errors/az/ERR_ICAP_FAILURE	2009-09-27 15:30:37.000000000 +1200
+++ squid-3.1.0.15/errors/az/ERR_ICAP_FAILURE	2009-11-23 16:13:24.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>İCAP protokol s�^�hvi</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Mümkün probleml�^�rd�^�n b�^�zil�^�ri:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/az/ERR_INVALID_REQ squid-3.1.0.15/errors/az/ERR_INVALID_REQ
--- squid-3.1.0.14/errors/az/ERR_INVALID_REQ	2009-09-27 15:30:38.000000000 +1200
+++ squid-3.1.0.15/errors/az/ERR_INVALID_REQ	2009-11-23 16:13:25.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>(GET, POST) sorğusunun metodu məlum deyil və ya umumiyyətlə yoxdur.</p></li> <li><p>URL yoxdur.</p></li> <li><p>HTTP identifikator yoxdur (HTTP/1.0).</p></li> <li><p>Sorğu həddən ziyadə böyükdür.</p></li> <li><p>POST və PUT sorğuları üçün Content-Length göstərilməmişdir</p></li> <li><p>Server adında qadağan edilmiş simvol; altxətt yol verilməzdir.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mümkün probleml�^�rd�^�n b�^�zil�^�ri:</p> <ul> <li><p>(GET, POST) sorğusunun metodu məlum deyil və ya umumiyyətlə yoxdur.</p></li> <li><p>URL yoxdur.</p></li> <li><p>HTTP identifikator yoxdur (HTTP/1.0).</p></li> <li><p>Sorğu həddən ziyadə böyükdür.</p></li> <li><p>POST və PUT sorğuları üçün Content-Length göstərilməmişdir</p></li> <li><p>Server adında qadağan edilmiş simvol; altxətt yol verilməzdir.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/az/ERR_INVALID_RESP squid-3.1.0.15/errors/az/ERR_INVALID_RESP
--- squid-3.1.0.14/errors/az/ERR_INVALID_RESP	2009-09-27 15:30:40.000000000 +1200
+++ squid-3.1.0.15/errors/az/ERR_INVALID_RESP	2009-11-23 16:13:28.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Serverd�^�n gönd�^�rilmi�^� HTTP cavab mesajı s�^�hvdir v�^� ya s�^�hv formala�^�ıb. Xahi�^� edirik sayt operatoru il�^� �^�laq�^� saxlayın</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/az/ERR_INVALID_URL squid-3.1.0.15/errors/az/ERR_INVALID_URL
--- squid-3.1.0.14/errors/az/ERR_INVALID_URL	2009-09-27 15:30:39.000000000 +1200
+++ squid-3.1.0.15/errors/az/ERR_INVALID_URL	2009-11-23 16:13:28.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Invalid URL</b></p> </blockquote>  <p>URL-nin bəzi aspektləri səhvdir.</p>  <p>Some possible problems are:</p> <ul> <li><p>Giriş protokol yoxdur və ya səhvdir (<q>http://</q> və ya oxşar olmalıdır)</p></li> <li><p>Server adı yoxdur</p></li> <li><p>Illegal double-escape in the URL-Path</p></li> <li><p>Server adında qadağan edilmiş simvol; altxətt yol verilməzdir.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Invalid URL</b></p> </blockquote>  <p>URL-nin bəzi aspektləri səhvdir.</p>  <p>Mümkün probleml�^�rd�^�n b�^�zil�^�ri:</p> <ul> <li><p>Giriş protokol yoxdur və ya səhvdir (<q>http://</q> və ya oxşar olmalıdır)</p></li> <li><p>Server adı yoxdur</p></li> <li><p>Illegal double-escape in the URL-Path</p></li> <li><p>Server adında qadağan edilmiş simvol; altxətt yol verilməzdir.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/az/ERR_READ_TIMEOUT squid-3.1.0.15/errors/az/ERR_READ_TIMEOUT
--- squid-3.1.0.14/errors/az/ERR_READ_TIMEOUT	2009-09-27 15:30:37.000000000 +1200
+++ squid-3.1.0.15/errors/az/ERR_READ_TIMEOUT	2009-11-23 16:13:24.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gözləmə müddəti bitmişdir</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>Məlumatlar şəbəkədən oxunan zaman gözləmə müddəti bitmişdir. Şəbəkə və ya server işləmir, yaxud həddən ziyadə yüklənmişdir. Xahiş edirik, sorğunu təkrar edin.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gözləmə müddəti bitmişdir</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>Məlumatlar şəbəkədən oxunan zaman gözləmə müddəti bitmişdir. Şəbəkə və ya server işləmir, yaxud həddindən arıq yüklənmişdir. Xahiş edirik, sorğunu təkrar edin.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/bg/ERR_DIR_LISTING squid-3.1.0.15/errors/bg/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/bg/ERR_DIR_LISTING	2009-09-27 15:30:42.000000000 +1200
+++ squid-3.1.0.15/errors/bg/ERR_DIR_LISTING	2009-11-23 16:13:31.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Съдържание на директорията:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Горна директория"></a></th> <th nowrap="nowrap"><a href="../">Горна директория</a> (<a href="/">Главна директория</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Генерирано на %T от %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>директория: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>директория: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Съдържание на директорията:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Извличане съдържанието на директорията"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Горна директория"></a></th> <th nowrap="nowrap"><a href="../">Горна директория</a> (<a href="/">Главна директория</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Генерирано на %T от %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/ca/ERR_DIR_LISTING squid-3.1.0.15/errors/ca/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/ca/ERR_DIR_LISTING	2009-09-27 15:30:47.000000000 +1200
+++ squid-3.1.0.15/errors/ca/ERR_DIR_LISTING	2009-11-23 16:13:38.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/cs/ERR_DIR_LISTING squid-3.1.0.15/errors/cs/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/cs/ERR_DIR_LISTING	2009-09-27 15:30:52.000000000 +1200
+++ squid-3.1.0.15/errors/cs/ERR_DIR_LISTING	2009-11-23 16:13:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Adresář: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Adresář: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Obsah adresáře:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Listování adresáři"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Nadřazený adresář"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/cs/ERR_FTP_PUT_MODIFIED squid-3.1.0.15/errors/cs/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.14/errors/cs/ERR_FTP_PUT_MODIFIED	2009-09-27 15:30:50.000000000 +1200
+++ squid-3.1.0.15/errors/cs/ERR_FTP_PUT_MODIFIED	2009-11-23 16:13:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Successful: File Updated</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operace proběhla úspěšně</h1> <h2>Soubor aktualizován</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT úspešný: Soubor nahrán</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operace proběhla úspěšně</h1> <h2>Soubor aktualizován</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/cs/ERR_ICAP_FAILURE squid-3.1.0.15/errors/cs/ERR_ICAP_FAILURE
--- squid-3.1.0.14/errors/cs/ERR_ICAP_FAILURE	2009-09-27 15:30:52.000000000 +1200
+++ squid-3.1.0.15/errors/cs/ERR_ICAP_FAILURE	2009-11-23 16:13:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>Ze serveru ICAP byla přijata neplatná odpověď.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Chyba protokolu ICAP.</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>Ze serveru ICAP byla přijata neplatná odpověď.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/cs/ERR_INVALID_URL squid-3.1.0.15/errors/cs/ERR_INVALID_URL
--- squid-3.1.0.14/errors/cs/ERR_INVALID_URL	2009-09-27 15:30:55.000000000 +1200
+++ squid-3.1.0.15/errors/cs/ERR_INVALID_URL	2009-11-23 16:13:48.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Invalid URL</b></p> </blockquote>  <p>Některá část URL je chybná.</p>  <p>Some possible problems are:</p> <ul> <li><p>Missing or incorrect access protocol (should be <q>http://</q> or similar)</p></li> <li><p>Chybějící hostname</p></li> <li><p>Chybný double-escape v URL cestě</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Neplatná URL</b></p> </blockquote>  <p>Některá část URL je chybná.</p>  <p>Some possible problems are:</p> <ul> <li><p>Missing or incorrect access protocol (should be <q>http://</q> or similar)</p></li> <li><p>Chybějící hostname</p></li> <li><p>Chybný double-escape v URL cestě</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/cs/ERR_READ_ERROR squid-3.1.0.15/errors/cs/ERR_READ_ERROR
--- squid-3.1.0.14/errors/cs/ERR_READ_ERROR	2009-09-27 15:30:51.000000000 +1200
+++ squid-3.1.0.15/errors/cs/ERR_READ_ERROR	2009-11-23 16:13:43.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Read Error</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>Nastala chyba při čtení dat ze sítě. Prosím zkuste požadavek zopakovat.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Chyba při čtení</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>Nastala chyba při čtení dat ze sítě. Prosím zkuste požadavek zopakovat.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/da/ERR_DIR_LISTING squid-3.1.0.15/errors/da/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/da/ERR_DIR_LISTING	2009-09-27 15:30:57.000000000 +1200
+++ squid-3.1.0.15/errors/da/ERR_DIR_LISTING	2009-11-23 16:13:51.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/de/ERR_DIR_LISTING squid-3.1.0.15/errors/de/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/de/ERR_DIR_LISTING	2009-09-27 15:31:03.000000000 +1200
+++ squid-3.1.0.15/errors/de/ERR_DIR_LISTING	2009-11-23 16:13:57.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Verzeichnisinhalt:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Übergeordnetes Verzeichnis"></a></th> <th nowrap="nowrap"><a href="../">Übergeordnetes Verzeichnis</a> (<a href="/">Stammverzeichnis</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Erzeugt am %T von %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Verzeichnis: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Verzeichnis: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Verzeichnisinhalt:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Verzeichnis Auflistung"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Übergeordnetes Verzeichnis"></a></th> <th nowrap="nowrap"><a href="../">Übergeordnetes Verzeichnis</a> (<a href="/">Stammverzeichnis</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Erzeugt am %T von %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/el/ERR_DIR_LISTING squid-3.1.0.15/errors/el/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/el/ERR_DIR_LISTING	2009-09-27 15:31:08.000000000 +1200
+++ squid-3.1.0.15/errors/el/ERR_DIR_LISTING	2009-11-23 16:14:04.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/en/ERR_DIR_LISTING squid-3.1.0.15/errors/en/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/en/ERR_DIR_LISTING	2009-09-27 15:31:14.000000000 +1200
+++ squid-3.1.0.15/errors/en/ERR_DIR_LISTING	2009-11-23 16:14:11.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/es/ERR_DIR_LISTING squid-3.1.0.15/errors/es/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/es/ERR_DIR_LISTING	2009-09-27 15:31:20.000000000 +1200
+++ squid-3.1.0.15/errors/es/ERR_DIR_LISTING	2009-11-23 16:14:18.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Contenido del Directorio:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Directorio superior"></a></th> <th nowrap="nowrap"><a href="../">Directorio superior</a> (<a href="/">Directorio Raiz</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generado %T por %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directorio: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Contenido del Directorio:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Listado del directorio"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Directorio superior"></a></th> <th nowrap="nowrap"><a href="../">Directorio superior</a> (<a href="/">Directorio Raiz</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generado %T por %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/et/ERR_DIR_LISTING squid-3.1.0.15/errors/et/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/et/ERR_DIR_LISTING	2009-09-27 15:31:26.000000000 +1200
+++ squid-3.1.0.15/errors/et/ERR_DIR_LISTING	2009-11-23 16:14:24.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/fa/ERR_DIR_LISTING squid-3.1.0.15/errors/fa/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/fa/ERR_DIR_LISTING	2009-09-27 15:31:31.000000000 +1200
+++ squid-3.1.0.15/errors/fa/ERR_DIR_LISTING	2009-11-23 16:14:31.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>محتویات مسیر:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">مسیر اصلی</a> (<a href="/">مسیر ریشه</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>محتویات مسیر:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">مسیر اصلی</a> (<a href="/">مسیر ریشه</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/fi/ERR_DIR_LISTING squid-3.1.0.15/errors/fi/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/fi/ERR_DIR_LISTING	2009-09-27 15:31:36.000000000 +1200
+++ squid-3.1.0.15/errors/fi/ERR_DIR_LISTING	2009-11-23 16:14:38.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/fr/ERR_CACHE_ACCESS_DENIED squid-3.1.0.15/errors/fr/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.14/errors/fr/ERR_CACHE_ACCESS_DENIED	2009-09-27 15:31:43.000000000 +1200
+++ squid-3.1.0.15/errors/fr/ERR_CACHE_ACCESS_DENIED	2009-11-23 16:14:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: Cache Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Accès interdit.</h2> </div> <hr>  <div id="content"> <p>L'erreur suivante a été rencontrée en essayant d'accéder à l'URL : <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Accès au cache interdit.</b></p> </blockquote>  <p>Désolé, vous n'êtes actuellement pas autorisé à demander %U à ce cache tant que vous ne vous êtes pas identifié.</p>  <p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or <a href="http://%h/cgi-bin/chpasswd.cgi">change</a> your default password.</p>  <br> </div>  <hr>  <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: Cache Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Accès interdit.</h2> </div> <hr>  <div id="content"> <p>L'erreur suivante a été rencontrée en essayant d'accéder à l'URL : <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Accès au cache interdit.</b></p> </blockquote>  <p>Désolé, vous n'êtes actuellement pas autorisé à demander %U à ce cache tant que vous ne vous êtes pas identifié.</p>  <p>S'il vous plait, contacter l'<a href="mailto:%w%W">administrateur du cache</a> si vous avez des difficultés pour vous authentifier ou <a href="http://%h/cgi-bin/chpasswd.cgi">changez</a> votre mot de passe par défaut.</p>  <br> </div>  <hr>  <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/fr/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.15/errors/fr/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.14/errors/fr/ERR_CACHE_MGR_ACCESS_DENIED	2009-09-27 15:31:43.000000000 +1200
+++ squid-3.1.0.15/errors/fr/ERR_CACHE_MGR_ACCESS_DENIED	2009-11-23 16:14:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: Cache Manager Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Accès interdit.</h2> </div> <hr>  <div id="content"> <p>L'erreur suivante a été rencontrée en essayant d'accéder à l'URL : <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Accès au Gestionnaire de Cache Interdit.</b></p> </blockquote>  <p>Désolé, vous n'êtes pas autorisé à accéder à %U au travers de ce gestionnaire de cache sans vous être identifié.</p>  <p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or, if you <em>are</em> the administrator, read Squid documentation on cache manager interface and check cache log for more detailed error messages.</p>  <br> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: Cache Manager Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Accès interdit.</h2> </div> <hr>  <div id="content"> <p>L'erreur suivante a été rencontrée en essayant d'accéder à l'URL : <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Accès au Gestionnaire de Cache Interdit.</b></p> </blockquote>  <p>Désolé, vous n'êtes pas autorisé à accéder à %U au travers de ce gestionnaire de cache sans vous être identifié.</p>  <p>S'il vous plait, contacter l'<a href="mailto:%w%W">administrateur du cache</a> si vous avez des difficultés pour vous authentifier ou, si vous <em>êtes</em> l'administrateur, lisez la documentation de Squid sur l'interface du gestionnaire de cache et vérifiez les logs du cache pour avoir des détails sur les messages d'erreurs.</p>  <br> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/fr/ERR_CANNOT_FORWARD squid-3.1.0.15/errors/fr/ERR_CANNOT_FORWARD
--- squid-3.1.0.14/errors/fr/ERR_CANNOT_FORWARD	2009-09-27 15:31:43.000000000 +1200
+++ squid-3.1.0.15/errors/fr/ERR_CANNOT_FORWARD	2009-11-23 16:14:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: L'URL demandée n'a pu être chargée</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>L'erreur suivante a été rencontrée en essayant d'accéder à l'URL : <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Impossible de relayer cette requête en ce moment.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Votre administrateur de cache est <a href="mailto:%w">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: L'URL demandée n'a pu être chargée</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>L'erreur suivante a été rencontrée en essayant d'accéder à l'URL : <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Impossible de relayer cette requête en ce moment.</b></p> </blockquote>  <p>Cette requête ne peut pas être transférée au serveur d'origine ou à tous les caches parent. La cause la plus fréquente pour cette erreur est que l'administrateur du cache n'a pas donné les droits à ce cache pour créer des connexions directe vers les serveurs d'origine, et tous les caches parents configurés sont actuellement innacessibles.</p>  <p>Votre administrateur de cache est <a href="mailto:%w">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/fr/ERR_DIR_LISTING squid-3.1.0.15/errors/fr/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/fr/ERR_DIR_LISTING	2009-09-27 15:31:42.000000000 +1200
+++ squid-3.1.0.15/errors/fr/ERR_DIR_LISTING	2009-11-23 16:14:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Contenu du Répertoire :</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Répertoire Parent"></a></th> <th nowrap="nowrap"><a href="../">Répertoire Parent</a> (<a href="/">Répertoire Racine</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Répertoir : %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Répertoire: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Contenu du Répertoir:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Listing du Répertoir"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Répertoire Parent"></a></th> <th nowrap="nowrap"><a href="../">Répertoire Parent</a> (<a href="/">Répertoire Racine</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/fr/ERR_DNS_FAIL squid-3.1.0.15/errors/fr/ERR_DNS_FAIL
--- squid-3.1.0.14/errors/fr/ERR_DNS_FAIL	2009-09-27 15:31:44.000000000 +1200
+++ squid-3.1.0.15/errors/fr/ERR_DNS_FAIL	2009-11-23 16:14:47.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: L'URL demandée n'a pu être chargée</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>L'erreur suivante a été rencontrée en essayant d'accéder à l'URL : <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Impossible d'associer une adresse IP à la machine <q>%H</q></b></p> </blockquote>  <p>The DNS server returned:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Votre administrateur de cache est <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: L'URL demandée n'a pu être chargée</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>L'erreur suivante a été rencontrée en essayant d'accéder à l'URL : <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Impossible d'associer une adresse IP à la machine <q>%H</q></b></p> </blockquote>  <p>Le serveur DNS a retourné :</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>Cela signifie que le cache ne peut pas résoudre le nom de l'hôte présent dans l'URL. Vérifier si l'adresse est correcte.</p>  <p>Votre administrateur de cache est <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/fr/ERR_FTP_PUT_MODIFIED squid-3.1.0.15/errors/fr/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.14/errors/fr/ERR_FTP_PUT_MODIFIED	2009-09-27 15:31:40.000000000 +1200
+++ squid-3.1.0.15/errors/fr/ERR_FTP_PUT_MODIFIED	2009-11-23 16:14:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Successful: File Updated</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Opération réussie</h1> <h2>Fichier mis à jour</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>La commande FTP PUT a réussie : Fichier envoyé</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Opération réussie</h1> <h2>Fichier mis à jour</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/fr/ERR_INVALID_REQ squid-3.1.0.15/errors/fr/ERR_INVALID_REQ
--- squid-3.1.0.14/errors/fr/ERR_INVALID_REQ	2009-09-27 15:31:43.000000000 +1200
+++ squid-3.1.0.15/errors/fr/ERR_INVALID_REQ	2009-11-23 16:14:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: L'URL demandée n'a pu être chargée</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Une erreur <b>Requête Invalide</b> a été rencontrée en essayant de traiter la requête :</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Problèmes envisageables :</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Absence d'URL</p></li> <li><p>Absence d'identifiant HTTP (HTTP/1.0)</p></li> <li><p>La requête est peut-être trop volumineuse</p></li> <li><p>Champ Content-Length absent pour les requêtes POST ou PUT</p></li> <li><p>Caractère illégal dans le nom de la machine, les les soulignés (underscores) ne sont pas autorisés.</p></li> </ul>  <p>Votre administrateur de cache est <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ERREUR: L'URL demandée n'a pu être chargée</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Une erreur <b>Requête Invalide</b> a été rencontrée en essayant de traiter la requête :</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Problèmes envisageables :</p> <ul> <li><p>Méthode de requête inconnue ou perdue.</p></li> <li><p>Absence d'URL</p></li> <li><p>Absence d'identifiant HTTP (HTTP/1.0)</p></li> <li><p>La requête est peut-être trop volumineuse</p></li> <li><p>Champ Content-Length absent pour les requêtes POST ou PUT</p></li> <li><p>Caractère illégal dans le nom de la machine, les les soulignés (underscores) ne sont pas autorisés.</p></li> </ul>  <p>Votre administrateur de cache est <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Générée le %T par %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/he/ERR_DIR_LISTING squid-3.1.0.15/errors/he/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/he/ERR_DIR_LISTING	2009-09-27 15:31:47.000000000 +1200
+++ squid-3.1.0.15/errors/he/ERR_DIR_LISTING	2009-11-23 16:14:51.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/hu/ERR_DIR_LISTING squid-3.1.0.15/errors/hu/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/hu/ERR_DIR_LISTING	2009-09-27 15:31:52.000000000 +1200
+++ squid-3.1.0.15/errors/hu/ERR_DIR_LISTING	2009-11-23 16:14:58.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Szülőkönyvtár"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/hy/ERR_DIR_LISTING squid-3.1.0.15/errors/hy/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/hy/ERR_DIR_LISTING	2009-09-27 15:31:57.000000000 +1200
+++ squid-3.1.0.15/errors/hy/ERR_DIR_LISTING	2009-11-23 16:15:06.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/id/ERR_DIR_LISTING squid-3.1.0.15/errors/id/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/id/ERR_DIR_LISTING	2009-09-27 15:32:02.000000000 +1200
+++ squid-3.1.0.15/errors/id/ERR_DIR_LISTING	2009-11-23 16:15:12.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/it/ERR_DIR_LISTING squid-3.1.0.15/errors/it/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/it/ERR_DIR_LISTING	2009-09-27 15:32:07.000000000 +1200
+++ squid-3.1.0.15/errors/it/ERR_DIR_LISTING	2009-11-23 16:15:19.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Contenuto della directory:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Directory superiore"></a></th> <th nowrap="nowrap"><a href="../">Directory superiore</a> (<a href="/">Directory radice</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generato da %h (%s) il %T.</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Contenuto della directory:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Elenco della directory"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Directory superiore"></a></th> <th nowrap="nowrap"><a href="../">Directory superiore</a> (<a href="/">Directory radice</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generato da %h (%s) il %T.</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/ja/ERR_DIR_LISTING squid-3.1.0.15/errors/ja/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/ja/ERR_DIR_LISTING	2009-09-27 15:32:12.000000000 +1200
+++ squid-3.1.0.15/errors/ja/ERR_DIR_LISTING	2009-11-23 16:15:26.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>ディレクトリの内容:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="親のディレクトリ"></a></th> <th nowrap="nowrap"><a href="../">親のディレクトリ</a> (<a href="/">ルート・ディレクトリ</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>%Tに%h (%s)が生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ディレクトリ: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>ディレクトリの内容:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="親のディレクトリ"></a></th> <th nowrap="nowrap"><a href="../">親のディレクトリ</a> (<a href="/">ルート・ディレクトリ</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>%Tに%h (%s)が生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/ko/ERR_DIR_LISTING squid-3.1.0.15/errors/ko/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/ko/ERR_DIR_LISTING	2009-09-27 15:32:16.000000000 +1200
+++ squid-3.1.0.15/errors/ko/ERR_DIR_LISTING	2009-11-23 16:15:33.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/lt/ERR_DIR_LISTING squid-3.1.0.15/errors/lt/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/lt/ERR_DIR_LISTING	2009-09-27 15:32:21.000000000 +1200
+++ squid-3.1.0.15/errors/lt/ERR_DIR_LISTING	2009-11-23 16:15:39.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/lv/ERR_ACCESS_DENIED squid-3.1.0.15/errors/lv/ERR_ACCESS_DENIED
--- squid-3.1.0.14/errors/lv/ERR_ACCESS_DENIED	2009-09-27 15:32:26.000000000 +1200
+++ squid-3.1.0.15/errors/lv/ERR_ACCESS_DENIED	2009-11-23 16:15:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--  %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Iestājusies sekojoša kļūda mēģinot atvērt adresi: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pieeja liegta</b></p> </blockquote>  <p>Šobrīd pēc pieejas kontroles uzstādījumiem Jūsu pieprasījums nav atļauts. Ja Jūs domājat, ka tas nav korekti lūdzu sazinieties ar pakalpojumu sniedzēju.</p>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--  %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Iestājusies sekojoša kļūda mēģinot atvērt adresi: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pieeja liegta</b></p> </blockquote>  <p>Šobrīd pēc pieejas kontroles uzstādījumiem jūsu pieprasījums nav atļauts. Ja jūs domājat, ka tas nav korekti, lūdzu sazinieties ar pakalpojumu sniedzēju.</p>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/lv/ERR_DIR_LISTING squid-3.1.0.15/errors/lv/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/lv/ERR_DIR_LISTING	2009-09-27 15:32:26.000000000 +1200
+++ squid-3.1.0.15/errors/lv/ERR_DIR_LISTING	2009-11-23 16:15:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directorija saturs:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Augstāks Direktorijs"></a></th> <th nowrap="nowrap"><a href="../">Vecākdirektorijs</a> (<a href="/">Saknes direktorijs</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directorijs: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directorija saturs:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Direktorija saraksts"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Augstāks Direktorijs"></a></th> <th nowrap="nowrap"><a href="../">Vecākdirektorijs</a> (<a href="/">Saknes direktorijs</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/lv/ERR_INVALID_REQ squid-3.1.0.15/errors/lv/ERR_INVALID_REQ
--- squid-3.1.0.14/errors/lv/ERR_INVALID_REQ	2009-09-27 15:32:27.000000000 +1200
+++ squid-3.1.0.15/errors/lv/ERR_INVALID_REQ	2009-11-23 16:15:46.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Nekorekts Pieprasījums</b> notikusi kļūda mēģinot apstrādāt pieprasījumu:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Dažas iespējamās problēmas ir:</p> <ul> <li><p>Nav vai ir nezināma pieprasījuma metode.</p></li> <li><p>Pazudis URL.</p></li> <li><p>pietrūkst HTTP identifikators (HTTP/1.0).</p></li> <li><p>Pieprasījums ir par lielu.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Neatļauts simbols adresē. Pasvītrojuma rakstzīme nav atļauta.</p></li> </ul>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Nekorekts pieprasījums</b> notikusi kļūda mēģinot apstrādāt pieprasījumu:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Dažas iespējamās problēmas ir:</p> <ul> <li><p>Nav vai ir nezināma pieprasījuma metode.</p></li> <li><p>Pazudis URL.</p></li> <li><p>pietrūkst HTTP identifikators (HTTP/1.0).</p></li> <li><p>Pieprasījums ir par lielu.</p></li> <li><p>Content-Length missing for POST or PUT requests.</p></li> <li><p>Neatļauts simbols adresē. Pasvītrojuma rakstzīme nav atļauta.</p></li> </ul>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/lv/ERR_INVALID_RESP squid-3.1.0.15/errors/lv/ERR_INVALID_RESP
--- squid-3.1.0.14/errors/lv/ERR_INVALID_RESP	2009-09-27 15:32:28.000000000 +1200
+++ squid-3.1.0.15/errors/lv/ERR_INVALID_RESP	2009-11-23 16:15:48.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Nekorekta Atbilde</b> notikusi kļūda mēģinot apstrādāt pieprasījumu:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Ja nepieciešams, Jūsu kešatmiņas administrators Jums var precīzāk izklāstīt problēmas detaļas.</p>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Nekorekta atbilde</b> notikusi kļūda mēģinot apstrādāt pieprasījumu:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Ja nepieciešams, Jūsu kešatmiņas administrators Jums var precīzāk izklāstīt problēmas detaļas.</p>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/lv/ERR_READ_TIMEOUT squid-3.1.0.15/errors/lv/ERR_READ_TIMEOUT
--- squid-3.1.0.14/errors/lv/ERR_READ_TIMEOUT	2009-09-27 15:32:26.000000000 +1200
+++ squid-3.1.0.15/errors/lv/ERR_READ_TIMEOUT	2009-11-23 16:15:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Iestājusies sekojoša kļūda mēģinot atvērt adresi: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Lasīšanas noildze</b></p> </blockquote>  <p id="sysmsg">Sistēma atbildēja: <i>%E</i></p>  <p>Iestājusies noildze gaidot datus no tīkla. Tīkls vai serveris nestrādā vai ir pārslogots.</p>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Kļūda: Nevar atvērt pieprasīto adresi.</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Iestājusies sekojoša kļūda mēģinot atvērt adresi: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Lasīšanas noildze</b></p> </blockquote>  <p id="sysmsg">Sistēma atbildēja: <i>%E</i></p>  <p>Iestājusies noildze, gaidot datus no tīkla. Tīkls vai serveris nestrādā vai ir pārslogots.</p>  <p>Jūsu kešatmiņas administrators ir <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Ģenerēts %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/Makefile.in squid-3.1.0.15/errors/Makefile.in
--- squid-3.1.0.14/errors/Makefile.in	2009-09-27 15:28:48.000000000 +1200
+++ squid-3.1.0.15/errors/Makefile.in	2009-11-23 16:10:30.000000000 +1300
@@ -50,7 +50,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -69,6 +68,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -86,6 +86,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -97,6 +98,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -149,6 +151,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -166,6 +169,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/errors/ms/ERR_DIR_LISTING squid-3.1.0.15/errors/ms/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/ms/ERR_DIR_LISTING	2009-09-27 15:32:31.000000000 +1200
+++ squid-3.1.0.15/errors/ms/ERR_DIR_LISTING	2009-11-23 16:15:51.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Kandungan direktori</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Direktori Utama"></a></th> <th nowrap="nowrap"><a href="../">Direktori Utama</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Dibuat pada %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Direktori: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Kandungan direktori</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Senarai direktori"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Direktori Utama"></a></th> <th nowrap="nowrap"><a href="../">Direktori Utama</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Dibuat pada %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/nl/ERR_ACCESS_DENIED squid-3.1.0.15/errors/nl/ERR_ACCESS_DENIED
--- squid-3.1.0.14/errors/nl/ERR_ACCESS_DENIED	2009-09-27 15:32:35.000000000 +1200
+++ squid-3.1.0.15/errors/nl/ERR_ACCESS_DENIED	2009-11-23 16:15:58.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!--  %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Toegang Geweigerd.</b></p> </blockquote>  <p>U heeft geen toegang tot de URL die u probeerde op te vragen van deze server.  Neem contact op met uw service provider als u denkt dat dit niet klopt.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!--  %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Toegang niet toegestaan.</b></p> </blockquote>  <p>U heeft geen toegang tot de URL die u probeerde op te vragen van deze server.  Neem contact op met uw service provider als u denkt dat dit niet klopt.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/nl/ERR_CACHE_ACCESS_DENIED squid-3.1.0.15/errors/nl/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.14/errors/nl/ERR_CACHE_ACCESS_DENIED	2009-09-27 15:32:36.000000000 +1200
+++ squid-3.1.0.15/errors/nl/ERR_CACHE_ACCESS_DENIED	2009-11-23 16:15:59.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: Cache Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Toegang Geweigerd.</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache toegang niet toegestaan.</b></p> </blockquote>  <p>Sorry, het is u niet toegestaan om %U van deze cache op te vragen totdat u zich geidentificeerd hebt.</p>  <p>Neem contact op met de <a href="mailto:%w%W">cache beheerder</a> als u problemen heeft met authenticatie of <a href="http://%h/cgi-bin/chpasswd.cgi">verander</a> hier uw standaard wachtwoord.</p>  <br> </div>  <hr>  <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: Cache Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Toegang niet toegestaan.</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache toegang niet toegestaan.</b></p> </blockquote>  <p>Sorry, het is u niet toegestaan om %U van deze cache op te vragen totdat u zich geidentificeerd hebt.</p>  <p>Neem contact op met de <a href="mailto:%w%W">cache beheerder</a> als u problemen heeft met authenticatie of <a href="http://%h/cgi-bin/chpasswd.cgi">verander</a> hier uw standaard wachtwoord.</p>  <br> </div>  <hr>  <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.15/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.14/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED	2009-09-27 15:32:36.000000000 +1200
+++ squid-3.1.0.15/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED	2009-11-23 16:15:59.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: Cache Manager Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Toegang Geweigerd.</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache Manager toegang niet toegestaan.</b></p> </blockquote>  <p>Sorry, het is u momenteel niet toegestaan om %U op te vragen via deze cache manager totdat u zichzelf hebt geauthenticeerd.</p>  <p>Neem contact op met de <a href="mailto:%w%W">cache beheerder</a> als u problemen heeft met authenticatie. Als <em>U</em> de beheerder bent, lees dan de Squid documentatie over de cache manager interface en lees de cache log voor meer gedetailleerde foutmeldingen.</p>  <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: Cache Manager Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Toegang niet toegestaan.</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache Manager toegang niet toegestaan.</b></p> </blockquote>  <p>Sorry, het is u momenteel niet toegestaan om %U op te vragen via deze cache manager totdat u zichzelf hebt geauthenticeerd.</p>  <p>Neem contact op met de <a href="mailto:%w%W">cache beheerder</a> als u problemen heeft met authenticatie. Als <em>U</em> de beheerder bent, lees dan de Squid documentatie over de cache manager interface en lees de cache log voor meer gedetailleerde foutmeldingen.</p>  <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/nl/ERR_DIR_LISTING squid-3.1.0.15/errors/nl/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/nl/ERR_DIR_LISTING	2009-09-27 15:32:35.000000000 +1200
+++ squid-3.1.0.15/errors/nl/ERR_DIR_LISTING	2009-11-23 16:15:58.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Map Inhoud:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Hogere map"></a></th> <th nowrap="nowrap"><a href="../">Hogere Map</a> (<a href="/">Hoofd Map</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Map: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Map: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Map Inhoud:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Map Index"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Hogere map"></a></th> <th nowrap="nowrap"><a href="../">Hogere Map</a> (<a href="/">Hoofd Map</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_ACCESS_DENIED squid-3.1.0.15/errors/pl/ERR_ACCESS_DENIED
--- squid-3.1.0.14/errors/pl/ERR_ACCESS_DENIED	2009-09-27 15:32:40.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_ACCESS_DENIED	2009-11-23 16:16:08.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--  %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Dostęp zabroniony.</b></p> </blockquote>  <p>Konfiguracja serwera wyklucza Twój dostęp do niego w chwili obecnej. Skontaktuj się z Twoim providerem jeśli jest jest to nieprawidłowość.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--  %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Dostęp zabroniony.</b></p> </blockquote>  <p>Konfiguracja serwera wyklucza Twój dostęp do niego w chwili obecnej. Skontaktuj się z Twoim providerem jeśli jest jest to nieprawidłowość.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_CACHE_ACCESS_DENIED squid-3.1.0.15/errors/pl/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.14/errors/pl/ERR_CACHE_ACCESS_DENIED	2009-09-27 15:32:41.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_CACHE_ACCESS_DENIED	2009-11-23 16:16:09.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Cache Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Dostęp zabroniony.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Dostęp do serwera cache zabroniony.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>  <p>Skontaktuj się z <a href="mailto:%w%W">administratorem serwera cache</a> jeśli masz trudności z autoryzacją lub <a href="http://%h/cgi-bin/chpasswd.cgi">zmień</a> haslo.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Cache Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Dostęp zabroniony.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Dostęp do serwera cache zabroniony.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>  <p>Skontaktuj się z <a href="mailto:%w%W">administratorem serwera cache</a> jeśli masz trudności z autoryzacją lub <a href="http://%h/cgi-bin/chpasswd.cgi">zmień</a> haslo.</p>  <br> </div>  <hr>  <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.15/errors/pl/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.14/errors/pl/ERR_CACHE_MGR_ACCESS_DENIED	2009-09-27 15:32:41.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_CACHE_MGR_ACCESS_DENIED	2009-11-23 16:16:09.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Cache Manager Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Dostęp zabroniony.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Dostep do cache managera zabroniony.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache manager until you have authenticated yourself.</p>  <p>Skontaktuj się z <a href="mailto:%w%W">administratorem serwera cache</a> jeśli masz trudności z autoryzacją, jeśli <em>jesteś</em> administratorem, przeczytaj w dokumentacji Squida fragment dotyczący cache managera i sprawdź log serwera cache w poszukiwaniu bardziej szczegółowych komunikatów o błędach.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Cache Manager Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Dostęp zabroniony.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Dostep do cache managera zabroniony.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache manager until you have authenticated yourself.</p>  <p>Skontaktuj się z <a href="mailto:%w%W">administratorem serwera cache</a> jeśli masz trudności z autoryzacją, jeśli <em>jesteś</em> administratorem, przeczytaj w dokumentacji Squida fragment dotyczący cache managera i sprawdź log serwera cache w poszukiwaniu bardziej szczegółowych komunikatów o błędach.</p>  <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_CANNOT_FORWARD squid-3.1.0.15/errors/pl/ERR_CANNOT_FORWARD
--- squid-3.1.0.14/errors/pl/ERR_CANNOT_FORWARD	2009-09-27 15:32:40.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_CANNOT_FORWARD	2009-11-23 16:16:08.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nie można przekazać tego żądania w chwili obecnej.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nie można przekazać tego żądania w chwili obecnej.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_CONNECT_FAIL squid-3.1.0.15/errors/pl/ERR_CONNECT_FAIL
--- squid-3.1.0.14/errors/pl/ERR_CONNECT_FAIL	2009-09-27 15:32:39.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_CONNECT_FAIL	2009-11-23 16:16:05.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection to %I failed.</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>Serwer źródłowy lub sieć mogą być nieczynne. Spróbuj ponowić żądanie później.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nieudane połączenie z %I.</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>Serwer źródłowy lub sieć mogą być nieczynne. Spróbuj ponowić żądanie później.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_DIR_LISTING squid-3.1.0.15/errors/pl/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/pl/ERR_DIR_LISTING	2009-09-27 15:32:40.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_DIR_LISTING	2009-11-23 16:16:08.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_DNS_FAIL squid-3.1.0.15/errors/pl/ERR_DNS_FAIL
--- squid-3.1.0.14/errors/pl/ERR_DNS_FAIL	2009-09-27 15:32:42.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_DNS_FAIL	2009-11-23 16:16:11.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nie można ustalić adresu IP hosta o nazwie <q>%H</q></b></p> </blockquote>  <p>Serwer DNS zwrócił następującą wartość:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nie można ustalić adresu IP hosta o nazwie <q>%H</q></b></p> </blockquote>  <p>Serwer DNS zwrócił następującą wartość:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_ESI squid-3.1.0.15/errors/pl/ERR_ESI
--- squid-3.1.0.14/errors/pl/ERR_ESI	2009-09-27 15:32:38.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_ESI	2009-11-23 16:16:03.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI Processing failed.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI Processing failed.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_FORWARDING_DENIED squid-3.1.0.15/errors/pl/ERR_FORWARDING_DENIED
--- squid-3.1.0.14/errors/pl/ERR_FORWARDING_DENIED	2009-09-27 15:32:40.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_FORWARDING_DENIED	2009-11-23 16:16:08.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Przekazanie żądania zabronione.</b></p> </blockquote>  <p>Ten serwer cache nie przekaże Twojego żądania ponieważ wymusza ono relację typu sibling. Być może klient %i jest błędnie skonfigurowanym serwerem cache.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Przekazanie żądania zabronione.</b></p> </blockquote>  <p>Ten serwer cache nie przekaże Twojego żądania ponieważ wymusza ono relację typu sibling. Być może klient %i jest błędnie skonfigurowanym serwerem cache.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_FTP_DISABLED squid-3.1.0.15/errors/pl/ERR_FTP_DISABLED
--- squid-3.1.0.14/errors/pl/ERR_FTP_DISABLED	2009-09-27 15:32:42.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_FTP_DISABLED	2009-11-23 16:16:11.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP jest wyłączone</b></p> </blockquote>  <p>Ten serwer cache nie prowadzi połączeń FTP.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP jest wyłączone</b></p> </blockquote>  <p>Ten serwer cache nie prowadzi połączeń FTP.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_FTP_FAILURE squid-3.1.0.15/errors/pl/ERR_FTP_FAILURE
--- squid-3.1.0.14/errors/pl/ERR_FTP_FAILURE	2009-09-27 15:32:41.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_FTP_FAILURE	2009-11-23 16:16:10.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Wystąpił błąd protokołu FTP podczas sprowadznia URL-a: <a href="%U">%U</a></p>  <p>Squid wysłał następującą komendę FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Wystąpił błąd protokołu FTP podczas sprowadznia URL-a: <a href="%U">%U</a></p>  <p>Squid wysłał następującą komendę FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Odpowiedź serwera:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_FTP_FORBIDDEN squid-3.1.0.15/errors/pl/ERR_FTP_FORBIDDEN
--- squid-3.1.0.14/errors/pl/ERR_FTP_FORBIDDEN	2009-09-27 15:32:40.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_FTP_FORBIDDEN	2009-11-23 16:16:08.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP authentication failure occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid wysłał następującą komendę FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP authentication failure occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid wysłał następującą komendę FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Odpowiedź serwera:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_FTP_NOT_FOUND squid-3.1.0.15/errors/pl/ERR_FTP_NOT_FOUND
--- squid-3.1.0.14/errors/pl/ERR_FTP_NOT_FOUND	2009-09-27 15:32:39.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_FTP_NOT_FOUND	2009-11-23 16:16:06.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid wysłał następującą komendę FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>This might be caused by an FTP URL with an absolute path (which does not comply with RFC 1738).  If this is the cause, then the file can be found at <a href="%B">%B</a>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid wysłał następującą komendę FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Odpowiedź serwera:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>This might be caused by an FTP URL with an absolute path (which does not comply with RFC 1738).  If this is the cause, then the file can be found at <a href="%B">%B</a>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_FTP_PUT_CREATED squid-3.1.0.15/errors/pl/ERR_FTP_PUT_CREATED
--- squid-3.1.0.14/errors/pl/ERR_FTP_PUT_CREATED	2009-09-27 15:32:41.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_FTP_PUT_CREATED	2009-11-23 16:16:10.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Operacja FTP PUT udała się: plik został utworzony</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operacja zakończona pomyślnie</h1> <h2>plik został utworzony</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Operacja FTP PUT udała się: plik został utworzony</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operacja zakończona pomyślnie</h1> <h2>plik został utworzony</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_FTP_PUT_ERROR squid-3.1.0.15/errors/pl/ERR_FTP_PUT_ERROR
--- squid-3.1.0.14/errors/pl/ERR_FTP_PUT_ERROR	2009-09-27 15:32:41.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_FTP_PUT_ERROR	2009-11-23 16:16:09.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: FTP upload failed</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Nieudany FTP PUT/upload</h2> </div> <hr>  <div id="content"> <p>While trying to PUT the following URL: <a href="%U">%U</a></p>  <p>Squid wysłał następującą komendę FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: FTP upload failed</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Nieudany FTP PUT/upload</h2> </div> <hr>  <div id="content"> <p>While trying to PUT the following URL: <a href="%U">%U</a></p>  <p>Squid wysłał następującą komendę FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Odpowiedź serwera:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_FTP_PUT_MODIFIED squid-3.1.0.15/errors/pl/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.14/errors/pl/ERR_FTP_PUT_MODIFIED	2009-09-27 15:32:38.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_FTP_PUT_MODIFIED	2009-11-23 16:16:03.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Operacja FTP PUT udana: plik uaktualniony</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operacja zakończona pomyślnie</h1> <h2>plik uaktualniony</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Operacja FTP PUT udana: plik uaktualniony</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operacja zakończona pomyślnie</h1> <h2>plik uaktualniony</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_FTP_UNAVAILABLE squid-3.1.0.15/errors/pl/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.14/errors/pl/ERR_FTP_UNAVAILABLE	2009-09-27 15:32:39.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_FTP_UNAVAILABLE	2009-11-23 16:16:06.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid wysłał następującą komendę FTP:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid wysłał następującą komendę FTP:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Odpowiedź serwera:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_ICAP_FAILURE squid-3.1.0.15/errors/pl/ERR_ICAP_FAILURE
--- squid-3.1.0.14/errors/pl/ERR_ICAP_FAILURE	2009-09-27 15:32:40.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_ICAP_FAILURE	2009-11-23 16:16:07.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>Serwer ICAP jest nieosiągalny.</p></li> <li><p>Odebrano błędną odpowiedź z serwera ICAP</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_INVALID_REQ squid-3.1.0.15/errors/pl/ERR_INVALID_REQ
--- squid-3.1.0.14/errors/pl/ERR_INVALID_REQ	2009-09-27 15:32:41.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_INVALID_REQ	2009-11-23 16:16:09.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Brak lub nieznana metoda (GET, POST)</p></li> <li><p>Brak URL-a</p></li> <li><p>Brak identyfikatora HTTP (HTTP/1.0)</p></li> <li><p>RZbyt duży rozmiar żądania</p></li> <li><p>Brak pola Content-Length  dla metod POST lub PUT</p></li> <li><p>Błędny znak w nazwie hosta; podkreślenia (underscores) są niedozwolone</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Nieprawidłowe zapytanie</b> wystąpił błąd podczas próby przetworzenia zapytania</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Brak lub nieznana metoda (GET, POST)</p></li> <li><p>Brak URL-a</p></li> <li><p>Brak identyfikatora HTTP (HTTP/1.0)</p></li> <li><p>RZbyt duży rozmiar żądania</p></li> <li><p>Brak pola Content-Length  dla metod POST lub PUT</p></li> <li><p>Błędny znak w nazwie hosta; podkreślenia (underscores) są niedozwolone</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_INVALID_RESP squid-3.1.0.15/errors/pl/ERR_INVALID_RESP
--- squid-3.1.0.14/errors/pl/ERR_INVALID_RESP	2009-09-27 15:32:42.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_INVALID_RESP	2009-11-23 16:16:12.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Nieprawidłowa odpowiedź</b> wystąpił błąd podczas próby przetworzenia zapytania</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_INVALID_URL squid-3.1.0.15/errors/pl/ERR_INVALID_URL
--- squid-3.1.0.14/errors/pl/ERR_INVALID_URL	2009-09-27 15:32:42.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_INVALID_URL	2009-11-23 16:16:11.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>błędny URL</b></p> </blockquote>  <p>Some aspect of the requested URL is incorrect.</p>  <p>Some possible problems are:</p> <ul> <li><p>Brak lub niewłaściwy protokół (should be <q>http://</q> or similar)</p></li> <li><p>Brak nazwy hosta</p></li> <li><p>podwójna sekwencja escape w ścieżce URL</p></li> <li><p>Błędny znak w nazwie hosta; podkreślenia (underscores) są niedozwolone</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>błędny URL</b></p> </blockquote>  <p>Some aspect of the requested URL is incorrect.</p>  <p>Some possible problems are:</p> <ul> <li><p>Brak lub niewłaściwy protokół (should be <q>http://</q> or similar)</p></li> <li><p>Brak nazwy hosta</p></li> <li><p>podwójna sekwencja escape w ścieżce URL</p></li> <li><p>Błędny znak w nazwie hosta; podkreślenia (underscores) są niedozwolone</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_LIFETIME_EXP squid-3.1.0.15/errors/pl/ERR_LIFETIME_EXP
--- squid-3.1.0.14/errors/pl/ERR_LIFETIME_EXP	2009-09-27 15:32:39.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_LIFETIME_EXP	2009-11-23 16:16:06.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>przekroczony dopuszczalny czas połączenie</b></p> </blockquote>  <p>Squid zakończył realizację żądania, ponieważ czas jego realizacji przekroczył dopuszczalny limit.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>przekroczony dopuszczalny czas połączenie</b></p> </blockquote>  <p>Squid zakończył realizację żądania, ponieważ czas jego realizacji przekroczył dopuszczalny limit.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_NO_RELAY squid-3.1.0.15/errors/pl/ERR_NO_RELAY
--- squid-3.1.0.14/errors/pl/ERR_NO_RELAY	2009-09-27 15:32:42.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_NO_RELAY	2009-11-23 16:16:11.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>brak Wais Relay</b></p> </blockquote>  <p>Dla tego serwera cache nie został zdefiniowany WAIS relay! Zawiadom administratora.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>brak Wais Relay</b></p> </blockquote>  <p>Dla tego serwera cache nie został zdefiniowany WAIS relay! Zawiadom administratora.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.15/errors/pl/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.14/errors/pl/ERR_ONLY_IF_CACHED_MISS	2009-09-27 15:32:39.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_ONLY_IF_CACHED_MISS	2009-11-23 16:16:07.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>żądanie z dyrektywą <q>only-if-cached</q> dotyczyło dokumentu aktualnie nie przechowywanego przez sewer cache.</b></p> </blockquote>  <p>Żądanie zawierało dyrektywę <q>only-if-cached</q>. Dokument nie został znaleziony w zasobech serwera cache <em>lub</em> wymagał odświeżenia zabronionego dyrektywą <q>only-if-cached</q>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>żądanie z dyrektywą <q>only-if-cached</q> dotyczyło dokumentu aktualnie nie przechowywanego przez sewer cache.</b></p> </blockquote>  <p>Żądanie zawierało dyrektywę <q>only-if-cached</q>. Dokument nie został znaleziony w zasobech serwera cache <em>lub</em> wymagał odświeżenia zabronionego dyrektywą <q>only-if-cached</q>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_READ_ERROR squid-3.1.0.15/errors/pl/ERR_READ_ERROR
--- squid-3.1.0.14/errors/pl/ERR_READ_ERROR	2009-09-27 15:32:39.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_READ_ERROR	2009-11-23 16:16:06.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>błąd odczytu</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>Podczas czytania dokumentu z sieci wystąpił błąd. Proszę ponowić żądanie.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>błąd odczytu</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>Podczas czytania dokumentu z sieci wystąpił błąd. Proszę ponowić żądanie.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_READ_TIMEOUT squid-3.1.0.15/errors/pl/ERR_READ_TIMEOUT
--- squid-3.1.0.14/errors/pl/ERR_READ_TIMEOUT	2009-09-27 15:32:40.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_READ_TIMEOUT	2009-11-23 16:16:07.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>przekroczony czas odczytu</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>Przekroczony zostal dopuszczalny czas oczekiwania na dane z sieci. Sieć lub serwer źródłowy mogą być niedostępne lub przeciążone. Proszę ponowić żądanie.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>przekroczony czas odczytu</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>Przekroczony zostal dopuszczalny czas oczekiwania na dane z sieci. Sieć lub serwer źródłowy mogą być niedostępne lub przeciążone. Proszę ponowić żądanie.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_SECURE_CONNECT_FAIL squid-3.1.0.15/errors/pl/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.14/errors/pl/ERR_SECURE_CONNECT_FAIL	2009-09-27 15:32:38.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_SECURE_CONNECT_FAIL	2009-11-23 16:16:04.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Failed to establish a secure connection to %I</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nie można ustanowić bezpiecznego połączenia z %I</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_SHUTTING_DOWN squid-3.1.0.15/errors/pl/ERR_SHUTTING_DOWN
--- squid-3.1.0.14/errors/pl/ERR_SHUTTING_DOWN	2009-09-27 15:32:38.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_SHUTTING_DOWN	2009-11-23 16:16:04.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>This cache is in the process of shutting down and can not service your request at this time.  Please retry your request again soon.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>This cache is in the process of shutting down and can not service your request at this time.  Please retry your request again soon.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_SOCKET_FAILURE squid-3.1.0.15/errors/pl/ERR_SOCKET_FAILURE
--- squid-3.1.0.14/errors/pl/ERR_SOCKET_FAILURE	2009-09-27 15:32:39.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_SOCKET_FAILURE	2009-11-23 16:16:05.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket Failure</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>Squid nie jest w stanie otworzyć gniazdka TCP (TCP socket), prawdopodobnie z powodu przeciążenia systemu. Proszę ponowić żądanie.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket Failure</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>Squid nie jest w stanie otworzyć gniazdka TCP (TCP socket), prawdopodobnie z powodu przeciążenia systemu. Proszę ponowić żądanie.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_TOO_BIG squid-3.1.0.15/errors/pl/ERR_TOO_BIG
--- squid-3.1.0.14/errors/pl/ERR_TOO_BIG	2009-09-27 15:32:41.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_TOO_BIG	2009-11-23 16:16:10.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>The request or reply is too large.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Zapytanie lub odpowiedź jest zbyt długa.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_UNSUP_HTTPVERSION squid-3.1.0.15/errors/pl/ERR_UNSUP_HTTPVERSION
--- squid-3.1.0.14/errors/pl/ERR_UNSUP_HTTPVERSION	2009-09-27 15:32:40.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_UNSUP_HTTPVERSION	2009-11-23 16:16:07.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Unsupported HTTP version</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported HTTP version</b></p> </blockquote>  <p>This Squid does not accept the HTTP version you are attempting to use.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Nieobsługiwana wersja HTTP</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported HTTP version</b></p> </blockquote>  <p>This Squid does not accept the HTTP version you are attempting to use.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_UNSUP_REQ squid-3.1.0.15/errors/pl/ERR_UNSUP_REQ
--- squid-3.1.0.14/errors/pl/ERR_UNSUP_REQ	2009-09-27 15:32:41.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_UNSUP_REQ	2009-11-23 16:16:10.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>użyta w żądaniu kombinacja metoda/protokół jest niewłaściwa</b></p> </blockquote>  <p>Squid nie wspiera wszystkich metod we wszystkich protokołach. Na przykład nie możesz użyć metody POST w żądaniu skierowanym do usługi Gopher.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>użyta w żądaniu kombinacja metoda/protokół jest niewłaściwa</b></p> </blockquote>  <p>Squid nie wspiera wszystkich metod we wszystkich protokołach. Na przykład nie możesz użyć metody POST w żądaniu skierowanym do usługi Gopher.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_URN_RESOLVE squid-3.1.0.15/errors/pl/ERR_URN_RESOLVE
--- squid-3.1.0.14/errors/pl/ERR_URN_RESOLVE	2009-09-27 15:32:38.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_URN_RESOLVE	2009-11-23 16:16:04.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: The requested URN not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>URL dla żądanego URN nie może zostać sprowadzony</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>nie można zlokalizować URN</b></p> </blockquote>  <p>Proszę nie spodziewać się zbyt wiele od URNów z %T :)</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: The requested URN not be retrieved</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>URL dla żądanego URN nie może zostać sprowadzony</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>nie można zlokalizować URN</b></p> </blockquote>  <p>Proszę nie spodziewać się zbyt wiele od URNów z %T :)</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_WRITE_ERROR squid-3.1.0.15/errors/pl/ERR_WRITE_ERROR
--- squid-3.1.0.14/errors/pl/ERR_WRITE_ERROR	2009-09-27 15:32:42.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_WRITE_ERROR	2009-11-23 16:16:12.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>błąd zapisu</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>Wystąpił błąd podczas próby zapisu do sieci. Proszę ponowić żądanie.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>błąd zapisu</b></p> </blockquote>  <p id="sysmsg">System zwrócił wartość: <i>%E</i></p>  <p>Wystąpił błąd podczas próby zapisu do sieci. Proszę ponowić żądanie.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pl/ERR_ZERO_SIZE_OBJECT squid-3.1.0.15/errors/pl/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.14/errors/pl/ERR_ZERO_SIZE_OBJECT	2009-09-27 15:32:38.000000000 +1200
+++ squid-3.1.0.15/errors/pl/ERR_ZERO_SIZE_OBJECT	2009-11-23 16:16:04.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>sprowadzony dokument ma zerowy rozmiar</b></p> </blockquote>  <p>Squid nie otrzymał żadnych danych w odpowiedzi na to żądanie.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>BŁĄD: Żądany URL nie może zostać pobrany</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>sprowadzony dokument ma zerowy rozmiar</b></p> </blockquote>  <p>Squid nie otrzymał żadnych danych w odpowiedzi na to żądanie.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Utworzono %T przez %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pt/ERR_DIR_LISTING squid-3.1.0.15/errors/pt/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/pt/ERR_DIR_LISTING	2009-09-27 15:32:49.000000000 +1200
+++ squid-3.1.0.15/errors/pt/ERR_DIR_LISTING	2009-11-23 16:16:24.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/pt-br/ERR_DIR_LISTING squid-3.1.0.15/errors/pt-br/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/pt-br/ERR_DIR_LISTING	2009-09-27 15:32:45.000000000 +1200
+++ squid-3.1.0.15/errors/pt-br/ERR_DIR_LISTING	2009-11-23 16:16:16.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Conteúdo do diretório:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Diretório pai"></a></th> <th nowrap="nowrap"><a href="../">Diretório pai</a> (<a href="/">Diretório raiz</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Gerado %T por %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Diretório: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directório: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Conteúdo do diretório:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Listagem do diretório"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Diretório pai"></a></th> <th nowrap="nowrap"><a href="../">Diretório pai</a> (<a href="/">Diretório raiz</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Gerado %T por %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/ro/ERR_DIR_LISTING squid-3.1.0.15/errors/ro/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/ro/ERR_DIR_LISTING	2009-09-27 15:32:54.000000000 +1200
+++ squid-3.1.0.15/errors/ro/ERR_DIR_LISTING	2009-11-23 16:16:31.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Conţinutul directorului:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Director părinte"></a></th> <th nowrap="nowrap"><a href="../">Director părinte</a> (<a href="/">Director rădăcină</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directorul: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Conţinutul directorului:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Conţinutul directorului"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Director părinte"></a></th> <th nowrap="nowrap"><a href="../">Director părinte</a> (<a href="/">Director rădăcină</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/ru/ERR_DIR_LISTING squid-3.1.0.15/errors/ru/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/ru/ERR_DIR_LISTING	2009-09-27 15:32:59.000000000 +1200
+++ squid-3.1.0.15/errors/ru/ERR_DIR_LISTING	2009-11-23 16:16:38.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Содержимое каталога:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Родительский каталог"></a></th> <th nowrap="nowrap"><a href="../">Родительская директория</a> (<a href="/">Корневая директория</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Каталог: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Содержимое каталога:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Список файлов каталога"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Родительский каталог"></a></th> <th nowrap="nowrap"><a href="../">Родительская директория</a> (<a href="/">Корневая директория</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/sk/ERR_DIR_LISTING squid-3.1.0.15/errors/sk/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/sk/ERR_DIR_LISTING	2009-09-27 15:33:04.000000000 +1200
+++ squid-3.1.0.15/errors/sk/ERR_DIR_LISTING	2009-11-23 16:16:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/sr/ERR_DIR_LISTING squid-3.1.0.15/errors/sr/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/sr/ERR_DIR_LISTING	2009-09-27 15:33:08.000000000 +1200
+++ squid-3.1.0.15/errors/sr/ERR_DIR_LISTING	2009-11-23 16:16:51.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Надређени директоријум</a> (<a href="/">Основни директоријум</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Надређени директоријум</a> (<a href="/">Основни директоријум</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/sv/ERR_DIR_LISTING squid-3.1.0.15/errors/sv/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/sv/ERR_DIR_LISTING	2009-09-27 15:33:13.000000000 +1200
+++ squid-3.1.0.15/errors/sv/ERR_DIR_LISTING	2009-11-23 16:17:00.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Katalog: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Katalog: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Föräldrakatalog"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/sv/ERR_FTP_PUT_MODIFIED squid-3.1.0.15/errors/sv/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.14/errors/sv/ERR_FTP_PUT_MODIFIED	2009-09-27 15:33:11.000000000 +1200
+++ squid-3.1.0.15/errors/sv/ERR_FTP_PUT_MODIFIED	2009-11-23 16:16:56.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Successful: File Updated</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operationen lyckades</h1> <h2>Filen uppdaterades</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Lyckades: Fil Uppdaterad</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operationen lyckades</h1> <h2>Filen uppdaterades</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Skapad %T av %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/templates/ERR_DIR_LISTING squid-3.1.0.15/errors/templates/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/templates/ERR_DIR_LISTING	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/errors/templates/ERR_DIR_LISTING	2009-11-23 16:09:54.000000000 +1300
@@ -11,7 +11,7 @@
  --></style>
 </head><body>
 <div id="titles">
-<h2>Directory: <a href="/">%U</a>/</h2>
+<h2>Directory: <a href="%U">%U</a>/</h2>
 </div>
 <hr>
 
diff -u -r -N squid-3.1.0.14/errors/th/ERR_DIR_LISTING squid-3.1.0.15/errors/th/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/th/ERR_DIR_LISTING	2009-09-27 15:33:18.000000000 +1200
+++ squid-3.1.0.15/errors/th/ERR_DIR_LISTING	2009-11-23 16:17:08.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/tr/ERR_DIR_LISTING squid-3.1.0.15/errors/tr/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/tr/ERR_DIR_LISTING	2009-09-27 15:33:23.000000000 +1200
+++ squid-3.1.0.15/errors/tr/ERR_DIR_LISTING	2009-11-23 16:17:15.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/TRANSLATORS squid-3.1.0.15/errors/TRANSLATORS
--- squid-3.1.0.14/errors/TRANSLATORS	2009-09-27 15:28:24.000000000 +1200
+++ squid-3.1.0.15/errors/TRANSLATORS	2009-11-23 16:09:53.000000000 +1300
@@ -28,21 +28,36 @@
 	Akmal Xushvaqov <akmalxster@gmail.com>
 	Anon Sricharoenchai 
 	Arnis Rukis <Rukicc@apollo.lv>
+	Bertold Kolics <bertold@sztaki.hu>
 	Brie A. Gordon 
-	Daniel Nylander 
+	Daniel Nylander	
+	DiegoJ <diegojromerolopez@gmail.com>
 	d.s.div 
-	Félix Gómez 
+	Elxan İsmayılov <elxan.i@gmail.com>
+	Farid <exodius_@hotmail.com>
+	Félix Góm 
+	Fly-Man- 
+	Fredrik Svensson <fredrik@member.fsf.org>
 	FrenzY <frenzy.ivan@gmail.com>
 	Hasbinur 
 	Iker Sagasti Markina <iker@irontec.com>
 	juancarlospaco 
 	karlag  
+	Kuvaly <kuvaly@seznam.cz>
+	Kyle WANG <waxaca@163.com>
 	Lyongb 
+	Mārtiņš Bruņenieks 
 	MaXer 
 	Maxim S. 
+	Michal Prochowski 
 	Mohamad Faizul bin Zulkifli
 	Mr.Lodar 
+	Muszela Balázs <bazsi86@gmail.com>
+	Piotr Halas 
+	Quentin THEURET <quentin.theuret@gmail.com>
+	Rauf Kuliyev <rauf@kuliyev.com>
 	Ricardo Ichizo <n1ghtcr4wler@gmail.com>
+	Roberto Carrillo Granados 
 	smsoft 
 	Tobias 
 	Wang DaQing 
diff -u -r -N squid-3.1.0.14/errors/uk/ERR_DIR_LISTING squid-3.1.0.15/errors/uk/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/uk/ERR_DIR_LISTING	2009-09-27 15:33:27.000000000 +1200
+++ squid-3.1.0.15/errors/uk/ERR_DIR_LISTING	2009-11-23 16:17:21.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Згенеровано %T за %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Згенеровано %T за %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/uz/ERR_DIR_LISTING squid-3.1.0.15/errors/uz/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/uz/ERR_DIR_LISTING	2009-09-27 15:33:32.000000000 +1200
+++ squid-3.1.0.15/errors/uz/ERR_DIR_LISTING	2009-11-23 16:17:27.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Директория таркиби:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Асосий директория"></a></th> <th nowrap="nowrap"><a href="../">Асосий директория</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>%h (%s) томонидан  %T яратилган</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Директория: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Директория таркиби:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Директория рўйхатланмоқда"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Асосий директория"></a></th> <th nowrap="nowrap"><a href="../">Асосий директория</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>%h (%s) томонидан  %T яратилган</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_ACCESS_DENIED squid-3.1.0.15/errors/zh-cn/ERR_ACCESS_DENIED
--- squid-3.1.0.14/errors/zh-cn/ERR_ACCESS_DENIED	2009-09-27 15:33:37.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_ACCESS_DENIED	2009-11-23 16:17:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--  %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>访问被拒绝。</b></p> </blockquote>  <p>当前的存取控制设定禁止您的请求被接受，如果您觉得这是错误的，请与您网路服务的提供者联系。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--  %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>访问被拒绝。</b></p> </blockquote>  <p>当前的存取控制设定禁止您的请求被接受，如果您觉得这是错误的，请与您网路服务的提供者联系。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_CACHE_ACCESS_DENIED squid-3.1.0.15/errors/zh-cn/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.14/errors/zh-cn/ERR_CACHE_ACCESS_DENIED	2009-09-27 15:33:38.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_CACHE_ACCESS_DENIED	2009-11-23 16:17:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: Cache Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache 访问被拒绝。</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>缓存访问被拒绝。</b></p> </blockquote>  <p>抱歉，您不被允许通过本网络缓存服务器访问下列位置 %U 除非您通过了我们的身份验证。</p>  <p>如果您在身份验证上 发生困难，请与 <a href="mailto:%w%W">管理者</a> 联系。 或是<a href="http://%h/cgi-bin/chpasswd.cgi">更改</a>您的密码。</p>  <br> </div>  <hr>  <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: Cache Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache 访问被拒绝。</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>缓存访问被拒绝。</b></p> </blockquote>  <p>抱歉，您不被允许通过本网络缓存服务器访问下列位置 %U 除非您通过了我们的身份验证。</p>  <p>如果您在身份验证上 发生困难，请与 <a href="mailto:%w%W">管理者</a> 联系。 或是<a href="http://%h/cgi-bin/chpasswd.cgi">更改</a>您的密码。</p>  <br> </div>  <hr>  <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.15/errors/zh-cn/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.14/errors/zh-cn/ERR_CACHE_MGR_ACCESS_DENIED	2009-09-27 15:33:37.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_CACHE_MGR_ACCESS_DENIED	2009-11-23 16:17:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: Cache Manager Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager 访问被拒绝。</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>缓存管理访问被拒绝。</b></p> </blockquote>  <p>抱歉，您不被允许通过本缓存管理器访问以下位置 %U 除非您通过我们的身份验证。</p>  <p>如果您是在身份验证上发生问题，请先确定您有权对缓存使用管理器。或是与<a href="mailto:%w%W">管理者</a>联系。如果您<em>就是</em>管理者，请详细阅读 Squid 所附文件中与 cache manager 有关部份或检查 cache log 以便得到更详尽的细节。</p>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: Cache Manager Access Denied</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager 访问被拒绝。</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>缓存管理访问被拒绝。</b></p> </blockquote>  <p>抱歉，您不被允许通过本缓存管理器访问以下位置 %U 除非您通过我们的身份验证。</p>  <p>如果您是在身份验证上发生问题，请先确定您有权对缓存使用管理器。或是与<a href="mailto:%w%W">管理者</a>联系。如果您<em>就是</em>管理者，请详细阅读 Squid 所附文件中与 cache manager 有关部份或检查 cache log 以便得到更详尽的细节。</p>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_CANNOT_FORWARD squid-3.1.0.15/errors/zh-cn/ERR_CANNOT_FORWARD
--- squid-3.1.0.14/errors/zh-cn/ERR_CANNOT_FORWARD	2009-09-27 15:33:37.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_CANNOT_FORWARD	2009-11-23 16:17:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>目前无法将您的请求进行转送操作</b></p> </blockquote>  <p>您的请求无法被转送到原始网络服务器或其他的上层缓存服务器，发生这个问题最可能的原因是缓存服务器管理员不允许本服务器与原始网络服务器直接连结，而 所有本服务器指定的上层缓存服务器都暂时无法连结。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>目前无法将您的请求进行转送操作</b></p> </blockquote>  <p>您的请求无法被转送到原始网络服务器或其他的上层缓存服务器，发生这个问题最可能的原因是缓存服务器管理员不允许本服务器与原始网络服务器直接连结，而 所有本服务器指定的上层缓存服务器都暂时无法连结。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_CONNECT_FAIL squid-3.1.0.15/errors/zh-cn/ERR_CONNECT_FAIL
--- squid-3.1.0.14/errors/zh-cn/ERR_CONNECT_FAIL	2009-09-27 15:33:35.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_CONNECT_FAIL	2009-11-23 16:17:31.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>连接到 %I 失败。</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>您要连结的网络服务器或网络可能发生故障。请稍后再试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>连接到 %I 失败。</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>您要连结的网络服务器或网络可能发生故障。请稍后再试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_DIR_LISTING squid-3.1.0.15/errors/zh-cn/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/zh-cn/ERR_DIR_LISTING	2009-09-27 15:33:37.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_DIR_LISTING	2009-11-23 16:17:33.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>文件夹内容：</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="上级文件夹"></a></th> <th nowrap="nowrap"><a href="../">上级文件夹</a> (<a href="/">根文件夹</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>文件夹： %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>文件夹： <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>文件夹内容：</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="文件夹列表"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="上级文件夹"></a></th> <th nowrap="nowrap"><a href="../">上级文件夹</a> (<a href="/">根文件夹</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_DNS_FAIL squid-3.1.0.15/errors/zh-cn/ERR_DNS_FAIL
--- squid-3.1.0.14/errors/zh-cn/ERR_DNS_FAIL	2009-09-27 15:33:38.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_DNS_FAIL	2009-11-23 16:17:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>不能由主机名 <q>%H</q> 确定 IP 地址。</b></p> </blockquote>  <p>DNS 服务器返回了：</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>这表示 缓存服务器无法解析您输入网址（URL）中的主机名称， 请检查该名称是否正确。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>不能由主机名 <q>%H</q> 确定 IP 地址。</b></p> </blockquote>  <p>DNS 服务器返回了：</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>这表示 缓存服务器无法解析您输入网址（URL）中的主机名称， 请检查该名称是否正确。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_ESI squid-3.1.0.15/errors/zh-cn/ERR_ESI
--- squid-3.1.0.14/errors/zh-cn/ERR_ESI	2009-09-27 15:33:35.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_ESI	2009-11-23 16:17:30.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI 处理失败。</b></p> </blockquote>  <p>ESI 处理器返回了：</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>您的网站管理员是  <a href="mailto:%w">%w</a>。</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI 处理失败。</b></p> </blockquote>  <p>ESI 处理器返回了：</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>这意味着代理不能处理 ESI 模板。请向网站管理员报告这个错误。</p>  <p>您的网站管理员是  <a href="mailto:%w">%w</a>。</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_FORWARDING_DENIED squid-3.1.0.15/errors/zh-cn/ERR_FORWARDING_DENIED
--- squid-3.1.0.14/errors/zh-cn/ERR_FORWARDING_DENIED	2009-09-27 15:33:37.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_FORWARDING_DENIED	2009-11-23 16:17:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>拒绝转送</b></p> </blockquote>  <p>本缓存服务器无法转送您的请求，也许您是通过一个并未被本缓存服务器设定为允许存取的缓存服务器 %i 来访问的。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>拒绝转送</b></p> </blockquote>  <p>本缓存服务器无法转送您的请求，也许您是通过一个并未被本缓存服务器设定为允许存取的缓存服务器 %i 来访问的。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_FTP_DISABLED squid-3.1.0.15/errors/zh-cn/ERR_FTP_DISABLED
--- squid-3.1.0.14/errors/zh-cn/ERR_FTP_DISABLED	2009-09-27 15:33:38.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_FTP_DISABLED	2009-11-23 16:17:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP 被禁用</b></p> </blockquote>  <p>本缓存服务器未开放文件传输服务。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP 被禁用</b></p> </blockquote>  <p>本缓存服务器未开放文件传输服务。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_FTP_FAILURE squid-3.1.0.15/errors/zh-cn/ERR_FTP_FAILURE
--- squid-3.1.0.14/errors/zh-cn/ERR_FTP_FAILURE	2009-09-27 15:33:38.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_FTP_FAILURE	2009-11-23 16:17:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>尝试获取该URL:<a href="%U">%U</a>时发生一个FTP协议错误</p>  <p>本缓存服务器发出以下 FTP 命令：</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>尝试获取该URL:<a href="%U">%U</a>时发生一个FTP协议错误</p>  <p>本缓存服务器发出以下 FTP 命令：</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>服务器回应了：</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_FTP_FORBIDDEN squid-3.1.0.15/errors/zh-cn/ERR_FTP_FORBIDDEN
--- squid-3.1.0.14/errors/zh-cn/ERR_FTP_FORBIDDEN	2009-09-27 15:33:37.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_FTP_FORBIDDEN	2009-11-23 16:17:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>尝试获取 URL: <a href="%U">%U</a> 时发生一个FTP认证错误</p>  <p>本缓存服务器发出以下 FTP 命令：</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>尝试获取 URL: <a href="%U">%U</a> 时发生一个FTP认证错误</p>  <p>本缓存服务器发出以下 FTP 命令：</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>服务器回应了：</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_FTP_NOT_FOUND squid-3.1.0.15/errors/zh-cn/ERR_FTP_NOT_FOUND
--- squid-3.1.0.14/errors/zh-cn/ERR_FTP_NOT_FOUND	2009-09-27 15:33:36.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_FTP_NOT_FOUND	2009-11-23 16:17:32.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>无法取回下面的 URL： <a href="%U">%U</a></p>  <p>本缓存服务器发出以下 FTP 命令：</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>这可能是由于 FTP 网址（URL）中包含了绝对路径所致（不符合 RFC1738）。如果真的是这样，文件可以从<a href="%B">%B</a>位置找到。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>无法取回下面的 URL： <a href="%U">%U</a></p>  <p>本缓存服务器发出以下 FTP 命令：</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>服务器回应了：</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>这可能是由于 FTP 网址（URL）中包含了绝对路径所致（不符合 RFC1738）。如果真的是这样，文件可以从<a href="%B">%B</a>位置找到。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_FTP_PUT_ERROR squid-3.1.0.15/errors/zh-cn/ERR_FTP_PUT_ERROR
--- squid-3.1.0.14/errors/zh-cn/ERR_FTP_PUT_ERROR	2009-09-27 15:33:38.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_FTP_PUT_ERROR	2009-11-23 16:17:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: FTP upload failed</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/上传失败</h2> </div> <hr>  <div id="content"> <p>当尝试上传（PUT）到以下位置时： <a href="%U">%U</a></p>  <p>本缓存服务器发出以下 FTP 命令：</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: FTP upload failed</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/上传失败</h2> </div> <hr>  <div id="content"> <p>当尝试上传（PUT）到以下位置时： <a href="%U">%U</a></p>  <p>本缓存服务器发出以下 FTP 命令：</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>服务器回应了：</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>这说明 FTP 服务器可能没有权限或空间存储该文件。请检查路径、权限、磁盘空间后重试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_FTP_UNAVAILABLE squid-3.1.0.15/errors/zh-cn/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.14/errors/zh-cn/ERR_FTP_UNAVAILABLE	2009-09-27 15:33:36.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_FTP_UNAVAILABLE	2009-11-23 16:17:32.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>FTP 服务器太忙，无法取回 URL： <a href="%U">%U</a></p>  <p>本缓存服务器发出以下 FTP 命令：</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>FTP 服务器太忙，无法取回 URL： <a href="%U">%U</a></p>  <p>本缓存服务器发出以下 FTP 命令：</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>服务器回应了：</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_ICAP_FAILURE squid-3.1.0.15/errors/zh-cn/ERR_ICAP_FAILURE
--- squid-3.1.0.14/errors/zh-cn/ERR_ICAP_FAILURE	2009-09-27 15:33:36.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_ICAP_FAILURE	2009-11-23 16:17:33.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP 协议错误。</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>这意味着 ICAP 通信的某些地方失败了。</p>  <p>可能的问题包括：</p> <ul> <li><p>无法到达 ICAP 服务器。</p></li> <li><p>收到来自 ICAP 服务器的一个非法响应。</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP 协议错误。</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>这意味着 ICAP 通信的某些地方失败了。</p>  <p>可能的问题包括：</p> <ul> <li><p>无法到达 ICAP 服务器。</p></li> <li><p>收到来自 ICAP 服务器的一个非法响应。</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_INVALID_RESP squid-3.1.0.15/errors/zh-cn/ERR_INVALID_RESP
--- squid-3.1.0.14/errors/zh-cn/ERR_INVALID_RESP	2009-09-27 15:33:39.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_INVALID_RESP	2009-11-23 16:17:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>非法响应</b> 尝试处理请求时发生错误:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>非法响应</b> 尝试处理请求时发生错误:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>无法理解联系的服务器所传回的 HTTP 响应消息或者它已经损坏。请联系网站运行人员。</p>  <p>如果需要，您的缓存管理员可以提供更多细节以助了解该问题的准确性质。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_INVALID_URL squid-3.1.0.15/errors/zh-cn/ERR_INVALID_URL
--- squid-3.1.0.14/errors/zh-cn/ERR_INVALID_URL	2009-09-27 15:33:39.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_INVALID_URL	2009-11-23 16:17:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>无效的网址</b></p> </blockquote>  <p>Some aspect of the requested URL is incorrect.</p>  <p>可能的问题包括：</p> <ul> <li><p>缺少或不正确的通讯协议（应该如 <q>http://</q>或类似的开头）</p></li> <li><p>缺少欲连结的主机名称</p></li> <li><p>网址路径中有不合法双重转义符</p></li> <li><p>主机名称中包含不合法的字符；下划线是不允许的。</p></li> </ul>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>无效的网址</b></p> </blockquote>  <p>请求的 URL 地址有些部分不正确。</p>  <p>可能的问题包括：</p> <ul> <li><p>缺少或不正确的通讯协议（应该如 <q>http://</q>或类似的开头）</p></li> <li><p>缺少欲连结的主机名称</p></li> <li><p>网址路径中有不合法双重转义符</p></li> <li><p>主机名称中包含不合法的字符；下划线是不允许的。</p></li> </ul>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_LIFETIME_EXP squid-3.1.0.15/errors/zh-cn/ERR_LIFETIME_EXP
--- squid-3.1.0.14/errors/zh-cn/ERR_LIFETIME_EXP	2009-09-27 15:33:36.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_LIFETIME_EXP	2009-11-23 16:17:33.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>连接已过期</b></p> </blockquote>  <p>缓存服务器已终止您的连接请求，因为已经超过了最大连接等待时间。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>连接已过期</b></p> </blockquote>  <p>缓存服务器已终止您的连接请求，因为已经超过了最大连接等待时间。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_NO_RELAY squid-3.1.0.15/errors/zh-cn/ERR_NO_RELAY
--- squid-3.1.0.14/errors/zh-cn/ERR_NO_RELAY	2009-09-27 15:33:39.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_NO_RELAY	2009-11-23 16:17:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>无 Wais 中继</b></p> </blockquote>  <p>本缓存服务器没有设定 WAIS 中继主机！如有疑问请与缓存服务器管理员联系。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>无 Wais 中继</b></p> </blockquote>  <p>本缓存服务器没有设定 WAIS 中继主机！如有疑问请与缓存服务器管理员联系。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.15/errors/zh-cn/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.14/errors/zh-cn/ERR_ONLY_IF_CACHED_MISS	2009-09-27 15:33:36.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_ONLY_IF_CACHED_MISS	2009-11-23 16:17:33.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>请求的文件在本缓存服务器上未找到，而您设定了<q>only-if-cached</q>（只读取缓存）指令。</b></p> </blockquote>  <p>您送出了一个包含 <q>only-if-cached</q> （只读取缓存）缓存控制指令的连结请求。而所要的文件并未存在于本缓存服务器中，<em>或者</em>这个连结请求需要刷新文件而 <q>only-if-cached</q> 指令禁止这么做。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>请求的文件在本缓存服务器上未找到，而您设定了<q>only-if-cached</q>（只读取缓存）指令。</b></p> </blockquote>  <p>您送出了一个包含 <q>only-if-cached</q> （只读取缓存）缓存控制指令的连结请求。而所要的文件并未存在于本缓存服务器中，<em>或者</em>这个连结请求需要刷新文件而 <q>only-if-cached</q> 指令禁止这么做。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_READ_ERROR squid-3.1.0.15/errors/zh-cn/ERR_READ_ERROR
--- squid-3.1.0.14/errors/zh-cn/ERR_READ_ERROR	2009-09-27 15:33:36.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_READ_ERROR	2009-11-23 16:17:33.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>读取错误</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>正在通过网络读取数据时发生了错误，请重新尝试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>读取错误</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>正在通过网络读取数据时发生了错误，请重新尝试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_READ_TIMEOUT squid-3.1.0.15/errors/zh-cn/ERR_READ_TIMEOUT
--- squid-3.1.0.14/errors/zh-cn/ERR_READ_TIMEOUT	2009-09-27 15:33:36.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_READ_TIMEOUT	2009-11-23 16:17:33.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>读取超时</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>等待从网络读取数据时发生超时。 网络或服务器下线或拥挤。  请重新发送你的请求。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>读取超时</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>等待从网络读取数据时发生超时。 网络或服务器下线或拥挤。  请重新发送你的请求。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_SECURE_CONNECT_FAIL squid-3.1.0.15/errors/zh-cn/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.14/errors/zh-cn/ERR_SECURE_CONNECT_FAIL	2009-09-27 15:33:35.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_SECURE_CONNECT_FAIL	2009-11-23 16:17:31.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>建立到 %I 的安全连接失败</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>建立到 %I 的安全连接失败</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>此代理和远端主机无法为处理您的请求在相互可接受的安全设置上协商一致。有可能远端计算机不支持安全连接，或者代理对主机的安全凭据不认可。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_SHUTTING_DOWN squid-3.1.0.15/errors/zh-cn/ERR_SHUTTING_DOWN
--- squid-3.1.0.14/errors/zh-cn/ERR_SHUTTING_DOWN	2009-09-27 15:33:35.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_SHUTTING_DOWN	2009-11-23 16:17:31.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>本缓存服务器正在关闭，暂时无法为您服务。请稍侯再试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <p>本缓存服务器正在关闭，暂时无法为您服务。请稍侯再试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_SOCKET_FAILURE squid-3.1.0.15/errors/zh-cn/ERR_SOCKET_FAILURE
--- squid-3.1.0.14/errors/zh-cn/ERR_SOCKET_FAILURE	2009-09-27 15:33:35.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_SOCKET_FAILURE	2009-11-23 16:17:31.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket 建立失败</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>Squid （缓存服务器）无法建立 TCP socket（无法向系统申请建立新的网络连接），可能是因为负荷过重，请重新尝试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket 建立失败</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>Squid （缓存服务器）无法建立 TCP socket（无法向系统申请建立新的网络连接），可能是因为负荷过重，请重新尝试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_TOO_BIG squid-3.1.0.15/errors/zh-cn/ERR_TOO_BIG
--- squid-3.1.0.14/errors/zh-cn/ERR_TOO_BIG	2009-09-27 15:33:38.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_TOO_BIG	2009-11-23 16:17:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>请求或响应太大</b></p> </blockquote>  <p>如果您在执行 POST 或 PUT 请求，那是您要上传的东西太大。</p> <p>如果您在执行 GET 请求，那是您要下载的项目太大。</p> <p>这些长度限制由操作本缓存服务器的服务提供者制定。如果您觉得这是错误的，请与他们直接联系。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>请求或响应太大</b></p> </blockquote>  <p>如果您在执行 POST 或 PUT 请求，那是您要上传的东西太大。</p> <p>如果您在执行 GET 请求，那是您要下载的项目太大。</p> <p>这些长度限制由操作本缓存服务器的服务提供者制定。如果您觉得这是错误的，请与他们直接联系。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_UNSUP_HTTPVERSION squid-3.1.0.15/errors/zh-cn/ERR_UNSUP_HTTPVERSION
--- squid-3.1.0.14/errors/zh-cn/ERR_UNSUP_HTTPVERSION	2009-09-27 15:33:36.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_UNSUP_HTTPVERSION	2009-11-23 16:17:33.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>不支持的 HTTP 版本</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported HTTP version</b></p> </blockquote>  <p>此版本的 Squid 不接受您试图使用的 HTTP 版本。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>不支持的 HTTP 版本</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported HTTP version</b></p> </blockquote>  <p>此版本的 Squid 不接受您试图使用的 HTTP 版本。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_UNSUP_REQ squid-3.1.0.15/errors/zh-cn/ERR_UNSUP_REQ
--- squid-3.1.0.14/errors/zh-cn/ERR_UNSUP_REQ	2009-09-27 15:33:38.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_UNSUP_REQ	2009-11-23 16:17:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>不支持的请求方式和协议</b></p> </blockquote>  <p>Squid （缓存服务器）不能对所有的存取协议支持所有的请求方式。比如说，你不能对 GOPHER 进行一个 POST 请求。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>不支持的请求方式和协议</b></p> </blockquote>  <p>Squid （缓存服务器）不能对所有的存取协议支持所有的请求方式。比如说，你不能对 GOPHER 进行一个 POST 请求。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_WRITE_ERROR squid-3.1.0.15/errors/zh-cn/ERR_WRITE_ERROR
--- squid-3.1.0.14/errors/zh-cn/ERR_WRITE_ERROR	2009-09-27 15:33:39.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_WRITE_ERROR	2009-11-23 16:17:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>写入错误</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>通过网络写入数据时发生了错误，请重新尝试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>写入错误</b></p> </blockquote>  <p id="sysmsg">系统返回以下内容：<i>%E</i></p>  <p>通过网络写入数据时发生了错误，请重新尝试。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-cn/ERR_ZERO_SIZE_OBJECT squid-3.1.0.15/errors/zh-cn/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.14/errors/zh-cn/ERR_ZERO_SIZE_OBJECT	2009-09-27 15:33:35.000000000 +1200
+++ squid-3.1.0.15/errors/zh-cn/ERR_ZERO_SIZE_OBJECT	2009-11-23 16:17:31.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>响应内容长度为零</b></p> </blockquote>  <p>本缓存服务器从被连接的服务器上没有收到任何数据。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>错误: 您所请求的网址（URL）无法获取</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>当尝试取回该 URL 时遇到下面的错误：<a href="%U">%U</a></p>  <blockquote id="error"> <p><b>响应内容长度为零</b></p> </blockquote>  <p>本缓存服务器从被连接的服务器上没有收到任何数据。</p>  <p>缓存服务器的管理员 <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>已由 %h (%s) 生成 %T</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/errors/zh-tw/ERR_DIR_LISTING squid-3.1.0.15/errors/zh-tw/ERR_DIR_LISTING
--- squid-3.1.0.14/errors/zh-tw/ERR_DIR_LISTING	2009-09-27 15:33:41.000000000 +1200
+++ squid-3.1.0.15/errors/zh-tw/ERR_DIR_LISTING	2009-11-23 16:17:40.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directory: %U</title> <style type="text/css"><!--   %l  body :lang(fa) { direction: rtl; font-size: 100%; font-family: Tahoma, Roya, sans-serif; float: right; } :lang(he) { direction: rtl; float: right; }  --></style> </head><body> <div id="titles"> <h2>Directory: <a href="%U">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="dirlisting" summary="Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/DB/Makefile.in squid-3.1.0.15/helpers/basic_auth/DB/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/DB/Makefile.in	2009-09-27 15:28:49.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/DB/Makefile.in	2009-11-23 16:10:30.000000000 +1300
@@ -61,7 +61,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -80,6 +79,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -97,6 +97,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -108,6 +109,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -160,6 +162,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -177,6 +180,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/getpwnam/getpwnam_auth.c squid-3.1.0.15/helpers/basic_auth/getpwnam/getpwnam_auth.c
--- squid-3.1.0.14/helpers/basic_auth/getpwnam/getpwnam_auth.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/getpwnam/getpwnam_auth.c	2009-11-23 16:09:56.000000000 +1300
@@ -25,6 +25,7 @@
  */
 
 #include "config.h"
+#include "rfc1738.h"
 
 #if HAVE_STDIO_H
 #include <stdio.h>
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/getpwnam/Makefile.in squid-3.1.0.15/helpers/basic_auth/getpwnam/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/getpwnam/Makefile.in	2009-09-27 15:28:50.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/getpwnam/Makefile.in	2009-11-23 16:10:32.000000000 +1300
@@ -82,7 +82,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -101,6 +100,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -118,6 +118,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -129,6 +130,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -181,6 +183,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -198,6 +201,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -254,11 +258,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 getpwname_auth_SOURCES = getpwnam_auth.c 
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/LDAP/Makefile.in squid-3.1.0.15/helpers/basic_auth/LDAP/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/LDAP/Makefile.in	2009-09-27 15:28:49.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/LDAP/Makefile.in	2009-11-23 16:10:31.000000000 +1300
@@ -86,7 +86,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -105,6 +104,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -122,6 +122,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -133,6 +134,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -185,6 +187,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -202,6 +205,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -258,11 +262,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 man_MANS = squid_ldap_auth.8
 EXTRA_DIST = squid_ldap_auth.8
 squid_ldap_auth_SOURCES = squid_ldap_auth.c
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/LDAP/squid_ldap_auth.c squid-3.1.0.15/helpers/basic_auth/LDAP/squid_ldap_auth.c
--- squid-3.1.0.14/helpers/basic_auth/LDAP/squid_ldap_auth.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/LDAP/squid_ldap_auth.c	2009-11-23 16:09:55.000000000 +1300
@@ -84,6 +84,7 @@
 
 #define LDAP_DEPRECATED 1
 
+#include "rfc1738.h"
 #include "util.h"
 
 #include <stdio.h>
@@ -180,21 +181,21 @@
     ldap_set_option(ld, LDAP_OPT_REFERRALS, value);
 }
 static void
-squid_ldap_set_timelimit(LDAP * ld, int timelimit)
+squid_ldap_set_timelimit(LDAP * ld, int aTimeLimit)
 {
-    ldap_set_option(ld, LDAP_OPT_TIMELIMIT, &timelimit);
+    ldap_set_option(ld, LDAP_OPT_TIMELIMIT, &aTimeLimit);
 }
 static void
-squid_ldap_set_connect_timeout(LDAP * ld, int timelimit)
+squid_ldap_set_connect_timeout(LDAP * ld, int aTimeLimit)
 {
 #if defined(LDAP_OPT_NETWORK_TIMEOUT)
     struct timeval tv;
-    tv.tv_sec = timelimit;
+    tv.tv_sec = aTimeLimit;
     tv.tv_usec = 0;
     ldap_set_option(ld, LDAP_OPT_NETWORK_TIMEOUT, &tv);
 #elif defined(LDAP_X_OPT_CONNECT_TIMEOUT)
-    timelimit *= 1000;
-    ldap_set_option(ld, LDAP_X_OPT_CONNECT_TIMEOUT, &timelimit);
+    aTimeLimit *= 1000;
+    ldap_set_option(ld, LDAP_X_OPT_CONNECT_TIMEOUT, &aTimeLimit);
 #endif
 }
 static void
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/Makefile.am squid-3.1.0.15/helpers/basic_auth/Makefile.am
--- squid-3.1.0.14/helpers/basic_auth/Makefile.am	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/Makefile.am	2009-11-23 16:09:55.000000000 +1300
@@ -4,4 +4,4 @@
 #
 
 DIST_SUBDIRS	= getpwnam LDAP MSNT multi-domain-NTLM NCSA PAM SMB YP SASL mswin_sspi POP3 DB squid_radius_auth
-SUBDIRS		= @BASIC_AUTH_HELPERS@
+SUBDIRS		= $(BASIC_AUTH_HELPERS)
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/Makefile.in squid-3.1.0.15/helpers/basic_auth/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/Makefile.in	2009-09-27 15:28:49.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/Makefile.in	2009-11-23 16:10:31.000000000 +1300
@@ -62,7 +62,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -81,6 +80,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -98,6 +98,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -109,6 +110,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -161,6 +163,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -178,6 +181,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -235,7 +239,7 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 DIST_SUBDIRS = getpwnam LDAP MSNT multi-domain-NTLM NCSA PAM SMB YP SASL mswin_sspi POP3 DB squid_radius_auth
-SUBDIRS = @BASIC_AUTH_HELPERS@
+SUBDIRS = $(BASIC_AUTH_HELPERS)
 all: all-recursive
 
 .SUFFIXES:
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/MSNT/Makefile.in squid-3.1.0.15/helpers/basic_auth/MSNT/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/MSNT/Makefile.in	2009-09-27 15:28:49.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/MSNT/Makefile.in	2009-11-23 16:10:31.000000000 +1300
@@ -95,7 +95,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -114,6 +113,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -131,6 +131,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -142,6 +143,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -194,6 +196,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -211,6 +214,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -267,11 +271,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 MSNTAUTH_CONF = $(sysconfdir)/msntauth.conf
 msnt_auth_SOURCES = md4.c rfcnb-io.c rfcnb-util.c session.c msntauth.c \
 		msntauth.h smbdes.c smbencrypt.c smblib-util.c smblib.c \
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/MSNT/msntauth.c squid-3.1.0.15/helpers/basic_auth/MSNT/msntauth.c
--- squid-3.1.0.14/helpers/basic_auth/MSNT/msntauth.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/MSNT/msntauth.c	2009-11-23 16:09:55.000000000 +1300
@@ -31,6 +31,7 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
+#include "rfc1738.h"
 #include "util.h"
 
 #include <stdio.h>
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/MSNT/rfcnb-util.c squid-3.1.0.15/helpers/basic_auth/MSNT/rfcnb-util.c
--- squid-3.1.0.14/helpers/basic_auth/MSNT/rfcnb-util.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/MSNT/rfcnb-util.c	2009-11-23 16:09:55.000000000 +1300
@@ -375,10 +375,10 @@
 /* Disconnect the TCP connection to the server */
 
 int
-RFCNB_Close(int socket)
+RFCNB_Close(int aSocket)
 {
 
-    close(socket);
+    close(aSocket);
 
     /* If we want to do error recovery, here is where we put it */
 
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/MSNT/valid.c squid-3.1.0.15/helpers/basic_auth/MSNT/valid.c
--- squid-3.1.0.14/helpers/basic_auth/MSNT/valid.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/MSNT/valid.c	2009-11-23 16:09:55.000000000 +1300
@@ -9,16 +9,16 @@
 int
 Valid_User(char *USERNAME, char *PASSWORD, char *SERVER, char *BACKUP, char *DOMAIN)
 {
-    const char *SMB_Prots[] = {"PC NETWORK PROGRAM 1.0",
-                               "MICROSOFT NETWORKS 1.03",
-                               "MICROSOFT NETWORKS 3.0",
-                               "LANMAN1.0",
-                               "LM1.2X002",
-                               "Samba",
-                               "NT LM 0.12",
-                               "NT LANMAN 1.0",
-                               NULL
-                              };
+    const char *supportedDialects[] = {"PC NETWORK PROGRAM 1.0",
+                                       "MICROSOFT NETWORKS 1.03",
+                                       "MICROSOFT NETWORKS 3.0",
+                                       "LANMAN1.0",
+                                       "LM1.2X002",
+                                       "Samba",
+                                       "NT LM 0.12",
+                                       "NT LANMAN 1.0",
+                                       NULL
+                                      };
     void *con;
 
     SMB_Init();
@@ -29,7 +29,7 @@
             return (NTV_SERVER_ERROR);
         }
     }
-    if (SMB_Negotiate(con, SMB_Prots) < 0) {	/* An error */
+    if (SMB_Negotiate(con, supportedDialects) < 0) {	/* An error */
         SMB_Discon(con, 0);
         return (NTV_PROTOCOL_ERROR);
     }
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/mswin_sspi/Makefile.in squid-3.1.0.15/helpers/basic_auth/mswin_sspi/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/mswin_sspi/Makefile.in	2009-09-27 15:28:50.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/mswin_sspi/Makefile.in	2009-11-23 16:10:32.000000000 +1300
@@ -82,7 +82,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -101,6 +100,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -118,6 +118,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -129,6 +130,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -181,6 +183,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -198,6 +201,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -254,11 +258,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 mswin_auth_SOURCES = mswin_auth.c valid.c valid.h
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/multi-domain-NTLM/Makefile.in squid-3.1.0.15/helpers/basic_auth/multi-domain-NTLM/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/multi-domain-NTLM/Makefile.in	2009-09-27 15:28:50.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/multi-domain-NTLM/Makefile.in	2009-11-23 16:10:32.000000000 +1300
@@ -58,7 +58,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -77,6 +76,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -94,6 +94,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -105,6 +106,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -157,6 +159,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -174,6 +177,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/NCSA/Makefile.in squid-3.1.0.15/helpers/basic_auth/NCSA/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/NCSA/Makefile.in	2009-09-27 15:28:49.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/NCSA/Makefile.in	2009-11-23 16:10:31.000000000 +1300
@@ -86,7 +86,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -105,6 +104,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -122,6 +122,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -133,6 +134,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -185,6 +187,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -202,6 +205,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -258,11 +262,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 ncsa_auth_SOURCES = ncsa_auth.c crypt_md5.c crypt_md5.h
 man_MANS = ncsa_auth.8
 EXTRA_DIST = ncsa_auth.8
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/NCSA/ncsa_auth.c squid-3.1.0.15/helpers/basic_auth/NCSA/ncsa_auth.c
--- squid-3.1.0.14/helpers/basic_auth/NCSA/ncsa_auth.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/NCSA/ncsa_auth.c	2009-11-23 16:09:55.000000000 +1300
@@ -18,6 +18,7 @@
  */
 
 #include "config.h"
+#include "rfc1738.h"
 
 #if HAVE_STDIO_H
 #include <stdio.h>
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/PAM/Makefile.in squid-3.1.0.15/helpers/basic_auth/PAM/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/PAM/Makefile.in	2009-09-27 15:28:49.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/PAM/Makefile.in	2009-11-23 16:10:31.000000000 +1300
@@ -85,7 +85,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -104,6 +103,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -121,6 +121,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -132,6 +133,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -184,6 +186,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -201,6 +204,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -257,11 +261,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 man_MANS = pam_auth.8
 EXTRA_DIST = pam_auth.8
 LDADD = \
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/PAM/pam_auth.c squid-3.1.0.15/helpers/basic_auth/PAM/pam_auth.c
--- squid-3.1.0.14/helpers/basic_auth/PAM/pam_auth.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/PAM/pam_auth.c	2009-11-23 16:09:55.000000000 +1300
@@ -63,6 +63,7 @@
  * Compile this program with: gcc -o pam_auth pam_auth.c -lpam -ldl
  */
 
+#include "rfc1738.h"
 #include "util.h"
 
 #include <stdio.h>
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/POP3/Makefile.in squid-3.1.0.15/helpers/basic_auth/POP3/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/POP3/Makefile.in	2009-09-27 15:28:49.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/POP3/Makefile.in	2009-11-23 16:10:31.000000000 +1300
@@ -58,7 +58,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -77,6 +76,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -94,6 +94,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -105,6 +106,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -157,6 +159,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -174,6 +177,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/SASL/Makefile.in squid-3.1.0.15/helpers/basic_auth/SASL/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/SASL/Makefile.in	2009-09-27 15:28:50.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/SASL/Makefile.in	2009-11-23 16:10:32.000000000 +1300
@@ -82,7 +82,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -101,6 +100,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -118,6 +118,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -129,6 +130,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -181,6 +183,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -198,6 +201,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -254,11 +258,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
 	-L$(top_builddir)/lib -lmiscutil \
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/SASL/sasl_auth.c squid-3.1.0.15/helpers/basic_auth/SASL/sasl_auth.c
--- squid-3.1.0.14/helpers/basic_auth/SASL/sasl_auth.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/SASL/sasl_auth.c	2009-11-23 16:09:56.000000000 +1300
@@ -31,6 +31,7 @@
 #include <stdlib.h>
 #include <string.h>
 
+#include "rfc1738.h"
 #include "util.h"
 
 #ifdef HAVE_SASL_SASL_H
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/SMB/Makefile.in squid-3.1.0.15/helpers/basic_auth/SMB/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/SMB/Makefile.in	2009-09-27 15:28:50.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/SMB/Makefile.in	2009-11-23 16:10:32.000000000 +1300
@@ -88,7 +88,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -107,6 +106,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -124,6 +124,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -135,6 +136,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -187,6 +189,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -204,6 +207,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -260,11 +264,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 
 # SAMBAPREFIX must point to the directory where Samba has been installed.
 # By default, Samba is installed in /usr/local/samba. If you changed this
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/SMB/smb_auth.c squid-3.1.0.15/helpers/basic_auth/SMB/smb_auth.c
--- squid-3.1.0.14/helpers/basic_auth/SMB/smb_auth.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/SMB/smb_auth.c	2009-11-23 16:09:56.000000000 +1300
@@ -46,6 +46,7 @@
 #include <string.h>
 
 #include "util.h"
+#include "rfc1738.h"
 
 #define BUFSIZE			256
 #define NMB_UNICAST		1
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/squid_radius_auth/Makefile.in squid-3.1.0.15/helpers/basic_auth/squid_radius_auth/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/squid_radius_auth/Makefile.in	2009-09-27 15:28:50.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/squid_radius_auth/Makefile.in	2009-11-23 16:10:32.000000000 +1300
@@ -86,7 +86,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -105,6 +104,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -122,6 +122,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -133,6 +134,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -185,6 +187,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -202,6 +205,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -258,11 +262,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 man_MANS = squid_radius_auth.8
 EXTRA_DIST = squid_radius_auth.8
 squid_radius_auth_SOURCES = \
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c squid-3.1.0.15/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c
--- squid-3.1.0.14/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c	2009-11-23 16:09:56.000000000 +1300
@@ -219,7 +219,7 @@
  *    Generate a random vector.
  */
 static void
-random_vector(char *vector)
+random_vector(char *aVector)
 {
     int randno;
     int i;
@@ -227,8 +227,8 @@
     srand((time(0) ^ rand()) + rand());
     for (i = 0; i < AUTH_VECTOR_LEN;) {
         randno = rand();
-        memcpy(vector, &randno, sizeof(int));
-        vector += sizeof(int);
+        memcpy(aVector, &randno, sizeof(int));
+        aVector += sizeof(int);
         i += sizeof(int);
     }
 }
@@ -288,7 +288,7 @@
 }
 
 static int
-authenticate(int sockfd, const char *username, const char *passwd)
+authenticate(int socket_fd, const char *username, const char *passwd)
 {
     AUTH_HDR *auth;
     u_short total_length;
@@ -414,7 +414,7 @@
          *    Send the request we've built.
          */
         gettimeofday(&sent, NULL);
-        send(sockfd, (char *) auth, total_length, 0);
+        send(socket_fd, (char *) auth, total_length, 0);
         while ((time_spent = time_since(&sent)) < 1000000) {
             struct timeval tv;
             int rc, len;
@@ -426,11 +426,11 @@
                 tv.tv_usec = 1000000 - time_spent;
             }
             FD_ZERO(&readfds);
-            FD_SET(sockfd, &readfds);
-            if (select(sockfd + 1, &readfds, NULL, NULL, &tv) == 0)	/* Select timeout */
+            FD_SET(socket_fd, &readfds);
+            if (select(socket_fd + 1, &readfds, NULL, NULL, &tv) == 0)	/* Select timeout */
                 break;
             salen = sizeof(saremote);
-            len = recvfrom(sockfd, recv_buffer, sizeof(i_recv_buffer),
+            len = recvfrom(socket_fd, recv_buffer, sizeof(i_recv_buffer),
                            0, (struct sockaddr *) &saremote, &salen);
 
             if (len < 0)
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/YP/Makefile.in squid-3.1.0.15/helpers/basic_auth/YP/Makefile.in
--- squid-3.1.0.14/helpers/basic_auth/YP/Makefile.in	2009-09-27 15:28:50.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/YP/Makefile.in	2009-11-23 16:10:32.000000000 +1300
@@ -81,7 +81,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -100,6 +99,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -117,6 +117,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -128,6 +129,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -180,6 +182,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -197,6 +200,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -253,11 +257,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 yp_auth_SOURCES = yp_auth.c nis_support.h nis_support.c
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
diff -u -r -N squid-3.1.0.14/helpers/basic_auth/YP/yp_auth.c squid-3.1.0.15/helpers/basic_auth/YP/yp_auth.c
--- squid-3.1.0.14/helpers/basic_auth/YP/yp_auth.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/basic_auth/YP/yp_auth.c	2009-11-23 16:09:56.000000000 +1300
@@ -4,6 +4,8 @@
  */
 
 #include "config.h"
+#include "rfc1738.h"
+
 #if HAVE_STDIO_H
 #include <stdio.h>
 #endif
diff -u -r -N squid-3.1.0.14/helpers/digest_auth/eDirectory/ldap_backend.c squid-3.1.0.15/helpers/digest_auth/eDirectory/ldap_backend.c
--- squid-3.1.0.14/helpers/digest_auth/eDirectory/ldap_backend.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/digest_auth/eDirectory/ldap_backend.c	2009-11-23 16:09:57.000000000 +1300
@@ -97,21 +97,21 @@
     ldap_set_option(ld, LDAP_OPT_REFERRALS, value);
 }
 static void
-squid_ldap_set_timelimit(int timelimit)
+squid_ldap_set_timelimit(int aTimeLimit)
 {
-    ldap_set_option(ld, LDAP_OPT_TIMELIMIT, &timelimit);
+    ldap_set_option(ld, LDAP_OPT_TIMELIMIT, &aTimeLimit);
 }
 static void
-squid_ldap_set_connect_timeout(int timelimit)
+squid_ldap_set_connect_timeout(int aTimeLimit)
 {
 #if defined(LDAP_OPT_NETWORK_TIMEOUT)
     struct timeval tv;
-    tv.tv_sec = timelimit;
+    tv.tv_sec = aTimeLimit;
     tv.tv_usec = 0;
     ldap_set_option(ld, LDAP_OPT_NETWORK_TIMEOUT, &tv);
 #elif defined(LDAP_X_OPT_CONNECT_TIMEOUT)
-    timelimit *= 1000;
-    ldap_set_option(ld, LDAP_X_OPT_CONNECT_TIMEOUT, &timelimit);
+    aTimeLimit *= 1000;
+    ldap_set_option(ld, LDAP_X_OPT_CONNECT_TIMEOUT, &aTimeLimit);
 #endif
 }
 
@@ -135,12 +135,12 @@
         ld->ld_options &= ~LDAP_OPT_REFERRALS;
 }
 static void
-squid_ldap_set_timelimit(int timelimit)
+squid_ldap_set_timelimit(int aTimeLimit)
 {
-    ld->ld_timelimit = timelimit;
+    ld->ld_timelimit = aTimeLimit;
 }
 static void
-squid_ldap_set_connect_timeout(int timelimit)
+squid_ldap_set_connect_timeout(int aTimeLimit)
 {
     fprintf(stderr, "Connect timeouts not supported in your LDAP library\n");
 }
diff -u -r -N squid-3.1.0.14/helpers/digest_auth/eDirectory/Makefile.in squid-3.1.0.15/helpers/digest_auth/eDirectory/Makefile.in
--- squid-3.1.0.14/helpers/digest_auth/eDirectory/Makefile.in	2009-09-27 15:28:51.000000000 +1200
+++ squid-3.1.0.15/helpers/digest_auth/eDirectory/Makefile.in	2009-11-23 16:10:33.000000000 +1300
@@ -85,7 +85,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -104,6 +103,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -121,6 +121,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -132,6 +133,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -184,6 +186,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -201,6 +204,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -257,11 +261,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 digest_edir_auth_SOURCES = digest_pw_auth.c \
 	digest_common.h \
 	ldap_backend.c \
diff -u -r -N squid-3.1.0.14/helpers/digest_auth/ldap/ldap_backend.c squid-3.1.0.15/helpers/digest_auth/ldap/ldap_backend.c
--- squid-3.1.0.14/helpers/digest_auth/ldap/ldap_backend.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/digest_auth/ldap/ldap_backend.c	2009-11-23 16:09:57.000000000 +1300
@@ -95,21 +95,21 @@
     ldap_set_option(ld, LDAP_OPT_REFERRALS, value);
 }
 static void
-squid_ldap_set_timelimit(int timelimit)
+squid_ldap_set_timelimit(int aTimeLimit)
 {
-    ldap_set_option(ld, LDAP_OPT_TIMELIMIT, &timelimit);
+    ldap_set_option(ld, LDAP_OPT_TIMELIMIT, &aTimeLimit);
 }
 static void
-squid_ldap_set_connect_timeout(int timelimit)
+squid_ldap_set_connect_timeout(int aTimeLimit)
 {
 #if defined(LDAP_OPT_NETWORK_TIMEOUT)
     struct timeval tv;
-    tv.tv_sec = timelimit;
+    tv.tv_sec = aTimeLimit;
     tv.tv_usec = 0;
     ldap_set_option(ld, LDAP_OPT_NETWORK_TIMEOUT, &tv);
 #elif defined(LDAP_X_OPT_CONNECT_TIMEOUT)
-    timelimit *= 1000;
-    ldap_set_option(ld, LDAP_X_OPT_CONNECT_TIMEOUT, &timelimit);
+    aTimeLimit *= 1000;
+    ldap_set_option(ld, LDAP_X_OPT_CONNECT_TIMEOUT, &aTimeLimit);
 #endif
 }
 
@@ -133,12 +133,12 @@
         ld->ld_options &= ~LDAP_OPT_REFERRALS;
 }
 static void
-squid_ldap_set_timelimit(int timelimit)
+squid_ldap_set_timelimit(int aTimeLimit)
 {
-    ld->ld_timelimit = timelimit;
+    ld->ld_timelimit = aTimeLimit;
 }
 static void
-squid_ldap_set_connect_timeout(int timelimit)
+squid_ldap_set_connect_timeout(int aTimeLimit)
 {
     fprintf(stderr, "Connect timeouts not supported in your LDAP library\n");
 }
diff -u -r -N squid-3.1.0.14/helpers/digest_auth/ldap/Makefile.in squid-3.1.0.15/helpers/digest_auth/ldap/Makefile.in
--- squid-3.1.0.14/helpers/digest_auth/ldap/Makefile.in	2009-09-27 15:28:51.000000000 +1200
+++ squid-3.1.0.15/helpers/digest_auth/ldap/Makefile.in	2009-11-23 16:10:33.000000000 +1300
@@ -85,7 +85,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -104,6 +103,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -121,6 +121,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -132,6 +133,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -184,6 +186,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -201,6 +204,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -257,11 +261,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 digest_ldap_auth_SOURCES = digest_pw_auth.c \
 	digest_common.h \
 	ldap_backend.c \
diff -u -r -N squid-3.1.0.14/helpers/digest_auth/Makefile.am squid-3.1.0.15/helpers/digest_auth/Makefile.am
--- squid-3.1.0.14/helpers/digest_auth/Makefile.am	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/digest_auth/Makefile.am	2009-11-23 16:09:56.000000000 +1300
@@ -4,4 +4,4 @@
 #
 
 DIST_SUBDIRS	= password ldap eDirectory
-SUBDIRS		= @DIGEST_AUTH_HELPERS@
+SUBDIRS		= $(DIGEST_AUTH_HELPERS)
diff -u -r -N squid-3.1.0.14/helpers/digest_auth/Makefile.in squid-3.1.0.15/helpers/digest_auth/Makefile.in
--- squid-3.1.0.14/helpers/digest_auth/Makefile.in	2009-09-27 15:28:50.000000000 +1200
+++ squid-3.1.0.15/helpers/digest_auth/Makefile.in	2009-11-23 16:10:33.000000000 +1300
@@ -62,7 +62,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -81,6 +80,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -98,6 +98,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -109,6 +110,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -161,6 +163,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -178,6 +181,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -235,7 +239,7 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 DIST_SUBDIRS = password ldap eDirectory
-SUBDIRS = @DIGEST_AUTH_HELPERS@
+SUBDIRS = $(DIGEST_AUTH_HELPERS)
 all: all-recursive
 
 .SUFFIXES:
diff -u -r -N squid-3.1.0.14/helpers/digest_auth/password/Makefile.in squid-3.1.0.15/helpers/digest_auth/password/Makefile.in
--- squid-3.1.0.14/helpers/digest_auth/password/Makefile.in	2009-09-27 15:28:51.000000000 +1200
+++ squid-3.1.0.15/helpers/digest_auth/password/Makefile.in	2009-11-23 16:10:33.000000000 +1300
@@ -84,7 +84,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -103,6 +102,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -120,6 +120,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -131,6 +132,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -183,6 +185,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -200,6 +203,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -256,11 +260,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 digest_pw_auth_SOURCES = digest_pw_auth.c \
 	digest_common.h \
 	text_backend.c \
diff -u -r -N squid-3.1.0.14/helpers/digest_auth/password/text_backend.c squid-3.1.0.15/helpers/digest_auth/password/text_backend.c
--- squid-3.1.0.14/helpers/digest_auth/password/text_backend.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/digest_auth/password/text_backend.c	2009-11-23 16:09:57.000000000 +1300
@@ -53,7 +53,7 @@
 }
 
 static void
-read_passwd_file(const char *passwdfile, int ha1mode)
+read_passwd_file(const char *passwordFile, int isHa1Mode)
 {
     FILE *f;
     char buf[8192];
@@ -72,7 +72,7 @@
         fprintf(stderr, "digest_pw_auth: cannot create hash table\n");
         exit(1);
     }
-    f = fopen(passwdfile, "r");
+    f = fopen(passwordFile, "r");
     while (fgets(buf, 8192, f) != NULL) {
         if ((buf[0] == '#') || (buf[0] == ' ') || (buf[0] == '\t') ||
                 (buf[0] == '\n'))
@@ -88,7 +88,7 @@
             if (strncmp(passwd, "{HHA1}", 6) == 0) {
                 ha1 = passwd + 6;
                 passwd = NULL;
-            } else if (ha1mode) {
+            } else if (isHa1Mode) {
                 ha1 = passwd;
                 passwd = NULL;
             }
diff -u -r -N squid-3.1.0.14/helpers/external_acl/ip_user/main.c squid-3.1.0.15/helpers/external_acl/ip_user/main.c
--- squid-3.1.0.14/helpers/external_acl/ip_user/main.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/ip_user/main.c	2009-11-23 16:09:57.000000000 +1300
@@ -19,6 +19,7 @@
 *
 */
 
+#include "rfc1738.h"
 #include "util.h"
 
 #include <stdio.h>
diff -u -r -N squid-3.1.0.14/helpers/external_acl/ip_user/Makefile.am squid-3.1.0.15/helpers/external_acl/ip_user/Makefile.am
--- squid-3.1.0.14/helpers/external_acl/ip_user/Makefile.am	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/ip_user/Makefile.am	2009-11-23 16:09:57.000000000 +1300
@@ -29,4 +29,4 @@
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
 	-L$(top_builddir)/lib -lmiscutil \
-	@XTRA_LIBS@
+	$(XTRA_LIBS)
diff -u -r -N squid-3.1.0.14/helpers/external_acl/ip_user/Makefile.in squid-3.1.0.15/helpers/external_acl/ip_user/Makefile.in
--- squid-3.1.0.14/helpers/external_acl/ip_user/Makefile.in	2009-09-27 15:28:51.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/ip_user/Makefile.in	2009-11-23 16:10:33.000000000 +1300
@@ -61,7 +61,9 @@
 	match.$(OBJEXT)
 ip_user_check_OBJECTS = $(am_ip_user_check_OBJECTS)
 ip_user_check_LDADD = $(LDADD)
-ip_user_check_DEPENDENCIES = $(top_builddir)/compat/libcompat.la
+am__DEPENDENCIES_1 =
+ip_user_check_DEPENDENCIES = $(top_builddir)/compat/libcompat.la \
+	$(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = 
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
 am__depfiles_maybe = depfiles
@@ -81,7 +83,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -100,6 +101,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -117,6 +119,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -128,6 +131,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -180,6 +184,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -197,6 +202,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -253,11 +259,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 ip_user_check_SOURCES = \
 	dict.c \
 	ip_user.h \
@@ -273,7 +279,7 @@
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
 	-L$(top_builddir)/lib -lmiscutil \
-	@XTRA_LIBS@
+	$(XTRA_LIBS)
 
 all: all-am
 
diff -u -r -N squid-3.1.0.14/helpers/external_acl/ldap_group/Makefile.am squid-3.1.0.15/helpers/external_acl/ldap_group/Makefile.am
--- squid-3.1.0.14/helpers/external_acl/ldap_group/Makefile.am	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/ldap_group/Makefile.am	2009-11-23 16:09:57.000000000 +1300
@@ -22,4 +22,4 @@
 	-L$(top_builddir)/lib -lmiscutil \
 	$(LIB_LDAP) \
 	$(LIB_LBER) \
-	@XTRA_LIBS@
+	$(XTRA_LIBS)
diff -u -r -N squid-3.1.0.14/helpers/external_acl/ldap_group/Makefile.in squid-3.1.0.15/helpers/external_acl/ldap_group/Makefile.in
--- squid-3.1.0.14/helpers/external_acl/ldap_group/Makefile.in	2009-09-27 15:28:51.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/ldap_group/Makefile.in	2009-11-23 16:10:34.000000000 +1300
@@ -62,7 +62,8 @@
 squid_ldap_group_LDADD = $(LDADD)
 am__DEPENDENCIES_1 =
 squid_ldap_group_DEPENDENCIES = $(top_builddir)/compat/libcompat.la \
-	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = 
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
 am__depfiles_maybe = depfiles
@@ -85,7 +86,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -104,6 +104,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -121,6 +122,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -132,6 +134,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -184,6 +187,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -201,6 +205,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -257,11 +262,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 man_MANS = squid_ldap_group.8
 EXTRA_DIST = squid_ldap_group.8
 squid_ldap_group_SOURCES = squid_ldap_group.c
@@ -270,7 +275,7 @@
 	-L$(top_builddir)/lib -lmiscutil \
 	$(LIB_LDAP) \
 	$(LIB_LBER) \
-	@XTRA_LIBS@
+	$(XTRA_LIBS)
 
 all: all-am
 
diff -u -r -N squid-3.1.0.14/helpers/external_acl/ldap_group/squid_ldap_group.c squid-3.1.0.15/helpers/external_acl/ldap_group/squid_ldap_group.c
--- squid-3.1.0.14/helpers/external_acl/ldap_group/squid_ldap_group.c	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/ldap_group/squid_ldap_group.c	2009-11-23 16:09:57.000000000 +1300
@@ -35,6 +35,7 @@
 
 #define LDAP_DEPRECATED 1
 
+#include "rfc1738.h"
 #include "util.h"
 
 #include <stdio.h>
@@ -140,21 +141,21 @@
     ldap_set_option(ld, LDAP_OPT_REFERRALS, value);
 }
 static void
-squid_ldap_set_timelimit(LDAP * ld, int timelimit)
+squid_ldap_set_timelimit(LDAP * ld, int aTimeLimit)
 {
-    ldap_set_option(ld, LDAP_OPT_TIMELIMIT, &timelimit);
+    ldap_set_option(ld, LDAP_OPT_TIMELIMIT, &aTimeLimit);
 }
 static void
-squid_ldap_set_connect_timeout(LDAP * ld, int timelimit)
+squid_ldap_set_connect_timeout(LDAP * ld, int aTimeLimit)
 {
 #if defined(LDAP_OPT_NETWORK_TIMEOUT)
     struct timeval tv;
-    tv.tv_sec = timelimit;
+    tv.tv_sec = aTimeLimit;
     tv.tv_usec = 0;
     ldap_set_option(ld, LDAP_OPT_NETWORK_TIMEOUT, &tv);
 #elif defined(LDAP_X_OPT_CONNECT_TIMEOUT)
-    timelimit *= 1000;
-    ldap_set_option(ld, LDAP_X_OPT_CONNECT_TIMEOUT, &timelimit);
+    aTimeLimit *= 1000;
+    ldap_set_option(ld, LDAP_X_OPT_CONNECT_TIMEOUT, &aTimeLimit);
 #endif
 }
 static void
diff -u -r -N squid-3.1.0.14/helpers/external_acl/Makefile.am squid-3.1.0.15/helpers/external_acl/Makefile.am
--- squid-3.1.0.14/helpers/external_acl/Makefile.am	2009-09-27 15:28:25.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/Makefile.am	2009-11-23 16:09:57.000000000 +1300
@@ -4,4 +4,4 @@
 #
 
 DIST_SUBDIRS	= ip_user ldap_group mswin_ad_group mswin_lm_group session unix_group wbinfo_group
-SUBDIRS		= @EXTERNAL_ACL_HELPERS@
+SUBDIRS		= $(EXTERNAL_ACL_HELPERS)
diff -u -r -N squid-3.1.0.14/helpers/external_acl/Makefile.in squid-3.1.0.15/helpers/external_acl/Makefile.in
--- squid-3.1.0.14/helpers/external_acl/Makefile.in	2009-09-27 15:28:51.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/Makefile.in	2009-11-23 16:10:33.000000000 +1300
@@ -62,7 +62,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -81,6 +80,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -98,6 +98,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -109,6 +110,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -161,6 +163,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -178,6 +181,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -235,7 +239,7 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 DIST_SUBDIRS = ip_user ldap_group mswin_ad_group mswin_lm_group session unix_group wbinfo_group
-SUBDIRS = @EXTERNAL_ACL_HELPERS@
+SUBDIRS = $(EXTERNAL_ACL_HELPERS)
 all: all-recursive
 
 .SUFFIXES:
diff -u -r -N squid-3.1.0.14/helpers/external_acl/mswin_ad_group/Makefile.in squid-3.1.0.15/helpers/external_acl/mswin_ad_group/Makefile.in
--- squid-3.1.0.14/helpers/external_acl/mswin_ad_group/Makefile.in	2009-09-27 15:28:52.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/mswin_ad_group/Makefile.in	2009-11-23 16:10:34.000000000 +1300
@@ -79,7 +79,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -98,6 +97,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -115,6 +115,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -126,6 +127,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -178,6 +180,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -195,6 +198,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/helpers/external_acl/mswin_lm_group/Makefile.in squid-3.1.0.15/helpers/external_acl/mswin_lm_group/Makefile.in
--- squid-3.1.0.14/helpers/external_acl/mswin_lm_group/Makefile.in	2009-09-27 15:28:52.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/mswin_lm_group/Makefile.in	2009-11-23 16:10:34.000000000 +1300
@@ -79,7 +79,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -98,6 +97,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -115,6 +115,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -126,6 +127,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -178,6 +180,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -195,6 +198,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/helpers/external_acl/session/Makefile.am squid-3.1.0.15/helpers/external_acl/session/Makefile.am
--- squid-3.1.0.14/helpers/external_acl/session/Makefile.am	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/session/Makefile.am	2009-11-23 16:09:57.000000000 +1300
@@ -19,4 +19,4 @@
 
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
-	@LIB_DB@
+	$(LIB_DB)
diff -u -r -N squid-3.1.0.14/helpers/external_acl/session/Makefile.in squid-3.1.0.15/helpers/external_acl/session/Makefile.in
--- squid-3.1.0.14/helpers/external_acl/session/Makefile.in	2009-09-27 15:28:52.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/session/Makefile.in	2009-11-23 16:10:34.000000000 +1300
@@ -60,7 +60,9 @@
 am_squid_session_OBJECTS = squid_session.$(OBJEXT)
 squid_session_OBJECTS = $(am_squid_session_OBJECTS)
 squid_session_LDADD = $(LDADD)
-squid_session_DEPENDENCIES = $(top_builddir)/compat/libcompat.la
+am__DEPENDENCIES_1 =
+squid_session_DEPENDENCIES = $(top_builddir)/compat/libcompat.la \
+	$(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = 
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
 am__depfiles_maybe = depfiles
@@ -83,7 +85,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -102,6 +103,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -119,6 +121,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -130,6 +133,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -182,6 +186,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -199,6 +204,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -255,17 +261,17 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 man_MANS = squid_session.8
 EXTRA_DIST = squid_session.8
 squid_session_SOURCES = squid_session.c
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
-	@LIB_DB@
+	$(LIB_DB)
 
 all: all-am
 
diff -u -r -N squid-3.1.0.14/helpers/external_acl/session/squid_session.c squid-3.1.0.15/helpers/external_acl/session/squid_session.c
--- squid-3.1.0.14/helpers/external_acl/session/squid_session.c	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/session/squid_session.c	2009-11-23 16:09:57.000000000 +1300
@@ -149,10 +149,10 @@
     init_db();
 
     while (fgets(request, sizeof(request), stdin)) {
-        const char *index, *detail;
+        const char *user_key, *detail;
         char *lastdetail;
         int action = 0;
-        index = strtok(request, " \n");
+        user_key = strtok(request, " \n");
         detail = strtok(NULL, "\n");
         lastdetail = strrchr(detail, ' ');
         if (lastdetail) {
@@ -166,18 +166,18 @@
         }
         if (action == -1) {
             session_logout(detail);
-            printf("%s OK message=\"Bye\"\n", index);
+            printf("%s OK message=\"Bye\"\n", user_key);
         } else if (action == 1) {
             session_login(detail);
-            printf("%s OK message=\"Welcome\"\n", index);
+            printf("%s OK message=\"Welcome\"\n", user_key);
         } else if (session_active(detail)) {
             session_login(detail);
-            printf("%s OK\n", index);
+            printf("%s OK\n", user_key);
         } else if (default_action == 1) {
             session_login(detail);
-            printf("%s ERR message=\"Welcome\"\n", index);
+            printf("%s ERR message=\"Welcome\"\n", user_key);
         } else {
-            printf("%s ERR message=\"No session available\"\n", index);
+            printf("%s ERR message=\"No session available\"\n", user_key);
         }
     }
     shutdown_db();
diff -u -r -N squid-3.1.0.14/helpers/external_acl/unix_group/check_group.c squid-3.1.0.15/helpers/external_acl/unix_group/check_group.c
--- squid-3.1.0.14/helpers/external_acl/unix_group/check_group.c	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/unix_group/check_group.c	2009-11-23 16:09:57.000000000 +1300
@@ -52,6 +52,7 @@
  *
  */
 
+#include "rfc1738.h"
 #include "util.h"
 
 #include <stdio.h>
diff -u -r -N squid-3.1.0.14/helpers/external_acl/unix_group/Makefile.am squid-3.1.0.15/helpers/external_acl/unix_group/Makefile.am
--- squid-3.1.0.14/helpers/external_acl/unix_group/Makefile.am	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/unix_group/Makefile.am	2009-11-23 16:09:57.000000000 +1300
@@ -20,4 +20,4 @@
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
 	-L$(top_builddir)/lib -lmiscutil \
-	@XTRA_LIBS@
+	$(XTRA_LIBS)
diff -u -r -N squid-3.1.0.14/helpers/external_acl/unix_group/Makefile.in squid-3.1.0.15/helpers/external_acl/unix_group/Makefile.in
--- squid-3.1.0.14/helpers/external_acl/unix_group/Makefile.in	2009-09-27 15:28:52.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/unix_group/Makefile.in	2009-11-23 16:10:34.000000000 +1300
@@ -60,7 +60,9 @@
 am_squid_unix_group_OBJECTS = check_group.$(OBJEXT)
 squid_unix_group_OBJECTS = $(am_squid_unix_group_OBJECTS)
 squid_unix_group_LDADD = $(LDADD)
-squid_unix_group_DEPENDENCIES = $(top_builddir)/compat/libcompat.la
+am__DEPENDENCIES_1 =
+squid_unix_group_DEPENDENCIES = $(top_builddir)/compat/libcompat.la \
+	$(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = 
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
 am__depfiles_maybe = depfiles
@@ -83,7 +85,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -102,6 +103,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -119,6 +121,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -130,6 +133,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -182,6 +186,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -199,6 +204,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -255,18 +261,18 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 man_MANS = squid_unix_group.8
 EXTRA_DIST = squid_unix_group.8
 squid_unix_group_SOURCES = check_group.c
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
 	-L$(top_builddir)/lib -lmiscutil \
-	@XTRA_LIBS@
+	$(XTRA_LIBS)
 
 all: all-am
 
diff -u -r -N squid-3.1.0.14/helpers/external_acl/wbinfo_group/Makefile.in squid-3.1.0.15/helpers/external_acl/wbinfo_group/Makefile.in
--- squid-3.1.0.14/helpers/external_acl/wbinfo_group/Makefile.in	2009-09-27 15:28:52.000000000 +1200
+++ squid-3.1.0.15/helpers/external_acl/wbinfo_group/Makefile.in	2009-11-23 16:10:34.000000000 +1300
@@ -58,7 +58,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -77,6 +76,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -94,6 +94,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -105,6 +106,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -157,6 +159,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -174,6 +177,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/helpers/Makefile.in squid-3.1.0.15/helpers/Makefile.in
--- squid-3.1.0.14/helpers/Makefile.in	2009-09-27 15:28:48.000000000 +1200
+++ squid-3.1.0.15/helpers/Makefile.in	2009-11-23 16:10:30.000000000 +1300
@@ -58,7 +58,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -77,6 +76,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -94,6 +94,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -105,6 +106,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -157,6 +159,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -174,6 +177,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/helpers/negotiate_auth/Makefile.am squid-3.1.0.15/helpers/negotiate_auth/Makefile.am
--- squid-3.1.0.14/helpers/negotiate_auth/Makefile.am	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/helpers/negotiate_auth/Makefile.am	2009-11-23 16:09:57.000000000 +1300
@@ -4,4 +4,4 @@
 #
 
 DIST_SUBDIRS	= mswin_sspi squid_kerb_auth
-SUBDIRS		= @NEGOTIATE_AUTH_HELPERS@
+SUBDIRS		= $(NEGOTIATE_AUTH_HELPERS)
diff -u -r -N squid-3.1.0.14/helpers/negotiate_auth/Makefile.in squid-3.1.0.15/helpers/negotiate_auth/Makefile.in
--- squid-3.1.0.14/helpers/negotiate_auth/Makefile.in	2009-09-27 15:28:52.000000000 +1200
+++ squid-3.1.0.15/helpers/negotiate_auth/Makefile.in	2009-11-23 16:10:34.000000000 +1300
@@ -62,7 +62,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -81,6 +80,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -98,6 +98,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -109,6 +110,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -161,6 +163,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -178,6 +181,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -235,7 +239,7 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 DIST_SUBDIRS = mswin_sspi squid_kerb_auth
-SUBDIRS = @NEGOTIATE_AUTH_HELPERS@
+SUBDIRS = $(NEGOTIATE_AUTH_HELPERS)
 all: all-recursive
 
 .SUFFIXES:
diff -u -r -N squid-3.1.0.14/helpers/negotiate_auth/mswin_sspi/Makefile.in squid-3.1.0.15/helpers/negotiate_auth/mswin_sspi/Makefile.in
--- squid-3.1.0.14/helpers/negotiate_auth/mswin_sspi/Makefile.in	2009-09-27 15:28:52.000000000 +1200
+++ squid-3.1.0.15/helpers/negotiate_auth/mswin_sspi/Makefile.in	2009-11-23 16:10:35.000000000 +1300
@@ -80,7 +80,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -99,6 +98,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -116,6 +116,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -127,6 +128,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -179,6 +181,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -196,6 +199,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -252,11 +256,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 mswin_negotiate_auth_SOURCES = libnegotiatessp.c negotiate_auth.c negotiate.h
 LDADD = -L$(top_builddir)/lib -lsspwin32 -ladvapi32 -lmiscutil $(XTRA_LIBS)
 EXTRA_DIST = readme.txt
diff -u -r -N squid-3.1.0.14/helpers/ntlm_auth/fakeauth/Makefile.in squid-3.1.0.15/helpers/ntlm_auth/fakeauth/Makefile.in
--- squid-3.1.0.14/helpers/ntlm_auth/fakeauth/Makefile.in	2009-09-27 15:28:53.000000000 +1200
+++ squid-3.1.0.15/helpers/ntlm_auth/fakeauth/Makefile.in	2009-11-23 16:10:35.000000000 +1300
@@ -82,7 +82,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -101,6 +100,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -118,6 +118,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -129,6 +130,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -181,6 +183,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -198,6 +201,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -254,11 +258,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 fakeauth_auth_SOURCES = fakeauth_auth.c ntlm.h
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
diff -u -r -N squid-3.1.0.14/helpers/ntlm_auth/Makefile.am squid-3.1.0.15/helpers/ntlm_auth/Makefile.am
--- squid-3.1.0.14/helpers/ntlm_auth/Makefile.am	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/helpers/ntlm_auth/Makefile.am	2009-11-23 16:09:58.000000000 +1300
@@ -4,4 +4,4 @@
 #
 
 DIST_SUBDIRS	= fakeauth no_check smb_lm mswin_sspi
-SUBDIRS		= @NTLM_AUTH_HELPERS@
+SUBDIRS		= $(NTLM_AUTH_HELPERS)
diff -u -r -N squid-3.1.0.14/helpers/ntlm_auth/Makefile.in squid-3.1.0.15/helpers/ntlm_auth/Makefile.in
--- squid-3.1.0.14/helpers/ntlm_auth/Makefile.in	2009-09-27 15:28:52.000000000 +1200
+++ squid-3.1.0.15/helpers/ntlm_auth/Makefile.in	2009-11-23 16:10:35.000000000 +1300
@@ -62,7 +62,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -81,6 +80,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -98,6 +98,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -109,6 +110,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -161,6 +163,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -178,6 +181,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -235,7 +239,7 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 DIST_SUBDIRS = fakeauth no_check smb_lm mswin_sspi
-SUBDIRS = @NTLM_AUTH_HELPERS@
+SUBDIRS = $(NTLM_AUTH_HELPERS)
 all: all-recursive
 
 .SUFFIXES:
diff -u -r -N squid-3.1.0.14/helpers/ntlm_auth/mswin_sspi/Makefile.in squid-3.1.0.15/helpers/ntlm_auth/mswin_sspi/Makefile.in
--- squid-3.1.0.14/helpers/ntlm_auth/mswin_sspi/Makefile.in	2009-09-27 15:28:53.000000000 +1200
+++ squid-3.1.0.15/helpers/ntlm_auth/mswin_sspi/Makefile.in	2009-11-23 16:10:35.000000000 +1300
@@ -80,7 +80,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -99,6 +98,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -116,6 +116,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -127,6 +128,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -179,6 +181,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -196,6 +199,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -252,11 +256,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 mswin_ntlm_auth_SOURCES = libntlmssp.c ntlm_auth.c ntlm.h
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
diff -u -r -N squid-3.1.0.14/helpers/ntlm_auth/no_check/Makefile.in squid-3.1.0.15/helpers/ntlm_auth/no_check/Makefile.in
--- squid-3.1.0.14/helpers/ntlm_auth/no_check/Makefile.in	2009-09-27 15:28:53.000000000 +1200
+++ squid-3.1.0.15/helpers/ntlm_auth/no_check/Makefile.in	2009-11-23 16:10:35.000000000 +1300
@@ -58,7 +58,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -77,6 +76,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -94,6 +94,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -105,6 +106,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -157,6 +159,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -174,6 +177,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/helpers/ntlm_auth/smb_lm/Makefile.in squid-3.1.0.15/helpers/ntlm_auth/smb_lm/Makefile.in
--- squid-3.1.0.14/helpers/ntlm_auth/smb_lm/Makefile.in	2009-09-27 15:28:53.000000000 +1200
+++ squid-3.1.0.15/helpers/ntlm_auth/smb_lm/Makefile.in	2009-11-23 16:10:35.000000000 +1300
@@ -90,7 +90,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -109,6 +108,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -126,6 +126,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -137,6 +138,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -189,6 +191,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -206,6 +209,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -262,11 +266,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir) \
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir) \
 	-I$(srcdir)/smbval
 SUBDIRS = smbval
 ntlm_smb_lm_auth_SOURCES = libntlmssp.c ntlm_smb_lm_auth.c ntlm_smb_lm_auth.h
diff -u -r -N squid-3.1.0.14/helpers/ntlm_auth/smb_lm/smbval/Makefile.in squid-3.1.0.15/helpers/ntlm_auth/smb_lm/smbval/Makefile.in
--- squid-3.1.0.14/helpers/ntlm_auth/smb_lm/smbval/Makefile.in	2009-09-27 15:28:53.000000000 +1200
+++ squid-3.1.0.15/helpers/ntlm_auth/smb_lm/smbval/Makefile.in	2009-11-23 16:10:36.000000000 +1300
@@ -75,7 +75,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -94,6 +93,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -111,6 +111,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -122,6 +123,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -174,6 +176,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -191,6 +194,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -247,11 +251,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 noinst_LIBRARIES = libsmbvalid.a
 libsmbvalid_a_SOURCES = valid.c session.c rfcnb-util.c rfcnb-io.c \
 	smblib-util.c smblib.c smbencrypt.c smbdes.c md4.c byteorder.h \
diff -u -r -N squid-3.1.0.14/helpers/ntlm_auth/smb_lm/smbval/rfcnb-util.c squid-3.1.0.15/helpers/ntlm_auth/smb_lm/smbval/rfcnb-util.c
--- squid-3.1.0.14/helpers/ntlm_auth/smb_lm/smbval/rfcnb-util.c	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/helpers/ntlm_auth/smb_lm/smbval/rfcnb-util.c	2009-11-23 16:09:58.000000000 +1300
@@ -359,10 +359,10 @@
 /* Disconnect the TCP connection to the server */
 
 int
-RFCNB_Close(int socket)
+RFCNB_Close(int aSocket)
 {
 
-    close(socket);
+    close(aSocket);
 
     /* If we want to do error recovery, here is where we put it */
 
diff -u -r -N squid-3.1.0.14/helpers/ntlm_auth/smb_lm/smbval/valid.c squid-3.1.0.15/helpers/ntlm_auth/smb_lm/smbval/valid.c
--- squid-3.1.0.14/helpers/ntlm_auth/smb_lm/smbval/valid.c	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/helpers/ntlm_auth/smb_lm/smbval/valid.c	2009-11-23 16:09:58.000000000 +1300
@@ -22,7 +22,7 @@
 Valid_User(char *username, char *password, char *server, char *backup, char *domain)
 {
     int pass_is_precrypted_p = 0;
-    char const *SMB_Prots[] = {
+    char const *supportedDialects[] = {
         /*              "PC NETWORK PROGRAM 1.0", */
         /*              "MICROSOFT NETWORKS 1.03", */
         /*              "MICROSOFT NETWORKS 3.0", */
@@ -43,7 +43,7 @@
             return (NTV_SERVER_ERROR);
         }
     }
-    if (SMB_Negotiate(con, SMB_Prots) < 0) {	/* An error */
+    if (SMB_Negotiate(con, supportedDialects) < 0) {	/* An error */
         SMB_Discon(con, 0);
         return (NTV_PROTOCOL_ERROR);
     }
diff -u -r -N squid-3.1.0.14/icons/Makefile.in squid-3.1.0.15/icons/Makefile.in
--- squid-3.1.0.14/icons/Makefile.in	2009-09-27 15:28:53.000000000 +1200
+++ squid-3.1.0.15/icons/Makefile.in	2009-11-23 16:10:36.000000000 +1300
@@ -59,7 +59,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -78,6 +77,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -95,6 +95,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -106,6 +107,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -158,6 +160,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -175,6 +178,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/include/autoconf.h.in squid-3.1.0.15/include/autoconf.h.in
--- squid-3.1.0.14/include/autoconf.h.in	2009-09-27 15:28:47.000000000 +1200
+++ squid-3.1.0.15/include/autoconf.h.in	2009-11-23 16:10:28.000000000 +1300
@@ -155,6 +155,9 @@
 /* Define to 1 if you have the <execinfo.h> header file. */
 #undef HAVE_EXECINFO_H
 
+/* Define to 1 if you have the <expat.h> header file. */
+#undef HAVE_EXPAT_H
+
 /* Define to 1 if you have the `fchmod' function. */
 #undef HAVE_FCHMOD
 
@@ -284,11 +287,8 @@
 /* Define to 1 if you have the `kqueue' function. */
 #undef HAVE_KQUEUE
 
-/* Define to 1 if you have the `bind' library (-lbind). */
-#undef HAVE_LIBBIND
-
-/* Define to 1 if you have the `bsd' library (-lbsd). */
-#undef HAVE_LIBBSD
+/* Define to 1 if you have the `cap' library (-lcap). */
+#undef HAVE_LIBCAP
 
 /* Define to 1 if you have the <libc.h> header file. */
 #undef HAVE_LIBC_H
@@ -296,6 +296,9 @@
 /* Define to 1 if you have the `dl' library (-ldl). */
 #undef HAVE_LIBDL
 
+/* Define to 1 if you have the expat library */
+#undef HAVE_LIBEXPAT
+
 /* Define to 1 if you have the <libgen.h> header file. */
 #undef HAVE_LIBGEN_H
 
@@ -311,14 +314,14 @@
 /* Define to 1 if you have the `malloc' library (-lmalloc). */
 #undef HAVE_LIBMALLOC
 
-/* Define to 1 if you have the `nsl' library (-lnsl). */
-#undef HAVE_LIBNSL
+/* Define to 1 if you have the libxml2 library */
+#undef HAVE_LIBXML2
 
-/* Define to 1 if you have the `resolv' library (-lresolv). */
-#undef HAVE_LIBRESOLV
+/* Define to 1 if you have the <libxml/HTMLparser.h> header file. */
+#undef HAVE_LIBXML_HTMLPARSER_H
 
-/* Define to 1 if you have the `socket' library (-lsocket). */
-#undef HAVE_LIBSOCKET
+/* Define to 1 if you have the <libxml/HTMLtree.h> header file. */
+#undef HAVE_LIBXML_HTMLTREE_H
 
 /* Define to 1 if you have the <libxml/parser.h> header file. */
 #undef HAVE_LIBXML_PARSER_H
@@ -862,7 +865,7 @@
    with caution. */
 #undef KILL_PARENT_OPT
 
-/* if libcap2 is available and not clashing with libc */
+/* if libcap2 headers are broken and clashing with glibc */
 #undef LIBCAP_BROKEN
 
 /* If libresolv.a has been hacked to export _dns_ttl_ */
@@ -1063,6 +1066,9 @@
 /* Enable code for assisting in finding memory leaks. Hacker stuff only. */
 #undef USE_LEAKFINDER
 
+/* use libcap to set capabilities required for TPROXY */
+#undef USE_LIBCAP
+
 /* Support Loadable Modules */
 #undef USE_LOADABLE_MODULES
 
diff -u -r -N squid-3.1.0.14/include/profiling.h squid-3.1.0.15/include/profiling.h
--- squid-3.1.0.14/include/profiling.h	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/include/profiling.h	2009-11-23 16:09:58.000000000 +1300
@@ -18,7 +18,7 @@
 #include <sys/time.h>
 #endif
 
-#if defined(__i386) || defined(__i386__)
+#if defined(__GNUC__) && ( defined(__i386) || defined(__i386__) )
 static inline hrtime_t
 get_tick(void)
 {
@@ -30,7 +30,7 @@
     /* Note that "rdtsc" is relatively slow OP and stalls the CPU pipes, so use it wisely */
 }
 
-#elif defined(__x86_64) || defined(__x86_64__)
+#elif defined(__GNUC__) && ( defined(__x86_64) || defined(__x86_64__) )
 static inline hrtime_t
 get_tick(void)
 {
@@ -41,7 +41,7 @@
     return (hrtime_t)hi << 32 | lo;
 }
 
-#elif defined(__alpha)
+#elif defined(__GNUC__) && defined(__alpha)
 static inline hrtime_t
 get_tick(void)
 {
@@ -67,7 +67,11 @@
 }
 
 #else
-#warning Unsupported CPU. Define function get_tick(). Disabling USE_XPROF_STATS...
+static inline hrtime_t
+get_tick(void)
+{
+    return 0; //unsupported on the CPU
+}
 #undef USE_XPROF_STATS
 #endif
 
diff -u -r -N squid-3.1.0.14/include/rfc1738.h squid-3.1.0.15/include/rfc1738.h
--- squid-3.1.0.14/include/rfc1738.h	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.15/include/rfc1738.h	2009-11-23 16:09:58.000000000 +1300
@@ -0,0 +1,45 @@
+#ifndef _SQUID_INCLUDE_RFC1738_H
+#define _SQUID_INCLUDE_RFC1738_H
+
+/* for SQUIDCEXTERN */
+#include "config.h"
+
+
+/* Encoder rfc1738_do_escape flag values. */
+#define RFC1738_ESCAPE_UNSAFE     0
+#define RFC1738_ESCAPE_RESERVED   1
+#define RFC1738_ESCAPE_UNESCAPED -1
+
+
+/**
+ * \group rfc1738 RFC 1738 URL-escaping library
+ *
+ * Public API is formed of a triplet of encode functions mapping to the rfc1738_do_encode() engine.
+ *
+ * ASCII characters are split into three groups:
+ * \item SAFE     Characters which are safe to occur in any URL. For example A,B,C
+ * \item UNSAFE   Characters which are completely usafe to occur in any URL. For example; backspace, tab, space, newline
+ * \item RESERVED Characters which are reserved for special meaning and may only occur in certain parts of a URL.
+ *
+ * Returns a static buffer containing the RFC 1738 compliant, escaped version of the given url.
+ *
+ * \param flags  RFC1738_ESCAPE_UNSAFE    Only encode unsafe characters. Ignore reserved.
+ * \param flags  RFC1738_ESCAPE_RESERVED  Encode all unsafe and reserved characters.
+ * \param flags  RFC1738_ESCAPE_UNESCAPED Encode all unsafe characters which have not already been encoded.
+ */
+SQUIDCEXTERN char *rfc1738_do_escape(const char *url, int flags);
+
+/* Old API functions */
+#define rfc1738_escape(x)  rfc1738_do_escape(x, RFC1738_ESCAPE_UNSAFE)
+#define rfc1738_escape_part(x)  rfc1738_do_escape(x, RFC1738_ESCAPE_RESERVED)
+#define rfc1738_escape_unescaped(x)  rfc1738_do_escape(x, RFC1738_ESCAPE_UNESCAPED)
+
+
+/**
+ * Unescape a URL string according to RFC 1738 specification.
+ * String is unescaped in-place
+ */
+SQUIDCEXTERN void rfc1738_unescape(char *url);
+
+
+#endif /* _SQUID_INCLUDE_RFC1738_H */
diff -u -r -N squid-3.1.0.14/include/SquidNew.h squid-3.1.0.15/include/SquidNew.h
--- squid-3.1.0.14/include/SquidNew.h	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/include/SquidNew.h	2009-11-23 16:09:58.000000000 +1300
@@ -35,6 +35,7 @@
 
 #include "util.h"
 
+#ifndef __SUNPRO_CC
 /* Any code using libstdc++ must have externally resolvable overloads
  * for void * operator new - which means in the .o for the binary,
  * or in a shared library. static libs don't propogate the symbol
@@ -60,4 +61,7 @@
     xfree (address);
 }
 
+
+#endif /* __SUNPRO_CC */
+
 #endif /* SQUID_NEW_H */
diff -u -r -N squid-3.1.0.14/include/util.h squid-3.1.0.15/include/util.h
--- squid-3.1.0.14/include/util.h	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/include/util.h	2009-11-23 16:09:59.000000000 +1300
@@ -81,30 +81,15 @@
  * for the extern version in squid
  */
 #ifndef _SQUID_EXTERNNEW_
-#if defined(_SQUID_SGI_) && !defined(_GNUC_)
-/*
- * The gcc compiler treats extern inline functions as being extern,
- * while the SGI MIPSpro compilers treat them as inline. To get equivalent
- * behavior, remove the inline keyword.
- */
-#define _SQUID_EXTERNNEW_ extern
-#else
 #ifdef __GNUC_STDC_INLINE__
 #define _SQUID_EXTERNNEW_ extern inline __attribute__((gnu_inline))
 #else
 #define _SQUID_EXTERNNEW_ extern inline
 #endif
 #endif
-#endif
 #include "SquidNew.h"
 #endif
 
-/* rfc1738.c */
-SQUIDCEXTERN char *rfc1738_escape(const char *);
-SQUIDCEXTERN char *rfc1738_escape_unescaped(const char *);
-SQUIDCEXTERN char *rfc1738_escape_part(const char *);
-SQUIDCEXTERN void rfc1738_unescape(char *);
-
 /* charset.c */
 SQUIDCEXTERN char *latin1_to_utf8(char *out, size_t size, const char *in);
 
diff -u -r -N squid-3.1.0.14/include/version.h squid-3.1.0.15/include/version.h
--- squid-3.1.0.14/include/version.h	2009-09-27 15:29:12.000000000 +1200
+++ squid-3.1.0.15/include/version.h	2009-11-23 16:11:00.000000000 +1300
@@ -9,7 +9,7 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1254022102
+#define SQUID_RELEASE_TIME 1258945788
 #endif
 
 #ifndef APP_SHORTNAME
diff -u -r -N squid-3.1.0.14/lib/inet_ntop.c squid-3.1.0.15/lib/inet_ntop.c
--- squid-3.1.0.14/lib/inet_ntop.c	2009-09-27 15:28:27.000000000 +1200
+++ squid-3.1.0.15/lib/inet_ntop.c	2009-11-23 16:09:59.000000000 +1300
@@ -22,6 +22,7 @@
 #include "config.h"
 
 #ifndef HAVE_INET_NTOP
+#include "inet_ntop.h"
 
 /*
  * Copyright (c) 2004 by Internet Systems Consortium, Inc. ("ISC")
diff -u -r -N squid-3.1.0.14/lib/libTrie/src/Makefile.am squid-3.1.0.15/lib/libTrie/src/Makefile.am
--- squid-3.1.0.14/lib/libTrie/src/Makefile.am	2009-09-27 15:28:27.000000000 +1200
+++ squid-3.1.0.15/lib/libTrie/src/Makefile.am	2009-11-23 16:09:59.000000000 +1300
@@ -1,8 +1,8 @@
 
 INCLUDES = -I$(top_srcdir)/include
 
-AM_CFLAGS = @TRIE_CFLAGS@
-AM_CXXFLAGS = @TRIE_CXXFLAGS@
+AM_CFLAGS = $(TRIE_CFLAGS)
+AM_CXXFLAGS = $(TRIE_CXXFLAGS)
 
 noinst_LIBRARIES = libTrie.a
 
diff -u -r -N squid-3.1.0.14/lib/libTrie/src/Makefile.in squid-3.1.0.15/lib/libTrie/src/Makefile.in
--- squid-3.1.0.14/lib/libTrie/src/Makefile.in	2009-09-27 15:29:06.000000000 +1200
+++ squid-3.1.0.15/lib/libTrie/src/Makefile.in	2009-11-23 16:10:51.000000000 +1300
@@ -157,8 +157,8 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
-AM_CFLAGS = @TRIE_CFLAGS@
-AM_CXXFLAGS = @TRIE_CXXFLAGS@
+AM_CFLAGS = $(TRIE_CFLAGS)
+AM_CXXFLAGS = $(TRIE_CXXFLAGS)
 noinst_LIBRARIES = libTrie.a
 libTrie_a_SOURCES = Trie.cc \
 	TrieNode.cc
diff -u -r -N squid-3.1.0.14/lib/libTrie/test/Makefile.am squid-3.1.0.15/lib/libTrie/test/Makefile.am
--- squid-3.1.0.14/lib/libTrie/test/Makefile.am	2009-09-27 15:28:27.000000000 +1200
+++ squid-3.1.0.15/lib/libTrie/test/Makefile.am	2009-11-23 16:09:59.000000000 +1300
@@ -1,7 +1,7 @@
 INCLUDES = -I$(top_srcdir)/include
 
-AM_CFLAGS = @TRIE_CFLAGS@
-AM_CXXFLAGS = @TRIE_CXXFLAGS@
+AM_CFLAGS = $(TRIE_CFLAGS)
+AM_CXXFLAGS = $(TRIE_CXXFLAGS)
 
 TESTS = trie trie-c
 
@@ -11,4 +11,4 @@
 trie_LDADD = $(top_builddir)/src/libTrie.a
 
 trie_c_SOURCES = trie-c.c
-trie_c_LDADD = $(top_builddir)/src/libTrie.a -lstdc++
+trie_c_LDADD = $(top_builddir)/src/libTrie.a -lstdc++ -lm
diff -u -r -N squid-3.1.0.14/lib/libTrie/test/Makefile.in squid-3.1.0.15/lib/libTrie/test/Makefile.in
--- squid-3.1.0.14/lib/libTrie/test/Makefile.in	2009-09-27 15:29:06.000000000 +1200
+++ squid-3.1.0.15/lib/libTrie/test/Makefile.in	2009-11-23 16:10:52.000000000 +1300
@@ -158,12 +158,12 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
-AM_CFLAGS = @TRIE_CFLAGS@
-AM_CXXFLAGS = @TRIE_CXXFLAGS@
+AM_CFLAGS = $(TRIE_CFLAGS)
+AM_CXXFLAGS = $(TRIE_CXXFLAGS)
 trie_SOURCES = trie.cc
 trie_LDADD = $(top_builddir)/src/libTrie.a
 trie_c_SOURCES = trie-c.c
-trie_c_LDADD = $(top_builddir)/src/libTrie.a -lstdc++
+trie_c_LDADD = $(top_builddir)/src/libTrie.a -lstdc++ -lm
 all: all-am
 
 .SUFFIXES:
diff -u -r -N squid-3.1.0.14/lib/Makefile.am squid-3.1.0.15/lib/Makefile.am
--- squid-3.1.0.14/lib/Makefile.am	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/lib/Makefile.am	2009-11-23 16:09:59.000000000 +1300
@@ -76,18 +76,18 @@
 	xusleep.c \
 	$(XPROF_STATS_SOURCE) \
 	$(WIN32SRC)
-libmiscutil_a_LIBADD = @LIBOBJS@
+libmiscutil_a_LIBADD = $(LIBOBJS)
 
 # $(top_srcdir)/include/version.h should be a dependency
 libntlmauth_a_SOURCES = \
 	ntlmauth.c
 libntlmauth_a_LIBADD = \
-	@LIBOBJS@
+	$(LIBOBJS)
 libsspwin32_a_SOURCES = \
 	base64.c \
 	sspwin32.c
 libsspwin32_a_LIBADD = \
-	@LIBOBJS@
+	$(LIBOBJS)
 
 
 TESTS += tests/testAll
@@ -99,12 +99,14 @@
 	tests/testArray.cc \
 	tests/testRFC1035.h \
 	tests/testRFC1035.cc \
+	tests/testRFC1738.h \
+	tests/testRFC1738.cc \
 	tests/testMain.cc \
 	$(XPROF_STATS_SOURCE) \
 	$(WIN32SRC) \
 	util.c
 
-tests_testAll_LDADD= @SQUID_CPPUNIT_LA@ @SQUID_CPPUNIT_LIBS@
+tests_testAll_LDADD= $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS)
 
 tests_testAll_LDFLAGS = $(LIBADD_DL)
 
diff -u -r -N squid-3.1.0.14/lib/Makefile.in squid-3.1.0.15/lib/Makefile.in
--- squid-3.1.0.14/lib/Makefile.in	2009-09-27 15:28:53.000000000 +1200
+++ squid-3.1.0.15/lib/Makefile.in	2009-11-23 16:10:36.000000000 +1300
@@ -56,7 +56,7 @@
 LIBRARIES = $(noinst_LIBRARIES)
 ARFLAGS = cru
 libmiscutil_a_AR = $(AR) $(ARFLAGS)
-libmiscutil_a_DEPENDENCIES = @LIBOBJS@
+libmiscutil_a_DEPENDENCIES = $(LIBOBJS)
 am__libmiscutil_a_SOURCES_DIST = MemPool.cc base64.c charset.c \
 	getfullhostname.c hash.c heap.c html_quote.c iso3307.c md5.c \
 	radix.c rfc1035.c rfc1123.c rfc1738.c rfc2617.c rfc3596.c \
@@ -74,21 +74,24 @@
 	xusleep.$(OBJEXT) $(am__objects_1) $(am__objects_2)
 libmiscutil_a_OBJECTS = $(am_libmiscutil_a_OBJECTS)
 libntlmauth_a_AR = $(AR) $(ARFLAGS)
-libntlmauth_a_DEPENDENCIES = @LIBOBJS@
+libntlmauth_a_DEPENDENCIES = $(LIBOBJS)
 am_libntlmauth_a_OBJECTS = ntlmauth.$(OBJEXT)
 libntlmauth_a_OBJECTS = $(am_libntlmauth_a_OBJECTS)
 libsspwin32_a_AR = $(AR) $(ARFLAGS)
-libsspwin32_a_DEPENDENCIES = @LIBOBJS@
+libsspwin32_a_DEPENDENCIES = $(LIBOBJS)
 am_libsspwin32_a_OBJECTS = base64.$(OBJEXT) sspwin32.$(OBJEXT)
 libsspwin32_a_OBJECTS = $(am_libsspwin32_a_OBJECTS)
 am__tests_testAll_SOURCES_DIST = tests/testArray.h tests/testArray.cc \
-	tests/testRFC1035.h tests/testRFC1035.cc tests/testMain.cc \
-	Profiler.c win32lib.c util.c
+	tests/testRFC1035.h tests/testRFC1035.cc tests/testRFC1738.h \
+	tests/testRFC1738.cc tests/testMain.cc Profiler.c win32lib.c \
+	util.c
 am_tests_testAll_OBJECTS = testArray.$(OBJEXT) testRFC1035.$(OBJEXT) \
-	testMain.$(OBJEXT) $(am__objects_1) $(am__objects_2) \
-	util.$(OBJEXT)
+	testRFC1738.$(OBJEXT) testMain.$(OBJEXT) $(am__objects_1) \
+	$(am__objects_2) util.$(OBJEXT)
 tests_testAll_OBJECTS = $(am_tests_testAll_OBJECTS)
-tests_testAll_DEPENDENCIES =
+am__DEPENDENCIES_1 =
+tests_testAll_DEPENDENCIES = $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1)
 tests_testAll_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
 	$(CXXFLAGS) $(tests_testAll_LDFLAGS) $(LDFLAGS) -o $@
@@ -135,7 +138,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -154,6 +156,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -171,6 +174,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -182,6 +186,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -234,6 +239,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -251,6 +257,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -307,15 +314,15 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 INCLUDES = \
 	-I$(top_srcdir) \
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 SUBDIRS = $(am__append_1) $(am__append_2)
 @ENABLE_XPROF_STATS_FALSE@XPROF_STATS_SOURCE = 
@@ -370,33 +377,35 @@
 	$(XPROF_STATS_SOURCE) \
 	$(WIN32SRC)
 
-libmiscutil_a_LIBADD = @LIBOBJS@
+libmiscutil_a_LIBADD = $(LIBOBJS)
 
 # $(top_srcdir)/include/version.h should be a dependency
 libntlmauth_a_SOURCES = \
 	ntlmauth.c
 
 libntlmauth_a_LIBADD = \
-	@LIBOBJS@
+	$(LIBOBJS)
 
 libsspwin32_a_SOURCES = \
 	base64.c \
 	sspwin32.c
 
 libsspwin32_a_LIBADD = \
-	@LIBOBJS@
+	$(LIBOBJS)
 
 tests_testAll_SOURCES = \
 	tests/testArray.h \
 	tests/testArray.cc \
 	tests/testRFC1035.h \
 	tests/testRFC1035.cc \
+	tests/testRFC1738.h \
+	tests/testRFC1738.cc \
 	tests/testMain.cc \
 	$(XPROF_STATS_SOURCE) \
 	$(WIN32SRC) \
 	util.c
 
-tests_testAll_LDADD = @SQUID_CPPUNIT_LA@ @SQUID_CPPUNIT_LIBS@
+tests_testAll_LDADD = $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS)
 tests_testAll_LDFLAGS = $(LIBADD_DL)
 all: all-recursive
 
@@ -503,6 +512,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testArray.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testMain.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testRFC1035.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testRFC1738.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uudecode.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/win32lib.Po@am__quote@
@@ -578,6 +588,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testRFC1035.obj `if test -f 'tests/testRFC1035.cc'; then $(CYGPATH_W) 'tests/testRFC1035.cc'; else $(CYGPATH_W) '$(srcdir)/tests/testRFC1035.cc'; fi`
 
+testRFC1738.o: tests/testRFC1738.cc
+@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testRFC1738.o -MD -MP -MF $(DEPDIR)/testRFC1738.Tpo -c -o testRFC1738.o `test -f 'tests/testRFC1738.cc' || echo '$(srcdir)/'`tests/testRFC1738.cc
+@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/testRFC1738.Tpo $(DEPDIR)/testRFC1738.Po
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='tests/testRFC1738.cc' object='testRFC1738.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testRFC1738.o `test -f 'tests/testRFC1738.cc' || echo '$(srcdir)/'`tests/testRFC1738.cc
+
+testRFC1738.obj: tests/testRFC1738.cc
+@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testRFC1738.obj -MD -MP -MF $(DEPDIR)/testRFC1738.Tpo -c -o testRFC1738.obj `if test -f 'tests/testRFC1738.cc'; then $(CYGPATH_W) 'tests/testRFC1738.cc'; else $(CYGPATH_W) '$(srcdir)/tests/testRFC1738.cc'; fi`
+@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/testRFC1738.Tpo $(DEPDIR)/testRFC1738.Po
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='tests/testRFC1738.cc' object='testRFC1738.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testRFC1738.obj `if test -f 'tests/testRFC1738.cc'; then $(CYGPATH_W) 'tests/testRFC1738.cc'; else $(CYGPATH_W) '$(srcdir)/tests/testRFC1738.cc'; fi`
+
 testMain.o: tests/testMain.cc
 @am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testMain.o -MD -MP -MF $(DEPDIR)/testMain.Tpo -c -o testMain.o `test -f 'tests/testMain.cc' || echo '$(srcdir)/'`tests/testMain.cc
 @am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/testMain.Tpo $(DEPDIR)/testMain.Po
diff -u -r -N squid-3.1.0.14/lib/MemPool.cc squid-3.1.0.15/lib/MemPool.cc
--- squid-3.1.0.14/lib/MemPool.cc	2009-09-27 15:28:26.000000000 +1200
+++ squid-3.1.0.15/lib/MemPool.cc	2009-11-23 16:09:59.000000000 +1300
@@ -848,7 +848,7 @@
     return ((s + sizeof(void*) - 1) / sizeof(void*)) * sizeof(void*);
 }
 
-MemMalloc::MemMalloc(char const *label, size_t aSize) : MemImplementingAllocator(label, aSize) { inuse = 0; }
+MemMalloc::MemMalloc(char const *aLabel, size_t aSize) : MemImplementingAllocator(aLabel, aSize) { inuse = 0; }
 
 bool
 MemMalloc::idleTrigger(int shift) const
diff -u -r -N squid-3.1.0.14/lib/rfc1123.c squid-3.1.0.15/lib/rfc1123.c
--- squid-3.1.0.14/lib/rfc1123.c	2009-09-27 15:28:27.000000000 +1200
+++ squid-3.1.0.15/lib/rfc1123.c	2009-11-23 16:09:59.000000000 +1300
@@ -119,12 +119,12 @@
 
 static struct tm *
 parse_date_elements(const char *day, const char *month, const char *year,
-                    const char *time, const char *zone) {
+                    const char *aTime, const char *zone) {
     static struct tm tm;
     char *t;
     memset(&tm, 0, sizeof(tm));
 
-    if (!day || !month || !year || !time)
+    if (!day || !month || !year || !aTime)
         return NULL;
     tm.tm_mday = atoi(day);
     tm.tm_mon = make_month(month);
@@ -137,8 +137,8 @@
         tm.tm_year += 100;
     else if (tm.tm_year > 19000)
         tm.tm_year -= 19000;
-    tm.tm_hour = make_num(time);
-    t = strchr(time, ':');
+    tm.tm_hour = make_num(aTime);
+    t = strchr(aTime, ':');
     if (!t)
         return NULL;
     t++;
@@ -158,7 +158,7 @@
     char *day = NULL;
     char *month = NULL;
     char *year = NULL;
-    char *time = NULL;
+    char *timestr = NULL;
     char *zone = NULL;
 
     xstrncpy(tmp, str, 64);
@@ -178,7 +178,7 @@
                     year = t;
                 }
             } else if (strchr(t, ':'))
-                time = t;
+                timestr = t;
             else if (!year)
                 year = t;
         } else if (!wday)
@@ -188,7 +188,7 @@
         else if (!zone)
             zone = t;
     }
-    tm = parse_date_elements(day, month, year, time, zone);
+    tm = parse_date_elements(day, month, year, timestr, zone);
 
     return tm;
 }
diff -u -r -N squid-3.1.0.14/lib/rfc1738.c squid-3.1.0.15/lib/rfc1738.c
--- squid-3.1.0.14/lib/rfc1738.c	2009-09-27 15:28:27.000000000 +1200
+++ squid-3.1.0.15/lib/rfc1738.c	2009-11-23 16:09:59.000000000 +1300
@@ -33,6 +33,8 @@
  */
 
 #include "config.h"
+#include "rfc1738.h"
+#include "util.h"
 
 #if HAVE_STDIO_H
 #include <stdio.h>
@@ -41,8 +43,6 @@
 #include <string.h>
 #endif
 
-#include "util.h"
-
 /*
  *  RFC 1738 defines that these characters should be escaped, as well
  *  any non-US-ASCII character or anything between 0x00 - 0x1F.
@@ -82,8 +82,8 @@
  *  rfc1738_escape - Returns a static buffer contains the RFC 1738
  *  compliant, escaped version of the given url.
  */
-static char *
-rfc1738_do_escape(const char *url, int encode_reserved)
+char *
+rfc1738_do_escape(const char *url, int flags)
 {
     static char *buf;
     static size_t bufsize = 0;
@@ -94,7 +94,7 @@
     if (buf == NULL || strlen(url) * 3 > bufsize) {
         xfree(buf);
         bufsize = strlen(url) * 3 + 1;
-        buf = xcalloc(bufsize, 1);
+        buf = (char*)xcalloc(bufsize, 1);
     }
     for (p = url, q = buf; *p != '\0' && q < (buf + bufsize - 1); p++, q++) {
         do_escape = 0;
@@ -107,10 +107,10 @@
             }
         }
         /* Handle % separately */
-        if (encode_reserved >= 0 && *p == '%')
+        if (flags != RFC1738_ESCAPE_UNESCAPED && *p == '%')
             do_escape = 1;
         /* RFC 1738 defines these chars as reserved */
-        for (i = 0; i < sizeof(rfc1738_reserved_chars) && encode_reserved > 0; i++) {
+        for (i = 0; i < sizeof(rfc1738_reserved_chars) && flags == RFC1738_ESCAPE_RESERVED; i++) {
             if (*p == rfc1738_reserved_chars[i]) {
                 do_escape = 1;
                 break;
@@ -143,6 +143,7 @@
     return (buf);
 }
 
+#if 0 /* legacy API */
 /*
  * rfc1738_escape - Returns a static buffer that contains the RFC
  * 1738 compliant, escaped version of the given url.
@@ -172,35 +173,47 @@
 {
     return rfc1738_do_escape(url, 1);
 }
+#endif /* 0 */
 
 /*
  *  rfc1738_unescape() - Converts escaped characters (%xy numbers) in
  *  given the string.  %% is a %. %ab is the 8-bit hexadecimal number "ab"
  */
+static inline int
+fromhex(char ch)
+{
+    if (ch >= '0' && ch <= '9')
+        return ch - '0';
+    if (ch >= 'a' && ch <= 'f')
+        return ch - 'a' + 10;
+    if (ch >= 'A' && ch <= 'F')
+        return ch - 'A' + 10;
+    return -1;
+}
+
 void
 rfc1738_unescape(char *s)
 {
-    char hexnum[3];
     int i, j;			/* i is write, j is read */
-    unsigned int x;
     for (i = j = 0; s[j]; i++, j++) {
         s[i] = s[j];
-        if (s[i] != '%')
-            continue;
-        if (s[j + 1] == '%') {	/* %% case */
-            j++;
-            continue;
-        }
-        if (s[j + 1] && s[j + 2]) {
-            if (s[j + 1] == '0' && s[j + 2] == '0') {	/* %00 case */
-                j += 2;
-                continue;
-            }
-            hexnum[0] = s[j + 1];
-            hexnum[1] = s[j + 2];
-            hexnum[2] = '\0';
-            if (1 == sscanf(hexnum, "%x", &x)) {
-                s[i] = (char) (0x0ff & x);
+        if (s[j] != '%') {
+            /* normal case, nothing more to do */
+        } else if (s[j + 1] == '%') {	/* %% case */
+            j++;		/* Skip % */
+        } else {
+            /* decode */
+            char v1, v2;
+            int x;
+            v1 = fromhex(s[j + 1]);
+            if (v1 < 0)
+                continue;  /* non-hex or \0 */
+            v2 = fromhex(s[j + 2]);
+            if (v2 < 0)
+                continue;  /* non-hex or \0 */
+            x = v1 << 4 | v2;
+            if (x > 0 && x <= 255) {
+                s[i] = x;
                 j += 2;
             }
         }
diff -u -r -N squid-3.1.0.14/lib/tests/testRFC1738.cc squid-3.1.0.15/lib/tests/testRFC1738.cc
--- squid-3.1.0.14/lib/tests/testRFC1738.cc	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.15/lib/tests/testRFC1738.cc	2009-11-23 16:09:59.000000000 +1300
@@ -0,0 +1,155 @@
+#include "config.h"
+
+#if HAVE_ASSERT_H
+#include <assert.h>
+#endif
+
+#include "testRFC1738.h"
+
+/* Being a C library code it is best bodily included and tested with C++ type-safe techniques. */
+#include "lib/rfc1738.c"
+
+CPPUNIT_TEST_SUITE_REGISTRATION( testRFC1738 );
+
+/* Regular Format de-coding tests */
+void testRFC1738::testUrlDecode()
+{
+    char *unescaped_str;
+
+    /* regular URL-path */
+    unescaped_str = xstrdup("%2Fdata%2Fsource%2Fpath");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "/data/source/path",18)==0);
+    xfree(unescaped_str);
+
+    /* path in full URL */
+    unescaped_str = xstrdup("http://foo.invalid%2Fdata%2Fsource%2Fpath");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "http://foo.invalid/data/source/path",36)==0);
+    xfree(unescaped_str);
+
+// TODO query string...
+
+    /* Newline %0A encoded */
+    unescaped_str = xstrdup("w%0Ard");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "w\nrd",5)==0);
+    xfree(unescaped_str);
+
+    /* Handle Un-encoded % */
+    unescaped_str = xstrdup("w%rd");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "w%rd",5)==0);
+    xfree(unescaped_str);
+
+    /* Handle encoded % */
+    unescaped_str = xstrdup("w%%rd");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "w%rd",5)==0);
+    xfree(unescaped_str);
+
+    /* Handle mixed-encoded % */
+    unescaped_str = xstrdup("w%%%rd");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "w%%rd",6)==0);
+    xfree(unescaped_str);
+
+    /* A corrupt string */
+    unescaped_str = xstrdup("Bad String %1");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "Bad String %1",14)==0);
+    xfree(unescaped_str);
+
+
+    /* A partly corrupt string */
+    unescaped_str = xstrdup("Bad String %1A%3");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "Bad String \032%3",15)==0);
+    xfree(unescaped_str);
+
+    /* A non corrupt string */
+    unescaped_str = xstrdup("Good String %1A");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "Good String \032",14)==0);
+    xfree(unescaped_str);
+}
+
+/**
+ * Public API is formed of a triplet of encode functions mapping to the rfc1738_do_encode() engine.
+ *
+ * Flags:
+ * rfc1738_escape == 0
+ * rfc1738_escape_unescaped == -1
+ * rfc1738_escape_part == 1
+ */
+void testRFC1738::testUrlEncode()
+{
+    char *result;
+
+#define RFC1738_ESCAPE_UNSAFE     0
+#define RFC1738_ESCAPE_RESERVED   1
+#define RFC1738_ESCAPE_UNESCAPED -1
+
+    /* TEST: Escaping only unsafe characters */
+
+    /* regular URL (no encoding needed) */
+    result = rfc1738_do_escape("http://foo.invalid/data/source/path", RFC1738_ESCAPE_UNSAFE);
+    CPPUNIT_ASSERT(memcmp(result, "http://foo.invalid/data/source/path",36)==0);
+
+    /* long string of unsafe # characters */
+    result = rfc1738_do_escape("################ ################ ################ ################ ################ ################ ################ ################", RFC1738_ESCAPE_UNSAFE);
+    CPPUNIT_ASSERT(memcmp(result, "%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%20%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%20%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%20%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%20%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%20%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%20%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%20%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23%23",406)==0);
+
+
+    /* TEST: escaping only reserved characters */
+
+    /* regular URL (full encoding requested) */
+    result = rfc1738_do_escape("http://foo.invalid/data/source/path", RFC1738_ESCAPE_RESERVED);
+    CPPUNIT_ASSERT(memcmp(result, "http%3A%2F%2Ffoo.invalid%2Fdata%2Fsource%2Fpath",48)==0);
+
+    /* regular path (encoding wanted for ALL special chars) */
+    result = rfc1738_do_escape("/data/source/path", RFC1738_ESCAPE_RESERVED);
+    CPPUNIT_ASSERT(memcmp(result, "%2Fdata%2Fsource%2Fpath",24)==0);
+
+
+    /* TEST: safety-escaping a string already partially escaped */
+
+    /* escaping of dangerous characters in a partially escaped string */
+    result = rfc1738_do_escape("http://foo.invalid/data%2Fsource[]", RFC1738_ESCAPE_UNESCAPED);
+    CPPUNIT_ASSERT(memcmp(result, "http://foo.invalid/data%2Fsource%5B%5D",39)==0);
+
+    /* escaping of hexadecimal 0xFF characters in a partially escaped string */
+    result = rfc1738_do_escape("http://foo.invalid/data%2Fsource\xFF\xFF", RFC1738_ESCAPE_UNESCAPED);
+    CPPUNIT_ASSERT(memcmp(result, "http://foo.invalid/data%2Fsource%FF%FF",39)==0);
+
+}
+
+/** SECURITY BUG TESTS: avoid null truncation attacks by skipping %00 bytes */
+void testRFC1738::PercentZeroNullDecoding()
+{
+    char *unescaped_str;
+
+    /* Attack with %00 encoded NULL */
+    unescaped_str = xstrdup("w%00rd");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "w%00rd",7)==0);
+    xfree(unescaped_str);
+
+    /* Attack with %0 encoded NULL */
+    unescaped_str = xstrdup("w%0rd");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "w%0rd",6)==0);
+    xfree(unescaped_str);
+
+    /* Handle '0' bytes embeded in encoded % */
+    unescaped_str = xstrdup("w%%00%rd");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "w%00%rd",8)==0);
+    xfree(unescaped_str);
+
+    /* Handle NULL bytes with encoded % */
+    unescaped_str = xstrdup("w%%%00%rd");
+    rfc1738_unescape(unescaped_str);
+    CPPUNIT_ASSERT(memcmp(unescaped_str, "w%%00%rd",9)==0);
+    xfree(unescaped_str);
+}
diff -u -r -N squid-3.1.0.14/lib/tests/testRFC1738.h squid-3.1.0.15/lib/tests/testRFC1738.h
--- squid-3.1.0.14/lib/tests/testRFC1738.h	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.15/lib/tests/testRFC1738.h	2009-11-23 16:09:59.000000000 +1300
@@ -0,0 +1,28 @@
+#ifndef SQUID_LIB_TEST_RFC1738_H
+#define SQUID_LIB_TEST_RFC1738_H
+
+#include <cppunit/extensions/HelperMacros.h>
+
+/**
+ * Test the URL coder RFC 1738 Engine
+ */
+class testRFC1738 : public CPPUNIT_NS::TestFixture
+{
+    CPPUNIT_TEST_SUITE( testRFC1738 );
+    CPPUNIT_TEST( testUrlDecode );
+    CPPUNIT_TEST( testUrlEncode );
+
+    CPPUNIT_TEST( PercentZeroNullDecoding );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+
+protected:
+    void testUrlDecode();
+    void testUrlEncode();
+
+    // bugs.
+    void PercentZeroNullDecoding();
+};
+
+#endif /* SQUID_LIB_TEST_RFC1738_H */
diff -u -r -N squid-3.1.0.14/Makefile.am squid-3.1.0.15/Makefile.am
--- squid-3.1.0.14/Makefile.am	2009-09-27 15:28:23.000000000 +1200
+++ squid-3.1.0.15/Makefile.am	2009-11-23 16:09:49.000000000 +1300
@@ -50,7 +50,7 @@
 check: have-cppunit check-recursive
 
 have-cppunit:
-	@if test "@SQUID_CPPUNIT_INC@@SQUID_CPPUNIT_LA@@SQUID_CPPUNIT_LIBS@" = "" ; then \
+	@if test "$(SQUID_CPPUNIT_INC)$(SQUID_CPPUNIT_LA)$(SQUID_CPPUNIT_LIBS)" = "" ; then \
 		echo "FATAL: 'make check' requires cppunit and cppunit development packages. They do not appear to be installed." ; \
 		exit 1 ; \
 	fi
diff -u -r -N squid-3.1.0.14/Makefile.in squid-3.1.0.15/Makefile.in
--- squid-3.1.0.14/Makefile.in	2009-09-27 15:28:57.000000000 +1200
+++ squid-3.1.0.15/Makefile.in	2009-11-23 16:10:40.000000000 +1300
@@ -76,7 +76,6 @@
 distcleancheck_listfiles = find . -type f -print
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -95,6 +94,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -112,6 +112,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -123,6 +124,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -175,6 +177,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -192,6 +195,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -746,7 +750,7 @@
 check: have-cppunit check-recursive
 
 have-cppunit:
-	@if test "@SQUID_CPPUNIT_INC@@SQUID_CPPUNIT_LA@@SQUID_CPPUNIT_LIBS@" = "" ; then \
+	@if test "$(SQUID_CPPUNIT_INC)$(SQUID_CPPUNIT_LA)$(SQUID_CPPUNIT_LIBS)" = "" ; then \
 		echo "FATAL: 'make check' requires cppunit and cppunit development packages. They do not appear to be installed." ; \
 		exit 1 ; \
 	fi
diff -u -r -N squid-3.1.0.14/RELEASENOTES.html squid-3.1.0.15/RELEASENOTES.html
--- squid-3.1.0.14/RELEASENOTES.html	2009-09-27 15:33:48.000000000 +1200
+++ squid-3.1.0.15/RELEASENOTES.html	2009-11-23 16:17:48.000000000 +1300
@@ -1,11 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
 <HTML>
 <HEAD>
- <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.50">
- <TITLE>Squid 3.1.0.13 release notes</TITLE>
+ <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.66">
+ <TITLE>Squid 3.1.0.15 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 3.1.0.13 release notes</H1>
+<H1>Squid 3.1.0.15 release notes</H1>
 
 <H2>Squid Developers</H2>
 <HR>
@@ -33,6 +33,7 @@
 <LI><A NAME="toc2.7">2.7</A> <A HREF="#ss2.7">SSL Bump (for HTTPS Filtering and Adaptation)</A>
 <LI><A NAME="toc2.8">2.8</A> <A HREF="#ss2.8">eCAP Adaptation Module support</A>
 <LI><A NAME="toc2.9">2.9</A> <A HREF="#ss2.9">ICAP Bypass and Retry enhancements</A>
+<LI><A NAME="toc2.10">2.10</A> <A HREF="#ss2.10">ICY streaming protocol support</A>
 </UL>
 <P>
 <H2><A NAME="toc3">3.</A> <A HREF="#s3">Windows support</A></H2>
@@ -81,7 +82,7 @@
 <HR>
 <H2><A NAME="s1">1.</A> <A HREF="#toc1">Notice</A></H2>
 
-<P>The Squid Team are pleased to announce the release of Squid-3.1.0.13 for testing.</P>
+<P>The Squid Team are pleased to announce the release of Squid-3.1.0.15 for testing.</P>
 <P>This new release is available for download from 
 <A HREF="http://www.squid-cache.org/Versions/v3/3.1/">http://www.squid-cache.org/Versions/v3/3.1/</A> or the 
 <A HREF="http://www.squid-cache.org/Mirrors/http-mirrors.html">mirrors</A>.</P>
@@ -117,6 +118,7 @@
 <LI>SSL Bump (for HTTPS Filtering and Adaptation)</LI>
 <LI>eCAP Adaptation Module support</LI>
 <LI>ICAP Bypass and Retry enhancements</LI>
+<LI>ICY streaming protocol support</LI>
 </UL>
 </P>
 <P>Most user-facing changes are reflected in squid.conf (see below).</P>
@@ -218,14 +220,10 @@
 to the IPv4 or IPv6 network that address belongs to. They are not permitted over the
 IPv4-IPv6 boundary. Some ACL voodoo can however be applied to explicitly route the
 IPv6/IPv4 bound traffic (DIRECT access) out an appropriate interface.
-<PRE>
-    acl toIP6 dst ipv6
-    tcp_outgoing_address 2001::1 toIP6
-    tcp_outgoing_address 10.0.0.1 !toIP6
-</PRE>
-</P>
+See the squid.conf documentation for further details.</P>
 
-<P>WCCP is not available (neither version 1 or 2). It remains built into squid for use with IPv4 traffic but IPv6 cannot use it.</P>
+<P>WCCP is not available (neither version 1 or 2).
+It remains built into squid for use with IPv4 traffic but IPv6 cannot use it.</P>
 
 <P>Transparent Interception is done via NAT at the OS level and is not available in IPv6.
 Squid will ensure that any port set with transparent, intercept, or tproxy options be an IPv4-only
@@ -406,6 +404,26 @@
 should be large enough to not require an explicit configuration in most
 environments yet may be small enough to limit side-effects of loops.</P>
 
+<H2><A NAME="ss2.10">2.10</A> <A HREF="#toc2.10">ICY streaming protocol support</A>
+</H2>
+
+<P>Squid-3.1 adds native support for streaming protocol ICY.</P>
+
+<P>This protocol uses port 80 and violates RFC 2616 by using an HTTP/1.1 compliant request and non-HTTP reply
+to start the stream transaction. If the reply is handled according to HTTP/1.1 RFC-compliance requirements
+the audio stream becomes jerky and contains regular 'popping' sounds.</P>
+
+<P>Squid now processes the ICY replies natively according to the ICY requirements, not HTTP/1.1 requirements.
+The streamed data is not cacheable. All processing and access controls may be applied the same as for HTTP.</P>
+
+<H3>squid.conf change</H3>
+
+<P>Squid-2 contained a hack using the <EM>update_http0.9</EM> squid.conf option to work around the
+unusual replies. This option is now obsolete.</P>
+
+<P>The proto ACL type matches <EM>ICY</EM> once the reply has been received, before that the processing
+is only aware on an HTTP request. So the ACL will match <EM>HTTP</EM>.</P>
+
 
 <H2><A NAME="s3">3.</A> <A HREF="#toc3">Windows support</A></H2>
 
@@ -1276,7 +1294,8 @@
 <P>
 <DL>
 <DT><B>acl</B><DD>
-<P>New preset content <EM>ipv6</EM> available as a preset type in the src and dst ACL matching all of the public IPv6 network space.</P>
+<P>New preset <EM>ipv6</EM> available in the src and dst ACL matching all of the public IPv6 network space.</P>
+<P>New preset <EM>ipv4</EM> available in the src and dst ACL matching all of IPv4 network space.</P>
 <P>New acl type myportname, matching the name of the http_port or https_port where the request was accepted.</P>
 <P>New acl type tag, matching the tag= returned from the external_acl_type helper.</P>
 <P>New acl type peername, matching against a named cache_peer entry where the request will be attempted first.
@@ -1284,6 +1303,8 @@
 <PRE>
         acl aclname dst ipv6                    # request for IPv6-enabled site
         acl aclname src ipv6                    # request from IPv6 address
+        acl aclname dst ipv4                    # request for IPv4 site
+        acl aclname src ipv4                    # request from IPv4 address
         acl aclname myportname 3128 ...         # http(s)_port name
         acl aclname peername myPeer ...         # cache_peer ... name=myPeer
         acl aclname tag value ...               # tag= option from external ACL
@@ -1725,6 +1746,13 @@
 <DT><B>--disable-loadable-modules</B><DD>
 <P>Build without support for loadable modules.</P>
 
+<DT><B>--disable-strict-error-checking</B><DD>
+<P>Build Squid without advanced compiler error checking.
+This only affects the building process, enabling it to complete despite some
+possibly serious issues.
+Please do not use lightly, and please report the build issues which make it needed
+to the squid developers before doing so.</P>
+
 <DT><B>--disable-translation</B><DD>
 <P>Prevent Squid generating localized error page templates and manuals.
 Which is usually tried, but may not be needed.</P>
@@ -1740,6 +1768,18 @@
 <P>If it produces ongoing serious problems the external helper may be needed
 but please report the bugs anyway.</P>
 
+<DT><B>--with-libexpat / --without-libexpat</B><DD>
+<P>Require libexpat XML parser to be built into Squid for ESI parsing.
+Build will fail if this option is used and the library is not present.
+Default is to auto-detect it when using ESI and ignore if not present.
+Use --without-libexpat to prevent it being auto-detected.</P>
+
+<DT><B>--with-libxml2 / --without-libxml2</B><DD>
+<P>Require libxml2 XML parser to be built into Squid for ESI parsing.
+Build will fail if this option is used and the library is not present.
+Default is to auto-detect it when building with ESI.
+Use --without-libxml2 to prevent it being auto-detected.</P>
+
 <DT><B>--with-logdir=PATH</B><DD>
 <P>Allow build-time configuration of Default location for squid logs.</P>
 
@@ -1841,6 +1881,9 @@
 <DT><B>redirector_bypass</B><DD>
 <P>Replaced by <EM>url_rewrite_bypass</EM></P>
 
+<DT><B>upgrade_http0.9</B><DD>
+<P>Obsolete. ICY protocol streaming support added natively.</P>
+
 <DT><B>zph_local</B><DD>
 <P>Replaced by <EM>qos_flows local-hit=</EM></P>
 
@@ -2053,9 +2096,6 @@
 <DT><B>update_headers</B><DD>
 <P>Not yet ported from 2.7</P>
 
-<DT><B>upgrade_http0.9</B><DD>
-<P>Not yet ported from 2.7</P>
-
 <DT><B>zero_buffers</B><DD>
 <P>Not yet ported from 2.7</P>
 
diff -u -r -N squid-3.1.0.14/scripts/Makefile.in squid-3.1.0.15/scripts/Makefile.in
--- squid-3.1.0.14/scripts/Makefile.in	2009-09-27 15:28:54.000000000 +1200
+++ squid-3.1.0.15/scripts/Makefile.in	2009-11-23 16:10:36.000000000 +1300
@@ -52,7 +52,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -71,6 +70,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -88,6 +88,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -99,6 +100,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -151,6 +153,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -168,6 +171,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
diff -u -r -N squid-3.1.0.14/scripts/remove-cfg.sh squid-3.1.0.15/scripts/remove-cfg.sh
--- squid-3.1.0.14/scripts/remove-cfg.sh	2009-09-27 15:28:27.000000000 +1200
+++ squid-3.1.0.15/scripts/remove-cfg.sh	2009-11-23 16:09:59.000000000 +1300
@@ -18,7 +18,7 @@
 if test -f $prime
 then
 	# is the primary config identical to the default?
-	if diff -q $default $prime > /dev/null
+	if diff $default $prime > /dev/null
 	then
  		echo " $remover -f $prime";
                 $remover -f $prime;
diff -u -r -N squid-3.1.0.14/snmplib/Makefile.am squid-3.1.0.15/snmplib/Makefile.am
--- squid-3.1.0.14/snmplib/Makefile.am	2009-09-27 15:28:27.000000000 +1200
+++ squid-3.1.0.15/snmplib/Makefile.am	2009-11-23 16:09:59.000000000 +1300
@@ -2,8 +2,8 @@
 ##
 ## Makefile for libsnmp.
 ## 
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 noinst_LIBRARIES = libsnmp.a
 libsnmp_a_SOURCES  = asn1.c parse.c snmp_vars.c \
 	coexistance.c snmp_api.c snmp_error.c  \
diff -u -r -N squid-3.1.0.14/snmplib/Makefile.in squid-3.1.0.15/snmplib/Makefile.in
--- squid-3.1.0.14/snmplib/Makefile.in	2009-09-27 15:28:54.000000000 +1200
+++ squid-3.1.0.15/snmplib/Makefile.in	2009-11-23 16:10:36.000000000 +1300
@@ -70,7 +70,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -89,6 +88,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -106,6 +106,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -117,6 +118,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -169,6 +171,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -186,6 +189,7 @@
 TRUE = @TRUE@
 VERSION = 3.4
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -242,8 +246,8 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 noinst_LIBRARIES = libsnmp.a
 libsnmp_a_SOURCES = asn1.c parse.c snmp_vars.c \
 	coexistance.c snmp_api.c snmp_error.c  \
diff -u -r -N squid-3.1.0.14/src/access_log.cc squid-3.1.0.15/src/access_log.cc
--- squid-3.1.0.14/src/access_log.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/access_log.cc	2009-11-23 16:10:06.000000000 +1300
@@ -44,6 +44,7 @@
 #include "HttpReply.h"
 #include "HttpRequest.h"
 #include "MemBuf.h"
+#include "rfc1738.h"
 #include "SquidTime.h"
 #include "CacheManager.h"
 
@@ -2049,9 +2050,13 @@
 
         LogfileStatus = LOG_ENABLE;
 
-#if USE_ADAPTATION || ICAP_CLIENT
+#if USE_ADAPTATION
         alLogformatHasAdaptToken = false;
+#endif
+#if ICAP_CLIENT
         alLogformatHasIcapToken = false;
+#endif
+#if USE_ADAPTATION || ICAP_CLIENT
         for (logformat_token * curr_token = (log->logFormat?log->logFormat->format:NULL); curr_token; curr_token = curr_token->next) {
 #if USE_ADAPTATION
             if (curr_token->type == LTF_ADAPTATION_SUM_XACT_TIMES ||
diff -u -r -N squid-3.1.0.14/src/acl/Arp.cc squid-3.1.0.15/src/acl/Arp.cc
--- squid-3.1.0.14/src/acl/Arp.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/acl/Arp.cc	2009-11-23 16:10:06.000000000 +1300
@@ -248,6 +248,7 @@
 #endif
 
     IpAddress ipAddr = c;
+    ipAddr.SetPort(0);  // ARP will fail if the port is included in the match.
 
 #if defined(_SQUID_LINUX_)
 
@@ -258,6 +259,10 @@
     int offset;
 
     SplayNode<acl_arp_data*> **Top = dataptr;
+
+    /* IPv6 builds do not provide the first http_port as an IPv4 socket for ARP */
+    int tmpSocket = socket(AF_INET,SOCK_STREAM,0);
+
     /*
      * The linux kernel 2.2 maintains per interface ARP caches and
      * thus requires an interface name when doing ARP queries.
@@ -279,8 +284,9 @@
     ipAddr.GetSockAddr(*sa);
     /* Query ARP table */
 
-    if (ioctl(HttpSockets[0], SIOCGARP, &arpReq) != -1) {
+    if (ioctl(tmpSocket, SIOCGARP, &arpReq) != -1) {
         /* Skip non-ethernet interfaces */
+        close(tmpSocket);
 
         if (arpReq.arp_ha.sa_family != ARPHRD_ETHER) {
             return 0;
@@ -298,7 +304,7 @@
         acl_arp_data X;
         memcpy (X.eth, arpReq.arp_ha.sa_data, 6);
         *Top = (*Top)->splay(&X, aclArpCompare);
-        debugs(28, 3, "aclMatchArp: '" << c << "' " << (splayLastResult ? "NOT found" : "found"));
+        debugs(28, 3, "aclMatchArp: '" << ipAddr << "' " << (splayLastResult ? "NOT found" : "found"));
         return (0 == splayLastResult);
     }
 
@@ -307,13 +313,15 @@
 
     ifc.ifc_buf = (char *)ifbuffer;
 
-    if (ioctl(HttpSockets[0], SIOCGIFCONF, &ifc) < 0) {
+    if (ioctl(tmpSocket, SIOCGIFCONF, &ifc) < 0) {
         debugs(28, 1, "Attempt to retrieve interface list failed: " << xstrerror());
+        close(tmpSocket);
         return 0;
     }
 
     if (ifc.ifc_len > (int)sizeof(ifbuffer)) {
         debugs(28, 1, "Interface list too long - " << ifc.ifc_len);
+        close(tmpSocket);
         return 0;
     }
 
@@ -332,7 +340,7 @@
         if (NULL != strchr(ifr->ifr_name, ':'))
             continue;
 
-        debugs(28, 4, "Looking up ARP address for " << c << " on " << ifr->ifr_name);
+        debugs(28, 4, "Looking up ARP address for " << ipAddr << " on " << ifr->ifr_name);
 
         /* Set up structures for ARP lookup */
 
@@ -346,7 +354,7 @@
         arpReq.arp_dev[sizeof(arpReq.arp_dev) - 1] = '\0';
 
         /* Query ARP table */
-        if (-1 == ioctl(HttpSockets[0], SIOCGARP, &arpReq)) {
+        if (-1 == ioctl(tmpSocket, SIOCGARP, &arpReq)) {
             /*
              * Query failed.  Do not log failed lookups or "device
              * not supported"
@@ -384,7 +392,8 @@
 
         /* Return if match, otherwise continue to other interfaces */
         if (0 == splayLastResult) {
-            debugs(28, 3, "aclMatchArp: " << c << " found on " << ifr->ifr_name);
+            debugs(28, 3, "aclMatchArp: " << ipAddr << " found on " << ifr->ifr_name);
+            close(tmpSocket);
             return 1;
         }
 
@@ -394,10 +403,15 @@
          */
     }
 
+    close(tmpSocket);
+
 #elif defined(_SQUID_SOLARIS_)
 
     SplayNode<acl_arp_data *> **Top = dataptr;
 
+    /* IPv6 builds do not provide the first http_port as an IPv4 socket for ARP */
+    int tmpSocket = socket(AF_INET,SOCK_STREAM,0);
+
     /*
     * Set up structures for ARP lookup with blank interface name
     */
@@ -408,11 +422,12 @@
     ipAddr.GetSockAddr(*sa);
 
     /* Query ARP table */
-    if (ioctl(HttpSockets[0], SIOCGARP, &arpReq) != -1) {
+    if (ioctl(tmpSocket, SIOCGARP, &arpReq) != -1) {
         /*
         *  Solaris (at least 2.6/x86) does not use arp_ha.sa_family -
         * it returns 00:00:00:00:00:00 for non-ethernet media
         */
+        close(tmpSocket);
 
         if (arpReq.arp_ha.sa_data[0] == 0 &&
                 arpReq.arp_ha.sa_data[1] == 0 &&
@@ -432,11 +447,13 @@
         /* Do lookup */
         *Top = (*Top)->splay((acl_arp_data *)&arpReq.arp_ha.sa_data, aclArpCompare);
 
-        debugs(28, 3, "aclMatchArp: '" << c << "' " << (splayLastResult ? "NOT found" : "found"));
+        debugs(28, 3, "aclMatchArp: '" << ipAddr << "' " << (splayLastResult ? "NOT found" : "found"));
 
         return (0 == splayLastResult);
     }
 
+    close(tmpSocket);
+
 #elif defined(_SQUID_FREEBSD_) || defined(_SQUID_NETBSD_) || defined(_SQUID_OPENBSD_) || defined(_SQUID_DRAGONFLY_) || defined(_SQUID_KFREEBSD_)
 
     SplayNode<acl_arp_data *> **Top = dataptr;
@@ -533,7 +550,7 @@
     /* Do lookup */
     *Top = (*Top)->splay((acl_arp_data *)&arpReq.arp_ha.sa_data, aclArpCompare);
 
-    debugs(28, 3, "aclMatchArp: '" << c << "' " << (splayLastResult ? "NOT found" : "found"));
+    debugs(28, 3, "aclMatchArp: '" << ipAddr << "' " << (splayLastResult ? "NOT found" : "found"));
 
     return (0 == splayLastResult);
 
@@ -598,7 +615,7 @@
     /* Do lookup */
     *Top = (*Top)->splay((acl_arp_data *)&arpReq.arp_ha.sa_data, aclArpCompare);
 
-    debugs(28, 3, "aclMatchArp: '" << c << "' " << (splayLastResult ? "NOT found" : "found"));
+    debugs(28, 3, "aclMatchArp: '" << ipAddr << "' " << (splayLastResult ? "NOT found" : "found"));
 
     return (0 == splayLastResult);
 
@@ -610,7 +627,7 @@
     /*
      * Address was not found on any interface
      */
-    debugs(28, 3, "aclMatchArp: " << c << " NOT found");
+    debugs(28, 3, "aclMatchArp: " << ipAddr << " NOT found");
 
     return 0;
 }
diff -u -r -N squid-3.1.0.14/src/acl/Asn.cc squid-3.1.0.15/src/acl/Asn.cc
--- squid-3.1.0.14/src/acl/Asn.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/acl/Asn.cc	2009-11-23 16:10:06.000000000 +1300
@@ -112,9 +112,17 @@
 
 static STCB asHandleReply;
 
-static int destroyRadixNode(struct squid_radix_node *rn, void *w);
 
-static int printRadixNode(struct squid_radix_node *rn, void *sentry);
+#if defined(__cplusplus)
+extern "C" {
+#endif
+
+    static int destroyRadixNode(struct squid_radix_node *rn, void *w);
+    static int printRadixNode(struct squid_radix_node *rn, void *sentry);
+
+#if defined(__cplusplus)
+}
+#endif
 
 void asnAclInitialize(ACL * acls);
 
diff -u -r -N squid-3.1.0.14/src/acl/DestinationDomain.cc squid-3.1.0.15/src/acl/DestinationDomain.cc
--- squid-3.1.0.14/src/acl/DestinationDomain.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/acl/DestinationDomain.cc	2009-11-23 16:10:06.000000000 +1300
@@ -76,20 +76,34 @@
 {
     assert(checklist != NULL && checklist->request != NULL);
 
-    const ipcache_addrs *ia = NULL;
-    const char *fqdn = NULL;
-
-    if (data->match(checklist->request->GetHost()))
+    if (data->match(checklist->request->GetHost())) {
         return 1;
+    }
+
+    /* numeric IPA? no, trust the above result. */
+    if (checklist->request->GetHostIsNumeric() == 0) {
+        return 0;
+    }
+
+    /* do we already have the rDNS? match on it if we do. */
+    if (checklist->dst_rdns) {
+        debugs(28, 3, "aclMatchAcl: '" << AclMatchedName << "' match with stored rDNS '" << checklist->dst_rdns << "' for '" << checklist->request->GetHost() << "'");
+        return data->match(checklist->dst_rdns);
+    }
 
-    /* numeric IPA? */
-    if ((ia = ipcacheCheckNumeric(checklist->request->GetHost())) == NULL)
+    /* raw IP without rDNS? look it up and wait for the result */
+    const ipcache_addrs *ia = ipcacheCheckNumeric(checklist->request->GetHost());
+    if (!ia) {
+        /* not a valid IPA */
+        checklist->dst_rdns = xstrdup("invalid");
         return 0;
+    }
 
     checklist->dst_addr = ia->in_addrs[0];
-    fqdn = fqdncache_gethostbyaddr(checklist->dst_addr, FQDN_LOOKUP_IF_MISS);
+    const char *fqdn = fqdncache_gethostbyaddr(checklist->dst_addr, FQDN_LOOKUP_IF_MISS);
 
     if (fqdn) {
+        checklist->dst_rdns = xstrdup(fqdn);
         return data->match(fqdn);
     } else if (!checklist->destinationDomainChecked()) {
         /* FIXME: Using AclMatchedName here is not OO correct. Should find a way to the current acl */
diff -u -r -N squid-3.1.0.14/src/acl/FilledChecklist.cc squid-3.1.0.15/src/acl/FilledChecklist.cc
--- squid-3.1.0.14/src/acl/FilledChecklist.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/acl/FilledChecklist.cc	2009-11-23 16:10:06.000000000 +1300
@@ -120,6 +120,7 @@
 
 ACLFilledChecklist::ACLFilledChecklist() :
         dst_peer(NULL),
+        dst_rdns(NULL),
         request (NULL),
         reply (NULL),
         auth_user_request (NULL),
@@ -146,6 +147,8 @@
 {
     assert (!asyncInProgress());
 
+    safe_free(dst_rdns); // created by xstrdup().
+
     if (extacl_entry)
         cbdataReferenceDone(extacl_entry);
 
@@ -231,6 +234,7 @@
  */
 ACLFilledChecklist::ACLFilledChecklist(const acl_access *A, HttpRequest *http_request, const char *ident):
         dst_peer(NULL),
+        dst_rdns(NULL),
         request(NULL),
         reply(NULL),
         auth_user_request(NULL),
diff -u -r -N squid-3.1.0.14/src/acl/FilledChecklist.h squid-3.1.0.15/src/acl/FilledChecklist.h
--- squid-3.1.0.14/src/acl/FilledChecklist.h	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/acl/FilledChecklist.h	2009-11-23 16:10:06.000000000 +1300
@@ -47,6 +47,7 @@
     IpAddress dst_addr;
     IpAddress my_addr;
     struct peer *dst_peer;
+    char *dst_rdns;
 
     HttpRequest *request;
     HttpReply *reply;
diff -u -r -N squid-3.1.0.14/src/acl/Ip.cc squid-3.1.0.15/src/acl/Ip.cc
--- squid-3.1.0.14/src/acl/Ip.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/acl/Ip.cc	2009-11-23 16:10:06.000000000 +1300
@@ -109,7 +109,8 @@
         b3[0] = '/';
         rlen++;
 #if USE_IPV6
-        snprintf(&(b3[1]), (len-rlen), "%u", mask.GetCIDR() - (addr1.IsIPv4()?96:0) );
+        int cidr =  mask.GetCIDR() - (addr1.IsIPv4()?96:0);
+        snprintf(&(b3[1]), (len-rlen), "%u", (unsigned int)(cidr<0?0:cidr) );
 #else
         snprintf(&(b3[1]), (len-rlen), "%u", mask.GetCIDR() );
 #endif
@@ -273,13 +274,93 @@
         return q;
     }
 
+    /* Detect some old broken strings equivalent to 'all'.
+     * treat them nicely. But be loud until its fixed.  */
+    if (strcasecmp(t, "0/0") == 0 || strcasecmp(t, "0.0.0.0/0") == 0 || strcasecmp(t, "0.0.0.0/0.0.0.0") == 0 ||
+            strcasecmp(t, "0.0.0.0") == 0 || strcasecmp(t, "0.0.0.0-0.0.0.0") == 0 || strcasecmp(t, "0.0.0.0-0.0.0.0/0") == 0) {
+
+        debugs(28,DBG_CRITICAL, "ERROR: '" << t << "' needs to be replaced by the term 'all'.");
+        debugs(28,DBG_CRITICAL, "SECURITY NOTICE: Overriding config setting. Using 'all' instead.");
+        q->addr1.SetAnyAddr();
+        q->addr2.SetEmpty();
+        q->mask.SetAnyAddr();
+        return q;
+    }
+
 #if USE_IPV6
+    /* Special ACL RHS "ipv4" matches IPv4 Internet
+     * A nod to IANA; we include the entire class space in case
+     * they manage to find a way to recover and use it */
+    if (strcasecmp(t, "ipv4") == 0) {
+        q->mask.SetNoAddr();
+        q->mask.ApplyMask(0, AF_INET);
+        return q;
+    }
+
     /* Special ACL RHS "ipv6" matches IPv6-Unicast Internet */
     if (strcasecmp(t, "ipv6") == 0) {
         debugs(28, 9, "aclIpParseIpData: magic 'ipv6' found.");
-        t = "2000::/3";
-        /* AYJ: due to the nature os IPv6 this will not always work,
-         *      we may need to turn recursive to catch all the valid v6 sub-nets. */
+        r = q; // save head of the list for result.
+
+        /* 0000::/4 is a mix of localhost and obsolete IPv4-mapping space. Not valid outside this host. */
+
+        /* Future global unicast space: 1000::/4 */
+        q->addr1 = "1000::";
+        q->mask.SetNoAddr();
+        q->mask.ApplyMask(4, AF_INET6);
+
+        /* Current global unicast space: 2000::/4 = (2000::/4 - 3000::/4) */
+        q->next = new acl_ip_data;
+        q = q->next;
+        q->addr1 = "2000::";
+        q->mask.SetNoAddr();
+        q->mask.ApplyMask(3, AF_INET6);
+
+        /* Future global unicast space: 4000::/2 = (4000::/4 - 7000::/4) */
+        q->next = new acl_ip_data;
+        q = q->next;
+        q->addr1 = "4000::";
+        q->mask.SetNoAddr();
+        q->mask.ApplyMask(2, AF_INET6);
+
+        /* Future global unicast space: 8000::/2 = (8000::/4 - B000::/4) */
+        q->next = new acl_ip_data;
+        q = q->next;
+        q->addr1 = "8000::";
+        q->mask.SetNoAddr();
+        q->mask.ApplyMask(2, AF_INET6);
+
+        /* Future global unicast space: C000::/3 = (C000::/4 - D000::/4) */
+        q->next = new acl_ip_data;
+        q = q->next;
+        q->addr1 = "C000::";
+        q->mask.SetNoAddr();
+        q->mask.ApplyMask(3, AF_INET6);
+
+        /* Future global unicast space: E000::/4 */
+        q->next = new acl_ip_data;
+        q = q->next;
+        q->addr1 = "E000::";
+        q->mask.SetNoAddr();
+        q->mask.ApplyMask(4, AF_INET6);
+
+        /* F000::/4 is mostly reserved non-unicast. With some exceptions ... */
+
+        /* RFC 4193 Unique-Local unicast space: FC00::/7 */
+        q->next = new acl_ip_data;
+        q = q->next;
+        q->addr1 = "FC00::";
+        q->mask.SetNoAddr();
+        q->mask.ApplyMask(7, AF_INET6);
+
+        /* Link-Local unicast space: FE80::/10 */
+        q->next = new acl_ip_data;
+        q = q->next;
+        q->addr1 = "FE80::";
+        q->mask.SetNoAddr();
+        q->mask.ApplyMask(10, AF_INET6);
+
+        return r;
     }
 #endif
 
@@ -449,8 +530,11 @@
         acl_ip_data *q = acl_ip_data::FactoryParse(t);
 
         while (q != NULL) {
+            /* pop each result off the list and add it to the data tree individually */
+            acl_ip_data *next_node = q->next;
+            q->next = NULL;
             data = data->insert(q, acl_ip_data::NetworkCompare);
-            q = q->next;
+            q = next_node;
         }
     }
 }
diff -u -r -N squid-3.1.0.14/src/acl/Makefile.in squid-3.1.0.15/src/acl/Makefile.in
--- squid-3.1.0.14/src/acl/Makefile.in	2009-09-27 15:28:55.000000000 +1200
+++ squid-3.1.0.15/src/acl/Makefile.in	2009-11-23 16:10:38.000000000 +1300
@@ -120,7 +120,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -139,6 +138,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -156,6 +156,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -167,6 +168,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -219,6 +221,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -236,6 +239,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -292,8 +296,8 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 TESTS = testHeaders
 INCLUDES = \
@@ -301,7 +305,7 @@
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 noinst_LTLIBRARIES = libapi.la libstate.la libacls.la
 libapi_la_SOURCES = \
diff -u -r -N squid-3.1.0.14/src/acl/TimeData.cc squid-3.1.0.15/src/acl/TimeData.cc
--- squid-3.1.0.14/src/acl/TimeData.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/acl/TimeData.cc	2009-11-23 16:10:07.000000000 +1300
@@ -126,7 +126,7 @@
 ACLTimeData::parse()
 {
     ACLTimeData **Tail;
-    long weekbits = 0;
+    long parsed_weekbits = 0;
 
     for (Tail = &next; *Tail; Tail = &((*Tail)->next));
     ACLTimeData *q = NULL;
@@ -143,35 +143,35 @@
                 switch (*t++) {
 
                 case 'S':
-                    weekbits |= ACL_SUNDAY;
+                    parsed_weekbits |= ACL_SUNDAY;
                     break;
 
                 case 'M':
-                    weekbits |= ACL_MONDAY;
+                    parsed_weekbits |= ACL_MONDAY;
                     break;
 
                 case 'T':
-                    weekbits |= ACL_TUESDAY;
+                    parsed_weekbits |= ACL_TUESDAY;
                     break;
 
                 case 'W':
-                    weekbits |= ACL_WEDNESDAY;
+                    parsed_weekbits |= ACL_WEDNESDAY;
                     break;
 
                 case 'H':
-                    weekbits |= ACL_THURSDAY;
+                    parsed_weekbits |= ACL_THURSDAY;
                     break;
 
                 case 'F':
-                    weekbits |= ACL_FRIDAY;
+                    parsed_weekbits |= ACL_FRIDAY;
                     break;
 
                 case 'A':
-                    weekbits |= ACL_SATURDAY;
+                    parsed_weekbits |= ACL_SATURDAY;
                     break;
 
                 case 'D':
-                    weekbits |= ACL_WEEKDAYS;
+                    parsed_weekbits |= ACL_WEEKDAYS;
                     break;
 
                 case '-':
@@ -198,7 +198,7 @@
                 return;
             }
 
-            if ((weekbits == 0) && (start == 0) && (stop == 0))
+            if ((parsed_weekbits == 0) && (start == 0) && (stop == 0))
                 q = this;
             else
                 q = new ACLTimeData;
@@ -207,9 +207,9 @@
 
             q->stop = h2 * 60 + m2;
 
-            q->weekbits = weekbits;
+            q->weekbits = parsed_weekbits;
 
-            weekbits = 0;
+            parsed_weekbits = 0;
 
             if (q->start > q->stop) {
                 debugs(28, 0, "aclParseTimeSpec: Reversed time range");
@@ -231,23 +231,18 @@
         }
     }
 
-    if (weekbits) {
+    if (parsed_weekbits) {
 
-        if ((weekbits == 0) && (start == 0) && (stop == 0))
-            q = this;
-        else
-            q = new ACLTimeData;
+        q = new ACLTimeData;
 
         q->start = 0 * 60 + 0;
 
         q->stop =  24 * 60 + 0;
 
-        q->weekbits = weekbits;
+        q->weekbits = parsed_weekbits;
 
-        if (q != this) {
-            *(Tail) = q;
-            Tail = &q->next;
-        }
+        *(Tail) = q;
+        Tail = &q->next;
     }
 }
 
diff -u -r -N squid-3.1.0.14/src/acl/Url.cc squid-3.1.0.15/src/acl/Url.cc
--- squid-3.1.0.14/src/acl/Url.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/acl/Url.cc	2009-11-23 16:10:07.000000000 +1300
@@ -38,7 +38,7 @@
 #include "acl/Url.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
-
+#include "rfc1738.h"
 
 int
 ACLUrlStrategy::match (ACLData<char const *> * &data, ACLFilledChecklist *checklist)
diff -u -r -N squid-3.1.0.14/src/acl/UrlPath.cc squid-3.1.0.15/src/acl/UrlPath.cc
--- squid-3.1.0.14/src/acl/UrlPath.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/acl/UrlPath.cc	2009-11-23 16:10:07.000000000 +1300
@@ -39,7 +39,7 @@
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
 #include "HttpRequest.h"
-
+#include "rfc1738.h"
 
 int
 ACLUrlPathStrategy::match (ACLData<char const *> * &data, ACLFilledChecklist *checklist)
diff -u -r -N squid-3.1.0.14/src/AclRegs.cc squid-3.1.0.15/src/AclRegs.cc
--- squid-3.1.0.14/src/AclRegs.cc	2009-09-27 15:28:28.000000000 +1200
+++ squid-3.1.0.15/src/AclRegs.cc	2009-11-23 16:10:00.000000000 +1300
@@ -89,8 +89,8 @@
 ACLMaxConnection ACLMaxConnection::RegistryEntry_("maxconn");
 ACL::Prototype ACLMethod::RegistryProtoype(&ACLMethod::RegistryEntry_, "method");
 ACLStrategised<HttpRequestMethod> ACLMethod::RegistryEntry_(new ACLMethodData, ACLMethodStrategy::Instance(), "method");
+ACL::Prototype ACLMyIP::RegistryProtoype(&ACLMyIP::RegistryEntry_, "myip");
 ACLMyIP ACLMyIP::RegistryEntry_;
-ACLMyIP const &ACLMyIP::RegistryEntry() {return RegistryEntry_;}
 ACL::Prototype ACLMyPort::RegistryProtoype(&ACLMyPort::RegistryEntry_, "myport");
 ACLStrategised<int> ACLMyPort::RegistryEntry_(new ACLIntRange, ACLMyPortStrategy::Instance(), "myport");
 ACL::Prototype ACLMyPortName::RegistryProtoype(&ACLMyPortName::RegistryEntry_, "myportname");
diff -u -r -N squid-3.1.0.14/src/adaptation/ecap/Makefile.in squid-3.1.0.15/src/adaptation/ecap/Makefile.in
--- squid-3.1.0.14/src/adaptation/ecap/Makefile.in	2009-09-27 15:28:55.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/ecap/Makefile.in	2009-11-23 16:10:38.000000000 +1300
@@ -77,7 +77,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -96,6 +95,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -113,6 +113,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -124,6 +125,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -176,6 +178,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -193,6 +196,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -249,8 +253,8 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 TESTS = testHeaders
 INCLUDES = \
@@ -258,7 +262,7 @@
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 noinst_LTLIBRARIES = libecap.la
 libecap_la_SOURCES = \
diff -u -r -N squid-3.1.0.14/src/adaptation/History.cc squid-3.1.0.15/src/adaptation/History.cc
--- squid-3.1.0.14/src/adaptation/History.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/History.cc	2009-11-23 16:10:07.000000000 +1300
@@ -9,8 +9,8 @@
 /// impossible services value to identify unset theNextServices
 const static char *TheNullServices = ",null,";
 
-Adaptation::History::Entry::Entry(const String &sid, const timeval &when):
-        service(sid), start(when), theRptm(-1), retried(false)
+Adaptation::History::Entry::Entry(const String &serviceId, const timeval &when):
+        service(serviceId), start(when), theRptm(-1), retried(false)
 {
 }
 
@@ -37,13 +37,13 @@
 {
 }
 
-int Adaptation::History::recordXactStart(const String &sid, const timeval &when, bool retrying)
+int Adaptation::History::recordXactStart(const String &serviceId, const timeval &when, bool retrying)
 {
     if (retrying) {
         Must(!theEntries.empty()); // or there would be nothing to retry
         theEntries.back().retried = true;
     }
-    theEntries.push_back(Adaptation::History::Entry(sid, when));
+    theEntries.push_back(Adaptation::History::Entry(serviceId, when));
     return theEntries.size() - 1; // record position becomes history ID
 }
 
diff -u -r -N squid-3.1.0.14/src/adaptation/icap/Makefile.in squid-3.1.0.15/src/adaptation/icap/Makefile.in
--- squid-3.1.0.14/src/adaptation/icap/Makefile.in	2009-09-27 15:28:55.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/icap/Makefile.in	2009-11-23 16:10:38.000000000 +1300
@@ -78,7 +78,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -97,6 +96,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -114,6 +114,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -125,6 +126,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -177,6 +179,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -194,6 +197,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -250,8 +254,8 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 TESTS = testHeaders
 INCLUDES = \
@@ -259,7 +263,7 @@
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 noinst_LTLIBRARIES = libicap.la
 libicap_la_SOURCES = \
diff -u -r -N squid-3.1.0.14/src/adaptation/icap/ModXact.cc squid-3.1.0.15/src/adaptation/icap/ModXact.cc
--- squid-3.1.0.14/src/adaptation/icap/ModXact.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/icap/ModXact.cc	2009-11-23 16:10:07.000000000 +1300
@@ -32,9 +32,6 @@
 
 static const size_t TheBackupLimit = BodyPipe::MaxCapacity;
 
-extern Adaptation::Icap::Config Adaptation::Icap::TheConfig;
-
-
 Adaptation::Icap::ModXact::State::State()
 {
     memset(this, 0, sizeof(*this));
@@ -337,20 +334,20 @@
 {
     Must(act.active());
     // asbolute start of unprocessed data
-    const uint64_t start = act.offset();
+    const uint64_t dataStart = act.offset();
     // absolute end of buffered data
-    const uint64_t end = virginConsumed + virgin.body_pipe->buf().contentSize();
-    Must(virginConsumed <= start && start <= end);
-    return static_cast<size_t>(end - start);
+    const uint64_t dataEnd = virginConsumed + virgin.body_pipe->buf().contentSize();
+    Must(virginConsumed <= dataStart && dataStart <= dataEnd);
+    return static_cast<size_t>(dataEnd - dataStart);
 }
 
 // pointer to buffered virgin body data available for the specified activity
 const char *Adaptation::Icap::ModXact::virginContentData(const Adaptation::Icap::VirginBodyAct &act) const
 {
     Must(act.active());
-    const uint64_t start = act.offset();
-    Must(virginConsumed <= start);
-    return virgin.body_pipe->buf().content() + static_cast<size_t>(start-virginConsumed);
+    const uint64_t dataStart = act.offset();
+    Must(virginConsumed <= dataStart);
+    return virgin.body_pipe->buf().content() + static_cast<size_t>(dataStart-virginConsumed);
 }
 
 void Adaptation::Icap::ModXact::virginConsume()
@@ -1700,7 +1697,7 @@
     Adaptation::Icap::Launcher::swanSong();
 }
 
-void Adaptation::Icap::ModXactLauncher::updateHistory(bool start)
+void Adaptation::Icap::ModXactLauncher::updateHistory(bool doStart)
 {
     HttpRequest *r = virgin.cause ?
                      virgin.cause : dynamic_cast<HttpRequest*>(virgin.header);
@@ -1709,7 +1706,7 @@
     if (r) {
         Adaptation::Icap::History::Pointer h = r->icapHistory();
         if (h != NULL) {
-            if (start)
+            if (doStart)
                 h->start("ICAPModXactLauncher");
             else
                 h->stop("ICAPModXactLauncher");
diff -u -r -N squid-3.1.0.14/src/adaptation/icap/Options.cc squid-3.1.0.15/src/adaptation/icap/Options.cc
--- squid-3.1.0.14/src/adaptation/icap/Options.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/icap/Options.cc	2009-11-23 16:10:07.000000000 +1300
@@ -6,8 +6,6 @@
 #include "adaptation/icap/Config.h"
 #include "SquidTime.h"
 
-extern Adaptation::Icap::Config Adaptation::Icap::TheConfig;
-
 Adaptation::Icap::Options::Options(): error("unconfigured"),
         max_connections(-1), allow204(false),
         preview(-1), theTTL(-1)
diff -u -r -N squid-3.1.0.14/src/adaptation/icap/OptXact.cc squid-3.1.0.15/src/adaptation/icap/OptXact.cc
--- squid-3.1.0.14/src/adaptation/icap/OptXact.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/icap/OptXact.cc	2009-11-23 16:10:07.000000000 +1300
@@ -52,8 +52,8 @@
     buf.append(ICAP::crlf, 2);
 
     // XXX: HttpRequest cannot fully parse ICAP Request-Line
-    http_status status;
-    Must(icapRequest->parse(&buf, true, &status) > 0);
+    http_status reqStatus;
+    Must(icapRequest->parse(&buf, true, &reqStatus) > 0);
 }
 
 void Adaptation::Icap::OptXact::handleCommWrote(size_t size)
diff -u -r -N squid-3.1.0.14/src/adaptation/icap/ServiceRep.cc squid-3.1.0.15/src/adaptation/icap/ServiceRep.cc
--- squid-3.1.0.14/src/adaptation/icap/ServiceRep.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/icap/ServiceRep.cc	2009-11-23 16:10:07.000000000 +1300
@@ -15,8 +15,8 @@
 
 CBDATA_NAMESPACED_CLASS_INIT(Adaptation::Icap, ServiceRep);
 
-Adaptation::Icap::ServiceRep::ServiceRep(const Adaptation::ServiceConfig &cfg):
-        AsyncJob("Adaptation::Icap::ServiceRep"), Adaptation::Service(cfg),
+Adaptation::Icap::ServiceRep::ServiceRep(const Adaptation::ServiceConfig &svcCfg):
+        AsyncJob("Adaptation::Icap::ServiceRep"), Adaptation::Service(svcCfg),
         theOptions(NULL), theOptionsFetcher(0), theLastUpdate(0),
         theSessionFailures(0), isSuspended(0), notifying(false),
         updateScheduled(false), self(NULL),
diff -u -r -N squid-3.1.0.14/src/adaptation/Iterator.cc squid-3.1.0.15/src/adaptation/Iterator.cc
--- squid-3.1.0.14/src/adaptation/Iterator.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/Iterator.cc	2009-11-23 16:10:07.000000000 +1300
@@ -196,10 +196,10 @@
         method = methodReqmod;
         req = r;
         rep = NULL;
-    } else if (HttpReply *r = dynamic_cast<HttpReply*>(theMsg)) {
+    } else if (HttpReply *theReply = dynamic_cast<HttpReply*>(theMsg)) {
         method = methodRespmod;
         req = theCause;
-        rep = r;
+        rep = theReply;
     } else {
         Must(false); // should not happen
     }
diff -u -r -N squid-3.1.0.14/src/adaptation/Makefile.am squid-3.1.0.15/src/adaptation/Makefile.am
--- squid-3.1.0.14/src/adaptation/Makefile.am	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/Makefile.am	2009-11-23 16:10:07.000000000 +1300
@@ -45,6 +45,6 @@
 	History.h 
 
 # add libraries for specific adaptation schemes
-libadaptation_la_LIBADD = @ECAP_LIBS@ @ECAPLIB@ @ICAP_LIBS@
+libadaptation_la_LIBADD = $(ECAP_LIBS) $(ECAPLIB) $(ICAP_LIBS)
 
-libadaptation_la_DEPENDENCIES = @ECAP_LIBS@ @ICAP_LIBS@
+libadaptation_la_DEPENDENCIES = $(ECAP_LIBS) $(ICAP_LIBS)
diff -u -r -N squid-3.1.0.14/src/adaptation/Makefile.in squid-3.1.0.15/src/adaptation/Makefile.in
--- squid-3.1.0.14/src/adaptation/Makefile.in	2009-09-27 15:28:55.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/Makefile.in	2009-11-23 16:10:38.000000000 +1300
@@ -47,6 +47,7 @@
 CONFIG_HEADER = $(top_builddir)/include/autoconf.h
 CONFIG_CLEAN_FILES =
 LTLIBRARIES = $(noinst_LTLIBRARIES)
+am__DEPENDENCIES_1 =
 am_libadaptation_la_OBJECTS = AccessCheck.lo AccessRule.lo Config.lo \
 	Elements.lo Initiate.lo Initiator.lo Iterator.lo Message.lo \
 	Service.lo ServiceConfig.lo ServiceGroups.lo ServiceFilter.lo \
@@ -90,7 +91,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -109,6 +109,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -126,6 +127,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -137,6 +139,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -189,6 +192,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -206,6 +210,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -262,8 +267,8 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 TESTS = testHeaders
 INCLUDES = \
@@ -271,7 +276,7 @@
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 SUBDIRS = $(am__append_1) $(am__append_2)
 noinst_LTLIBRARIES = libadaptation.la
@@ -306,8 +311,8 @@
 
 
 # add libraries for specific adaptation schemes
-libadaptation_la_LIBADD = @ECAP_LIBS@ @ECAPLIB@ @ICAP_LIBS@
-libadaptation_la_DEPENDENCIES = @ECAP_LIBS@ @ICAP_LIBS@
+libadaptation_la_LIBADD = $(ECAP_LIBS) $(ECAPLIB) $(ICAP_LIBS)
+libadaptation_la_DEPENDENCIES = $(ECAP_LIBS) $(ICAP_LIBS)
 all: all-recursive
 
 .SUFFIXES:
diff -u -r -N squid-3.1.0.14/src/adaptation/ServiceGroups.cc squid-3.1.0.15/src/adaptation/ServiceGroups.cc
--- squid-3.1.0.14/src/adaptation/ServiceGroups.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/adaptation/ServiceGroups.cc	2009-11-23 16:10:07.000000000 +1300
@@ -45,7 +45,7 @@
     bool baselineBypass = false;
     for (Pos pos = 0; has(pos); ++pos) {
         // TODO: quit on all errors
-        const String &sid = services[pos];
+        const String &serviceId = services[pos];
         ServicePointer service = at(pos);
         if (service != NULL) {
             if (method == methodNone) {
@@ -54,9 +54,9 @@
                 point = service->cfg().point;
             } else {
                 if (method != service->cfg().method)
-                    finalizeMsg("Inconsistent service method for", sid, true);
+                    finalizeMsg("Inconsistent service method for", serviceId, true);
                 if (point != service->cfg().point)
-                    finalizeMsg("Inconsistent vectoring point for", sid, true);
+                    finalizeMsg("Inconsistent vectoring point for", serviceId, true);
             }
 
             checkUniqueness(pos);
@@ -68,11 +68,11 @@
                 } else if (baselineBypass != service->cfg().bypass) {
                     debugs(93,0, "WARNING: Inconsistent bypass in " << kind <<
                            ' ' << id << " may produce surprising results: " <<
-                           baselineKey << " vs. " << sid);
+                           baselineKey << " vs. " << serviceId);
                 }
             }
         } else {
-            finalizeMsg("ERROR: Unknown adaptation name", sid, true);
+            finalizeMsg("ERROR: Unknown adaptation name", serviceId, true);
         }
     }
     debugs(93,7, HERE << "finalized " << kind << ": " << id);
diff -u -r -N squid-3.1.0.14/src/auth/basic/auth_basic.cc squid-3.1.0.15/src/auth/basic/auth_basic.cc
--- squid-3.1.0.14/src/auth/basic/auth_basic.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/auth/basic/auth_basic.cc	2009-11-23 16:10:08.000000000 +1300
@@ -44,6 +44,7 @@
 #include "Store.h"
 #include "HttpReply.h"
 #include "basicScheme.h"
+#include "rfc1738.h"
 #include "wordlist.h"
 #include "SquidTime.h"
 
@@ -210,11 +211,11 @@
 }
 
 void
-AuthBasicConfig::fixHeader(AuthUserRequest *auth_user_request, HttpReply *rep, http_hdr_type type, HttpRequest * request)
+AuthBasicConfig::fixHeader(AuthUserRequest *auth_user_request, HttpReply *rep, http_hdr_type hdrType, HttpRequest * request)
 {
     if (authenticate) {
-        debugs(29, 9, HERE << "Sending type:" << type << " header: 'Basic realm=\"" << basicAuthRealm << "\"'");
-        httpHeaderPutStrf(&rep->header, type, "Basic realm=\"%s\"", basicAuthRealm);
+        debugs(29, 9, HERE << "Sending type:" << hdrType << " header: 'Basic realm=\"" << basicAuthRealm << "\"'");
+        httpHeaderPutStrf(&rep->header, hdrType, "Basic realm=\"%s\"", basicAuthRealm);
     }
 }
 
@@ -381,7 +382,7 @@
     delete this;
 }
 
-BasicUser::BasicUser(AuthConfig *config) : AuthUser (config) , passwd (NULL), credentials_checkedtime(0), auth_queue(NULL), cleartext (NULL), currentRequest (NULL), httpAuthHeader (NULL)
+BasicUser::BasicUser(AuthConfig *aConfig) : AuthUser (aConfig) , passwd (NULL), credentials_checkedtime(0), auth_queue(NULL), cleartext (NULL), currentRequest (NULL), httpAuthHeader (NULL)
 {
     flags.credentials_ok = 0;
 }
diff -u -r -N squid-3.1.0.14/src/auth/digest/auth_digest.cc squid-3.1.0.15/src/auth/digest/auth_digest.cc
--- squid-3.1.0.14/src/auth/digest/auth_digest.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/auth/digest/auth_digest.cc	2009-11-23 16:10:08.000000000 +1300
@@ -773,7 +773,7 @@
 
 /* add the [www-|Proxy-]authenticate header on a 407 or 401 reply */
 void
-AuthDigestConfig::fixHeader(AuthUserRequest *auth_user_request, HttpReply *rep, http_hdr_type type, HttpRequest * request)
+AuthDigestConfig::fixHeader(AuthUserRequest *auth_user_request, HttpReply *rep, http_hdr_type hdrType, HttpRequest * request)
 {
     if (!authenticate)
         return;
@@ -791,13 +791,13 @@
     /* on a 407 or 401 we always use a new nonce */
     digest_nonce_h *nonce = authenticateDigestNonceNew();
 
-    debugs(29, 9, "authenticateFixHeader: Sending type:" << type <<
+    debugs(29, 9, "authenticateFixHeader: Sending type:" << hdrType <<
            " header: 'Digest realm=\"" << digestAuthRealm << "\", nonce=\"" <<
            authenticateDigestNonceNonceb64(nonce) << "\", qop=\"" << QOP_AUTH <<
            "\", stale=" << (stale ? "true" : "false"));
 
     /* in the future, for WWW auth we may want to support the domain entry */
-    httpHeaderPutStrf(&rep->header, type, "Digest realm=\"%s\", nonce=\"%s\", qop=\"%s\", stale=%s", digestAuthRealm, authenticateDigestNonceNonceb64(nonce), QOP_AUTH, stale ? "true" : "false");
+    httpHeaderPutStrf(&rep->header, hdrType, "Digest realm=\"%s\", nonce=\"%s\", qop=\"%s\", stale=%s", digestAuthRealm, authenticateDigestNonceNonceb64(nonce), QOP_AUTH, stale ? "true" : "false");
 }
 
 DigestUser::~DigestUser()
@@ -1375,9 +1375,9 @@
     r->auth_user_request = this;
     AUTHUSERREQUESTLOCK(r->auth_user_request, "r");
     if (digestConfig.utf8) {
-        char user[1024];
-        latin1_to_utf8(user, sizeof(user), digest_user->username());
-        snprintf(buf, 8192, "\"%s\":\"%s\"\n", user, realm);
+        char userstr[1024];
+        latin1_to_utf8(userstr, sizeof(userstr), digest_user->username());
+        snprintf(buf, 8192, "\"%s\":\"%s\"\n", userstr, realm);
     } else {
         snprintf(buf, 8192, "\"%s\":\"%s\"\n", digest_user->username(), realm);
     }
@@ -1385,7 +1385,7 @@
     helperSubmit(digestauthenticators, buf, authenticateDigestHandleReply, r);
 }
 
-DigestUser::DigestUser (AuthConfig *config) : AuthUser (config), HA1created (0)
+DigestUser::DigestUser (AuthConfig *aConfig) : AuthUser (aConfig), HA1created (0)
 {}
 
 AuthUser *
diff -u -r -N squid-3.1.0.14/src/auth/Makefile.am squid-3.1.0.15/src/auth/Makefile.am
--- squid-3.1.0.14/src/auth/Makefile.am	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/auth/Makefile.am	2009-11-23 16:10:08.000000000 +1300
@@ -3,7 +3,7 @@
 ## we need our local files too (but avoid -I. at all costs)
 INCLUDES += -I$(srcdir)
 
-noinst_LTLIBRARIES = libauth.la libacls.la @AUTH_LIBS_TO_BUILD@
+noinst_LTLIBRARIES = libauth.la libacls.la $(AUTH_LIBS_TO_BUILD)
 EXTRA_LTLIBRARIES = libbasic.la libdigest.la libntlm.la libnegotiate.la
 
 ## authentication framework; this library is always built
@@ -20,8 +20,8 @@
 	Gadgets.cc \
 	Gadgets.h
 
-libauth_la_LIBADD = @AUTH_LIBS_TO_BUILD@
-libauth_la_DEPENDENCIES = @AUTH_LIBS_TO_BUILD@
+libauth_la_LIBADD = $(AUTH_LIBS_TO_BUILD)
+libauth_la_DEPENDENCIES = $(AUTH_LIBS_TO_BUILD)
 
 ## authentication-dependent ACLs and authentication code they share
 libacls_la_SOURCES = \
diff -u -r -N squid-3.1.0.14/src/auth/Makefile.in squid-3.1.0.15/src/auth/Makefile.in
--- squid-3.1.0.14/src/auth/Makefile.in	2009-09-27 15:28:56.000000000 +1200
+++ squid-3.1.0.15/src/auth/Makefile.in	2009-11-23 16:10:38.000000000 +1300
@@ -48,6 +48,7 @@
 libacls_la_LIBADD =
 am_libacls_la_OBJECTS = Acl.lo AclMaxUserIp.lo AclProxyAuth.lo
 libacls_la_OBJECTS = $(am_libacls_la_OBJECTS)
+am__DEPENDENCIES_1 =
 am_libauth_la_OBJECTS = Config.lo Scheme.lo User.lo UserRequest.lo \
 	Gadgets.lo
 libauth_la_OBJECTS = $(am_libauth_la_OBJECTS)
@@ -95,7 +96,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -114,6 +114,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -131,6 +132,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -142,6 +144,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -194,6 +197,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -211,6 +215,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -267,13 +272,13 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 TESTS = testHeaders
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
-noinst_LTLIBRARIES = libauth.la libacls.la @AUTH_LIBS_TO_BUILD@
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
+noinst_LTLIBRARIES = libauth.la libacls.la $(AUTH_LIBS_TO_BUILD)
 EXTRA_LTLIBRARIES = libbasic.la libdigest.la libntlm.la libnegotiate.la
 libauth_la_SOURCES = \
 	Config.cc \
@@ -288,8 +293,8 @@
 	Gadgets.cc \
 	Gadgets.h
 
-libauth_la_LIBADD = @AUTH_LIBS_TO_BUILD@
-libauth_la_DEPENDENCIES = @AUTH_LIBS_TO_BUILD@
+libauth_la_LIBADD = $(AUTH_LIBS_TO_BUILD)
+libauth_la_DEPENDENCIES = $(AUTH_LIBS_TO_BUILD)
 libacls_la_SOURCES = \
 	Acl.cc \
 	Acl.h \
diff -u -r -N squid-3.1.0.14/src/auth/negotiate/auth_negotiate.cc squid-3.1.0.15/src/auth/negotiate/auth_negotiate.cc
--- squid-3.1.0.14/src/auth/negotiate/auth_negotiate.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/auth/negotiate/auth_negotiate.cc	2009-11-23 16:10:08.000000000 +1300
@@ -301,7 +301,7 @@
 }
 
 void
-AuthNegotiateConfig::fixHeader(AuthUserRequest *auth_user_request, HttpReply *rep, http_hdr_type type, HttpRequest * request)
+AuthNegotiateConfig::fixHeader(AuthUserRequest *auth_user_request, HttpReply *rep, http_hdr_type reqType, HttpRequest * request)
 {
     AuthNegotiateUserRequest *negotiate_request;
 
@@ -314,8 +314,8 @@
 
     /* New request, no user details */
     if (auth_user_request == NULL) {
-        debugs(29, 9, "AuthNegotiateConfig::fixHeader: Sending type:" << type << " header: 'Negotiate'");
-        httpHeaderPutStrf(&rep->header, type, "Negotiate");
+        debugs(29, 9, "AuthNegotiateConfig::fixHeader: Sending type:" << reqType << " header: 'Negotiate'");
+        httpHeaderPutStrf(&rep->header, reqType, "Negotiate");
 
         if (!keep_alive) {
             /* drop the connection */
@@ -342,12 +342,12 @@
              */
 
             if (negotiate_request->server_blob) {
-                debugs(29, 9, "authenticateNegotiateFixErrorHeader: Sending type:" << type << " header: 'Negotiate " << negotiate_request->server_blob << "'");
-                httpHeaderPutStrf(&rep->header, type, "Negotiate %s", negotiate_request->server_blob);
+                debugs(29, 9, "authenticateNegotiateFixErrorHeader: Sending type:" << reqType << " header: 'Negotiate " << negotiate_request->server_blob << "'");
+                httpHeaderPutStrf(&rep->header, reqType, "Negotiate %s", negotiate_request->server_blob);
                 safe_free(negotiate_request->server_blob);
             } else {
                 debugs(29, 9, "authenticateNegotiateFixErrorHeader: Connection authenticated");
-                httpHeaderPutStrf(&rep->header, type, "Negotiate");
+                httpHeaderPutStrf(&rep->header, reqType, "Negotiate");
             }
 
             break;
@@ -355,14 +355,14 @@
         case AUTHENTICATE_STATE_NONE:
             /* semantic change: do not drop the connection.
              * 2.5 implementation used to keep it open - Kinkie */
-            debugs(29, 9, "AuthNegotiateConfig::fixHeader: Sending type:" << type << " header: 'Negotiate'");
-            httpHeaderPutStrf(&rep->header, type, "Negotiate");
+            debugs(29, 9, "AuthNegotiateConfig::fixHeader: Sending type:" << reqType << " header: 'Negotiate'");
+            httpHeaderPutStrf(&rep->header, reqType, "Negotiate");
             break;
 
         case AUTHENTICATE_STATE_IN_PROGRESS:
             /* we're waiting for a response from the client. Pass it the blob */
-            debugs(29, 9, "AuthNegotiateConfig::fixHeader: Sending type:" << type << " header: 'Negotiate " << negotiate_request->server_blob << "'");
-            httpHeaderPutStrf(&rep->header, type, "Negotiate %s", negotiate_request->server_blob);
+            debugs(29, 9, "AuthNegotiateConfig::fixHeader: Sending type:" << reqType << " header: 'Negotiate " << negotiate_request->server_blob << "'");
+            httpHeaderPutStrf(&rep->header, reqType, "Negotiate %s", negotiate_request->server_blob);
             safe_free(negotiate_request->server_blob);
             break;
 
@@ -660,7 +660,7 @@
 }
 
 void
-AuthNegotiateUserRequest::authenticate(HttpRequest * request, ConnStateData * conn, http_hdr_type type)
+AuthNegotiateUserRequest::authenticate(HttpRequest * aRequest, ConnStateData * conn, http_hdr_type type)
 {
     const char *proxy_auth, *blob;
 
@@ -694,7 +694,7 @@
     }
 
     /* get header */
-    proxy_auth = request->header.getStr(type);
+    proxy_auth = aRequest->header.getStr(type);
 
     /* locate second word */
     blob = proxy_auth;
@@ -722,8 +722,8 @@
         assert(conn->auth_user_request == NULL);
         conn->auth_user_request = this;
         AUTHUSERREQUESTLOCK(conn->auth_user_request, "conn");
-        this->request = request;
-        HTTPMSGLOCK(this->request);
+        request = aRequest;
+        HTTPMSGLOCK(request);
         return;
 
         break;
@@ -743,10 +743,10 @@
 
         client_blob = xstrdup (blob);
 
-        if (this->request)
-            HTTPMSGUNLOCK(this->request);
-        this->request = request;
-        HTTPMSGLOCK(this->request);
+        if (request)
+            HTTPMSGUNLOCK(request);
+        request = aRequest;
+        HTTPMSGLOCK(request);
         return;
 
         break;
@@ -801,7 +801,7 @@
     delete this;
 }
 
-NegotiateUser::NegotiateUser (AuthConfig *config) : AuthUser (config)
+NegotiateUser::NegotiateUser (AuthConfig *aConfig) : AuthUser (aConfig)
 {
     proxy_auth_list.head = proxy_auth_list.tail = NULL;
 }
diff -u -r -N squid-3.1.0.14/src/auth/ntlm/auth_ntlm.cc squid-3.1.0.15/src/auth/ntlm/auth_ntlm.cc
--- squid-3.1.0.14/src/auth/ntlm/auth_ntlm.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/auth/ntlm/auth_ntlm.cc	2009-11-23 16:10:08.000000000 +1300
@@ -259,7 +259,7 @@
 }
 
 void
-AuthNTLMConfig::fixHeader(AuthUserRequest *auth_user_request, HttpReply *rep, http_hdr_type type, HttpRequest * request)
+AuthNTLMConfig::fixHeader(AuthUserRequest *auth_user_request, HttpReply *rep, http_hdr_type hdrType, HttpRequest * request)
 {
     AuthNTLMUserRequest *ntlm_request;
 
@@ -272,8 +272,8 @@
 
     /* New request, no user details */
     if (auth_user_request == NULL) {
-        debugs(29, 9, "AuthNTLMConfig::fixHeader: Sending type:" << type << " header: 'NTLM'");
-        httpHeaderPutStrf(&rep->header, type, "NTLM");
+        debugs(29, 9, "AuthNTLMConfig::fixHeader: Sending type:" << hdrType << " header: 'NTLM'");
+        httpHeaderPutStrf(&rep->header, hdrType, "NTLM");
 
         if (!keep_alive) {
             /* drop the connection */
@@ -301,14 +301,14 @@
         case AUTHENTICATE_STATE_NONE:
             /* semantic change: do not drop the connection.
              * 2.5 implementation used to keep it open - Kinkie */
-            debugs(29, 9, "AuthNTLMConfig::fixHeader: Sending type:" << type << " header: 'NTLM'");
-            httpHeaderPutStrf(&rep->header, type, "NTLM");
+            debugs(29, 9, "AuthNTLMConfig::fixHeader: Sending type:" << hdrType << " header: 'NTLM'");
+            httpHeaderPutStrf(&rep->header, hdrType, "NTLM");
             break;
 
         case AUTHENTICATE_STATE_IN_PROGRESS:
             /* we're waiting for a response from the client. Pass it the blob */
-            debugs(29, 9, "AuthNTLMConfig::fixHeader: Sending type:" << type << " header: 'NTLM " << ntlm_request->server_blob << "'");
-            httpHeaderPutStrf(&rep->header, type, "NTLM %s", ntlm_request->server_blob);
+            debugs(29, 9, "AuthNTLMConfig::fixHeader: Sending type:" << hdrType << " header: 'NTLM " << ntlm_request->server_blob << "'");
+            httpHeaderPutStrf(&rep->header, hdrType, "NTLM %s", ntlm_request->server_blob);
             safe_free(ntlm_request->server_blob);
             break;
 
@@ -577,7 +577,7 @@
 }
 
 void
-AuthNTLMUserRequest::authenticate(HttpRequest * request, ConnStateData * conn, http_hdr_type type)
+AuthNTLMUserRequest::authenticate(HttpRequest * aRequest, ConnStateData * conn, http_hdr_type type)
 {
     const char *proxy_auth, *blob;
 
@@ -611,7 +611,7 @@
     }
 
     /* get header */
-    proxy_auth = request->header.getStr(type);
+    proxy_auth = aRequest->header.getStr(type);
 
     /* locate second word */
     blob = proxy_auth;
@@ -640,8 +640,8 @@
         assert(conn->auth_user_request == NULL);
         conn->auth_user_request = this;
         AUTHUSERREQUESTLOCK(conn->auth_user_request, "conn");
-        this->request = request;
-        HTTPMSGLOCK(this->request);
+        request = aRequest;
+        HTTPMSGLOCK(request);
         return;
 
         break;
@@ -661,10 +661,10 @@
 
         client_blob = xstrdup (blob);
 
-        if (this->request)
-            HTTPMSGUNLOCK(this->request);
-        this->request = request;
-        HTTPMSGLOCK(this->request);
+        if (request)
+            HTTPMSGUNLOCK(request);
+        request = aRequest;
+        HTTPMSGLOCK(request);
         return;
 
         break;
@@ -716,7 +716,7 @@
     delete this;
 }
 
-NTLMUser::NTLMUser (AuthConfig *config) : AuthUser (config)
+NTLMUser::NTLMUser (AuthConfig *aConfig) : AuthUser (aConfig)
 {
     proxy_auth_list.head = proxy_auth_list.tail = NULL;
 }
diff -u -r -N squid-3.1.0.14/src/base/Makefile.in squid-3.1.0.15/src/base/Makefile.in
--- squid-3.1.0.14/src/base/Makefile.in	2009-09-27 15:28:56.000000000 +1200
+++ squid-3.1.0.15/src/base/Makefile.in	2009-11-23 16:10:39.000000000 +1300
@@ -76,7 +76,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -95,6 +94,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -112,6 +112,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -123,6 +124,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -175,6 +177,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -192,6 +195,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -248,8 +252,8 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 TESTS = testHeaders
 INCLUDES = \
@@ -257,7 +261,7 @@
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 noinst_LTLIBRARIES = libbase.la
 libbase_la_SOURCES = \
diff -u -r -N squid-3.1.0.14/src/BodyPipe.cc squid-3.1.0.15/src/BodyPipe.cc
--- squid-3.1.0.14/src/BodyPipe.cc	2009-09-27 15:28:28.000000000 +1200
+++ squid-3.1.0.15/src/BodyPipe.cc	2009-11-23 16:10:00.000000000 +1300
@@ -200,14 +200,14 @@
 }
 
 size_t
-BodyPipe::putMoreData(const char *buf, size_t size)
+BodyPipe::putMoreData(const char *aBuffer, size_t size)
 {
     if (bodySizeKnown())
         size = min((uint64_t)size, unproducedSize());
 
     const size_t spaceSize = static_cast<size_t>(theBuf.potentialSpaceSize());
     if ((size = min(size, spaceSize))) {
-        theBuf.append(buf, size);
+        theBuf.append(aBuffer, size);
         postAppend(size);
         return size;
     }
@@ -261,15 +261,15 @@
 }
 
 size_t
-BodyPipe::getMoreData(MemBuf &buf)
+BodyPipe::getMoreData(MemBuf &aMemBuffer)
 {
     if (!theBuf.hasContent())
         return 0; // did not touch the possibly uninitialized buf
 
-    if (buf.isNull())
-        buf.init();
-    const size_t size = min(theBuf.contentSize(), buf.potentialSpaceSize());
-    buf.append(theBuf.content(), size);
+    if (aMemBuffer.isNull())
+        aMemBuffer.init();
+    const size_t size = min(theBuf.contentSize(), aMemBuffer.potentialSpaceSize());
+    aMemBuffer.append(theBuf.content(), size);
     theBuf.consume(size);
     postConsume(size);
     return size; // cannot be zero if we called buf.init above
@@ -409,35 +409,35 @@
 // a short temporary string describing buffer status for debugging
 const char *BodyPipe::status() const
 {
-    static MemBuf buf;
-    buf.reset();
+    static MemBuf outputBuffer;
+    outputBuffer.reset();
 
-    buf.append(" [", 2);
+    outputBuffer.append(" [", 2);
 
-    buf.Printf("%"PRIu64"<=%"PRIu64, theGetSize, thePutSize);
+    outputBuffer.Printf("%"PRIu64"<=%"PRIu64, theGetSize, thePutSize);
     if (theBodySize >= 0)
-        buf.Printf("<=%"PRId64, theBodySize);
+        outputBuffer.Printf("<=%"PRId64, theBodySize);
     else
-        buf.append("<=?", 3);
+        outputBuffer.append("<=?", 3);
 
-    buf.Printf(" %d+%d", (int)theBuf.contentSize(), (int)theBuf.spaceSize());
+    outputBuffer.Printf(" %d+%d", (int)theBuf.contentSize(), (int)theBuf.spaceSize());
 
-    buf.Printf(" pipe%p", this);
+    outputBuffer.Printf(" pipe%p", this);
     if (theProducer)
-        buf.Printf(" prod%p", theProducer);
+        outputBuffer.Printf(" prod%p", theProducer);
     if (theConsumer)
-        buf.Printf(" cons%p", theConsumer);
+        outputBuffer.Printf(" cons%p", theConsumer);
 
     if (mustAutoConsume)
-        buf.append(" A", 2);
+        outputBuffer.append(" A", 2);
     if (isCheckedOut)
-        buf.append(" L", 2); // Locked
+        outputBuffer.append(" L", 2); // Locked
 
-    buf.append("]", 1);
+    outputBuffer.append("]", 1);
 
-    buf.terminate();
+    outputBuffer.terminate();
 
-    return buf.content();
+    return outputBuffer.content();
 }
 
 
diff -u -r -N squid-3.1.0.14/src/cache_cf.cc squid-3.1.0.15/src/cache_cf.cc
--- squid-3.1.0.14/src/cache_cf.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/cache_cf.cc	2009-11-23 16:10:08.000000000 +1300
@@ -46,6 +46,7 @@
 #include "acl/Gadgets.h"
 #include "StoreFileSystem.h"
 #include "Parsing.h"
+#include "rfc1738.h"
 #include "MemBuf.h"
 #include "wordlist.h"
 #include "ident/Config.h"
diff -u -r -N squid-3.1.0.14/src/cache_manager.cc squid-3.1.0.15/src/cache_manager.cc
--- squid-3.1.0.14/src/cache_manager.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/cache_manager.cc	2009-11-23 16:10:08.000000000 +1300
@@ -288,9 +288,9 @@
 
     if (CheckPassword(mgr) != 0) {
         /* build error message */
-        ErrorState *err;
+        ErrorState *errState;
         HttpReply *rep;
-        err = errorCon(ERR_CACHE_MGR_ACCESS_DENIED, HTTP_UNAUTHORIZED, request);
+        errState = errorCon(ERR_CACHE_MGR_ACCESS_DENIED, HTTP_UNAUTHORIZED, request);
         /* warn if user specified incorrect password */
 
         if (mgr->passwd)
@@ -304,9 +304,9 @@
                    fd_table[fd].ipaddr << ": password needed for '" <<
                    mgr->action << "'" );
 
-        rep = err->BuildHttpReply();
+        rep = errState->BuildHttpReply();
 
-        errorStateFree(err);
+        errorStateFree(errState);
 
         /*
          * add Authenticate header, use 'action' as a realm because
diff -u -r -N squid-3.1.0.14/src/cbdata.h squid-3.1.0.15/src/cbdata.h
--- squid-3.1.0.14/src/cbdata.h	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/cbdata.h	2009-11-23 16:10:08.000000000 +1300
@@ -285,6 +285,7 @@
 #define cbdataInternalUnlock(a)		cbdataInternalUnlockDbg(a,__FILE__,__LINE__)
 #define cbdataReferenceValidDone(var, ptr) cbdataInternalReferenceDoneValidDbg((void **)&(var), (ptr), __FILE__,__LINE__)
 #define CBDATA_CLASS2(type)	\
+	private: \
 	static cbdata_type CBDATA_##type; \
 	public: \
 		void *operator new(size_t size) { \
@@ -295,9 +296,8 @@
   		void operator delete (void *address) { \
 		  if (address) cbdataInternalFreeDbg(address,__FILE__,__LINE__); \
 		} \
-                void *toCbdata() { return this; } \
-	private:
-#else
+                void *toCbdata() { return this; }
+#else /* CBDATA_DEBUG */
 
 /**
  \ingroup CBDATAAPI
@@ -448,7 +448,7 @@
 {
 public:
 
-    generic_cbdata(void * data) : data(data) {}
+    generic_cbdata(void * aData) : data(aData) {}
 
     template<typename wrapped_type>void unwrap(wrapped_type **output) {
         *output = static_cast<wrapped_type *>(data);
diff -u -r -N squid-3.1.0.14/src/cf.data.pre squid-3.1.0.15/src/cf.data.pre
--- squid-3.1.0.14/src/cf.data.pre	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/cf.data.pre	2009-11-23 16:10:08.000000000 +1300
@@ -27,7 +27,7 @@
 #
 
 COMMENT_START
-	WELCOME TO SQUID @VERSION@
+	WELCOME TO @SQUID@
 	----------------------------
 
 	This is the default Squid configuration file. You may wish
@@ -307,25 +307,29 @@
 
 	auth_param negotiate keep_alive on
 
-NOCOMMENT_START
+	
+	Examples:
+
 #Recommended minimum configuration per scheme:
 #auth_param negotiate program <uncomment and complete this line to activate>
 #auth_param negotiate children 5
 #auth_param negotiate keep_alive on
+#
 #auth_param ntlm program <uncomment and complete this line to activate>
 #auth_param ntlm children 5
 #auth_param ntlm keep_alive on
+#
 #auth_param digest program <uncomment and complete this line>
 #auth_param digest children 5
 #auth_param digest realm Squid proxy-caching web server
 #auth_param digest nonce_garbage_interval 5 minutes
 #auth_param digest nonce_max_duration 30 minutes
 #auth_param digest nonce_max_count 50
+#
 #auth_param basic program <uncomment and complete this line>
 #auth_param basic children 5
 #auth_param basic realm Squid proxy-caching web server
 #auth_param basic credentialsttl 2 hours
-NOCOMMENT_END
 DOC_END
 
 NAME: authenticate_cache_garbage_interval
@@ -677,26 +681,32 @@
 	acl aclname tag tagvalue ...
 	  # string match on tag returned by external acl helper [slow]
 
-Examples:
-acl macaddress arp 09:00:2b:23:45:67
-acl myexample dst_as 1241
-acl password proxy_auth REQUIRED
-acl fileupload req_mime_type -i ^multipart/form-data$
-acl javascript rep_mime_type -i ^application/x-javascript$
+	Examples:
+		acl macaddress arp 09:00:2b:23:45:67
+		acl myexample dst_as 1241
+		acl password proxy_auth REQUIRED
+		acl fileupload req_mime_type -i ^multipart/form-data$
+		acl javascript rep_mime_type -i ^application/x-javascript$
 
 NOCOMMENT_START
-#Recommended minimum configuration:
+#
+# Recommended minimum configuration:
+#
 acl manager proto cache_object
 acl localhost src 127.0.0.1/32
+@IPV6_ONLY_SETTING@acl localhost src ::1/128
 acl to_localhost dst 127.0.0.0/8 0.0.0.0/32
-#
+@IPV6_ONLY_SETTING@acl to_localhost dst ::1/128
+
 # Example rule allowing access from your local networks.
 # Adapt to list your (internal) IP networks from where browsing
 # should be allowed
 acl localnet src 10.0.0.0/8	# RFC1918 possible internal network
 acl localnet src 172.16.0.0/12	# RFC1918 possible internal network
 acl localnet src 192.168.0.0/16	# RFC1918 possible internal network
-#
+@IPV6_ONLY_SETTING@acl localnet src fc00::/7   # RFC 4193 local private network range
+@IPV6_ONLY_SETTING@acl localnet src fe80::/10  # RFC 4291 link-local (directly plugged) machines
+
 acl SSL_ports port 443
 acl Safe_ports port 80		# http
 acl Safe_ports port 21		# ftp
@@ -828,22 +838,28 @@
 	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
 
 NOCOMMENT_START
-#Recommended minimum configuration:
+
+#
+# Recommended minimum Access Permission configuration:
 #
 # Only allow cachemgr access from localhost
 http_access allow manager localhost
 http_access deny manager
-# Deny requests to unknown ports
+
+# Deny requests to certain unsafe ports
 http_access deny !Safe_ports
-# Deny CONNECT to other than SSL ports
+
+# Deny CONNECT to other than secure SSL ports
 http_access deny CONNECT !SSL_ports
-#
+
 # We strongly recommend the following be uncommented to protect innocent
 # web applications running on the proxy server who think the only
 # one who can access services on "localhost" is a local user
 #http_access deny to_localhost
+
 #
 # INSERT YOUR OWN RULE(S) HERE TO ALLOW ACCESS FROM YOUR CLIENTS
+#
 
 # Example rule allowing access from your local networks.
 # Adapt localnet in the ACL section to list your (internal) IP networks
@@ -891,11 +907,10 @@
 
 	This clause only supports fast acl types.
 	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
-NOCOMMENT_START
-#Allow ICP queries from local networks only
+
+# Allow ICP queries from local networks only
 #icp_access allow localnet
 #icp_access deny all
-NOCOMMENT_END
 DOC_END
 
 NAME: htcp_access
@@ -918,11 +933,10 @@
 
 	This clause only supports fast acl types.
 	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
-NOCOMMENT_START
-#Allow HTCP queries from local networks only
+
+# Allow HTCP queries from local networks only
 #htcp_access allow localnet
 #htcp_access deny all
-NOCOMMENT_END
 DOC_END
 
 NAME: htcp_clr_access
@@ -941,7 +955,8 @@
 
 	This clause only supports fast acl types.
 	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
-#Allow HTCP CLR requests from trusted peers
+
+# Allow HTCP CLR requests from trusted peers
 acl htcp_clr_peer src 172.16.1.2
 htcp_clr_access allow htcp_clr_peer
 DOC_END
@@ -1162,6 +1177,7 @@
 	visible on the internal address.
 
 NOCOMMENT_START
+
 # Squid normally listens to port 3128
 http_port @DEFAULT_HTTP_PORT@
 NOCOMMENT_END
@@ -1539,17 +1555,17 @@
    
 	This clause only supports fast acl types.
 	See http://wiki.squid-cache.org/SquidFaq/SquidAcl for details.
-NOCOMMENT_START
-# Example: Bump all requests except those originating from localhost and 
-# those going to webax.com or example.com sites.
-#
-# acl localhost src 127.0.0.1/32
-# acl broken_sites dstdomain .webax.com
-# acl broken_sites dstdomain .example.com
-# ssl_bump deny localhost
-# ssl_bump deny broken_sites
-# ssl_bump allow all
-NOCOMMENT_END
+
+
+	# Example: Bump all requests except those originating from localhost and 
+	# those going to webax.com or example.com sites.
+
+	acl localhost src 127.0.0.1/32
+	acl broken_sites dstdomain .webax.com
+	acl broken_sites dstdomain .example.com
+	ssl_bump deny localhost
+	ssl_bump deny broken_sites
+	ssl_bump allow all
 DOC_END
 
 NAME: sslproxy_flags
@@ -1593,10 +1609,7 @@
 
 	See also: sslproxy_flags and DONT_VERIFY_PEER.
 
-NOCOMMENT_START
-#Default setting:
-# sslproxy_cert_error deny all
-NOCOMMENT_END
+	Default setting:  sslproxy_cert_error deny all
 DOC_END
 
 
@@ -2034,7 +2047,8 @@
 	list this option multiple times.
 	Note: never_direct overrides this option.
 NOCOMMENT_START
-#We recommend you to use at least the following line.
+
+# We recommend you to use at least the following line.
 hierarchy_stoplist cgi-bin ?
 NOCOMMENT_END
 DOC_END
@@ -2257,7 +2271,9 @@
 	which can be changed with the --with-coss-membuf-size=N configure
 	option.
 NOCOMMENT_START
-# cache_dir ufs @DEFAULT_SWAP_DIR@ 100 16 256
+
+# Uncomment and adjust the following to add a disk cache directory.
+#cache_dir ufs @DEFAULT_SWAP_DIR@ 100 16 256
 NOCOMMENT_END
 DOC_END
 
@@ -2624,9 +2640,9 @@
 	saved and for how long.  To disable, enter "none" or remove the line.
 	There are not really utilities to analyze this data, so you can safely
 	disable it.
-NOCOMMENT_START
-# cache_store_log @DEFAULT_STORE_LOG@
-NOCOMMENT_END
+
+	Example:
+		cache_store_log @DEFAULT_STORE_LOG@
 DOC_END
 
 NAME: cache_swap_state cache_swap_log
@@ -2879,6 +2895,7 @@
 	and coredump files will be left there.
 
 NOCOMMENT_START
+
 # Leave coredumps in the first cache dir
 coredump_dir @DEFAULT_SWAP_DIR@
 NOCOMMENT_END
@@ -3272,8 +3289,9 @@
 	to change one. The default setting is only active if none is
 	used.
 
-Suggested default:
 NOCOMMENT_START
+
+# Add any of your own refresh_pattern entries above these.
 refresh_pattern ^ftp:		1440	20%	10080
 refresh_pattern ^gopher:	1440	0%	1440
 refresh_pattern -i (/cgi-bin/|\?) 0	0%	0
@@ -4099,13 +4117,10 @@
 	default is `0' which disables sending the announcement
 	messages.
 
-	To enable announcing your cache, just uncomment the line
-	below.
+	To enable announcing your cache, just set an announce period.
 
-NOCOMMENT_START
-#To enable announcing your cache, just uncomment the line below.
-#announce_period 1 day
-NOCOMMENT_END
+	Example:
+		announce_period 1 day
 DOC_END
 
 NAME: announce_host
@@ -4704,9 +4719,9 @@
 	SNMP support set this to a suitable port number. Port number
 	3401 is often used for the Squid SNMP agent. By default it's
 	set to "0" (disabled)
-NOCOMMENT_START
-#snmp_port 3401
-NOCOMMENT_END
+
+	Example:
+		snmp_port 3401
 DOC_END
 
 NAME: snmp_access
@@ -4775,9 +4790,9 @@
 	The port number where Squid sends and receives ICP queries to
 	and from neighbor caches.  The standard UDP port for ICP is 3130.
 	Default is disabled (0).
-NOCOMMENT_START
-#icp_port @DEFAULT_ICP_PORT@
-NOCOMMENT_END
+
+	Example:
+		icp_port @DEFAULT_ICP_PORT@
 DOC_END
 
 NAME: htcp_port
@@ -4789,9 +4804,9 @@
 	The port number where Squid sends and receives HTCP queries to
 	and from neighbor caches.  To turn it on you want to set it to
 	4827. By default it is set to "0" (disabled).
-NOCOMMENT_START
-#htcp_port 4827
-NOCOMMENT_END
+
+	Example:
+		htcp_port 4827
 DOC_END
 
 NAME: log_icp_queries
@@ -6457,7 +6472,7 @@
 LOC: Config.chroot_dir
 DEFAULT: none
 DOC_START
-	Specifies a directiry where Squid should do a chroot() while
+	Specifies a directory where Squid should do a chroot() while
 	initializing.  This also causes Squid to fully drop root
 	privileges after initializing.  This means, for example, if you
 	use a HTTP port less than 1024 and try to reconfigure, you may
diff -u -r -N squid-3.1.0.14/src/cf_gen.cc squid-3.1.0.15/src/cf_gen.cc
--- squid-3.1.0.14/src/cf_gen.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/cf_gen.cc	2009-11-23 16:10:08.000000000 +1300
@@ -61,6 +61,7 @@
 #define MAX_LINE	1024	/* longest configuration line */
 #define _PATH_PARSER		"cf_parser.h"
 #define _PATH_SQUID_CONF	"squid.conf.documented"
+#define _PATH_SQUID_CONF_SHORT	"squid.conf.default"
 #define _PATH_CF_DEPEND		"cf.data.depend"
 
 enum State {
@@ -119,7 +120,7 @@
 static void gen_parse_alias(char *, EntryAlias *, Entry *, FILE *);
 static void gen_dump(Entry *, FILE *);
 static void gen_free(Entry *, FILE *);
-static void gen_conf(Entry *, FILE *);
+static void gen_conf(Entry *, FILE *, bool verbose_output);
 static void gen_default_if_none(Entry *, FILE *);
 
 
@@ -159,14 +160,22 @@
     exit(1);
 }
 
+static void
+usage(const char *program_name)
+{
+    fprintf(stderr, "Usage: %s cf.data cf.data.depend\n", program_name);
+    exit(1);
+}
+
 int
 main(int argc, char *argv[])
 {
     FILE *fp;
-    char *input_filename = argv[1];
+    char *input_filename;
     const char *output_filename = _PATH_PARSER;
     const char *conf_filename = _PATH_SQUID_CONF;
-    const char *type_depend = argv[2];
+    const char *conf_filename_short = _PATH_SQUID_CONF_SHORT;
+    const char *type_depend;
     int linenum = 0;
     Entry *entries = NULL;
     Entry *curr = NULL;
@@ -183,6 +192,11 @@
 #endif
     char buff[MAX_LINE];
 
+    if (argc != 3)
+        usage(argv[0]);
+
+    input_filename = argv[1];
+    type_depend = argv[2];
 
     /*-------------------------------------------------------------------*
      * Parse type dependencies
@@ -459,6 +473,8 @@
             " * Abstract: This file contains routines used to configure the\n"
             " *           variables in the squid server.\n"
             " */\n"
+            "\n"
+            "#include \"config.h\"\n"
             "\n",
             input_filename, argv[0]
            );
@@ -486,10 +502,20 @@
 
 #endif
 
-    gen_conf(entries, fp);
+    gen_conf(entries, fp, 1);
 
     fclose(fp);
 
+    if ((fp = fopen(conf_filename_short, "w")) == NULL) {
+        perror(conf_filename_short);
+        exit(1);
+    }
+#ifdef _SQUID_WIN32_
+    setmode(fileno(fp), O_TEXT);
+#endif
+    gen_conf(entries, fp, 0);
+    fclose(fp);
+
     return (rc);
 }
 
@@ -773,7 +799,7 @@
 }
 
 static void
-gen_conf(Entry * head, FILE * fp)
+gen_conf(Entry * head, FILE * fp, bool verbose_output)
 {
     Entry *entry;
     char buf[8192];
@@ -781,27 +807,31 @@
 
     for (entry = head; entry != NULL; entry = entry->next) {
         Line *line;
-        int blank = 1;
         int enabled = 1;
 
         if (!strcmp(entry->name, "comment"))
             (void) 0;
-        else
+        else if (verbose_output) {
             fprintf(fp, "#  TAG: %s", entry->name);
 
-        if (entry->comment)
-            fprintf(fp, "\t%s", entry->comment);
+            if (entry->comment)
+                fprintf(fp, "\t%s", entry->comment);
 
-        fprintf(fp, "\n");
+            fprintf(fp, "\n");
+        }
 
         if (!defined(entry->ifdef)) {
-            fprintf(fp, "# Note: This option is only available if Squid is rebuilt with the\n");
-            fprintf(fp, "#       %s\n#\n", available_if(entry->ifdef));
+            if (verbose_output) {
+                fprintf(fp, "# Note: This option is only available if Squid is rebuilt with the\n");
+                fprintf(fp, "#       %s\n#\n", available_if(entry->ifdef));
+            }
             enabled = 0;
         }
 
-        for (line = entry->doc; line != NULL; line = line->next) {
-            fprintf(fp, "#%s\n", line->data);
+        if (verbose_output) {
+            for (line = entry->doc; line != NULL; line = line->next) {
+                fprintf(fp, "#%s\n", line->data);
+            }
         }
 
         if (entry->default_value && strcmp(entry->default_value, "none") != 0) {
@@ -816,19 +846,12 @@
             }
         }
 
-        if (entry->nocomment)
-            blank = 0;
-
         if (!def && entry->doc && !entry->nocomment &&
                 strcmp(entry->name, "comment") != 0)
             lineAdd(&def, "none");
 
-        if (def && (entry->doc || entry->nocomment)) {
-            if (blank)
-                fprintf(fp, "#\n");
-
+        if (verbose_output && def && (entry->doc || entry->nocomment)) {
             fprintf(fp, "#Default:\n");
-
             while (def != NULL) {
                 line = def;
                 def = line->next;
@@ -836,21 +859,21 @@
                 xfree(line->data);
                 xfree(line);
             }
-
-            blank = 1;
         }
 
-        if (entry->nocomment && blank)
+        if (verbose_output && entry->nocomment)
             fprintf(fp, "#\n");
 
-        for (line = entry->nocomment; line != NULL; line = line->next) {
-            if (!enabled && line->data[0] != '#')
-                fprintf(fp, "#%s\n", line->data);
-            else
-                fprintf(fp, "%s\n", line->data);
+        if (enabled || verbose_output) {
+            for (line = entry->nocomment; line != NULL; line = line->next) {
+                if (!enabled && line->data[0] != '#')
+                    fprintf(fp, "#%s\n", line->data);
+                else
+                    fprintf(fp, "%s\n", line->data);
+            }
         }
 
-        if (entry->doc != NULL) {
+        if (verbose_output && entry->doc != NULL) {
             fprintf(fp, "\n");
         }
     }
diff -u -r -N squid-3.1.0.14/src/cf_gen_defines squid-3.1.0.15/src/cf_gen_defines
--- squid-3.1.0.14/src/cf_gen_defines	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/cf_gen_defines	2009-11-23 16:10:08.000000000 +1300
@@ -3,6 +3,7 @@
 	print "/* Generated automatically from cf.data.pre"
 	print " * DO NOT EDIT"
 	print "*/"
+	print "#include \"config.h\""
 	print "static struct { const char *name; const char *enable; int defined;} defines[] = {"
 	define["DELAY_POOLS"]="--enable-delay-pools"
 	define["FOLLOW_X_FORWARDED_FOR"]="--enable-follow-x-forwarded-for"
diff -u -r -N squid-3.1.0.14/src/client_side.cc squid-3.1.0.15/src/client_side.cc
--- squid-3.1.0.14/src/client_side.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/client_side.cc	2009-11-23 16:10:08.000000000 +1300
@@ -104,6 +104,7 @@
 #include "MemBuf.h"
 #include "SquidTime.h"
 #include "ChunkedCodingParser.h"
+#include "rfc1738.h"
 
 #if LINGERING_CLOSE
 #define comm_close comm_lingering_close
@@ -980,14 +981,14 @@
             return;
         }
 
-        int64_t next = getNextRangeOffset();
+        int64_t nextOffset = getNextRangeOffset();
 
-        assert (next >= http->out.offset);
+        assert (nextOffset >= http->out.offset);
 
-        int64_t skip = next - http->out.offset;
+        int64_t skip = nextOffset - http->out.offset;
 
         /* adjust for not to be transmitted bytes */
-        http->out.offset = next;
+        http->out.offset = nextOffset;
 
         if (available.size() <= skip)
             return;
@@ -1667,23 +1668,23 @@
 }
 
 void
-ClientSocketContext::writeComplete(int fd, char *bufnotused, size_t size, comm_err_t errflag)
+ClientSocketContext::writeComplete(int aFileDescriptor, char *bufnotused, size_t size, comm_err_t errflag)
 {
     StoreEntry *entry = http->storeEntry();
     http->out.size += size;
-    assert(fd > -1);
-    debugs(33, 5, "clientWriteComplete: FD " << fd << ", sz " << size <<
+    assert(aFileDescriptor > -1);
+    debugs(33, 5, "clientWriteComplete: FD " << aFileDescriptor << ", sz " << size <<
            ", err " << errflag << ", off " << http->out.size << ", len " <<
            entry ? entry->objectLen() : 0);
     clientUpdateSocketStats(http->logType, size);
-    assert (this->fd() == fd);
+    assert (this->fd() == aFileDescriptor);
 
     /* Bail out quickly on COMM_ERR_CLOSING - close handlers will tidy up */
 
     if (errflag == COMM_ERR_CLOSING)
         return;
 
-    if (errflag || clientHttpRequestStatus(fd, http)) {
+    if (errflag || clientHttpRequestStatus(aFileDescriptor, http)) {
         initiateClose("failure or true request status");
         /* Do we leak here ? */
         return;
@@ -1696,7 +1697,7 @@
         break;
 
     case STREAM_COMPLETE:
-        debugs(33, 5, "clientWriteComplete: FD " << fd << " Keeping Alive");
+        debugs(33, 5, "clientWriteComplete: FD " << aFileDescriptor << " Keeping Alive");
         keepaliveNextRequest();
         return;
 
@@ -3731,7 +3732,7 @@
      * connection has gone away */
 }
 
-void ConnStateData::pinConnection(int pinning_fd, HttpRequest *request, struct peer *peer, bool auth)
+void ConnStateData::pinConnection(int pinning_fd, HttpRequest *request, struct peer *aPeer, bool auth)
 {
     fde *f;
     char desc[FD_DESC_SZ];
@@ -3750,12 +3751,12 @@
     pinning.pinned = true;
     if (pinning.peer)
         cbdataReferenceDone(pinning.peer);
-    if (peer)
-        pinning.peer = cbdataReference(peer);
+    if (aPeer)
+        pinning.peer = cbdataReference(aPeer);
     pinning.auth = auth;
     f = &fd_table[fd];
     snprintf(desc, FD_DESC_SZ, "%s pinned connection for %s:%d (%d)",
-             (auth || !peer) ? request->GetHost() : peer->name, f->ipaddr, (int) f->remote_port, fd);
+             (auth || !aPeer) ? request->GetHost() : aPeer->name, f->ipaddr, (int) f->remote_port, fd);
     fd_note(pinning_fd, desc);
 
     typedef CommCbMemFunT<ConnStateData, CommCloseCbParams> Dialer;
@@ -3765,7 +3766,7 @@
 
 }
 
-int ConnStateData::validatePinnedConnection(HttpRequest *request, const struct peer *peer)
+int ConnStateData::validatePinnedConnection(HttpRequest *request, const struct peer *aPeer)
 {
     bool valid = true;
     if (pinning.fd < 0)
@@ -3780,7 +3781,7 @@
     if (pinning.peer && !cbdataReferenceValid(pinning.peer)) {
         valid = false;
     }
-    if (peer != pinning.peer) {
+    if (aPeer != pinning.peer) {
         valid = false;
     }
 
diff -u -r -N squid-3.1.0.14/src/client_side_reply.cc squid-3.1.0.15/src/client_side_reply.cc
--- squid-3.1.0.14/src/client_side_reply.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/client_side_reply.cc	2009-11-23 16:10:08.000000000 +1300
@@ -126,22 +126,22 @@
         StoreEntry ** ep)
 {
     StoreEntry *e;
-    store_client *sc = *scp;
+    store_client *sc_tmp = *scp;
 
     if ((e = *ep) != NULL) {
         *ep = NULL;
-        storeUnregister(sc, e, this);
+        storeUnregister(sc_tmp, e, this);
         *scp = NULL;
         e->unlock();
     }
 }
 
 void
-clientReplyContext::removeClientStoreReference(store_client **scp, ClientHttpRequest *http)
+clientReplyContext::removeClientStoreReference(store_client **scp, ClientHttpRequest *aHttpRequest)
 {
-    StoreEntry *reference = http->storeEntry();
+    StoreEntry *reference = aHttpRequest->storeEntry();
     removeStoreReference(scp, &reference);
-    http->storeEntry(reference);
+    aHttpRequest->storeEntry(reference);
 }
 
 void *
@@ -217,8 +217,8 @@
      * startSendProcess
      */
     assert(reqofs == 0);
-    StoreIOBuffer tempBuffer (next()->readBuffer.length, 0, next()->readBuffer.data);
-    storeClientCopy(sc, http->storeEntry(), tempBuffer, SendMoreData, this);
+    StoreIOBuffer localTempBuffer (next()->readBuffer.length, 0, next()->readBuffer.data);
+    storeClientCopy(sc, http->storeEntry(), localTempBuffer, SendMoreData, this);
 }
 
 /* there is an expired entry in the store.
@@ -278,8 +278,8 @@
 
     {
         /* start counting the length from 0 */
-        StoreIOBuffer tempBuffer(HTTP_REQBUF_SZ, 0, tempbuf);
-        storeClientCopy(sc, entry, tempBuffer, HandleIMSReply, this);
+        StoreIOBuffer localTempBuffer(HTTP_REQBUF_SZ, 0, tempbuf);
+        storeClientCopy(sc, entry, localTempBuffer, HandleIMSReply, this);
     }
 }
 
@@ -807,7 +807,7 @@
         return;
     }
 
-    StoreIOBuffer tempBuffer;
+    StoreIOBuffer localTempBuffer;
     /* Swap in the metadata */
     http->storeEntry(entry);
 
@@ -822,14 +822,14 @@
 
     reqofs = 0;
 
-    tempBuffer.offset = http->out.offset;
+    localTempBuffer.offset = http->out.offset;
 
-    tempBuffer.length = next()->readBuffer.length;
+    localTempBuffer.length = next()->readBuffer.length;
 
-    tempBuffer.data = next()->readBuffer.data;
+    localTempBuffer.data = next()->readBuffer.data;
 
     storeClientCopy(sc, http->storeEntry(),
-                    tempBuffer, CacheHit, this);
+                    localTempBuffer, CacheHit, this);
 }
 
 void
@@ -947,15 +947,15 @@
 void
 clientReplyContext::traceReply(clientStreamNode * node)
 {
-    clientStreamNode *next = (clientStreamNode *)node->node.next->data;
-    StoreIOBuffer tempBuffer;
+    clientStreamNode *nextNode = (clientStreamNode *)node->node.next->data;
+    StoreIOBuffer localTempBuffer;
     assert(http->request->max_forwards == 0);
     createStoreEntry(http->request->method, request_flags());
-    tempBuffer.offset = next->readBuffer.offset + headers_sz;
-    tempBuffer.length = next->readBuffer.length;
-    tempBuffer.data = next->readBuffer.data;
+    localTempBuffer.offset = nextNode->readBuffer.offset + headers_sz;
+    localTempBuffer.length = nextNode->readBuffer.length;
+    localTempBuffer.data = nextNode->readBuffer.data;
     storeClientCopy(sc, http->storeEntry(),
-                    tempBuffer, SendMoreData, this);
+                    localTempBuffer, SendMoreData, this);
     http->storeEntry()->releaseRequest();
     http->storeEntry()->buffer();
     HttpReply *rep = new HttpReply;
@@ -1021,7 +1021,7 @@
     assert(mem != NULL);
     assert(http->request != NULL);
     /* mem->reply was wrong because it uses the UPSTREAM header length!!! */
-    HttpReply const *reply = mem->getReply();
+    HttpReply const *curReply = mem->getReply();
 
     if (headers_sz == 0)
         /* haven't found end of headers yet */
@@ -1029,9 +1029,9 @@
 
     int sending = SENDING_BODY;
 
-    if (reply->sline.status == HTTP_NO_CONTENT ||
-            reply->sline.status == HTTP_NOT_MODIFIED ||
-            reply->sline.status < HTTP_OK ||
+    if (curReply->sline.status == HTTP_NO_CONTENT ||
+            curReply->sline.status == HTTP_NOT_MODIFIED ||
+            curReply->sline.status < HTTP_OK ||
             http->request->method == METHOD_HEAD)
         sending = SENDING_HDRSONLY;
 
@@ -1040,10 +1040,10 @@
      * If we are sending a body and we don't have a content-length,
      * then we must wait for the object to become STORE_OK.
      */
-    if (reply->content_length < 0)
+    if (curReply->content_length < 0)
         return 0;
 
-    int64_t expectedLength = reply->content_length + http->out.headers_sz;
+    int64_t expectedLength = curReply->content_length + http->out.headers_sz;
 
     if (http->out.size < expectedLength)
         return 0;
@@ -1277,11 +1277,11 @@
             /* TODO: if maxage or s-maxage is present, don't do this */
 
             if (squid_curtime - http->storeEntry()->timestamp >= 86400) {
-                char tempbuf[512];
-                snprintf (tempbuf, sizeof(tempbuf), "%s %s %s",
+                char tbuf[512];
+                snprintf (tbuf, sizeof(tbuf), "%s %s %s",
                           "113", ThisCache,
                           "This cache hit is still fresh and more than 1 day old");
-                hdr->putStr(HDR_WARNING, tempbuf);
+                hdr->putStr(HDR_WARNING, tbuf);
             }
         }
     }
@@ -1412,8 +1412,8 @@
         hdr->putStr(HDR_VIA, strVia.termedBuf());
     }
     /* Signal keep-alive if needed */
-    hdr->putStr(http->flags.accel ? HDR_CONNECTION : HDR_PROXY_CONNECTION,
-                request->flags.proxy_keepalive ? "keep-alive" : "close");
+    hdr->putStr( (http->flags.accel || http->flags.intercepted)? HDR_CONNECTION : HDR_PROXY_CONNECTION,
+                 request->flags.proxy_keepalive ? "keep-alive" : "close");
 
 #if ADD_X_REQUEST_URI
     /*
@@ -1440,8 +1440,10 @@
 
     reply = HTTPMSGLOCK(rep);
 
-    /* enforce 1.0 reply version */
-    reply->sline.version = HttpVersion(1,0);
+    if (reply->sline.protocol == PROTO_HTTP) {
+        /* enforce 1.0 reply version (but only on real HTTP traffic) */
+        reply->sline.version = HttpVersion(1,0);
+    }
 
     /* do header conversions */
     buildReplyHeader();
@@ -1640,7 +1642,7 @@
     /* We still have to do store logic processing - vary, cache hit etc */
     if (http->storeEntry() != NULL) {
         /* someone found the object in the cache for us */
-        StoreIOBuffer tempBuffer;
+        StoreIOBuffer localTempBuffer;
 
         http->storeEntry()->lock();
 
@@ -1673,10 +1675,10 @@
             comm_set_tos(http->getConn()->fd, Config.zph.tos_local_hit);
         }
 #endif /* USE_ZPH_QOS */
-        tempBuffer.offset = reqofs;
-        tempBuffer.length = getNextNode()->readBuffer.length;
-        tempBuffer.data = getNextNode()->readBuffer.data;
-        storeClientCopy(sc, http->storeEntry(), tempBuffer, CacheHit, this);
+        localTempBuffer.offset = reqofs;
+        localTempBuffer.length = getNextNode()->readBuffer.length;
+        localTempBuffer.data = getNextNode()->readBuffer.data;
+        storeClientCopy(sc, http->storeEntry(), localTempBuffer, CacheHit, this);
     } else {
         /* MISS CASE, http->logType is already set! */
         processMiss();
@@ -1728,17 +1730,17 @@
      * client socket!
      */
     debugs(88, 5, "clientReplyContext::sendStreamError: A stream error has occured, marking as complete and sending no data.");
-    StoreIOBuffer tempBuffer;
+    StoreIOBuffer localTempBuffer;
     flags.complete = 1;
-    tempBuffer.flags.error = result.flags.error;
+    localTempBuffer.flags.error = result.flags.error;
     clientStreamCallback((clientStreamNode*)http->client_stream.head->data, http, NULL,
-                         tempBuffer);
+                         localTempBuffer);
 }
 
 void
 clientReplyContext::pushStreamData(StoreIOBuffer const &result, char *source)
 {
-    StoreIOBuffer tempBuffer;
+    StoreIOBuffer localTempBuffer;
 
     if (result.length == 0) {
         debugs(88, 5, "clientReplyContext::pushStreamData: marking request as complete due to 0 length store result");
@@ -1746,14 +1748,14 @@
     }
 
     assert(result.offset - headers_sz == next()->readBuffer.offset);
-    tempBuffer.offset = result.offset - headers_sz;
-    tempBuffer.length = result.length;
+    localTempBuffer.offset = result.offset - headers_sz;
+    localTempBuffer.length = result.length;
 
-    if (tempBuffer.length)
-        tempBuffer.data = source;
+    if (localTempBuffer.length)
+        localTempBuffer.data = source;
 
     clientStreamCallback((clientStreamNode*)http->client_stream.head->data, http, NULL,
-                         tempBuffer);
+                         localTempBuffer);
 }
 
 clientStreamNode *
@@ -1891,7 +1893,7 @@
     assert (!flags.headersSent);
     flags.headersSent = true;
 
-    StoreIOBuffer tempBuffer;
+    StoreIOBuffer localTempBuffer;
     char *buf = next()->readBuffer.data;
     char *body_buf = buf + reply->hdr_sz;
 
@@ -1905,20 +1907,20 @@
     if (next()->readBuffer.offset != 0) {
         if (next()->readBuffer.offset > body_size) {
             /* Can't use any of the body we received. send nothing */
-            tempBuffer.length = 0;
-            tempBuffer.data = NULL;
+            localTempBuffer.length = 0;
+            localTempBuffer.data = NULL;
         } else {
-            tempBuffer.length = body_size - next()->readBuffer.offset;
-            tempBuffer.data = body_buf + next()->readBuffer.offset;
+            localTempBuffer.length = body_size - next()->readBuffer.offset;
+            localTempBuffer.data = body_buf + next()->readBuffer.offset;
         }
     } else {
-        tempBuffer.length = body_size;
-        tempBuffer.data = body_buf;
+        localTempBuffer.length = body_size;
+        localTempBuffer.data = body_buf;
     }
 
     /* TODO??: move the data in the buffer back by the request header size */
     clientStreamCallback((clientStreamNode *)http->client_stream.head->data,
-                         http, reply, tempBuffer);
+                         http, reply, localTempBuffer);
 
     return;
 }
@@ -2029,7 +2031,7 @@
 /* Using this breaks the client layering just a little!
  */
 void
-clientReplyContext::createStoreEntry(const HttpRequestMethod& m, request_flags flags)
+clientReplyContext::createStoreEntry(const HttpRequestMethod& m, request_flags reqFlags)
 {
     assert(http != NULL);
     /*
@@ -2040,7 +2042,7 @@
     if (http->request == NULL)
         http->request = HTTPMSGLOCK(new HttpRequest(m, PROTO_NONE, null_string));
 
-    StoreEntry *e = storeCreateEntry(http->uri, http->log_uri, flags, m);
+    StoreEntry *e = storeCreateEntry(http->uri, http->log_uri, reqFlags, m);
 
     sc = storeClientListAdd(e, this);
 
@@ -2063,7 +2065,7 @@
     //    storeClientCopy(http->sc, e, 0, HTTP_REQBUF_SZ, http->reqbuf,
     //        SendMoreData, this);
     /* So, we mark the store logic as complete */
-    this->flags.storelogiccomplete = 1;
+    flags.storelogiccomplete = 1;
 
     /* and get the caller to request a read, from whereever they are */
     /* NOTE: after ANY data flows down the pipe, even one step,
diff -u -r -N squid-3.1.0.14/src/CommCalls.h squid-3.1.0.15/src/CommCalls.h
--- squid-3.1.0.14/src/CommCalls.h	2009-09-27 15:28:28.000000000 +1200
+++ squid-3.1.0.15/src/CommCalls.h	2009-11-23 16:10:00.000000000 +1300
@@ -290,9 +290,9 @@
 /* CommCbFunPtrCallT */
 
 template <class Dialer>
-CommCbFunPtrCallT<Dialer>::CommCbFunPtrCallT(int debugSection, int debugLevel,
+CommCbFunPtrCallT<Dialer>::CommCbFunPtrCallT(int aDebugSection, int aDebugLevel,
         const char *callName, const Dialer &aDialer):
-        AsyncCall(debugSection, debugLevel, callName),
+        AsyncCall(aDebugSection, aDebugLevel, callName),
         dialer(aDialer)
 {
 }
diff -u -r -N squid-3.1.0.14/src/comm.cc squid-3.1.0.15/src/comm.cc
--- squid-3.1.0.14/src/comm.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/comm.cc	2009-11-23 16:10:08.000000000 +1300
@@ -265,7 +265,7 @@
 
 typedef enum {
     COMM_CB_READ = 1,
-    COMM_CB_DERIVED,
+    COMM_CB_DERIVED
 } comm_callback_t;
 
 struct _fd_debug_t {
diff -u -r -N squid-3.1.0.14/src/Common.am squid-3.1.0.15/src/Common.am
--- squid-3.1.0.14/src/Common.am	2009-09-27 15:28:28.000000000 +1200
+++ squid-3.1.0.15/src/Common.am	2009-11-23 16:10:00.000000000 +1300
@@ -4,8 +4,8 @@
 ## so it must not contain stuff specific to or bad for some subdirectories.
 
 ## TODO: make this set by configure?
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 DEFS = @DEFS@
 
 ## so that others can always use += for these variables
@@ -18,7 +18,7 @@
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 ## make all compiled sources depend on generated files
 ## XXX: Do we really need this? Does auto-dependency tracking work?
diff -u -r -N squid-3.1.0.14/src/ConfigOption.cc squid-3.1.0.15/src/ConfigOption.cc
--- squid-3.1.0.14/src/ConfigOption.cc	2009-09-27 15:28:28.000000000 +1200
+++ squid-3.1.0.15/src/ConfigOption.cc	2009-11-23 16:10:00.000000000 +1300
@@ -45,12 +45,12 @@
 }
 
 bool
-ConfigOptionVector::parse(char const *option, const char *value, int reconfiguring)
+ConfigOptionVector::parse(char const *option, const char *value, int isaReconfig)
 {
     Vector<ConfigOption *>::iterator i = options.begin();
 
     while (i != options.end()) {
-        if ((*i)->parse(option,value, reconfiguring))
+        if ((*i)->parse(option,value, isaReconfig))
             return true;
 
         ++i;
diff -u -r -N squid-3.1.0.14/src/ConfigOption.h squid-3.1.0.15/src/ConfigOption.h
--- squid-3.1.0.14/src/ConfigOption.h	2009-09-27 15:28:28.000000000 +1200
+++ squid-3.1.0.15/src/ConfigOption.h	2009-11-23 16:10:00.000000000 +1300
@@ -67,9 +67,9 @@
 public:
     ConfigOptionAdapter(C& theObject, bool (C::*parseFP)(char const *option, const char *value, int reconfiguring), void (C::*dumpFP) (StoreEntry * e) const) : object(theObject), parser (parseFP), dumper(dumpFP) {}
 
-    bool parse(char const *option, const char *value, int reconfiguring) {
+    bool parse(char const *option, const char *value, int isaReconf) {
         if (parser)
-            return (object.*parser)(option, value, reconfiguring);
+            return (object.*parser)(option, value, isaReconf);
 
         return false;
     }
diff -u -r -N squid-3.1.0.14/src/DiskIO/AIO/AIODiskIOStrategy.cc squid-3.1.0.15/src/DiskIO/AIO/AIODiskIOStrategy.cc
--- squid-3.1.0.14/src/DiskIO/AIO/AIODiskIOStrategy.cc	2009-09-27 15:28:28.000000000 +1200
+++ squid-3.1.0.15/src/DiskIO/AIO/AIODiskIOStrategy.cc	2009-11-23 16:10:00.000000000 +1300
@@ -123,7 +123,7 @@
     void *cbdata;
     int callback_valid;
     void *buf;
-    int fd;
+    int filedescriptor;
     async_queue_entry_t *aqe;
     async_queue_entry_type_t type;
 
@@ -148,7 +148,7 @@
                 /* Get the callback parameters */
                 freefunc = aqe->aq_e_free;
                 buf = aqe->aq_e_buf;
-                fd = aqe->aq_e_fd;
+                filedescriptor = aqe->aq_e_fd;
                 type = aqe->aq_e_type;
                 callback_valid = cbdataReferenceValidDone(aqe->aq_e_callback_data, &cbdata);
                 AIODiskFile * theFile = NULL;
diff -u -r -N squid-3.1.0.14/src/DiskIO/DiskDaemon/diskd.cc squid-3.1.0.15/src/DiskIO/DiskDaemon/diskd.cc
--- squid-3.1.0.14/src/DiskIO/DiskDaemon/diskd.cc	2009-09-27 15:28:28.000000000 +1200
+++ squid-3.1.0.15/src/DiskIO/DiskDaemon/diskd.cc	2009-11-23 16:10:00.000000000 +1300
@@ -302,11 +302,12 @@
     return (*k & (--n));
 }
 
-static void
-alarm_handler(int sig)
-{
-    (void) 0;
-}
+SQUIDCEXTERN {
+    static void
+    alarm_handler(int sig) {
+        (void) 0;
+    }
+};
 
 int
 main(int argc, char *argv[])
diff -u -r -N squid-3.1.0.14/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc squid-3.1.0.15/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc
--- squid-3.1.0.14/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc	2009-09-27 15:28:28.000000000 +1200
+++ squid-3.1.0.15/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc	2009-11-23 16:10:00.000000000 +1300
@@ -439,7 +439,7 @@
 }
 
 bool
-DiskdIOStrategy::optionQ1Parse(const char *name, const char *value, int reconfiguring)
+DiskdIOStrategy::optionQ1Parse(const char *name, const char *value, int isaReconfig)
 {
     if (strcmp(name, "Q1") != 0)
         return false;
@@ -448,7 +448,7 @@
 
     magic1 = atoi(value);
 
-    if (!reconfiguring)
+    if (!isaReconfig)
         return true;
 
     if (old_magic1 < magic1) {
@@ -478,7 +478,7 @@
 }
 
 bool
-DiskdIOStrategy::optionQ2Parse(const char *name, const char *value, int reconfiguring)
+DiskdIOStrategy::optionQ2Parse(const char *name, const char *value, int isaReconfig)
 {
     if (strcmp(name, "Q2") != 0)
         return false;
@@ -487,7 +487,7 @@
 
     magic2 = atoi(value);
 
-    if (!reconfiguring)
+    if (!isaReconfig)
         return true;
 
     if (old_magic2 < magic2) {
diff -u -r -N squid-3.1.0.14/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc squid-3.1.0.15/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc
--- squid-3.1.0.14/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc	2009-11-23 16:10:00.000000000 +1300
@@ -139,14 +139,14 @@
         dlinkDelete(&ctrlp->node, &used_list);
 
         if (ctrlp->done_handler) {
-            AIOCB *callback = ctrlp->done_handler;
+            AIOCB *done_callback = ctrlp->done_handler;
             void *cbdata;
             ctrlp->done_handler = NULL;
 
             if (cbdataReferenceValidDone(ctrlp->done_handler_data, &cbdata)) {
                 retval = 1;	/* Return that we've actually done some work */
-                callback(ctrlp->fd, cbdata, ctrlp->bufp,
-                         ctrlp->result.aio_return, ctrlp->result.aio_errno);
+                done_callback(ctrlp->fd, cbdata, ctrlp->bufp,
+                              ctrlp->result.aio_return, ctrlp->result.aio_errno);
             } else {
                 if (ctrlp->operation == _AIO_OPEN) {
                     /* The open operation was aborted.. */
diff -u -r -N squid-3.1.0.14/src/dnsserver.cc squid-3.1.0.15/src/dnsserver.cc
--- squid-3.1.0.14/src/dnsserver.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/dnsserver.cc	2009-11-23 16:10:09.000000000 +1300
@@ -465,9 +465,9 @@
     char request[512];
     char *t = NULL;
     int c;
+    int opt_s = 0;
 
 #if HAVE_RES_INIT
-    int opt_s = 0;
     res_init();
 #endif
 
diff -u -r -N squid-3.1.0.14/src/enums.h squid-3.1.0.15/src/enums.h
--- squid-3.1.0.14/src/enums.h	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/enums.h	2009-11-23 16:10:09.000000000 +1300
@@ -254,6 +254,7 @@
     PROTO_WHOIS,
     PROTO_INTERNAL,
     PROTO_HTTPS,
+    PROTO_ICY,
     PROTO_MAX
 } protocol_t;
 
diff -u -r -N squid-3.1.0.14/src/errorpage.cc squid-3.1.0.15/src/errorpage.cc
--- squid-3.1.0.14/src/errorpage.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/errorpage.cc	2009-11-23 16:10:09.000000000 +1300
@@ -43,6 +43,7 @@
 #include "MemObject.h"
 #include "fde.h"
 #include "MemBuf.h"
+#include "rfc1738.h"
 #include "URLScheme.h"
 #include "wordlist.h"
 
@@ -553,7 +554,7 @@
     str.Printf("HTTP Request:\r\n");
 
     if (NULL != request) {
-        Packer p;
+        Packer pck;
         String urlpath_or_slash;
 
         if (request->urlpath.size() != 0)
@@ -565,9 +566,9 @@
                    RequestMethodStr(request->method),
                    SQUIDSTRINGPRINT(urlpath_or_slash),
                    request->http_ver.major, request->http_ver.minor);
-        packerToMemInit(&p, &str);
-        request->header.packInto(&p);
-        packerClean(&p);
+        packerToMemInit(&pck, &str);
+        request->header.packInto(&pck);
+        packerClean(&pck);
     } else if (request_hdrs) {
         p = request_hdrs;
     } else {
@@ -737,7 +738,7 @@
     case 'R':
 
         if (NULL != request) {
-            Packer p;
+            Packer pck;
             String urlpath_or_slash;
 
             if (request->urlpath.size() != 0)
@@ -749,9 +750,9 @@
                       RequestMethodStr(request->method),
                       SQUIDSTRINGPRINT(urlpath_or_slash),
                       request->http_ver.major, request->http_ver.minor);
-            packerToMemInit(&p, &mb);
-            request->header.packInto(&p);
-            packerClean(&p);
+            packerToMemInit(&pck, &mb);
+            request->header.packInto(&pck);
+            packerClean(&pck);
         } else if (request_hdrs) {
             p = request_hdrs;
         } else {
diff -u -r -N squid-3.1.0.14/src/esi/Esi.cc squid-3.1.0.15/src/esi/Esi.cc
--- squid-3.1.0.14/src/esi/Esi.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/esi/Esi.cc	2009-11-23 16:10:09.000000000 +1300
@@ -1004,7 +1004,7 @@
     char localbuf [HTTP_REQBUF_SZ];
     ESIElement::Pointer element;
     int specifiedattcount = attrCount * 2;
-    char *pos;
+    char *position;
     assert (ellen < sizeof (localbuf)); /* prevent unexpected overruns. */
 
     debugs(86, 5, "ESIContext::Start: element '" << el << "' with " << specifiedattcount << " tags");
@@ -1020,33 +1020,33 @@
         localbuf[0] = '<';
         localbuf[1] = '\0';
         assert (xstrncpy (&localbuf[1], el, sizeof(localbuf) - 2));
-        pos = localbuf + strlen (localbuf);
+        position = localbuf + strlen (localbuf);
 
         for (i = 0; i < specifiedattcount && attr[i]; i += 2) {
-            *pos++ = ' ';
+            *position++ = ' ';
             /* TODO: handle thisNode gracefully */
-            assert (xstrncpy (pos, attr[i], sizeof(localbuf) + (pos - localbuf)));
-            pos += strlen (pos);
-            *pos++ = '=';
-            *pos++ = '\"';
+            assert (xstrncpy (position, attr[i], sizeof(localbuf) + (position - localbuf)));
+            position += strlen (position);
+            *position++ = '=';
+            *position++ = '\"';
             const char *chPtr = attr[i + 1];
             char ch;
             while ((ch = *chPtr++) != '\0') {
                 if (ch == '\"') {
-                    assert( xstrncpy(pos, "&quot;", sizeof(localbuf) + (pos-localbuf)) );
-                    pos += 6;
+                    assert( xstrncpy(position, "&quot;", sizeof(localbuf) + (position-localbuf)) );
+                    position += 6;
                 } else {
-                    *(pos++) = ch;
+                    *(position++) = ch;
                 }
             }
-            pos += strlen (pos);
-            *pos++ = '\"';
+            position += strlen (position);
+            *position++ = '\"';
         }
 
-        *pos++ = '>';
-        *pos = '\0';
+        *position++ = '>';
+        *position = '\0';
 
-        addLiteral (localbuf, pos - localbuf);
+        addLiteral (localbuf, position - localbuf);
         debugs(86, 5, "esi stack depth " << parserState.stackdepth);
         return;
         break;
@@ -1118,7 +1118,7 @@
 {
     unsigned int ellen = strlen (el);
     char localbuf [HTTP_REQBUF_SZ];
-    char *pos;
+    char *position;
 
     if (flags.error)
         /* waiting for expat to finish the buffer we gave it */
@@ -1132,10 +1132,10 @@
         localbuf[0] = '<';
         localbuf[1] = '/';
         assert (xstrncpy (&localbuf[2], el, sizeof(localbuf) - 3));
-        pos = localbuf + strlen (localbuf);
-        *pos++ = '>';
-        *pos = '\0';
-        addLiteral (localbuf, pos - localbuf);
+        position = localbuf + strlen (localbuf);
+        *position++ = '>';
+        *position = '\0';
+        addLiteral (localbuf, position - localbuf);
         break;
 
     case ESIElement::ESI_ELEMENT_COMMENT:
diff -u -r -N squid-3.1.0.14/src/esi/ExpatParser.cc squid-3.1.0.15/src/esi/ExpatParser.cc
--- squid-3.1.0.14/src/esi/ExpatParser.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/esi/ExpatParser.cc	2009-11-23 16:10:09.000000000 +1300
@@ -35,7 +35,7 @@
 
 #include "squid.h"
 
-#if USE_SQUID_ESI
+#if USE_SQUID_ESI && HAVE_LIBEXPAT
 
 #include "esi/ExpatParser.h"
 
diff -u -r -N squid-3.1.0.14/src/esi/ExpatParser.h squid-3.1.0.15/src/esi/ExpatParser.h
--- squid-3.1.0.14/src/esi/ExpatParser.h	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/esi/ExpatParser.h	2009-11-23 16:10:09.000000000 +1300
@@ -33,10 +33,15 @@
 #ifndef SQUID_ESIEXPATPARSER_H
 #define SQUID_ESIEXPATPARSER_H
 
-#if USE_SQUID_ESI
+#include "config.h"
+
+#if USE_SQUID_ESI && HAVE_LIBEXPAT
 
 #include "esi/Parser.h"
+
+#if HAVE_EXPAT_H
 #include <expat.h>
+#endif
 
 class ESIExpatParser : public ESIParser
 {
diff -u -r -N squid-3.1.0.14/src/esi/Expression.cc squid-3.1.0.15/src/esi/Expression.cc
--- squid-3.1.0.14/src/esi/Expression.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/esi/Expression.cc	2009-11-23 16:10:09.000000000 +1300
@@ -714,6 +714,7 @@
 
         if ((point = strchr (s, '.')) && point - s < (ssize_t)length) {
             /* floating point */
+            errno=0; /* reset errno */
             rv.value.floating = strtod (s, &end);
 
             if (s == end || errno) {
@@ -730,6 +731,7 @@
             }
         } else {
             /* INT */
+            errno=0; /* reset errno */
             rv.value.integral = strtol (s, &end, 0);
 
             if (s == end || errno) {
diff -u -r -N squid-3.1.0.14/src/esi/Libxml2Parser.cc squid-3.1.0.15/src/esi/Libxml2Parser.cc
--- squid-3.1.0.14/src/esi/Libxml2Parser.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/esi/Libxml2Parser.cc	2009-11-23 16:10:09.000000000 +1300
@@ -39,7 +39,7 @@
 
 #include "squid.h"
 
-#if USE_SQUID_ESI
+#if USE_SQUID_ESI && HAVE_LIBXML2
 
 #include "esi/Libxml2Parser.h"
 
diff -u -r -N squid-3.1.0.14/src/esi/Libxml2Parser.h squid-3.1.0.15/src/esi/Libxml2Parser.h
--- squid-3.1.0.14/src/esi/Libxml2Parser.h	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/esi/Libxml2Parser.h	2009-11-23 16:10:09.000000000 +1300
@@ -40,7 +40,9 @@
 #ifndef SQUID_ESILIBXML2PARSER_H
 #define SQUID_ESILIBXML2PARSER_H
 
-#if USE_SQUID_ESI
+#include "config.h"
+
+#if USE_SQUID_ESI && HAVE_LIBXML2
 
 #include "esi/Parser.h"
 // workaround for definition of "free" that prevents include of
@@ -49,9 +51,15 @@
 #define OLD_FREE free
 #undef free
 #endif
+#if HAVE_LIBXML_PARSER_H
 #include <libxml/parser.h>
+#endif
+#if HAVE_LIBXML_HTMLPARSER_H
 #include <libxml/HTMLparser.h>
+#endif
+#if HAVE_LIBXML_HTMLTREE_H
 #include <libxml/HTMLtree.h>
+#endif
 
 #ifdef OLD_FREE
 #define free OLD_FREE
diff -u -r -N squid-3.1.0.14/src/esi/Makefile.am squid-3.1.0.15/src/esi/Makefile.am
--- squid-3.1.0.14/src/esi/Makefile.am	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/esi/Makefile.am	2009-11-23 16:10:09.000000000 +1300
@@ -3,28 +3,39 @@
 
 noinst_LTLIBRARIES = libesi.la
 
+ESI_PARSER_SOURCES = \
+	CustomParser.cc \
+	CustomParser.h
+
+if HAVE_LIBEXPAT
+ESI_PARSER_SOURCES += \
+	ExpatParser.cc \
+	ExpatParser.h
+endif
+
+if HAVE_LIBXML2
+ESI_PARSER_SOURCES += \
+	Libxml2Parser.cc \
+	Libxml2Parser.h
+endif
+
 libesi_la_SOURCES = \
 	Assign.cc \
 	Assign.h \
 	Attempt.h \
 	Context.cc \
 	Context.h \
-	CustomParser.cc \
-	CustomParser.h \
+	$(ESI_PARSER_SOURCES) \
 	Element.h \
 	ElementList.h \
 	Esi.cc \
 	Esi.h \
 	Except.h \
-	ExpatParser.cc \
-	ExpatParser.h \
 	Expression.cc \
 	Expression.h \
 	Include.cc \
 	Include.h \
 	Literal.h \
-	Libxml2Parser.cc \
-	Libxml2Parser.h \
 	Module.cc \
 	Module.h \
 	Parser.cc \
diff -u -r -N squid-3.1.0.14/src/esi/Makefile.in squid-3.1.0.15/src/esi/Makefile.in
--- squid-3.1.0.14/src/esi/Makefile.in	2009-09-27 15:28:56.000000000 +1200
+++ squid-3.1.0.15/src/esi/Makefile.in	2009-11-23 16:10:39.000000000 +1300
@@ -35,6 +35,14 @@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
 	$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am
 check_PROGRAMS =
+@HAVE_LIBEXPAT_TRUE@am__append_1 = \
+@HAVE_LIBEXPAT_TRUE@	ExpatParser.cc \
+@HAVE_LIBEXPAT_TRUE@	ExpatParser.h
+
+@HAVE_LIBXML2_TRUE@am__append_2 = \
+@HAVE_LIBXML2_TRUE@	Libxml2Parser.cc \
+@HAVE_LIBXML2_TRUE@	Libxml2Parser.h
+
 subdir = src/esi
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
@@ -46,9 +54,19 @@
 CONFIG_CLEAN_FILES =
 LTLIBRARIES = $(noinst_LTLIBRARIES)
 libesi_la_LIBADD =
-am_libesi_la_OBJECTS = Assign.lo Context.lo CustomParser.lo Esi.lo \
-	ExpatParser.lo Expression.lo Include.lo Libxml2Parser.lo \
-	Module.lo Parser.lo Segment.lo Sequence.lo VarState.lo
+am__libesi_la_SOURCES_DIST = Assign.cc Assign.h Attempt.h Context.cc \
+	Context.h CustomParser.cc CustomParser.h ExpatParser.cc \
+	ExpatParser.h Libxml2Parser.cc Libxml2Parser.h Element.h \
+	ElementList.h Esi.cc Esi.h Except.h Expression.cc Expression.h \
+	Include.cc Include.h Literal.h Module.cc Module.h Parser.cc \
+	Parser.h Segment.cc Segment.h Sequence.cc Sequence.h Var.h \
+	VarState.cc VarState.h
+@HAVE_LIBEXPAT_TRUE@am__objects_1 = ExpatParser.lo
+@HAVE_LIBXML2_TRUE@am__objects_2 = Libxml2Parser.lo
+am__objects_3 = CustomParser.lo $(am__objects_1) $(am__objects_2)
+am_libesi_la_OBJECTS = Assign.lo Context.lo $(am__objects_3) Esi.lo \
+	Expression.lo Include.lo Module.lo Parser.lo Segment.lo \
+	Sequence.lo VarState.lo
 libesi_la_OBJECTS = $(am_libesi_la_OBJECTS)
 DEFAULT_INCLUDES = 
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
@@ -72,13 +90,12 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libesi_la_SOURCES)
-DIST_SOURCES = $(libesi_la_SOURCES)
+DIST_SOURCES = $(am__libesi_la_SOURCES_DIST)
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -97,6 +114,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -114,6 +132,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -125,6 +144,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -177,6 +197,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -194,6 +215,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -250,37 +272,34 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 TESTS = testHeaders
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ \
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) \
 	-I$(top_srcdir)/lib/libTrie/include \
 	-I$(top_builddir)/lib/libTrie/include
 noinst_LTLIBRARIES = libesi.la
+ESI_PARSER_SOURCES = CustomParser.cc CustomParser.h $(am__append_1) \
+	$(am__append_2)
 libesi_la_SOURCES = \
 	Assign.cc \
 	Assign.h \
 	Attempt.h \
 	Context.cc \
 	Context.h \
-	CustomParser.cc \
-	CustomParser.h \
+	$(ESI_PARSER_SOURCES) \
 	Element.h \
 	ElementList.h \
 	Esi.cc \
 	Esi.h \
 	Except.h \
-	ExpatParser.cc \
-	ExpatParser.h \
 	Expression.cc \
 	Expression.h \
 	Include.cc \
 	Include.h \
 	Literal.h \
-	Libxml2Parser.cc \
-	Libxml2Parser.h \
 	Module.cc \
 	Module.h \
 	Parser.cc \
diff -u -r -N squid-3.1.0.14/src/esi/Module.cc squid-3.1.0.15/src/esi/Module.cc
--- squid-3.1.0.14/src/esi/Module.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/esi/Module.cc	2009-11-23 16:10:09.000000000 +1300
@@ -5,26 +5,42 @@
 #include "esi/ExpatParser.h" /* must follow esi/Libxml2Parser.h */
 
 static ESIParser::Register *prCustom = 0;
+#if HAVE_LIBXML2
 static ESIParser::Register *prLibxml = 0;
+#endif
+#if HAVE_LIBEXPAT
 static ESIParser::Register *prExpat = 0;
+#endif
 
 void Esi::Init()
 {
     assert(!prCustom); // we should be called once
+
     prCustom = new ESIParser::Register("custom", &ESICustomParser::NewParser);
+
+#if HAVE_LIBXML2
     prLibxml = new ESIParser::Register("libxml2", &ESILibxml2Parser::NewParser);
+#endif
+
+#if HAVE_LIBEXPAT
     prExpat = new ESIParser::Register("expat", &ESIExpatParser::NewParser);
+#endif
 }
 
 void Esi::Clean()
 {
     assert(prCustom); // we should be called once, and only after Init()
 
+#if HAVE_LIBEXPAT
     delete prExpat;
-    delete prLibxml;
-    delete prCustom;
-
     prExpat = NULL;
+#endif
+
+#if HAVE_LIBXML2
+    delete prLibxml;
     prLibxml = NULL;
+#endif
+
+    delete prCustom;
     prCustom = NULL;
 }
diff -u -r -N squid-3.1.0.14/src/esi/VarState.cc squid-3.1.0.15/src/esi/VarState.cc
--- squid-3.1.0.14/src/esi/VarState.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/esi/VarState.cc	2009-11-23 16:10:09.000000000 +1300
@@ -592,7 +592,7 @@
 
 private:
     bool validChar (char c);
-    void eval (ESIVarState::Variable *var, char const *subref, char const *found_default );
+    void eval (ESIVarState::Variable *var, char const *subref, char const *foundDefault );
     void doFunction();
     void identifyFunction();
     char *string;
@@ -611,14 +611,14 @@
 };
 
 void
-ESIVariableProcessor::eval (ESIVarState::Variable *var, char const *subref, char const *found_default )
+ESIVariableProcessor::eval (ESIVarState::Variable *var, char const *subref, char const *foundDefault )
 {
     assert (var);
 
-    if (!found_default)
-        found_default = "";
+    if (!foundDefault)
+        foundDefault = "";
 
-    var->eval (*varState, subref, found_default);
+    var->eval (*varState, subref, foundDefault);
 }
 
 bool
diff -u -r -N squid-3.1.0.14/src/event.cc squid-3.1.0.15/src/event.cc
--- squid-3.1.0.14/src/event.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/event.cc	2009-11-23 16:10:09.000000000 +1300
@@ -108,10 +108,10 @@
 }
 
 
-ev_entry::ev_entry(char const * name, EVH * func, void * arg, double when,
-                   int weight, bool cbdata) : name(name), func(func),
-        arg(cbdata ? cbdataReference(arg) : arg), when(when), weight(weight),
-        cbdata(cbdata)
+ev_entry::ev_entry(char const * aName, EVH * aFunction, void * aArgument, double evWhen,
+                   int aWeight, bool haveArgument) : name(aName), func(aFunction),
+        arg(haveArgument ? cbdataReference(aArgument) : aArgument), when(evWhen), weight(aWeight),
+        cbdata(haveArgument)
 {
 }
 
diff -u -r -N squid-3.1.0.14/src/external_acl.cc squid-3.1.0.15/src/external_acl.cc
--- squid-3.1.0.14/src/external_acl.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/external_acl.cc	2009-11-23 16:10:09.000000000 +1300
@@ -60,6 +60,7 @@
 #include "auth/Gadgets.h"
 #include "helper.h"
 #include "MemBuf.h"
+#include "rfc1738.h"
 #include "URLScheme.h"
 #include "wordlist.h"
 
diff -u -r -N squid-3.1.0.14/src/forward.cc squid-3.1.0.15/src/forward.cc
--- squid-3.1.0.14/src/forward.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/forward.cc	2009-11-23 16:10:09.000000000 +1300
@@ -868,14 +868,14 @@
 
     debugs(17, 3, "fwdConnectStart: got outgoing addr " << outgoing << ", tos " << tos);
 
-    int flags = COMM_NONBLOCKING;
+    int commFlags = COMM_NONBLOCKING;
     if (request->flags.spoof_client_ip) {
         if (!fs->_peer || !fs->_peer->options.no_tproxy)
-            flags |= COMM_TRANSPARENT;
+            commFlags |= COMM_TRANSPARENT;
         // else no tproxy today ...
     }
 
-    fd = comm_openex(SOCK_STREAM, IPPROTO_TCP, outgoing, flags, tos, url);
+    fd = comm_openex(SOCK_STREAM, IPPROTO_TCP, outgoing, commFlags, tos, url);
 
     debugs(17, 3, "fwdConnectStart: got TCP FD " << fd);
 
diff -u -r -N squid-3.1.0.14/src/fs/Makefile.am squid-3.1.0.15/src/fs/Makefile.am
--- squid-3.1.0.14/src/fs/Makefile.am	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/fs/Makefile.am	2009-11-23 16:10:09.000000000 +1300
@@ -1,7 +1,7 @@
 include $(top_srcdir)/src/Common.am
 
 EXTRA_LTLIBRARIES = libaufs.la libdiskd.la libcoss.la libufs.la
-noinst_LTLIBRARIES =  @STORE_LIBS_TO_BUILD@ libfs.la
+noinst_LTLIBRARIES =  $(STORE_LIBS_TO_BUILD) libfs.la
 
 # aufs is a "fake" legacy store
 libaufs_la_SOURCES = \
@@ -29,8 +29,8 @@
 	ufs/ufscommon.h 
 
 libfs_la_SOURCES = Module.cc Module.h
-libfs_la_LIBADD =  @STORE_LIBS_TO_BUILD@
-libfs_la_DEPENDENCIES = @STORE_LIBS_TO_BUILD@
+libfs_la_LIBADD =  $(STORE_LIBS_TO_BUILD)
+libfs_la_DEPENDENCIES = $(STORE_LIBS_TO_BUILD)
 
 EXTRA_DIST = \
 	coss/coss-notes.txt
diff -u -r -N squid-3.1.0.14/src/fs/Makefile.in squid-3.1.0.15/src/fs/Makefile.in
--- squid-3.1.0.14/src/fs/Makefile.in	2009-09-27 15:28:56.000000000 +1200
+++ squid-3.1.0.15/src/fs/Makefile.in	2009-11-23 16:10:39.000000000 +1300
@@ -55,6 +55,7 @@
 libdiskd_la_LIBADD =
 am_libdiskd_la_OBJECTS = StoreFSdiskd.lo
 libdiskd_la_OBJECTS = $(am_libdiskd_la_OBJECTS)
+am__DEPENDENCIES_1 =
 am_libfs_la_OBJECTS = Module.lo
 libfs_la_OBJECTS = $(am_libfs_la_OBJECTS)
 libufs_la_LIBADD =
@@ -93,7 +94,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -112,6 +112,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -129,6 +130,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -140,6 +142,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -192,6 +195,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -209,6 +213,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -265,14 +270,14 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 TESTS = testHeaders
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 EXTRA_LTLIBRARIES = libaufs.la libdiskd.la libcoss.la libufs.la
-noinst_LTLIBRARIES = @STORE_LIBS_TO_BUILD@ libfs.la
+noinst_LTLIBRARIES = $(STORE_LIBS_TO_BUILD) libfs.la
 
 # aufs is a "fake" legacy store
 libaufs_la_SOURCES = \
@@ -301,8 +306,8 @@
 	ufs/ufscommon.h 
 
 libfs_la_SOURCES = Module.cc Module.h
-libfs_la_LIBADD = @STORE_LIBS_TO_BUILD@
-libfs_la_DEPENDENCIES = @STORE_LIBS_TO_BUILD@
+libfs_la_LIBADD = $(STORE_LIBS_TO_BUILD)
+libfs_la_DEPENDENCIES = $(STORE_LIBS_TO_BUILD)
 EXTRA_DIST = \
 	coss/coss-notes.txt
 
diff -u -r -N squid-3.1.0.14/src/fs/ufs/store_dir_ufs.cc squid-3.1.0.15/src/fs/ufs/store_dir_ufs.cc
--- squid-3.1.0.14/src/fs/ufs/store_dir_ufs.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/fs/ufs/store_dir_ufs.cc	2009-11-23 16:10:09.000000000 +1300
@@ -107,7 +107,7 @@
  */
 
 void
-UFSSwapDir::reconfigure(int index, char *path)
+UFSSwapDir::reconfigure(int aIndex, char *aPath)
 {
     parseSizeL1L2();
     parseOptions(1);
@@ -154,12 +154,12 @@
 }
 
 bool
-UFSSwapDir::optionIOParse(char const *option, const char *value, int reconfiguring)
+UFSSwapDir::optionIOParse(char const *option, const char *value, int isaReconfig)
 {
     if (strcmp(option, "IOEngine") != 0)
         return false;
 
-    if (reconfiguring)
+    if (isaReconfig)
         /* silently ignore this */
         return true;
 
@@ -431,15 +431,15 @@
 }
 
 StoreIOState::Pointer
-UFSSwapDir::createStoreIO(StoreEntry &e, StoreIOState::STFNCB * file_callback, StoreIOState::STIOCB * callback, void *callback_data)
+UFSSwapDir::createStoreIO(StoreEntry &e, StoreIOState::STFNCB * file_callback, StoreIOState::STIOCB * aCallback, void *callback_data)
 {
-    return IO->create (this, &e, file_callback, callback, callback_data);
+    return IO->create (this, &e, file_callback, aCallback, callback_data);
 }
 
 StoreIOState::Pointer
-UFSSwapDir::openStoreIO(StoreEntry &e, StoreIOState::STFNCB * file_callback, StoreIOState::STIOCB * callback, void *callback_data)
+UFSSwapDir::openStoreIO(StoreEntry &e, StoreIOState::STFNCB * file_callback, StoreIOState::STIOCB * aCallback, void *callback_data)
 {
-    return IO->open (this, &e, file_callback, callback, callback_data);
+    return IO->open (this, &e, file_callback, aCallback, callback_data);
 }
 
 int
@@ -489,50 +489,50 @@
 }
 
 int
-UFSSwapDir::createDirectory(const char *path, int should_exist)
+UFSSwapDir::createDirectory(const char *aPath, int should_exist)
 {
     int created = 0;
 
     struct stat st;
     getCurrentTime();
 
-    if (0 == ::stat(path, &st)) {
+    if (0 == ::stat(aPath, &st)) {
         if (S_ISDIR(st.st_mode)) {
-            debugs(47, (should_exist ? 3 : 1), path << " exists");
+            debugs(47, (should_exist ? 3 : 1), aPath << " exists");
         } else {
-            fatalf("Swap directory %s is not a directory.", path);
+            fatalf("Swap directory %s is not a directory.", aPath);
         }
 
 #ifdef _SQUID_MSWIN_
 
-    } else if (0 == mkdir(path)) {
+    } else if (0 == mkdir(aPath)) {
 #else
 
-    } else if (0 == mkdir(path, 0755)) {
+    } else if (0 == mkdir(aPath, 0755)) {
 #endif
-        debugs(47, (should_exist ? 1 : 3), path << " created");
+        debugs(47, (should_exist ? 1 : 3), aPath << " created");
         created = 1;
     } else {
         fatalf("Failed to make swap directory %s: %s",
-               path, xstrerror());
+               aPath, xstrerror());
     }
 
     return created;
 }
 
 bool
-UFSSwapDir::pathIsDirectory(const char *path)const
+UFSSwapDir::pathIsDirectory(const char *aPath)const
 {
 
     struct stat sb;
 
-    if (::stat(path, &sb) < 0) {
-        debugs(47, 0, "" << path << ": " << xstrerror());
+    if (::stat(aPath, &sb) < 0) {
+        debugs(47, 0, "" << aPath << ": " << xstrerror());
         return false;
     }
 
     if (S_ISDIR(sb.st_mode) == 0) {
-        debugs(47, 0, "" << path << " is not a directory");
+        debugs(47, 0, "" << aPath << " is not a directory");
         return false;
     }
 
@@ -686,7 +686,7 @@
                            time_t lastref,
                            time_t lastmod,
                            u_int32_t refcount,
-                           u_int16_t flags,
+                           u_int16_t newFlags,
                            int clean)
 {
     StoreEntry *e = NULL;
@@ -707,7 +707,7 @@
     e->expires = expires;
     e->lastmod = lastmod;
     e->refcount = refcount;
-    e->flags = flags;
+    e->flags = newFlags;
     EBIT_SET(e->flags, ENTRY_CACHABLE);
     EBIT_CLR(e->flags, RELEASE_REQUEST);
     EBIT_CLR(e->flags, KEY_PRIVATE);
@@ -1388,10 +1388,10 @@
 }
 
 void
-StoreSearchUFS::next(void (callback)(void *cbdata), void *cbdata)
+StoreSearchUFS::next(void (aCallback)(void *cbdata), void *aCallbackArgs)
 {
     next();
-    callback (cbdata);
+    aCallback(aCallbackArgs);
 }
 
 bool
diff -u -r -N squid-3.1.0.14/src/fs/ufs/store_io_ufs.cc squid-3.1.0.15/src/fs/ufs/store_io_ufs.cc
--- squid-3.1.0.14/src/fs/ufs/store_io_ufs.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/fs/ufs/store_io_ufs.cc	2009-11-23 16:10:09.000000000 +1300
@@ -65,9 +65,9 @@
 }
 
 StoreIOState::Pointer
-UFSStrategy::createState(SwapDir *SD, StoreEntry *e, StoreIOState::STIOCB * callback, void *callback_data) const
+UFSStrategy::createState(SwapDir *SD, StoreEntry *e, StoreIOState::STIOCB * aCallback, void *callback_data) const
 {
-    return new UFSStoreState (SD, e, callback, callback_data);
+    return new UFSStoreState (SD, e, aCallback, callback_data);
 }
 
 DiskFile::Pointer
@@ -198,28 +198,28 @@
 }
 
 void
-UFSStoreState::read_(char *buf, size_t size, off_t offset, STRCB * callback, void *callback_data)
+UFSStoreState::read_(char *buf, size_t size, off_t aOffset, STRCB * aCallback, void *aCallbackData)
 {
     assert(read.callback == NULL);
     assert(read.callback_data == NULL);
     assert(!reading);
     assert(!closing);
-    assert (callback);
+    assert (aCallback);
 
     if (!theFile->canRead()) {
         debugs(79, 3, "UFSStoreState::read_: queueing read because theFile can't read");
-        queueRead (buf, size, offset, callback, callback_data);
+        queueRead (buf, size, aOffset, aCallback, aCallbackData);
         return;
     }
 
-    read.callback = callback;
-    read.callback_data = cbdataReference(callback_data);
+    read.callback = aCallback;
+    read.callback_data = cbdataReference(aCallbackData);
     debugs(79, 3, "UFSStoreState::read_: dirno " << swap_dirn  << ", fileno "<<
            std::setfill('0') << std::hex << std::uppercase << std::setw(8) << swap_filen);
-    offset_ = offset;
+    offset_ = aOffset;
     read_buf = buf;
     reading = true;
-    theFile->read(new ReadRequest(buf,offset,size));
+    theFile->read(new ReadRequest(buf,aOffset,size));
 }
 
 
@@ -232,7 +232,7 @@
  * code simpler and always go through the pending_writes queue.
  */
 void
-UFSStoreState::write(char const *buf, size_t size, off_t offset, FREE * free_func)
+UFSStoreState::write(char const *buf, size_t size, off_t aOffset, FREE * free_func)
 {
     debugs(79, 3, "UFSStoreState::write: dirn " << swap_dirn  << ", fileno "<<
            std::setfill('0') << std::hex << std::uppercase << std::setw(8) << swap_filen);
@@ -244,7 +244,7 @@
         return;
     }
 
-    queueWrite(buf, size, offset, free_func);
+    queueWrite(buf, size, aOffset, free_func);
     drainWriteQueue();
 }
 
@@ -311,9 +311,9 @@
     if (len > 0)
         offset_ += len;
 
-    STRCB *callback = read.callback;
+    STRCB *callback_ = read.callback;
 
-    assert(callback);
+    assert(callback_);
 
     read.callback = NULL;
 
@@ -335,7 +335,7 @@
         if (len > 0 && read_buf != buf)
             memcpy(read_buf, buf, len);
 
-        callback(cbdata, read_buf, len, this);
+        callback_(cbdata, read_buf, len, this);
     }
 
     if (flags.try_closing || (theFile != NULL && theFile->error()) )
@@ -461,7 +461,7 @@
 }
 
 void
-UFSStoreState::queueRead(char *buf, size_t size, off_t offset, STRCB *callback, void *callback_data)
+UFSStoreState::queueRead(char *buf, size_t size, off_t aOffset, STRCB *callback_, void *callback_data_)
 {
     debugs(79, 3, "UFSStoreState::queueRead: queueing read");
     assert(opening);
@@ -469,9 +469,9 @@
     _queued_read *q = new _queued_read;
     q->buf = buf;
     q->size = size;
-    q->offset = offset;
-    q->callback = callback;
-    q->callback_data = cbdataReference(callback_data);
+    q->offset = aOffset;
+    q->callback = callback_;
+    q->callback_data = cbdataReference(callback_data_);
     linklistPush(&pending_reads, q);
 }
 
@@ -537,7 +537,7 @@
 }
 
 void
-UFSStoreState::queueWrite(char const *buf, size_t size, off_t offset, FREE * free_func)
+UFSStoreState::queueWrite(char const *buf, size_t size, off_t aOffset, FREE * free_func)
 {
     debugs(79, 3, HERE << this << " UFSStoreState::queueWrite: queueing write of size " << size);
 
@@ -545,20 +545,20 @@
     q = new _queued_write;
     q->buf = buf;
     q->size = size;
-    q->offset = offset;
+    q->offset = aOffset;
     q->free_func = free_func;
     linklistPush(&pending_writes, q);
 }
 
 StoreIOState::Pointer
 UFSStrategy::open(SwapDir * SD, StoreEntry * e, StoreIOState::STFNCB * file_callback,
-                  StoreIOState::STIOCB * callback, void *callback_data)
+                  StoreIOState::STIOCB * aCallback, void *callback_data)
 {
     assert (((UFSSwapDir *)SD)->IO == this);
     debugs(79, 3, "UFSStrategy::open: fileno "<< std::setfill('0') << std::hex << std::uppercase << std::setw(8) << e->swap_filen);
 
     /* to consider: make createstate a private UFSStrategy call */
-    StoreIOState::Pointer sio = createState (SD, e, callback, callback_data);
+    StoreIOState::Pointer sio = createState (SD, e, aCallback, callback_data);
 
     sio->mode |= O_RDONLY;
 
@@ -587,7 +587,7 @@
 
 StoreIOState::Pointer
 UFSStrategy::create(SwapDir * SD, StoreEntry * e, StoreIOState::STFNCB * file_callback,
-                    StoreIOState::STIOCB * callback, void *callback_data)
+                    StoreIOState::STIOCB * aCallback, void *callback_data)
 {
     assert (((UFSSwapDir *)SD)->IO == this);
     /* Allocate a number */
@@ -596,7 +596,7 @@
 
     /* Shouldn't we handle a 'bitmap full' error here? */
 
-    StoreIOState::Pointer sio = createState (SD, e, callback, callback_data);
+    StoreIOState::Pointer sio = createState (SD, e, aCallback, callback_data);
 
     sio->mode |= O_WRONLY | O_CREAT | O_TRUNC;
 
diff -u -r -N squid-3.1.0.14/src/fs/ufs/ufscommon.cc squid-3.1.0.15/src/fs/ufs/ufscommon.cc
--- squid-3.1.0.14/src/fs/ufs/ufscommon.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/fs/ufs/ufscommon.cc	2009-11-23 16:10:09.000000000 +1300
@@ -783,7 +783,7 @@
 }
 
 void
-RebuildState::next(void (callback)(void *cbdata), void *cbdata)
+RebuildState::next(void (aCallback)(void *aCallbackDataarg), void *aCallbackData)
 {
     /* for now, we don't cache at all */
     speed = 1;
@@ -792,7 +792,7 @@
     while (!isDone() && currentEntry() == NULL)
         rebuildStep();
 
-    callback(cbdata);
+    aCallback(aCallbackData);
 }
 
 bool
diff -u -r -N squid-3.1.0.14/src/ftp.cc squid-3.1.0.15/src/ftp.cc
--- squid-3.1.0.14/src/ftp.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/ftp.cc	2009-11-23 16:10:10.000000000 +1300
@@ -53,6 +53,7 @@
 #include "wordlist.h"
 #include "SquidTime.h"
 #include "URLScheme.h"
+#include "rfc1738.h"
 
 /**
  \defgroup ServerProtocolFTPInternal Server-Side FTP Internals
@@ -897,7 +898,7 @@
         p->type = 0;
 
         while (ct && *ct) {
-            time_t t;
+            time_t tm;
             int l = strcspn(ct, ",");
             char *tmp;
 
@@ -915,12 +916,12 @@
                 break;
 
             case 'm':
-                t = (time_t) strtol(ct + 1, &tmp, 0);
+                tm = (time_t) strtol(ct + 1, &tmp, 0);
 
                 if (tmp != ct + 1)
                     break;	/* not a valid integer */
 
-                p->date = xstrdup(ctime(&t));
+                p->date = xstrdup(ctime(&tm));
 
                 *(strstr(p->date, "\n")) = '\0';
 
@@ -1299,7 +1300,7 @@
     if (data.read_pending)
         return;
 
-    int read_sz = replyBodySpace(data.readBuf->spaceSize());
+    const int read_sz = replyBodySpace(*data.readBuf, 0);
 
     debugs(11,9, HERE << "FTP may read up to " << read_sz << " bytes");
 
@@ -3923,10 +3924,10 @@
  * which should be sent to either StoreEntry, or to ICAP...
  */
 void
-FtpStateData::writeReplyBody(const char *data, size_t len)
+FtpStateData::writeReplyBody(const char *dataToWrite, size_t dataLength)
 {
-    debugs(9, 5, HERE << "writing " << len << " bytes to the reply");
-    addVirginReplyBody(data, len);
+    debugs(9, 5, HERE << "writing " << dataLength << " bytes to the reply");
+    addVirginReplyBody(dataToWrite, dataLength);
 }
 
 /**
diff -u -r -N squid-3.1.0.14/src/gopher.cc squid-3.1.0.15/src/gopher.cc
--- squid-3.1.0.14/src/gopher.cc	2009-09-27 15:28:33.000000000 +1200
+++ squid-3.1.0.15/src/gopher.cc	2009-11-23 16:10:10.000000000 +1300
@@ -45,6 +45,7 @@
 #endif
 #include "MemBuf.h"
 #include "forward.h"
+#include "rfc1738.h"
 #include "SquidTime.h"
 
 /**
diff -u -r -N squid-3.1.0.14/src/http.cc squid-3.1.0.15/src/http.cc
--- squid-3.1.0.14/src/http.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/http.cc	2009-11-23 16:10:10.000000000 +1300
@@ -55,6 +55,7 @@
 #if DELAY_POOLS
 #include "DelayPools.h"
 #endif
+#include "rfc1738.h"
 #include "SquidTime.h"
 #include "TextException.h"
 
@@ -678,7 +679,7 @@
     HttpReply *newrep = new HttpReply;
     const bool parsed = newrep->parse(readBuf, eof, &error);
 
-    if (!parsed && readBuf->contentSize() > 5 && strncmp(readBuf->content(), "HTTP/", 5) != 0) {
+    if (!parsed && readBuf->contentSize() > 5 && strncmp(readBuf->content(), "HTTP/", 5) != 0 && strncmp(readBuf->content(), "ICY", 3) != 0) {
         MemBuf *mb;
         HttpReply *tmprep = new HttpReply;
         tmprep->sline.version = HttpVersion(1, 0);
@@ -715,7 +716,7 @@
     }
 
     flags.chunked = 0;
-    if (newrep->header.hasListMember(HDR_TRANSFER_ENCODING, "chunked", ',')) {
+    if (newrep->sline.protocol == PROTO_HTTP && newrep->header.hasListMember(HDR_TRANSFER_ENCODING, "chunked", ',')) {
         flags.chunked = 1;
         httpChunkDecoder = new ChunkedCodingParser;
     }
@@ -1220,22 +1221,22 @@
 {
     const char *data = NULL;
     int len;
-    bool status = false;
+    bool wasThereAnException = false;
     assert(flags.chunked);
     assert(httpChunkDecoder);
     SQUID_ENTER_THROWING_CODE();
     MemBuf decodedData;
     decodedData.init();
-    const bool done = httpChunkDecoder->parse(readBuf,&decodedData);
+    const bool doneParsing = httpChunkDecoder->parse(readBuf,&decodedData);
     len = decodedData.contentSize();
     data=decodedData.content();
     addVirginReplyBody(data, len);
-    if (done) {
+    if (doneParsing) {
         lastChunk = 1;
         flags.do_next_read = 0;
     }
-    SQUID_EXIT_THROWING_CODE(status);
-    return status;
+    SQUID_EXIT_THROWING_CODE(wasThereAnException);
+    return wasThereAnException;
 }
 
 /**
@@ -1347,10 +1348,12 @@
 void
 HttpStateData::maybeReadVirginBody()
 {
-    int read_sz = replyBodySpace(readBuf->spaceSize());
+    // we may need to grow the buffer if headers do not fit
+    const int minRead = flags.headers_parsed ? 0 :1024;
+    const int read_size = replyBodySpace(*readBuf, minRead);
 
     debugs(11,9, HERE << (flags.do_next_read ? "may" : "wont") <<
-           " read up to " << read_sz << " bytes from FD " << fd);
+           " read up to " << read_size << " bytes from FD " << fd);
 
     /*
      * why <2? Because delayAwareRead() won't actually read if
@@ -1360,17 +1363,13 @@
      * handler until we get a notification from someone that
      * its okay to read again.
      */
-    if (read_sz < 2) {
-        if (flags.headers_parsed)
-            return;
-        else
-            read_sz = 1024;
-    }
+    if (read_size < 2)
+        return;
 
     if (flags.do_next_read) {
         flags.do_next_read = 0;
         typedef CommCbMemFunT<HttpStateData, CommIoCbParams> Dialer;
-        entry->delayAwareRead(fd, readBuf->space(read_sz), read_sz,
+        entry->delayAwareRead(fd, readBuf->space(read_size), read_size,
                               asyncCall(11, 5, "HttpStateData::readReply",
                                         Dialer(this, &HttpStateData::readReply)));
     }
@@ -1896,28 +1895,28 @@
 /* build request prefix and append it to a given MemBuf;
  * return the length of the prefix */
 mb_size_t
-HttpStateData::buildRequestPrefix(HttpRequest * request,
-                                  HttpRequest * orig_request,
-                                  StoreEntry * entry,
+HttpStateData::buildRequestPrefix(HttpRequest * aRequest,
+                                  HttpRequest * original_request,
+                                  StoreEntry * sentry,
                                   MemBuf * mb,
-                                  http_state_flags flags)
+                                  http_state_flags stateFlags)
 {
     const int offset = mb->size;
     HttpVersion httpver(1, 0);
     mb->Printf("%s %s HTTP/%d.%d\r\n",
-               RequestMethodStr(request->method),
-               request->urlpath.size() ? request->urlpath.termedBuf() : "/",
+               RequestMethodStr(aRequest->method),
+               aRequest->urlpath.size() ? aRequest->urlpath.termedBuf() : "/",
                httpver.major,httpver.minor);
     /* build and pack headers */
     {
         HttpHeader hdr(hoRequest);
         Packer p;
-        httpBuildRequestHeader(request, orig_request, entry, &hdr, flags);
+        httpBuildRequestHeader(aRequest, original_request, sentry, &hdr, stateFlags);
 
-        if (request->flags.pinned && request->flags.connection_auth)
-            request->flags.auth_sent = 1;
+        if (aRequest->flags.pinned && aRequest->flags.connection_auth)
+            aRequest->flags.auth_sent = 1;
         else if (hdr.has(HDR_AUTHORIZATION))
-            request->flags.auth_sent = 1;
+            aRequest->flags.auth_sent = 1;
 
         packerToMemInit(&p, mb);
         hdr.packInto(&p);
diff -u -r -N squid-3.1.0.14/src/HttpReply.cc squid-3.1.0.15/src/HttpReply.cc
--- squid-3.1.0.14/src/HttpReply.cc	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/HttpReply.cc	2009-11-23 16:10:01.000000000 +1300
@@ -210,7 +210,7 @@
 
 void
 HttpReply::setHeaders(HttpVersion ver, http_status status, const char *reason,
-                      const char *ctype, int64_t clen, time_t lmt, time_t expires)
+                      const char *ctype, int64_t clen, time_t lmt, time_t expiresTime)
 {
     HttpHeader *hdr;
     httpStatusLineSet(&sline, ver, status, reason);
@@ -228,8 +228,8 @@
     if (clen >= 0)
         hdr->putInt64(HDR_CONTENT_LENGTH, clen);
 
-    if (expires >= 0)
-        hdr->putTime(HDR_EXPIRES, expires);
+    if (expiresTime >= 0)
+        hdr->putTime(HDR_EXPIRES, expiresTime);
 
     if (lmt > 0)		/* this used to be lmt != 0 @?@ */
         hdr->putTime(HDR_LAST_MODIFIED, lmt);
@@ -238,7 +238,7 @@
 
     content_length = clen;
 
-    expires = expires;
+    expires = expiresTime;
 
     last_modified = lmt;
 }
@@ -458,24 +458,32 @@
         return false;
     }
 
+    int pos;
     // catch missing or mismatched protocol identifier
-    if (protoPrefix.cmp(buf->content(), protoPrefix.size()) != 0) {
-        debugs(58, 3, "HttpReply::sanityCheckStartLine: missing protocol prefix (" << protoPrefix << ") in '" << buf->content() << "'");
-        *error = HTTP_INVALID_HEADER;
-        return false;
-    }
+    // allow special-case for ICY protocol (non-HTTP identifier) in response to faked HTTP request.
+    if (strncmp(buf->content(), "ICY", 3) == 0) {
+        protoPrefix = "ICY";
+        pos = protoPrefix.psize();
+    } else {
+
+        if (protoPrefix.cmp(buf->content(), protoPrefix.size()) != 0) {
+            debugs(58, 3, "HttpReply::sanityCheckStartLine: missing protocol prefix (" << protoPrefix << ") in '" << buf->content() << "'");
+            *error = HTTP_INVALID_HEADER;
+            return false;
+        }
 
-    // catch missing or negative status value (negative '-' is not a digit)
-    int pos = protoPrefix.psize();
+        // catch missing or negative status value (negative '-' is not a digit)
+        pos = protoPrefix.psize();
 
-    // skip arbitrary number of digits and a dot in the verion portion
-    while ( pos <= buf->contentSize() && (*(buf->content()+pos) == '.' || xisdigit(*(buf->content()+pos)) ) ) ++pos;
+        // skip arbitrary number of digits and a dot in the verion portion
+        while ( pos <= buf->contentSize() && (*(buf->content()+pos) == '.' || xisdigit(*(buf->content()+pos)) ) ) ++pos;
 
-    // catch missing version info
-    if (pos == protoPrefix.psize()) {
-        debugs(58, 3, "HttpReply::sanityCheckStartLine: missing protocol version numbers (ie. " << protoPrefix << "/1.0) in '" << buf->content() << "'");
-        *error = HTTP_INVALID_HEADER;
-        return false;
+        // catch missing version info
+        if (pos == protoPrefix.psize()) {
+            debugs(58, 3, "HttpReply::sanityCheckStartLine: missing protocol version numbers (ie. " << protoPrefix << "/1.0) in '" << buf->content() << "'");
+            *error = HTTP_INVALID_HEADER;
+            return false;
+        }
     }
 
     // skip arbitrary number of spaces...
diff -u -r -N squid-3.1.0.14/src/HttpRequest.cc squid-3.1.0.15/src/HttpRequest.cc
--- squid-3.1.0.14/src/HttpRequest.cc	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/HttpRequest.cc	2009-11-23 16:10:01.000000000 +1300
@@ -76,6 +76,7 @@
     urlpath = NULL;
     login[0] = '\0';
     host[0] = '\0';
+    host_is_numeric = -1;
     auth_user_request = NULL;
     pinned_connection = NULL;
     port = 0;
diff -u -r -N squid-3.1.0.14/src/HttpRequest.h squid-3.1.0.15/src/HttpRequest.h
--- squid-3.1.0.14/src/HttpRequest.h	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/HttpRequest.h	2009-11-23 16:10:01.000000000 +1300
@@ -92,12 +92,15 @@
         host_addr = src;
         if ( host_addr.IsAnyAddr() ) {
             xstrncpy(host, src, SQUIDHOSTNAMELEN);
+            host_is_numeric = 0;
         } else {
             host_addr.ToHostname(host, SQUIDHOSTNAMELEN);
             debugs(23, 3, "HttpRequest::SetHost() given IP: " << host_addr);
+            host_is_numeric = 1;
         }
     };
     inline const char* GetHost(void) const { return host; };
+    inline const int GetHostIsNumeric(void) const { return host_is_numeric; };
 
 #if USE_ADAPTATION
     /// Returns possibly nil history, creating it if adapt. logging is enabled
@@ -124,6 +127,7 @@
 
 private:
     char host[SQUIDHOSTNAMELEN];
+    int host_is_numeric;
 
     /***
      * The client side connection data of pinned connections for the client side
diff -u -r -N squid-3.1.0.14/src/HttpRequestMethod.cc squid-3.1.0.15/src/HttpRequestMethod.cc
--- squid-3.1.0.14/src/HttpRequestMethod.cc	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/HttpRequestMethod.cc	2009-11-23 16:10:01.000000000 +1300
@@ -152,10 +152,10 @@
 }
 
 void
-HttpRequestMethod::Configure(SquidConfig &Config)
+HttpRequestMethod::Configure(SquidConfig &cfg)
 {
 #if 0 /* extension methods obsolete now that we have METHOD_OTHER always enabled */
-    wordlist *w = Config.ext_methods;
+    wordlist *w = cfg.ext_methods;
 
     while (w) {
         char *s;
diff -u -r -N squid-3.1.0.14/src/HttpStatusLine.cc squid-3.1.0.15/src/HttpStatusLine.cc
--- squid-3.1.0.14/src/HttpStatusLine.cc	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/HttpStatusLine.cc	2009-11-23 16:10:01.000000000 +1300
@@ -39,6 +39,7 @@
 /* local constants */
 /* AYJ: see bug 2469 - RFC2616 confirms stating 'SP characters' plural! */
 const char *HttpStatusLineFormat = "HTTP/%d.%d %3d %s\r\n";
+const char *IcyStatusLineFormat = "ICY %3d %s\r\n";
 
 void
 httpStatusLineInit(HttpStatusLine * sline)
@@ -59,17 +60,31 @@
 httpStatusLineSet(HttpStatusLine * sline, HttpVersion version, http_status status, const char *reason)
 {
     assert(sline);
+    sline->protocol = PROTO_HTTP;
     sline->version = version;
     sline->status = status;
     /* Note: no xstrdup for 'reason', assumes constant 'reasons' */
     sline->reason = reason;
 }
 
-/** write HTTP version and status structures into a Packer buffer for output as HTTP status line. */
+/**
+ * Write HTTP version and status structures into a Packer buffer for output as HTTP status line.
+ * Special exemption made for ICY response status lines.
+ */
 void
 httpStatusLinePackInto(const HttpStatusLine * sline, Packer * p)
 {
     assert(sline && p);
+
+    /* handle ICY protocol status line specially. Pass on the bad format. */
+    if (sline->protocol == PROTO_ICY) {
+        debugs(57, 9, "packing sline " << sline << " using " << p << ":");
+        debugs(57, 9, "FORMAT=" << IcyStatusLineFormat );
+        debugs(57, 9, "ICY " << sline->status << " " << (sline->reason ? sline->reason : httpStatusString(sline->status)) );
+        packerPrintf(p, IcyStatusLineFormat, sline->status, httpStatusLineReason(sline));
+        return;
+    }
+
     debugs(57, 9, "packing sline " << sline << " using " << p << ":");
     debug(57, 9) (HttpStatusLineFormat, sline->version.major,
                   sline->version.minor, sline->status,
@@ -91,18 +106,23 @@
     // XXX: HttpMsg::parse() has a similar check but is using
     // casesensitive comparison (which is required by HTTP errata?)
 
-    if (protoPrefix.caseCmp(start, protoPrefix.size()) != 0)
+    if (protoPrefix.cmp("ICY", 3) == 0) {
+        debugs(57, 3, "httpStatusLineParse: Invalid HTTP identifier. Detected ICY protocol istead.");
+        sline->protocol = PROTO_ICY;
+        start += protoPrefix.size();
+    } else if (protoPrefix.caseCmp(start, protoPrefix.size()) == 0) {
+
+        start += protoPrefix.size();
+
+        if (!xisdigit(*start))
+            return 0;
+
+        if (sscanf(start, "%d.%d", &sline->version.major, &sline->version.minor) != 2) {
+            debugs(57, 7, "httpStatusLineParse: Invalid HTTP identifier.");
+        }
+    } else
         return 0;
 
-    start += protoPrefix.size();
-
-    if (!xisdigit(*start))
-        return 0;
-
-    if (sscanf(start, "%d.%d", &sline->version.major, &sline->version.minor) != 2) {
-        debugs(57, 7, "httpStatusLineParse: Invalid HTTP identifier.");
-    }
-
     if (!(start = strchr(start, ' ')))
         return 0;
 
diff -u -r -N squid-3.1.0.14/src/HttpStatusLine.h squid-3.1.0.15/src/HttpStatusLine.h
--- squid-3.1.0.14/src/HttpStatusLine.h	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/HttpStatusLine.h	2009-11-23 16:10:01.000000000 +1300
@@ -39,20 +39,32 @@
 /* for SQUIDCEXTERN */
 #include "config.h"
 
-/* for http_status */
+/* for http_status and protocol_t */
 #include "enums.h"
 
-/* for class variables */
 #include "HttpVersion.h"
+#include "SquidString.h"
 
+/**
+ * Holds the values parsed from an HTTP reply status line.
+ *
+ * For example: HTTP/1.1 200 Okay
+ */
 class HttpStatusLine
 {
-
 public:
     /* public, read only */
-    HttpVersion version;
-    const char *reason;		/**< points to a _constant_ string (default or supplied), never free()d */
-    http_status status;
+
+    /**
+     * By rights protocol name should be a constant "HTTP", with no need for this field to exist.
+     * However there are protocols which violate HTTP by sending their wn custom formats
+     * back with other protocol names (ICY streaming format being the current major problem)
+     */
+    protocol_t protocol;
+
+    HttpVersion version;     ///< breakdown of protocol version labels: 0.9 1.0 1.1
+    http_status status;      ///< status code. ie 200 404
+    const char *reason;	     ///< points to a _constant_ string (default or supplied), never free()d */
 };
 
 /* init/clean */
diff -u -r -N squid-3.1.0.14/src/icmp/Icmp6.cc squid-3.1.0.15/src/icmp/Icmp6.cc
--- squid-3.1.0.14/src/icmp/Icmp6.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/icmp/Icmp6.cc	2009-11-23 16:10:10.000000000 +1300
@@ -213,7 +213,7 @@
     struct addrinfo *from = NULL;
 //    struct ip6_hdr *ip = NULL;
     static char *pkt = NULL;
-    struct icmp6_hdr *icmp6 = NULL;
+    struct icmp6_hdr *icmp6header = NULL;
     icmpEchoData *echo = NULL;
     struct timeval now;
     static pingerReplyData preply;
@@ -278,12 +278,12 @@
     );
     */
 
-    icmp6 = (struct icmp6_hdr *) pkt;
+    icmp6header = (struct icmp6_hdr *) pkt;
     pkt += sizeof(icmp6_hdr);
 
-    if (icmp6->icmp6_type != ICMP6_ECHO_REPLY) {
+    if (icmp6header->icmp6_type != ICMP6_ECHO_REPLY) {
 
-        switch (icmp6->icmp6_type) {
+        switch (icmp6header->icmp6_type) {
         case 134:
         case 135:
         case 136:
@@ -291,15 +291,15 @@
             break;
 
         default:
-            debugs(42, 8, HERE << preply.from << " said: " << icmp6->icmp6_type << "/" << (int)icmp6->icmp6_code << " " <<
-                   ( icmp6->icmp6_type&0x80 ? icmp6HighPktStr[(int)(icmp6->icmp6_type&0x7f)] : icmp6LowPktStr[(int)(icmp6->icmp6_type&0x7f)] )
+            debugs(42, 8, HERE << preply.from << " said: " << icmp6header->icmp6_type << "/" << (int)icmp6header->icmp6_code << " " <<
+                   ( icmp6header->icmp6_type&0x80 ? icmp6HighPktStr[(int)(icmp6header->icmp6_type&0x7f)] : icmp6LowPktStr[(int)(icmp6header->icmp6_type&0x7f)] )
                   );
         }
         return;
     }
 
-    if (icmp6->icmp6_id != icmp_ident) {
-        debugs(42, 8, HERE << "dropping Icmp6 read. IDENT check failed. ident=='" << icmp_ident << "'=='" << icmp6->icmp6_id << "'");
+    if (icmp6header->icmp6_id != icmp_ident) {
+        debugs(42, 8, HERE << "dropping Icmp6 read. IDENT check failed. ident=='" << icmp_ident << "'=='" << icmp6header->icmp6_id << "'");
         return;
     }
 
@@ -329,8 +329,8 @@
     }
 
     Log(preply.from,
-        icmp6->icmp6_type,
-        ( icmp6->icmp6_type&0x80 ? icmp6HighPktStr[(int)(icmp6->icmp6_type&0x7f)] : icmp6LowPktStr[(int)(icmp6->icmp6_type&0x7f)] ),
+        icmp6header->icmp6_type,
+        ( icmp6header->icmp6_type&0x80 ? icmp6HighPktStr[(int)(icmp6header->icmp6_type&0x7f)] : icmp6LowPktStr[(int)(icmp6header->icmp6_type&0x7f)] ),
         preply.rtt,
         preply.hops);
 
diff -u -r -N squid-3.1.0.14/src/icmp/Icmp.cc squid-3.1.0.15/src/icmp/Icmp.cc
--- squid-3.1.0.14/src/icmp/Icmp.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/icmp/Icmp.cc	2009-11-23 16:10:10.000000000 +1300
@@ -64,7 +64,7 @@
     unsigned short oddbyte;
     unsigned short answer;
 
-    if (!ptr) return 65535; // bad input.
+    if (!ptr) return (int)htons(0xffff); // bad input.
 
     sum = 0;
 
diff -u -r -N squid-3.1.0.14/src/icmp/Makefile.am squid-3.1.0.15/src/icmp/Makefile.am
--- squid-3.1.0.14/src/icmp/Makefile.am	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/icmp/Makefile.am	2009-11-23 16:10:10.000000000 +1300
@@ -61,6 +61,7 @@
 pinger_LDADD=\
 	libicmp-core.la \
 	../ip/libip.la \
+	$(XTRA_LIBS) \
 	$(top_builddir)/lib/libmiscutil.a
 pinger_DEPENDENCIES= \
 	libicmp-core.la \
@@ -99,11 +100,12 @@
 	$(top_builddir)/src/globals.cc
 testIcmp_LDFLAGS = $(LIBADD_DL)
 testIcmp_LDADD=\
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(XTRA_LIBS) \
 	libicmp-core.la \
 	../ip/libip.la \
 	$(top_builddir)/lib/libmiscutil.a
-testIcmp_DEPENDENCIES= @SQUID_CPPUNIT_LA@ \
+testIcmp_DEPENDENCIES= $(SQUID_CPPUNIT_LA) \
 	libicmp-core.la \
 	$(top_builddir)/lib/libmiscutil.a
diff -u -r -N squid-3.1.0.14/src/icmp/Makefile.in squid-3.1.0.15/src/icmp/Makefile.in
--- squid-3.1.0.14/src/icmp/Makefile.in	2009-09-27 15:28:56.000000000 +1200
+++ squid-3.1.0.15/src/icmp/Makefile.in	2009-11-23 16:10:39.000000000 +1300
@@ -64,6 +64,7 @@
 nodist_pinger_OBJECTS = debug.$(OBJEXT) globals.$(OBJEXT) \
 	time.$(OBJEXT) SquidConfig.$(OBJEXT) SquidNew.$(OBJEXT)
 pinger_OBJECTS = $(am_pinger_OBJECTS) $(nodist_pinger_OBJECTS)
+am__DEPENDENCIES_1 =
 pinger_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
 	$(pinger_LDFLAGS) $(LDFLAGS) -o $@
@@ -105,7 +106,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -124,6 +124,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -144,6 +145,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -155,6 +157,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -207,6 +210,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -224,6 +228,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -280,15 +285,15 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 INCLUDES = \
 	-I$(top_srcdir) \
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 @ENABLE_PINGER_FALSE@PINGER = 
 
@@ -336,6 +341,7 @@
 pinger_LDADD = \
 	libicmp-core.la \
 	../ip/libip.la \
+	$(XTRA_LIBS) \
 	$(top_builddir)/lib/libmiscutil.a
 
 pinger_DEPENDENCIES = \
@@ -358,13 +364,14 @@
 
 testIcmp_LDFLAGS = $(LIBADD_DL)
 testIcmp_LDADD = \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(XTRA_LIBS) \
 	libicmp-core.la \
 	../ip/libip.la \
 	$(top_builddir)/lib/libmiscutil.a
 
-testIcmp_DEPENDENCIES = @SQUID_CPPUNIT_LA@ \
+testIcmp_DEPENDENCIES = $(SQUID_CPPUNIT_LA) \
 	libicmp-core.la \
 	$(top_builddir)/lib/libmiscutil.a
 
diff -u -r -N squid-3.1.0.14/src/icmp/testIcmp.cc squid-3.1.0.15/src/icmp/testIcmp.cc
--- squid-3.1.0.14/src/icmp/testIcmp.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/icmp/testIcmp.cc	2009-11-23 16:10:10.000000000 +1300
@@ -15,28 +15,51 @@
 testIcmp::testChecksum()
 {
     stubIcmp icmp;
-    short unsigned int buf[10] = {1,2,3,4,5,6,7,8,9};
+    short unsigned int buf[10] = {htons(1),htons(2),htons(3),htons(4),htons(5),htons(6),htons(7),htons(8),htons(9), htons(10)};
 
     // NULL data
-    CPPUNIT_ASSERT_EQUAL(65535, icmp.testChecksum(NULL,0));
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(NULL,0));
 
     // NULL data with length!!
-    CPPUNIT_ASSERT_EQUAL(65535, icmp.testChecksum(NULL,1));
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(NULL,1));
 
     // data with 0 length
-    CPPUNIT_ASSERT_EQUAL(65535, icmp.testChecksum(buf,0));
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(buf,0));
 
     // data with invalid length (low)
-    CPPUNIT_ASSERT_EQUAL(65534, icmp.testChecksum(buf,1));
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(buf,1));
 
-    // data with invalid length (max-low)
-    CPPUNIT_ASSERT_EQUAL(65520, icmp.testChecksum(buf,9));
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffe), icmp.testChecksum(buf,2)); // 1
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffe), icmp.testChecksum(buf,3));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffc), icmp.testChecksum(buf,4)); // 1+2
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffc), icmp.testChecksum(buf,5));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff9), icmp.testChecksum(buf,6)); // 1+2+3
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff9), icmp.testChecksum(buf,7));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff5), icmp.testChecksum(buf,8)); // 1+2+3+4
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff5), icmp.testChecksum(buf,9));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff0), icmp.testChecksum(buf,10)); // 1+2...+5
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff0), icmp.testChecksum(buf,11));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffea), icmp.testChecksum(buf,12)); // 1+2...+6
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffea), icmp.testChecksum(buf,13));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffe3), icmp.testChecksum(buf,14)); // 1+2...+7
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffe3), icmp.testChecksum(buf,15));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffdb), icmp.testChecksum(buf,16)); // 1+2...+8
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffdb), icmp.testChecksum(buf,17));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffd2), icmp.testChecksum(buf,18)); // 1+2...+9
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffd2), icmp.testChecksum(buf,19));
 
     // data with accurate length
-    CPPUNIT_ASSERT_EQUAL(65520, icmp.testChecksum(buf,10));
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffc8), icmp.testChecksum(buf,20)); // 1+2...+10
 
-    // data with invalid length (overrun)
-    CPPUNIT_ASSERT_EQUAL(65514, icmp.testChecksum(buf,11));
+    // data with invalid length (overrun) ==> Garbage checksum...
 }
 
 void
diff -u -r -N squid-3.1.0.14/src/icp_v2.cc squid-3.1.0.15/src/icp_v2.cc
--- squid-3.1.0.14/src/icp_v2.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/icp_v2.cc	2009-11-23 16:10:10.000000000 +1300
@@ -48,6 +48,7 @@
 #include "SwapDir.h"
 #include "icmp/net_db.h"
 #include "ip/IpAddress.h"
+#include "rfc1738.h"
 
 /// \ingroup ServerProtocolICPInternal2
 static void icpLogIcp(const IpAddress &, log_type, int, const char *, int);
diff -u -r -N squid-3.1.0.14/src/ident/Makefile.in squid-3.1.0.15/src/ident/Makefile.in
--- squid-3.1.0.14/src/ident/Makefile.in	2009-09-27 15:28:56.000000000 +1200
+++ squid-3.1.0.15/src/ident/Makefile.in	2009-11-23 16:10:39.000000000 +1300
@@ -76,7 +76,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -95,6 +94,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -112,6 +112,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -123,6 +124,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -175,6 +177,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -192,6 +195,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -248,8 +252,8 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 TESTS = testHeaders
 INCLUDES = \
@@ -257,7 +261,7 @@
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 noinst_LTLIBRARIES = libident.la
 libident_la_SOURCES = \
diff -u -r -N squid-3.1.0.14/src/ip/Makefile.am squid-3.1.0.15/src/ip/Makefile.am
--- squid-3.1.0.14/src/ip/Makefile.am	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/ip/Makefile.am	2009-11-23 16:10:10.000000000 +1300
@@ -24,6 +24,7 @@
 	$(top_builddir)/compat/libcompat.la \
 	libip.la \
 	-L$(top_builddir)/lib -lmiscutil \
-	@SQUID_CPPUNIT_LA@ \
-	@SQUID_CPPUNIT_LIBS@
+	$(XTRA_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SQUID_CPPUNIT_LIBS)
 testIpAddress_LDFLAGS= $(LIBADD_DL)
diff -u -r -N squid-3.1.0.14/src/ip/Makefile.in squid-3.1.0.15/src/ip/Makefile.in
--- squid-3.1.0.14/src/ip/Makefile.in	2009-09-27 15:28:57.000000000 +1200
+++ squid-3.1.0.15/src/ip/Makefile.in	2009-11-23 16:10:40.000000000 +1300
@@ -53,8 +53,10 @@
 nodist_testIpAddress_OBJECTS = testMain.$(OBJEXT)
 testIpAddress_OBJECTS = $(am_testIpAddress_OBJECTS) \
 	$(nodist_testIpAddress_OBJECTS)
+am__DEPENDENCIES_1 =
 testIpAddress_DEPENDENCIES = $(top_builddir)/compat/libcompat.la \
-	libip.la
+	libip.la $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1)
 testIpAddress_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
 	$(CXXFLAGS) $(testIpAddress_LDFLAGS) $(LDFLAGS) -o $@
@@ -87,7 +89,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -106,6 +107,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -123,6 +125,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -134,6 +137,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -186,6 +190,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -203,6 +208,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -259,15 +265,15 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 INCLUDES = \
 	-I$(top_srcdir) \
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/src \
 	-I$(top_builddir)/include \
-	@SQUID_CPPUNIT_INC@
+	$(SQUID_CPPUNIT_INC)
 
 noinst_LTLIBRARIES = libip.la
 libip_la_SOURCES = \
@@ -289,8 +295,9 @@
 	$(top_builddir)/compat/libcompat.la \
 	libip.la \
 	-L$(top_builddir)/lib -lmiscutil \
-	@SQUID_CPPUNIT_LA@ \
-	@SQUID_CPPUNIT_LIBS@
+	$(XTRA_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SQUID_CPPUNIT_LIBS)
 
 testIpAddress_LDFLAGS = $(LIBADD_DL)
 all: all-am
diff -u -r -N squid-3.1.0.14/src/ipcache.cc squid-3.1.0.15/src/ipcache.cc
--- squid-3.1.0.14/src/ipcache.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/ipcache.cc	2009-11-23 16:10:10.000000000 +1300
@@ -1308,7 +1308,8 @@
         ia->cur = 0;
     }
 
-    debugs(14, 3, "ipcacheCycleAddr: " << name << " now at " << ia->in_addrs[ia->cur] << " (" << ia->cur << " of " << ia->count << ")");
+    /* NP: zero-based so we increase the human-readable number of our position */
+    debugs(14, 3, "ipcacheCycleAddr: " << name << " now at " << ia->in_addrs[ia->cur] << " (" << (ia->cur+1) << " of " << ia->count << ")");
 }
 
 /**
diff -u -r -N squid-3.1.0.14/src/ipc.cc squid-3.1.0.15/src/ipc.cc
--- squid-3.1.0.14/src/ipc.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/ipc.cc	2009-11-23 16:10:10.000000000 +1300
@@ -34,6 +34,7 @@
 #include "comm.h"
 #include "fde.h"
 #include "ip/IpAddress.h"
+#include "rfc1738.h"
 
 static const char *hello_string = "hi there\n";
 #define HELLO_BUF_SZ 32
diff -u -r -N squid-3.1.0.14/src/main.cc squid-3.1.0.15/src/main.cc
--- squid-3.1.0.14/src/main.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/main.cc	2009-11-23 16:10:10.000000000 +1300
@@ -167,7 +167,7 @@
 {
 
 public:
-    SignalEngine(EventLoop &loop) : loop(loop) {}
+    SignalEngine(EventLoop &evtLoop) : loop(evtLoop) {}
     virtual int checkEvents(int timeout);
 
 private:
diff -u -r -N squid-3.1.0.14/src/Makefile.am squid-3.1.0.15/src/Makefile.am
--- squid-3.1.0.14/src/Makefile.am	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/Makefile.am	2009-11-23 16:10:01.000000000 +1300
@@ -40,13 +40,14 @@
 SUBDIRS += adaptation
 endif
 
-ADAPTATION_LIBS = @ADAPTATION_LIBS@
-
 if USE_ESI
 SUBDIRS += esi
-ESI_LIBS = \
+ESI_LOCAL_LIBS = \
 	esi/libesi.la \
 	$(top_builddir)/lib/libTrie/src/libTrie.a
+ESI_LIBS = $(ESI_LOCAL_LIBS) \
+	$(XMLLIB) \
+	$(EXPATLIB)
 else
 ESI_LIBS = 
 endif
@@ -148,7 +149,7 @@
 endif
 
 EXTRA_LIBRARIES = libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a
-noinst_LIBRARIES = @DISK_LIBS@
+noinst_LIBRARIES = $(DISK_LIBS)
 noinst_LTLIBRARIES = libsquid.la
 
 # libraries used by many targets
@@ -165,7 +166,7 @@
 	fs/libfs.la
 
 ## Loadable Modules needs lib/libLtdl stuff
-INCLUDES += -I$(top_srcdir)/lib
+INCLUDES += -I$(top_srcdir)/lib -I$(top_srcdir)/lib/libLtdl
 
 EXTRA_PROGRAMS = \
 	DiskIO/DiskDaemon/diskd \
@@ -191,7 +192,7 @@
 
 libexec_PROGRAMS = \
 	$(DNSSERVER) \
-	@DISK_PROGRAMS@ \
+	$(DISK_PROGRAMS) \
 	$(UNLINKD)
 
 cf_gen_SOURCES = cf_gen.cc
@@ -199,9 +200,9 @@
 cf_gen_LDADD= \
 	../compat/libcompat.la \
 	-L../lib -lmiscutil \
-	@XTRA_LIBS@ \
-	@EPOLL_LIBS@ \
-	@MINGW_LIBS@
+	$(EPOLL_LIBS) \
+	$(MINGW_LIBS) \
+	$(XTRA_LIBS)
 cf_gen.$(OBJEXT): cf_gen_defines.h
 
 ## cf_gen.cc needs src/cf_gen_defines.h
@@ -518,34 +519,34 @@
 	icmp/libicmp.la icmp/libicmp-core.la \
         ../compat/libcompat.la \
 	-L../lib \
-	@XTRA_OBJS@ \
-	@DISK_LINKOBJS@ \
-	@REPL_OBJS@ \
-	@DISK_LIBS@ \
-	@AIOLIB@ \
-	@CRYPTLIB@ \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(XTRA_OBJS) \
+	$(DISK_LINKOBJS) \
+	$(REPL_OBJS) \
+	$(DISK_LIBS) \
+	$(DISK_OS_LIBS) \
+	$(CRYPTLIB) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@SSLLIB@ \
+	$(ESI_LIBS) \
+	$(SSLLIB) \
 	-lmiscutil \
-	@XTRA_LIBS@ \
-	@EPOLL_LIBS@ \
-	@MINGW_LIBS@ 
+	$(EPOLL_LIBS) \
+	$(MINGW_LIBS) \
+	$(XTRA_LIBS)
 squid_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@DISK_LIBS@ \
-	@DISK_LINKOBJS@ \
-	@REPL_OBJS@ \
-	@SNMPLIB@ \
+	$(DISK_LIBS) \
+	$(DISK_LINKOBJS) \
+	$(REPL_OBJS) \
+	$(SNMPLIB) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
+	$(ESI_LOCAL_LIBS) \
 	$(COMMON_LIBS)
 
 if USE_LOADABLE_MODULES
 squid_SOURCES += $(LOADABLE_MODULES_SOURCES)
 squid_LDADD += \
-	@LIBLTDL@
+	$(LIBLTDL)
 squid_LDFLAGS = \
 	-export-dynamic -dlopen force
 # when static module linking is supported and enabled:
@@ -609,21 +610,21 @@
 	tests/stub_fd.cc
 ufsdump_LDADD = \
 	$(COMMON_LIBS) \
-	@XTRA_OBJS@ \
-	@REPL_OBJS@ \
-	@CRYPTLIB@ \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
-	@SSLLIB@ \
+	$(XTRA_OBJS) \
+	$(REPL_OBJS) \
+	$(CRYPTLIB) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
+	$(SSLLIB) \
 	-L$(top_builddir)/lib -lmiscutil \
-	@XTRA_LIBS@ \
-	@EPOLL_LIBS@ \
-	@MINGW_LIBS@ 
+	$(EPOLL_LIBS) \
+	$(MINGW_LIBS) \
+	$(XTRA_LIBS)
 ufsdump_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
 	$(COMMON_LIBS) \
-	@DISK_LIBS@ \
-	@DISK_LINKOBJS@ \
-	@REPL_OBJS@
+	$(DISK_LIBS) \
+	$(DISK_LINKOBJS) \
+	$(REPL_OBJS)
 
 nodist_ufsdump_SOURCES = \
 	globals.cc
@@ -643,7 +644,12 @@
 data_DATA = \
 	mib.txt
 
-LDADD = $(COMMON_LIBS) -L../lib -lmiscutil @XTRA_LIBS@ @EPOLL_LIBS@ @MINGW_LIBS@
+LDADD = $(COMMON_LIBS)\
+	-L../lib \
+	-lmiscutil \
+	$(EPOLL_LIBS) \
+	$(MINGW_LIBS) \
+	$(XTRA_LIBS)
 
 EXTRA_DIST = \
 	cf_gen_defines \
@@ -697,21 +703,21 @@
 		DiskIO/DiskThreads/DiskThreadsIOStrategy.h
 
 DiskIO_DiskDaemon_diskd_SOURCES = DiskIO/DiskDaemon/diskd.cc 
-DiskIO_DiskDaemon_diskd_LDADD = $(top_builddir)/lib/libmiscutil.a @XTRA_LIBS@
+DiskIO_DiskDaemon_diskd_LDADD = $(top_builddir)/lib/libmiscutil.a $(XTRA_LIBS)
 
 
-DEFAULT_HTTP_PORT	= @CACHE_HTTP_PORT@
-DEFAULT_ICP_PORT	= @CACHE_ICP_PORT@
+DEFAULT_HTTP_PORT	= $(CACHE_HTTP_PORT)
+DEFAULT_ICP_PORT	= $(CACHE_ICP_PORT)
 DEFAULT_PREFIX		= $(prefix)
 DEFAULT_CONFIG_DIR	= $(sysconfdir)
 DEFAULT_CONFIG_FILE     = $(DEFAULT_CONFIG_DIR)/squid.conf
 DEFAULT_MIME_TABLE	= $(DEFAULT_CONFIG_DIR)/mime.conf
 DEFAULT_DNSSERVER       = $(libexecdir)/`echo dnsserver | sed '$(transform);s/$$/$(EXEEXT)/'`
-DEFAULT_LOG_PREFIX	= @DEFAULT_LOG_DIR@
+DEFAULT_LOG_PREFIX	= $(DEFAULT_LOG_DIR)
 DEFAULT_CACHE_LOG       = $(DEFAULT_LOG_PREFIX)/cache.log
 DEFAULT_ACCESS_LOG      = $(DEFAULT_LOG_PREFIX)/access.log
 DEFAULT_STORE_LOG       = $(DEFAULT_LOG_PREFIX)/store.log
-DEFAULT_PID_FILE        = @DEFAULT_PIDFILE@
+DEFAULT_PID_FILE        = $(DEFAULT_PIDFILE)
 DEFAULT_NETDB_FILE      = $(DEFAULT_LOG_PREFIX)/netdb.state
 DEFAULT_SWAP_DIR        = $(localstatedir)/cache
 DEFAULT_PINGER		= $(libexecdir)/`echo pinger | sed '$(transform);s/$$/$(EXEEXT)/'`
@@ -719,8 +725,7 @@
 DEFAULT_DISKD		= $(libexecdir)/`echo diskd | sed '$(transform);s/$$/$(EXEEXT)/'`
 DEFAULT_ICON_DIR	= $(datadir)/icons
 DEFAULT_ERROR_DIR	= $(datadir)/errors
-DEFAULT_MIB_PATH	= $(datadir)/mib.txt
-DEFAULT_HOSTS		= @OPT_DEFAULT_HOSTS@
+DEFAULT_HOSTS		= $(OPT_DEFAULT_HOSTS)
 
 # Make location configure settings available to the code
 DEFS += -DDEFAULT_CONFIG_FILE=\"$(DEFAULT_CONFIG_FILE)\" -DDEFAULT_SQUID_DATA_DIR=\"$(datadir)\" -DDEFAULT_SQUID_CONFIG_DIR=\"$(sysconfdir)\"
@@ -743,12 +748,9 @@
 cache_cf.o: cf_parser.h
 
 # squid.conf.default is built by cf_gen when making cf_parser.h
-squid.conf.documented: cf_parser.h
+squid.conf.default squid.conf.documented: cf_parser.h
 	true
 
-squid.conf.default: squid.conf.documented
-	$(EGREP) -v "^[#\ ]" squid.conf.documented | $(EGREP) . >squid.conf.default
-
 cf_parser.h: cf.data cf_gen$(EXEEXT)
 	./cf_gen cf.data $(srcdir)/cf.data.depend
 
@@ -759,28 +761,27 @@
 ## FIXME: generate a sed command file from configure. Then this doesn't
 ## depend on the Makefile.
 cf.data: cf.data.pre Makefile
-	sed "\
-	s%@DEFAULT_HTTP_PORT@%$(DEFAULT_HTTP_PORT)%g;\
-	s%@DEFAULT_ICP_PORT@%$(DEFAULT_ICP_PORT)%g;\
-	s%@DEFAULT_CACHE_EFFECTIVE_USER@%${CACHE_EFFECTIVE_USER}%g;\
-	s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
-	s%@DEFAULT_DNSSERVER@%$(DEFAULT_DNSSERVER)%g;\
-	s%@DEFAULT_UNLINKD@%$(DEFAULT_UNLINKD)%g;\
-	s%@DEFAULT_PINGER@%$(DEFAULT_PINGER)%g;\
-	s%@DEFAULT_DISKD@%$(DEFAULT_DISKD)%g;\
-	s%@DEFAULT_CACHE_LOG@%$(DEFAULT_CACHE_LOG)%g;\
-	s%@DEFAULT_ACCESS_LOG@%$(DEFAULT_ACCESS_LOG)%g;\
-	s%@DEFAULT_STORE_LOG@%$(DEFAULT_STORE_LOG)%g;\
-	s%@DEFAULT_PID_FILE@%$(DEFAULT_PID_FILE)%g;\
-	s%@DEFAULT_NETDB_FILE@%$(DEFAULT_NETDB_FILE)%g;\
-	s%@DEFAULT_SWAP_DIR@%$(DEFAULT_SWAP_DIR)%g;\
-	s%@DEFAULT_ICON_DIR@%$(DEFAULT_ICON_DIR)%g;\
-	s%@DEFAULT_MIB_PATH@%$(DEFAULT_MIB_PATH)%g;\
-	s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
-	s%@DEFAULT_CONFIG_DIR@%$(DEFAULT_CONFIG_DIR)%g;\
-	s%@DEFAULT_PREFIX@%$(DEFAULT_PREFIX)%g;\
-	s%@DEFAULT_HOSTS@%$(DEFAULT_HOSTS)%g;\
-	s%@[V]ERSION@%$(VERSION)%g;"\
+	sed \
+	-e "s%[@]DEFAULT_HTTP_PORT[@]%$(DEFAULT_HTTP_PORT)%g" \
+	-e "s%[@]DEFAULT_ICP_PORT[@]%$(DEFAULT_ICP_PORT)%g" \
+	-e "s%[@]DEFAULT_CACHE_EFFECTIVE_USER[@]%${CACHE_EFFECTIVE_USER}%g" \
+	-e "s%[@]DEFAULT_MIME_TABLE[@]%$(DEFAULT_MIME_TABLE)%g" \
+	-e "s%[@]DEFAULT_DNSSERVER[@]%$(DEFAULT_DNSSERVER)%g" \
+	-e "s%[@]DEFAULT_UNLINKD[@]%$(DEFAULT_UNLINKD)%g" \
+	-e "s%[@]DEFAULT_PINGER[@]%$(DEFAULT_PINGER)%g" \
+	-e "s%[@]DEFAULT_DISKD[@]%$(DEFAULT_DISKD)%g" \
+	-e "s%[@]DEFAULT_CACHE_LOG[@]%$(DEFAULT_CACHE_LOG)%g" \
+	-e "s%[@]DEFAULT_ACCESS_LOG[@]%$(DEFAULT_ACCESS_LOG)%g" \
+	-e "s%[@]DEFAULT_STORE_LOG[@]%$(DEFAULT_STORE_LOG)%g" \
+	-e "s%[@]DEFAULT_PID_FILE[@]%$(DEFAULT_PID_FILE)%g" \
+	-e "s%[@]DEFAULT_NETDB_FILE[@]%$(DEFAULT_NETDB_FILE)%g" \
+	-e "s%[@]DEFAULT_SWAP_DIR[@]%$(DEFAULT_SWAP_DIR)%g" \
+	-e "s%[@]DEFAULT_ICON_DIR[@]%$(DEFAULT_ICON_DIR)%g" \
+	-e "s%[@]DEFAULT_CONFIG_DIR[@]%$(DEFAULT_CONFIG_DIR)%g" \
+	-e "s%[@]DEFAULT_PREFIX[@]%$(DEFAULT_PREFIX)%g" \
+	-e "s%[@]DEFAULT_HOSTS[@]%$(DEFAULT_HOSTS)%g" \
+	-e "s%[@]IPV6_ONLY_SETTING[@]%$(SET_IPV6_SETTINGS)%g" \
+	-e "s%[@]SQUID[@]%SQUID\ $(VERSION)%g" \
 	< $(srcdir)/cf.data.pre >$@
 
 repl_modules.cc: repl_modules.sh Makefile
@@ -842,7 +843,7 @@
 	tests/testStore \
 	tests/testString \
 	tests/testURL \
-	@STORE_TESTS@
+	$(STORE_TESTS)
 
 ## NP: required to run the above list. check_PROGRAMS only builds the binaries...
 TESTS += $(check_PROGRAMS)
@@ -864,10 +865,10 @@
 #	$(TESTSOURCES)
 #tests_testX_LDFLAGS = $(LIBADD_DL)
 #tests_testX_LDADD=\
-#	@SQUID_CPPUNIT_LIBS@ \
-#	@SQUID_CPPUNIT_LA@ \
+#	$(SQUID_CPPUNIT_LIBS) \
+#	$(SQUID_CPPUNIT_LA) \
 #	-L../lib -lmiscutil
-#tests_testX_DEPENDENCIES= @SQUID_CPPUNIT_LA@ \
+#tests_testX_DEPENDENCIES= $(SQUID_CPPUNIT_LA) \
 #	$(top_builddir)/lib/libmiscutil.a
 
 
@@ -919,10 +920,11 @@
 	acl/libstate.la \
 	auth/libauth.la \
 	ip/libip.la \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	-L../lib -lmiscutil
-tests_testHttpReply_DEPENDENCIES= @SQUID_CPPUNIT_LA@ \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	-L../lib -lmiscutil \
+	$(XTRA_LIBS)
+tests_testHttpReply_DEPENDENCIES= $(SQUID_CPPUNIT_LA) \
 	$(top_builddir)/lib/libmiscutil.a
 
 tests_testAuth_SOURCES = \
@@ -958,12 +960,13 @@
 tests_testAuth_LDADD= \
 	$(COMMON_LIBS) \
 	-L../lib -lmiscutil \
-	@REGEXLIB@ \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SSLLIB@
+	$(REGEXLIB) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testAuth_LDFLAGS = $(LIBADD_DL)
 tests_testAuth_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 ## Tests for the ACLMaxUserIP class
 ## acl needs wordlist. wordlist needs MemBug
@@ -1020,12 +1023,13 @@
 tests_testACLMaxUserIP_LDADD= \
 	$(COMMON_LIBS) \
 	-L../lib -lmiscutil \
-	@REGEXLIB@ \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SSLLIB@
+	$(REGEXLIB) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testACLMaxUserIP_LDFLAGS = $(LIBADD_DL)
 tests_testACLMaxUserIP_DEPENDENCIES = \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 ## a demonstration test that does nothing but shows the salient points
 ## involved in writing tests.
@@ -1038,11 +1042,12 @@
 	$(TESTSOURCES)
 tests_testBoilerplate_LDADD= \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SSLLIB@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testBoilerplate_LDFLAGS = $(LIBADD_DL)
 tests_testBoilerplate_DEPENDENCIES = \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 ## Tests of the CacheManager module.
 tests_testCacheManager_SOURCES = \
@@ -1175,20 +1180,20 @@
 tests_testCacheManager_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REPL_OBJS@ \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testCacheManager_LDFLAGS = $(LIBADD_DL)
 tests_testCacheManager_DEPENDENCIES =  $(top_builddir)/lib/libmiscutil.a \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 tests_testDiskIO_SOURCES = \
 	$(SWAP_TEST_SOURCES) \
@@ -1200,17 +1205,17 @@
 	$(SWAP_TEST_GEN_SOURCES)
 tests_testDiskIO_LDADD = \
 	$(SWAP_TEST_LDADD) \
-	@DISK_LIBS@ \
-	@AIOLIB@ \
+	$(DISK_LIBS) \
+	$(DISK_OS_LIBS) \
 	$(COMMON_LIBS) \
-	SquidConfig.o
+	SquidConfig.o \
+	$(XTRA_LIBS)
 
 tests_testDiskIO_LDFLAGS = $(LIBADD_DL)
 tests_testDiskIO_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@DISK_LIBS@ \
-	@AIOLIB@ \
+	$(DISK_LIBS) \
 	$(SWAP_TEST_DS) \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 ## Tests of the Even module.
 tests_testEvent_SOURCES = \
@@ -1346,20 +1351,20 @@
 tests_testEvent_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REPL_OBJS@ \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testEvent_LDFLAGS = $(LIBADD_DL)
 tests_testEvent_DEPENDENCIES =  $(top_builddir)/lib/libmiscutil.a \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 ## Tests of the EventLoop module.
 tests_testEventLoop_SOURCES = \
@@ -1494,20 +1499,20 @@
 tests_testEventLoop_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REPL_OBJS@ \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testEventLoop_LDFLAGS = $(LIBADD_DL)
 tests_testEventLoop_DEPENDENCIES =  $(top_builddir)/lib/libmiscutil.a \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 tests_test_http_range_SOURCES = \
 	tests/test_http_range.cc \
@@ -1637,19 +1642,19 @@
 tests_test_http_range_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REPL_OBJS@ \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_test_http_range_LDFLAGS = $(LIBADD_DL)
 tests_test_http_range_DEPENDENCIES = \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 
 ## Tests of the HttpRequest module.
@@ -1785,20 +1790,20 @@
 tests_testHttpRequest_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REPL_OBJS@ \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testHttpRequest_LDFLAGS = $(LIBADD_DL)
 tests_testHttpRequest_DEPENDENCIES =  $(top_builddir)/lib/libmiscutil.a \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 # TODO:mime.cc drags in HttpReply.cc
 # delay pools need client_side_request.cc
@@ -1872,12 +1877,13 @@
 tests_testStore_LDADD= \
 	$(COMMON_LIBS) \
 	-L../lib -lmiscutil \
-	@REGEXLIB@ \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SSLLIB@
+	$(REGEXLIB) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testStore_LDFLAGS = $(LIBADD_DL)
 tests_testStore_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 ## string needs mem.cc.
 ## mem.cc needs ClientInfo.h
@@ -1896,12 +1902,13 @@
 tests_testString_LDADD = \
 	$(COMMON_LIBS) \
 	-L../lib -lmiscutil \
-	@REGEXLIB@ \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SSLLIB@
+	$(REGEXLIB) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testString_LDFLAGS = $(LIBADD_DL)
 tests_testString_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 SWAP_TEST_SOURCES = \
 	tests/stub_internal.cc \
@@ -1939,22 +1946,22 @@
 	$(DISKIO_GEN_SOURCE)
 
 SWAP_TEST_LDADD = \
-	@REGEXLIB@ \
+	$(REGEXLIB) \
 	$(COMMON_LIBS) \
-	@REPL_OBJS@ \
-	@DISK_LIBS@ \
-	@AIOLIB@ \
+	$(REPL_OBJS) \
+	$(DISK_LIBS) \
+	$(DISK_OS_LIBS) \
 	-L../lib -lmiscutil \
 	acl/libapi.la \
-	@SQUID_CPPUNIT_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(XTRA_LIBS)
 SWAP_TEST_DS =\
 	$(top_builddir)/lib/libmiscutil.a \
 	repl_modules.o \
-	@DISK_LIBS@ \
-	@AIOLIB@ \
+	$(DISK_LIBS) \
 	$(COMMON_LIBS) \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 tests_testUfs_SOURCES = \
 	tests/testUfs.cc \
@@ -1967,7 +1974,8 @@
 tests_testUfs_LDADD = \
 	$(SWAP_TEST_LDADD) \
 	$(COMMON_LIBS) \
-	@SSLLIB@
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testUfs_LDFLAGS = $(LIBADD_DL)
 tests_testUfs_DEPENDENCIES = \
 	$(SWAP_TEST_DS)
@@ -1983,7 +1991,8 @@
 tests_testCoss_LDADD = \
 	libsquid.la \
 	$(SWAP_TEST_LDADD) \
-	@SSLLIB@
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testCoss_LDFLAGS = $(LIBADD_DL)
 tests_testCoss_DEPENDENCIES = \
 	$(SWAP_TEST_DS)
@@ -1997,7 +2006,8 @@
 	$(SWAP_TEST_GEN_SOURCES)
 tests_testNull_LDADD = \
 	$(SWAP_TEST_LDADD) \
-	@SSLLIB@
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testNull_LDFLAGS = $(LIBADD_DL)
 tests_testNull_DEPENDENCIES = \
 	$(SWAP_TEST_DS)
@@ -2136,20 +2146,20 @@
 tests_testURL_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REGEXLIB@ \
-	@REPL_OBJS@ \
+	$(REGEXLIB) \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 tests_testURL_LDFLAGS = $(LIBADD_DL)
 tests_testURL_DEPENDENCIES =  $(top_builddir)/lib/libmiscutil.a \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 
 TESTS += testHeaders
diff -u -r -N squid-3.1.0.14/src/Makefile.in squid-3.1.0.15/src/Makefile.in
--- squid-3.1.0.14/src/Makefile.in	2009-09-27 15:28:55.000000000 +1200
+++ squid-3.1.0.15/src/Makefile.in	2009-11-23 16:10:37.000000000 +1300
@@ -50,7 +50,8 @@
 	tests/testEvent$(EXEEXT) tests/testEventLoop$(EXEEXT) \
 	tests/test_http_range$(EXEEXT) tests/testHttpReply$(EXEEXT) \
 	tests/testHttpRequest$(EXEEXT) tests/testStore$(EXEEXT) \
-	tests/testString$(EXEEXT) tests/testURL$(EXEEXT) @STORE_TESTS@
+	tests/testString$(EXEEXT) tests/testURL$(EXEEXT) \
+	$(STORE_TESTS)
 @USE_ADAPTATION_TRUE@am__append_1 = adaptation
 @USE_ESI_TRUE@am__append_2 = esi
 EXTRA_PROGRAMS = DiskIO/DiskDaemon/diskd$(EXEEXT) unlinkd$(EXEEXT) \
@@ -60,10 +61,10 @@
 noinst_PROGRAMS = cf_gen$(EXEEXT) ufsdump$(EXEEXT)
 sbin_PROGRAMS = squid$(EXEEXT)
 bin_PROGRAMS =
-libexec_PROGRAMS = $(am__EXEEXT_1) @DISK_PROGRAMS@ $(am__EXEEXT_2)
+libexec_PROGRAMS = $(am__EXEEXT_1) $(DISK_PROGRAMS) $(am__EXEEXT_2)
 @USE_LOADABLE_MODULES_TRUE@am__append_3 = $(LOADABLE_MODULES_SOURCES)
 @USE_LOADABLE_MODULES_TRUE@am__append_4 = \
-@USE_LOADABLE_MODULES_TRUE@	@LIBLTDL@
+@USE_LOADABLE_MODULES_TRUE@	$(LIBLTDL)
 
 subdir = src
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -143,19 +144,23 @@
 	DiskIO/DiskDaemon/diskd.$(OBJEXT)
 DiskIO_DiskDaemon_diskd_OBJECTS =  \
 	$(am_DiskIO_DiskDaemon_diskd_OBJECTS)
+am__DEPENDENCIES_1 =
 DiskIO_DiskDaemon_diskd_DEPENDENCIES =  \
-	$(top_builddir)/lib/libmiscutil.a
+	$(top_builddir)/lib/libmiscutil.a $(am__DEPENDENCIES_1)
 am_cf_gen_OBJECTS = cf_gen.$(OBJEXT)
 cf_gen_OBJECTS = $(am_cf_gen_OBJECTS)
-cf_gen_DEPENDENCIES = ../compat/libcompat.la
+cf_gen_DEPENDENCIES = ../compat/libcompat.la $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 am_dnsserver_OBJECTS = dnsserver.$(OBJEXT) SquidNew.$(OBJEXT)
 dnsserver_OBJECTS = $(am_dnsserver_OBJECTS)
 dnsserver_LDADD = $(LDADD)
-dnsserver_DEPENDENCIES = $(COMMON_LIBS)
+dnsserver_DEPENDENCIES = $(COMMON_LIBS) $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 am_recv_announce_OBJECTS = recv-announce.$(OBJEXT) SquidNew.$(OBJEXT)
 recv_announce_OBJECTS = $(am_recv_announce_OBJECTS)
 recv_announce_LDADD = $(LDADD)
-recv_announce_DEPENDENCIES = $(COMMON_LIBS)
+recv_announce_DEPENDENCIES = $(COMMON_LIBS) $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 am__squid_SOURCES_DIST = AclRegs.cc AuthReg.cc access_log.cc \
 	AccessLogEntry.h AsyncEngine.cc AsyncEngine.h cache_cf.cc \
 	ProtoPort.cc ProtoPort.h CacheDigest.cc cache_manager.cc \
@@ -318,9 +323,9 @@
 nodist_squid_OBJECTS = $(am__objects_23) repl_modules.$(OBJEXT) \
 	globals.$(OBJEXT) string_arrays.$(OBJEXT)
 squid_OBJECTS = $(am_squid_OBJECTS) $(nodist_squid_OBJECTS)
-am__DEPENDENCIES_1 =
-@USE_ESI_TRUE@am__DEPENDENCIES_2 = esi/libesi.la \
-@USE_ESI_TRUE@	$(top_builddir)/lib/libTrie/src/libTrie.a
+@USE_ESI_TRUE@am__DEPENDENCIES_2 = $(ESI_LOCAL_LIBS) \
+@USE_ESI_TRUE@	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
+@USE_LOADABLE_MODULES_TRUE@am__DEPENDENCIES_3 = $(am__DEPENDENCIES_1)
 squid_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
 	$(squid_LDFLAGS) $(LDFLAGS) -o $@
@@ -551,7 +556,10 @@
 nodist_tests_testCoss_OBJECTS = $(am__objects_29)
 tests_testCoss_OBJECTS = $(am_tests_testCoss_OBJECTS) \
 	$(nodist_tests_testCoss_OBJECTS)
-am__DEPENDENCIES_3 = $(COMMON_LIBS) acl/libapi.la
+am__DEPENDENCIES_4 = $(am__DEPENDENCIES_1) $(COMMON_LIBS) \
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1) acl/libapi.la $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1)
 tests_testCoss_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
 	$(CXXFLAGS) $(tests_testCoss_LDFLAGS) $(LDFLAGS) -o $@
@@ -1231,7 +1239,8 @@
 am_unlinkd_OBJECTS = unlinkd_daemon.$(OBJEXT) SquidNew.$(OBJEXT)
 unlinkd_OBJECTS = $(am_unlinkd_OBJECTS)
 unlinkd_LDADD = $(LDADD)
-unlinkd_DEPENDENCIES = $(COMMON_LIBS)
+unlinkd_DEPENDENCIES = $(COMMON_LIBS) $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = 
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
 am__depfiles_maybe = depfiles
@@ -1329,7 +1338,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -1348,6 +1356,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -1369,6 +1378,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -1380,6 +1390,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -1432,6 +1443,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -1449,6 +1461,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -1505,16 +1518,17 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = cf_gen_defines.h cf.data cf_parser.h squid.conf.default \
 	squid.conf.documented globals.cc string_arrays.c \
 	repl_modules.cc DiskIO/DiskIOModules_gen.cc test_tools.cc *.a \
 	testHeaders
 TESTS = $(check_PROGRAMS) testHeaders
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ \
-	-I$(top_srcdir)/lib -I$(top_builddir)/src
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) \
+	-I$(top_srcdir)/lib -I$(top_srcdir)/lib/libLtdl \
+	-I$(top_builddir)/src
 AUTOMAKE_OPTIONS = subdir-objects
 @USE_DNSSERVER_FALSE@DNSSOURCE = dns_internal.cc DnsLookupDetails.h \
 @USE_DNSSERVER_FALSE@	DnsLookupDetails.cc
@@ -1536,11 +1550,15 @@
 
 SUBDIRS = base acl fs repl auth ip icmp ident $(am__append_1) \
 	$(am__append_2)
-@USE_ESI_FALSE@ESI_LIBS = 
-@USE_ESI_TRUE@ESI_LIBS = \
+@USE_ESI_TRUE@ESI_LOCAL_LIBS = \
 @USE_ESI_TRUE@	esi/libesi.la \
 @USE_ESI_TRUE@	$(top_builddir)/lib/libTrie/src/libTrie.a
 
+@USE_ESI_FALSE@ESI_LIBS = 
+@USE_ESI_TRUE@ESI_LIBS = $(ESI_LOCAL_LIBS) \
+@USE_ESI_TRUE@	$(XMLLIB) \
+@USE_ESI_TRUE@	$(EXPATLIB)
+
 DELAY_POOL_ALL_SOURCE = \
 	CommonPool.h \
 	CompositePoolNode.h \
@@ -1602,7 +1620,7 @@
 @USE_AIOPS_WIN32_FALSE@AIOPS_SOURCE = DiskIO/DiskThreads/aiops.cc
 @USE_AIOPS_WIN32_TRUE@AIOPS_SOURCE = DiskIO/DiskThreads/aiops_win32.cc
 EXTRA_LIBRARIES = libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a
-noinst_LIBRARIES = @DISK_LIBS@
+noinst_LIBRARIES = $(DISK_LIBS)
 noinst_LTLIBRARIES = libsquid.la
 
 # libraries used by many targets
@@ -1623,9 +1641,9 @@
 cf_gen_LDADD = \
 	../compat/libcompat.la \
 	-L../lib -lmiscutil \
-	@XTRA_LIBS@ \
-	@EPOLL_LIBS@ \
-	@MINGW_LIBS@
+	$(EPOLL_LIBS) \
+	$(MINGW_LIBS) \
+	$(XTRA_LIBS)
 
 ACL_REGISTRATION_SOURCES = AclRegs.cc AuthReg.cc
 DISKIO_SOURCE = \
@@ -1765,17 +1783,18 @@
 	string_arrays.c
 
 squid_LDADD = $(COMMON_LIBS) icmp/libicmp.la icmp/libicmp-core.la \
-	../compat/libcompat.la -L../lib @XTRA_OBJS@ @DISK_LINKOBJS@ \
-	@REPL_OBJS@ @DISK_LIBS@ @AIOLIB@ @CRYPTLIB@ @REGEXLIB@ \
-	@SNMPLIB@ ${ADAPTATION_LIBS} ${ESI_LIBS} @SSLLIB@ -lmiscutil \
-	@XTRA_LIBS@ @EPOLL_LIBS@ @MINGW_LIBS@ $(am__append_4)
+	../compat/libcompat.la -L../lib $(XTRA_OBJS) $(DISK_LINKOBJS) \
+	$(REPL_OBJS) $(DISK_LIBS) $(DISK_OS_LIBS) $(CRYPTLIB) \
+	$(REGEXLIB) $(SNMPLIB) ${ADAPTATION_LIBS} $(ESI_LIBS) \
+	$(SSLLIB) -lmiscutil $(EPOLL_LIBS) $(MINGW_LIBS) $(XTRA_LIBS) \
+	$(am__append_4)
 squid_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@DISK_LIBS@ \
-	@DISK_LINKOBJS@ \
-	@REPL_OBJS@ \
-	@SNMPLIB@ \
+	$(DISK_LIBS) \
+	$(DISK_LINKOBJS) \
+	$(REPL_OBJS) \
+	$(SNMPLIB) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
+	$(ESI_LOCAL_LIBS) \
 	$(COMMON_LIBS)
 
 @USE_LOADABLE_MODULES_TRUE@squid_LDFLAGS = \
@@ -1819,22 +1838,22 @@
 
 ufsdump_LDADD = \
 	$(COMMON_LIBS) \
-	@XTRA_OBJS@ \
-	@REPL_OBJS@ \
-	@CRYPTLIB@ \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
-	@SSLLIB@ \
+	$(XTRA_OBJS) \
+	$(REPL_OBJS) \
+	$(CRYPTLIB) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
+	$(SSLLIB) \
 	-L$(top_builddir)/lib -lmiscutil \
-	@XTRA_LIBS@ \
-	@EPOLL_LIBS@ \
-	@MINGW_LIBS@ 
+	$(EPOLL_LIBS) \
+	$(MINGW_LIBS) \
+	$(XTRA_LIBS)
 
 ufsdump_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
 	$(COMMON_LIBS) \
-	@DISK_LIBS@ \
-	@DISK_LINKOBJS@ \
-	@REPL_OBJS@
+	$(DISK_LIBS) \
+	$(DISK_LINKOBJS) \
+	$(REPL_OBJS)
 
 nodist_ufsdump_SOURCES = \
 	globals.cc
@@ -1854,7 +1873,13 @@
 data_DATA = \
 	mib.txt
 
-LDADD = $(COMMON_LIBS) -L../lib -lmiscutil @XTRA_LIBS@ @EPOLL_LIBS@ @MINGW_LIBS@
+LDADD = $(COMMON_LIBS)\
+	-L../lib \
+	-lmiscutil \
+	$(EPOLL_LIBS) \
+	$(MINGW_LIBS) \
+	$(XTRA_LIBS)
+
 EXTRA_DIST = \
 	cf_gen_defines \
 	cf.data.pre \
@@ -1907,19 +1932,19 @@
 		DiskIO/DiskThreads/DiskThreadsIOStrategy.h
 
 DiskIO_DiskDaemon_diskd_SOURCES = DiskIO/DiskDaemon/diskd.cc 
-DiskIO_DiskDaemon_diskd_LDADD = $(top_builddir)/lib/libmiscutil.a @XTRA_LIBS@
-DEFAULT_HTTP_PORT = @CACHE_HTTP_PORT@
-DEFAULT_ICP_PORT = @CACHE_ICP_PORT@
+DiskIO_DiskDaemon_diskd_LDADD = $(top_builddir)/lib/libmiscutil.a $(XTRA_LIBS)
+DEFAULT_HTTP_PORT = $(CACHE_HTTP_PORT)
+DEFAULT_ICP_PORT = $(CACHE_ICP_PORT)
 DEFAULT_PREFIX = $(prefix)
 DEFAULT_CONFIG_DIR = $(sysconfdir)
 DEFAULT_CONFIG_FILE = $(DEFAULT_CONFIG_DIR)/squid.conf
 DEFAULT_MIME_TABLE = $(DEFAULT_CONFIG_DIR)/mime.conf
 DEFAULT_DNSSERVER = $(libexecdir)/`echo dnsserver | sed '$(transform);s/$$/$(EXEEXT)/'`
-DEFAULT_LOG_PREFIX = @DEFAULT_LOG_DIR@
+DEFAULT_LOG_PREFIX = $(DEFAULT_LOG_DIR)
 DEFAULT_CACHE_LOG = $(DEFAULT_LOG_PREFIX)/cache.log
 DEFAULT_ACCESS_LOG = $(DEFAULT_LOG_PREFIX)/access.log
 DEFAULT_STORE_LOG = $(DEFAULT_LOG_PREFIX)/store.log
-DEFAULT_PID_FILE = @DEFAULT_PIDFILE@
+DEFAULT_PID_FILE = $(DEFAULT_PIDFILE)
 DEFAULT_NETDB_FILE = $(DEFAULT_LOG_PREFIX)/netdb.state
 DEFAULT_SWAP_DIR = $(localstatedir)/cache
 DEFAULT_PINGER = $(libexecdir)/`echo pinger | sed '$(transform);s/$$/$(EXEEXT)/'`
@@ -1927,8 +1952,7 @@
 DEFAULT_DISKD = $(libexecdir)/`echo diskd | sed '$(transform);s/$$/$(EXEEXT)/'`
 DEFAULT_ICON_DIR = $(datadir)/icons
 DEFAULT_ERROR_DIR = $(datadir)/errors
-DEFAULT_MIB_PATH = $(datadir)/mib.txt
-DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
+DEFAULT_HOSTS = $(OPT_DEFAULT_HOSTS)
 
 # stock tools for unit tests - library independent versions of dlink_list 
 # etc.
@@ -1955,10 +1979,10 @@
 #	$(TESTSOURCES)
 #tests_testX_LDFLAGS = $(LIBADD_DL)
 #tests_testX_LDADD=\
-#	@SQUID_CPPUNIT_LIBS@ \
-#	@SQUID_CPPUNIT_LA@ \
+#	$(SQUID_CPPUNIT_LIBS) \
+#	$(SQUID_CPPUNIT_LA) \
 #	-L../lib -lmiscutil
-#tests_testX_DEPENDENCIES= @SQUID_CPPUNIT_LA@ \
+#tests_testX_DEPENDENCIES= $(SQUID_CPPUNIT_LA) \
 #	$(top_builddir)/lib/libmiscutil.a
 
 # - add other component .(h|cc) files needed to link and run tests
@@ -2011,11 +2035,12 @@
 	acl/libstate.la \
 	auth/libauth.la \
 	ip/libip.la \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	-L../lib -lmiscutil
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	-L../lib -lmiscutil \
+	$(XTRA_LIBS)
 
-tests_testHttpReply_DEPENDENCIES = @SQUID_CPPUNIT_LA@ \
+tests_testHttpReply_DEPENDENCIES = $(SQUID_CPPUNIT_LA) \
 	$(top_builddir)/lib/libmiscutil.a
 
 tests_testAuth_SOURCES = \
@@ -2048,13 +2073,14 @@
 tests_testAuth_LDADD = \
 	$(COMMON_LIBS) \
 	-L../lib -lmiscutil \
-	@REGEXLIB@ \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SSLLIB@
+	$(REGEXLIB) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testAuth_LDFLAGS = $(LIBADD_DL)
 tests_testAuth_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 tests_testACLMaxUserIP_SOURCES = \
 	cbdata.cc \
@@ -2095,13 +2121,14 @@
 tests_testACLMaxUserIP_LDADD = \
 	$(COMMON_LIBS) \
 	-L../lib -lmiscutil \
-	@REGEXLIB@ \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SSLLIB@
+	$(REGEXLIB) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testACLMaxUserIP_LDFLAGS = $(LIBADD_DL)
 tests_testACLMaxUserIP_DEPENDENCIES = \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 tests_testBoilerplate_SOURCES = \
 	tests/testBoilerplate.cc \
@@ -2114,12 +2141,13 @@
 
 tests_testBoilerplate_LDADD = \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SSLLIB@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testBoilerplate_LDFLAGS = $(LIBADD_DL)
 tests_testBoilerplate_DEPENDENCIES = \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 tests_testCacheManager_SOURCES = \
 	debug.cc \
@@ -2253,21 +2281,21 @@
 tests_testCacheManager_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REPL_OBJS@ \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testCacheManager_LDFLAGS = $(LIBADD_DL)
 tests_testCacheManager_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 tests_testDiskIO_SOURCES = \
 	$(SWAP_TEST_SOURCES) \
@@ -2281,17 +2309,17 @@
 
 tests_testDiskIO_LDADD = \
 	$(SWAP_TEST_LDADD) \
-	@DISK_LIBS@ \
-	@AIOLIB@ \
+	$(DISK_LIBS) \
+	$(DISK_OS_LIBS) \
 	$(COMMON_LIBS) \
-	SquidConfig.o
+	SquidConfig.o \
+	$(XTRA_LIBS)
 
 tests_testDiskIO_LDFLAGS = $(LIBADD_DL)
 tests_testDiskIO_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@DISK_LIBS@ \
-	@AIOLIB@ \
+	$(DISK_LIBS) \
 	$(SWAP_TEST_DS) \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 tests_testEvent_SOURCES = \
 	debug.cc \
@@ -2428,21 +2456,21 @@
 tests_testEvent_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REPL_OBJS@ \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testEvent_LDFLAGS = $(LIBADD_DL)
 tests_testEvent_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 tests_testEventLoop_SOURCES = \
 	debug.cc \
@@ -2578,21 +2606,21 @@
 tests_testEventLoop_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REPL_OBJS@ \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testEventLoop_LDFLAGS = $(LIBADD_DL)
 tests_testEventLoop_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 tests_test_http_range_SOURCES = \
 	tests/test_http_range.cc \
@@ -2724,20 +2752,20 @@
 tests_test_http_range_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REPL_OBJS@ \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_test_http_range_LDFLAGS = $(LIBADD_DL)
 tests_test_http_range_DEPENDENCIES = \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 tests_testHttpRequest_SOURCES = \
 	debug.cc \
@@ -2873,21 +2901,21 @@
 tests_testHttpRequest_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REPL_OBJS@ \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@REGEXLIB@ \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(REGEXLIB) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testHttpRequest_LDFLAGS = $(LIBADD_DL)
 tests_testHttpRequest_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 
 # TODO:mime.cc drags in HttpReply.cc
@@ -2960,13 +2988,14 @@
 tests_testStore_LDADD = \
 	$(COMMON_LIBS) \
 	-L../lib -lmiscutil \
-	@REGEXLIB@ \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SSLLIB@
+	$(REGEXLIB) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testStore_LDFLAGS = $(LIBADD_DL)
 tests_testStore_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 tests_testString_SOURCES = \
 	ClientInfo.h \
@@ -2984,13 +3013,14 @@
 tests_testString_LDADD = \
 	$(COMMON_LIBS) \
 	-L../lib -lmiscutil \
-	@REGEXLIB@ \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SSLLIB@
+	$(REGEXLIB) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testString_LDFLAGS = $(LIBADD_DL)
 tests_testString_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@SQUID_CPPUNIT_LA@
+	$(SQUID_CPPUNIT_LA)
 
 SWAP_TEST_SOURCES = \
 	tests/stub_internal.cc \
@@ -3028,23 +3058,23 @@
 	$(DISKIO_GEN_SOURCE)
 
 SWAP_TEST_LDADD = \
-	@REGEXLIB@ \
+	$(REGEXLIB) \
 	$(COMMON_LIBS) \
-	@REPL_OBJS@ \
-	@DISK_LIBS@ \
-	@AIOLIB@ \
+	$(REPL_OBJS) \
+	$(DISK_LIBS) \
+	$(DISK_OS_LIBS) \
 	-L../lib -lmiscutil \
 	acl/libapi.la \
-	@SQUID_CPPUNIT_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(XTRA_LIBS)
 
 SWAP_TEST_DS = \
 	$(top_builddir)/lib/libmiscutil.a \
 	repl_modules.o \
-	@DISK_LIBS@ \
-	@AIOLIB@ \
+	$(DISK_LIBS) \
 	$(COMMON_LIBS) \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 tests_testUfs_SOURCES = \
 	tests/testUfs.cc \
@@ -3059,7 +3089,8 @@
 tests_testUfs_LDADD = \
 	$(SWAP_TEST_LDADD) \
 	$(COMMON_LIBS) \
-	@SSLLIB@
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testUfs_LDFLAGS = $(LIBADD_DL)
 tests_testUfs_DEPENDENCIES = \
@@ -3078,7 +3109,8 @@
 tests_testCoss_LDADD = \
 	libsquid.la \
 	$(SWAP_TEST_LDADD) \
-	@SSLLIB@
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testCoss_LDFLAGS = $(LIBADD_DL)
 tests_testCoss_DEPENDENCIES = \
@@ -3095,7 +3127,8 @@
 
 tests_testNull_LDADD = \
 	$(SWAP_TEST_LDADD) \
-	@SSLLIB@
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testNull_LDFLAGS = $(LIBADD_DL)
 tests_testNull_DEPENDENCIES = \
@@ -3235,21 +3268,21 @@
 tests_testURL_LDADD = \
 	$(COMMON_LIBS) \
 	icmp/libicmp.la icmp/libicmp-core.la \
-	@REGEXLIB@ \
-	@REPL_OBJS@ \
+	$(REGEXLIB) \
+	$(REPL_OBJS) \
 	${ADAPTATION_LIBS} \
-	${ESI_LIBS} \
-	@SNMPLIB@ \
+	$(ESI_LIBS) \
+	$(SNMPLIB) \
 	-L../lib -lmiscutil \
-	@SQUID_CPPUNIT_LIBS@ \
-	@SQUID_CPPUNIT_LA@ \
-	@SSLLIB@ \
-	@XTRA_LIBS@
+	$(SQUID_CPPUNIT_LIBS) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SSLLIB) \
+	$(XTRA_LIBS)
 
 tests_testURL_LDFLAGS = $(LIBADD_DL)
 tests_testURL_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
-	@REPL_OBJS@ \
-	@SQUID_CPPUNIT_LA@
+	$(REPL_OBJS) \
+	$(SQUID_CPPUNIT_LA)
 
 all: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
@@ -4473,12 +4506,9 @@
 cache_cf.o: cf_parser.h
 
 # squid.conf.default is built by cf_gen when making cf_parser.h
-squid.conf.documented: cf_parser.h
+squid.conf.default squid.conf.documented: cf_parser.h
 	true
 
-squid.conf.default: squid.conf.documented
-	$(EGREP) -v "^[#\ ]" squid.conf.documented | $(EGREP) . >squid.conf.default
-
 cf_parser.h: cf.data cf_gen$(EXEEXT)
 	./cf_gen cf.data $(srcdir)/cf.data.depend
 
@@ -4486,28 +4516,27 @@
 	$(AWK) -f $(srcdir)/cf_gen_defines <$(srcdir)/cf.data.pre >cf_gen_defines.h
 
 cf.data: cf.data.pre Makefile
-	sed "\
-	s%@DEFAULT_HTTP_PORT@%$(DEFAULT_HTTP_PORT)%g;\
-	s%@DEFAULT_ICP_PORT@%$(DEFAULT_ICP_PORT)%g;\
-	s%@DEFAULT_CACHE_EFFECTIVE_USER@%${CACHE_EFFECTIVE_USER}%g;\
-	s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
-	s%@DEFAULT_DNSSERVER@%$(DEFAULT_DNSSERVER)%g;\
-	s%@DEFAULT_UNLINKD@%$(DEFAULT_UNLINKD)%g;\
-	s%@DEFAULT_PINGER@%$(DEFAULT_PINGER)%g;\
-	s%@DEFAULT_DISKD@%$(DEFAULT_DISKD)%g;\
-	s%@DEFAULT_CACHE_LOG@%$(DEFAULT_CACHE_LOG)%g;\
-	s%@DEFAULT_ACCESS_LOG@%$(DEFAULT_ACCESS_LOG)%g;\
-	s%@DEFAULT_STORE_LOG@%$(DEFAULT_STORE_LOG)%g;\
-	s%@DEFAULT_PID_FILE@%$(DEFAULT_PID_FILE)%g;\
-	s%@DEFAULT_NETDB_FILE@%$(DEFAULT_NETDB_FILE)%g;\
-	s%@DEFAULT_SWAP_DIR@%$(DEFAULT_SWAP_DIR)%g;\
-	s%@DEFAULT_ICON_DIR@%$(DEFAULT_ICON_DIR)%g;\
-	s%@DEFAULT_MIB_PATH@%$(DEFAULT_MIB_PATH)%g;\
-	s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
-	s%@DEFAULT_CONFIG_DIR@%$(DEFAULT_CONFIG_DIR)%g;\
-	s%@DEFAULT_PREFIX@%$(DEFAULT_PREFIX)%g;\
-	s%@DEFAULT_HOSTS@%$(DEFAULT_HOSTS)%g;\
-	s%@[V]ERSION@%$(VERSION)%g;"\
+	sed \
+	-e "s%[@]DEFAULT_HTTP_PORT[@]%$(DEFAULT_HTTP_PORT)%g" \
+	-e "s%[@]DEFAULT_ICP_PORT[@]%$(DEFAULT_ICP_PORT)%g" \
+	-e "s%[@]DEFAULT_CACHE_EFFECTIVE_USER[@]%${CACHE_EFFECTIVE_USER}%g" \
+	-e "s%[@]DEFAULT_MIME_TABLE[@]%$(DEFAULT_MIME_TABLE)%g" \
+	-e "s%[@]DEFAULT_DNSSERVER[@]%$(DEFAULT_DNSSERVER)%g" \
+	-e "s%[@]DEFAULT_UNLINKD[@]%$(DEFAULT_UNLINKD)%g" \
+	-e "s%[@]DEFAULT_PINGER[@]%$(DEFAULT_PINGER)%g" \
+	-e "s%[@]DEFAULT_DISKD[@]%$(DEFAULT_DISKD)%g" \
+	-e "s%[@]DEFAULT_CACHE_LOG[@]%$(DEFAULT_CACHE_LOG)%g" \
+	-e "s%[@]DEFAULT_ACCESS_LOG[@]%$(DEFAULT_ACCESS_LOG)%g" \
+	-e "s%[@]DEFAULT_STORE_LOG[@]%$(DEFAULT_STORE_LOG)%g" \
+	-e "s%[@]DEFAULT_PID_FILE[@]%$(DEFAULT_PID_FILE)%g" \
+	-e "s%[@]DEFAULT_NETDB_FILE[@]%$(DEFAULT_NETDB_FILE)%g" \
+	-e "s%[@]DEFAULT_SWAP_DIR[@]%$(DEFAULT_SWAP_DIR)%g" \
+	-e "s%[@]DEFAULT_ICON_DIR[@]%$(DEFAULT_ICON_DIR)%g" \
+	-e "s%[@]DEFAULT_CONFIG_DIR[@]%$(DEFAULT_CONFIG_DIR)%g" \
+	-e "s%[@]DEFAULT_PREFIX[@]%$(DEFAULT_PREFIX)%g" \
+	-e "s%[@]DEFAULT_HOSTS[@]%$(DEFAULT_HOSTS)%g" \
+	-e "s%[@]IPV6_ONLY_SETTING[@]%$(SET_IPV6_SETTINGS)%g" \
+	-e "s%[@]SQUID[@]%SQUID\ $(VERSION)%g" \
 	< $(srcdir)/cf.data.pre >$@
 
 repl_modules.cc: repl_modules.sh Makefile
diff -u -r -N squid-3.1.0.14/src/mem.cc squid-3.1.0.15/src/mem.cc
--- squid-3.1.0.14/src/mem.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/mem.cc	2009-11-23 16:10:10.000000000 +1300
@@ -504,7 +504,7 @@
 
 /* ick */
 
-static void
+void
 memFree2K(void *p)
 {
     memFree(p, MEM_2K_BUF);
@@ -522,19 +522,19 @@
     memFree(p, MEM_8K_BUF);
 }
 
-static void
+void
 memFree16K(void *p)
 {
     memFree(p, MEM_16K_BUF);
 }
 
-static void
+void
 memFree32K(void *p)
 {
     memFree(p, MEM_32K_BUF);
 }
 
-static void
+void
 memFree64K(void *p)
 {
     memFree(p, MEM_64K_BUF);
diff -u -r -N squid-3.1.0.14/src/protos.h squid-3.1.0.15/src/protos.h
--- squid-3.1.0.14/src/protos.h	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/protos.h	2009-11-23 16:10:11.000000000 +1300
@@ -83,7 +83,7 @@
 SQUIDCEXTERN void clientdbUpdate(const IpAddress &, log_type, protocol_t, size_t);
 
 SQUIDCEXTERN int clientdbCutoffDenied(const IpAddress &);
-SQUIDCEXTERN void clientdbDump(StoreEntry *);
+void clientdbDump(StoreEntry *);
 SQUIDCEXTERN void clientdbFreeMemory(void);
 
 SQUIDCEXTERN int clientdbEstablished(const IpAddress &, int);
@@ -473,8 +473,12 @@
 SQUIDCEXTERN void *memAllocBuf(size_t net_size, size_t * gross_size);
 SQUIDCEXTERN void *memReallocBuf(void *buf, size_t net_size, size_t * gross_size);
 SQUIDCEXTERN void memFree(void *, int type);
-SQUIDCEXTERN void memFree4K(void *);
-SQUIDCEXTERN void memFree8K(void *);
+void memFree2K(void *);
+void memFree4K(void *);
+void memFree8K(void *);
+void memFree16K(void *);
+void memFree32K(void *);
+void memFree64K(void *);
 SQUIDCEXTERN void memFreeString(size_t size, void *);
 SQUIDCEXTERN void memFreeBuf(size_t size, void *);
 SQUIDCEXTERN FREE *memFreeBufFunc(size_t size);
diff -u -r -N squid-3.1.0.14/src/redirect.cc squid-3.1.0.15/src/redirect.cc
--- squid-3.1.0.14/src/redirect.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/redirect.cc	2009-11-23 16:10:11.000000000 +1300
@@ -43,6 +43,7 @@
 #include "HttpRequest.h"
 #include "client_side.h"
 #include "helper.h"
+#include "rfc1738.h"
 
 typedef struct {
     void *data;
diff -u -r -N squid-3.1.0.14/src/repl/Makefile.am squid-3.1.0.15/src/repl/Makefile.am
--- squid-3.1.0.14/src/repl/Makefile.am	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/repl/Makefile.am	2009-11-23 16:10:11.000000000 +1300
@@ -10,10 +10,10 @@
 
 AUTOMAKE_OPTIONS = subdir-objects
 
-# No recursion is needed for the subdirs, we build from here. // @REPL_POLICIES@
+# No recursion is needed for the subdirs, we build from here.
 
 EXTRA_LIBRARIES = liblru.a libheap.a
-noinst_LIBRARIES = @REPL_LIBS@
+noinst_LIBRARIES = $(REPL_LIBS)
 
 liblru_a_SOURCES = lru/store_repl_lru.cc
 libheap_a_SOURCES = heap/store_heap_replacement.h heap/store_heap_replacement.cc heap/store_repl_heap.cc
diff -u -r -N squid-3.1.0.14/src/repl/Makefile.in squid-3.1.0.15/src/repl/Makefile.in
--- squid-3.1.0.14/src/repl/Makefile.in	2009-09-27 15:28:57.000000000 +1200
+++ squid-3.1.0.15/src/repl/Makefile.in	2009-11-23 16:10:40.000000000 +1300
@@ -89,7 +89,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -108,6 +107,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -125,6 +125,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -136,6 +137,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -188,6 +190,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -205,6 +208,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -261,17 +265,17 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
 TESTS = testHeaders
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 AUTOMAKE_OPTIONS = subdir-objects
 
-# No recursion is needed for the subdirs, we build from here. // @REPL_POLICIES@
+# No recursion is needed for the subdirs, we build from here.
 EXTRA_LIBRARIES = liblru.a libheap.a
-noinst_LIBRARIES = @REPL_LIBS@
+noinst_LIBRARIES = $(REPL_LIBS)
 liblru_a_SOURCES = lru/store_repl_lru.cc
 libheap_a_SOURCES = heap/store_heap_replacement.h heap/store_heap_replacement.cc heap/store_repl_heap.cc
 all: all-am
diff -u -r -N squid-3.1.0.14/src/Server.cc squid-3.1.0.15/src/Server.cc
--- squid-3.1.0.14/src/Server.cc	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/Server.cc	2009-11-23 16:10:02.000000000 +1300
@@ -832,8 +832,15 @@
     currentOffset += len;
 }
 
-size_t ServerStateData::replyBodySpace(size_t space)
+size_t ServerStateData::replyBodySpace(const MemBuf &readBuf,
+                                       const size_t minSpace) const
 {
+    size_t space = readBuf.spaceSize(); // available space w/o heroic measures
+    if (space < minSpace) {
+        const size_t maxSpace = readBuf.potentialSpaceSize(); // absolute best
+        space = min(minSpace, maxSpace); // do not promise more than asked
+    }
+
 #if USE_ADAPTATION
     if (responseBodyBuffer) {
         return 0;	// Stop reading if already overflowed waiting for ICAP to catch up
diff -u -r -N squid-3.1.0.14/src/Server.h squid-3.1.0.15/src/Server.h
--- squid-3.1.0.14/src/Server.h	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/Server.h	2009-11-23 16:10:02.000000000 +1300
@@ -167,7 +167,7 @@
     void adaptOrFinalizeReply();
     void addVirginReplyBody(const char *buf, ssize_t len);
     void storeReplyBody(const char *buf, ssize_t len);
-    size_t replyBodySpace(size_t space = 4096 * 10);
+    size_t replyBodySpace(const MemBuf &readBuf, const size_t minSpace) const;
 
     // These should be private
     int64_t currentOffset;	/**< Our current offset in the StoreEntry */
diff -u -r -N squid-3.1.0.14/src/SquidNew.cc squid-3.1.0.15/src/SquidNew.cc
--- squid-3.1.0.14/src/SquidNew.cc	2009-09-27 15:28:29.000000000 +1200
+++ squid-3.1.0.15/src/SquidNew.cc	2009-11-23 16:10:02.000000000 +1300
@@ -33,5 +33,28 @@
  *
  */
 
-#define _SQUID_EXTERNNEW_
+/* #define _SQUID_EXTERNNEW_ */ /* Why? kinkie */
 #include "squid.h"
+
+
+#ifdef __SUNPRO_CC
+
+#include <new>
+void *operator new(size_t size) throw (std::bad_alloc)
+{
+    return xmalloc(size);
+}
+void operator delete (void *address) throw()
+{
+    xfree (address);
+}
+void *operator new[] (size_t size) throw (std::bad_alloc)
+{
+    return xmalloc(size);
+}
+void operator delete[] (void *address) throw()
+{
+    xfree (address);
+}
+
+#endif /* __SUNPRO_CC */
diff -u -r -N squid-3.1.0.14/src/stat.cc squid-3.1.0.15/src/stat.cc
--- squid-3.1.0.14/src/stat.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/stat.cc	2009-11-23 16:10:11.000000000 +1300
@@ -1094,12 +1094,12 @@
 
     if ((NCountHist % COUNT_INTERVAL) == 0) {
         /* we have an hours worth of readings.  store previous hour */
-        StatCounters *t = &CountHourHist[0];
-        StatCounters *p = &CountHourHist[1];
-        StatCounters *c = &CountHist[N_COUNT_HIST - 1];
+        StatCounters *t2 = &CountHourHist[0];
+        StatCounters *p2 = &CountHourHist[1];
+        StatCounters *c2 = &CountHist[N_COUNT_HIST - 1];
         statCountersClean(CountHourHist + N_COUNT_HOUR_HIST - 1);
-        xmemmove(p, t, (N_COUNT_HOUR_HIST - 1) * sizeof(StatCounters));
-        statCountersCopy(t, c);
+        xmemmove(p2, t2, (N_COUNT_HOUR_HIST - 1) * sizeof(StatCounters));
+        statCountersCopy(t2, c2);
         NCountHourHist++;
     }
 
diff -u -r -N squid-3.1.0.14/src/store.cc squid-3.1.0.15/src/store.cc
--- squid-3.1.0.14/src/store.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/store.cc	2009-11-23 16:10:11.000000000 +1300
@@ -355,10 +355,10 @@
     swap_dirn = -1;
 }
 
-StoreEntry::StoreEntry(const char *url, const char *log_url)
+StoreEntry::StoreEntry(const char *aUrl, const char *aLogUrl)
 {
     debugs(20, 3, HERE << "new StoreEntry " << this);
-    mem_obj = new MemObject(url, log_url);
+    mem_obj = new MemObject(aUrl, aLogUrl);
 
     expires = lastmod = lastref = timestamp = -1;
 
@@ -1609,12 +1609,12 @@
 }
 
 void
-StoreEntry::createMemObject(const char *url, const char *log_url)
+StoreEntry::createMemObject(const char *aUrl, const char *aLogUrl)
 {
     if (mem_obj)
         return;
 
-    mem_obj = new MemObject(url, log_url);
+    mem_obj = new MemObject(aUrl, aLogUrl);
 }
 
 /* this just sets DELAY_SENDING */
diff -u -r -N squid-3.1.0.14/src/store_dir.cc squid-3.1.0.15/src/store_dir.cc
--- squid-3.1.0.14/src/store_dir.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/store_dir.cc	2009-11-23 16:10:11.000000000 +1300
@@ -704,7 +704,7 @@
 void
 
 StoreController::get
-(String const key, STOREGETCLIENT callback, void *cbdata)
+(String const key, STOREGETCLIENT aCallback, void *aCallbackData)
 {
     fatal("not implemented");
 }
@@ -781,7 +781,7 @@
 void
 
 StoreHashIndex::get
-(String const key, STOREGETCLIENT callback, void *cbdata)
+(String const key, STOREGETCLIENT aCallback, void *aCallbackData)
 {
     fatal("not implemented");
 }
@@ -918,10 +918,10 @@
 {}
 
 void
-StoreSearchHashIndex::next(void (callback)(void *cbdata), void *cbdata)
+StoreSearchHashIndex::next(void (aCallback)(void *), void *aCallbackData)
 {
     next();
-    callback (cbdata);
+    aCallback (aCallbackData);
 }
 
 bool
diff -u -r -N squid-3.1.0.14/src/StoreMeta.cc squid-3.1.0.15/src/StoreMeta.cc
--- squid-3.1.0.14/src/StoreMeta.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/StoreMeta.cc	2009-11-23 16:10:05.000000000 +1300
@@ -101,10 +101,10 @@
 const int StoreMeta::MaximumTLVLength = 1 << 16;
 
 bool
-StoreMeta::validLength(int length) const
+StoreMeta::validLength(int aLength) const
 {
-    if (!IntRange (MinimumTLVLength, MaximumTLVLength).includes(length)) {
-        debugs(20, 0, "storeSwapMetaUnpack: insane length (" << length << ")!");
+    if (!IntRange (MinimumTLVLength, MaximumTLVLength).includes(aLength)) {
+        debugs(20, 0, "storeSwapMetaUnpack: insane length (" << aLength << ")!");
         return false;
     }
 
diff -u -r -N squid-3.1.0.14/src/String.cci squid-3.1.0.15/src/String.cci
--- squid-3.1.0.14/src/String.cci	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/String.cci	2009-11-23 16:10:06.000000000 +1300
@@ -80,11 +80,11 @@
 }
 
 char
-String::operator [](unsigned int pos) const
+String::operator [](unsigned int aPos) const
 {
-    assert(pos < size_);
+    assert(aPos < size_);
 
-    return buf_[pos];
+    return buf_[aPos];
 }
 
 
diff -u -r -N squid-3.1.0.14/src/SwapDir.cc squid-3.1.0.15/src/SwapDir.cc
--- squid-3.1.0.14/src/SwapDir.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/SwapDir.cc	2009-11-23 16:10:06.000000000 +1300
@@ -165,7 +165,7 @@
 }
 
 void
-SwapDir::parseOptions(int reconfiguring)
+SwapDir::parseOptions(int isaReconfig)
 {
     unsigned int old_read_only = flags.read_only;
     char *name, *value;
@@ -181,7 +181,7 @@
         debugs(3,2, "SwapDir::parseOptions: parsing store option '" << name << "'='" << (value ? value : "") << "'");
 
         if (newOption)
-            if (!newOption->parse(name, value, reconfiguring))
+            if (!newOption->parse(name, value, isaReconfig))
                 self_destruct();
     }
 
@@ -193,7 +193,7 @@
      * parsing...
      */
 
-    if (reconfiguring) {
+    if (isaReconfig) {
         if (old_read_only != flags.read_only) {
             debugs(3, 1, "Cache dir '" << path << "' now " << (flags.read_only ? "No-Store" : "Read-Write"));
         }
@@ -212,7 +212,7 @@
 }
 
 bool
-SwapDir::optionReadOnlyParse(char const *option, const char *value, int reconfiguring)
+SwapDir::optionReadOnlyParse(char const *option, const char *value, int isaReconfig)
 {
     if (strcmp(option, "no-store") != 0 && strcmp(option, "read-only") != 0)
         return false;
@@ -237,7 +237,7 @@
 }
 
 bool
-SwapDir::optionMaxSizeParse(char const *option, const char *value, int reconfiguring)
+SwapDir::optionMaxSizeParse(char const *option, const char *value, int isaReconfig)
 {
     if (strcmp(option, "max-size") != 0)
         return false;
@@ -247,7 +247,7 @@
 
     int64_t size = strtoll(value, NULL, 10);
 
-    if (reconfiguring && max_objsize != size)
+    if (isaReconfig && max_objsize != size)
         debugs(3, 1, "Cache dir '" << path << "' max object size now " << size);
 
     max_objsize = size;
@@ -276,7 +276,7 @@
 void
 
 SwapDir::get
-(String const key, STOREGETCLIENT callback, void *cbdata)
+(String const key, STOREGETCLIENT aCallback, void *aCallbackData)
 {
     fatal("not implemented");
 }
diff -u -r -N squid-3.1.0.14/src/tests/testHttpReply.cc squid-3.1.0.15/src/tests/testHttpReply.cc
--- squid-3.1.0.14/src/tests/testHttpReply.cc	2009-09-27 15:28:34.000000000 +1200
+++ squid-3.1.0.15/src/tests/testHttpReply.cc	2009-11-23 16:10:12.000000000 +1300
@@ -99,6 +99,17 @@
     error = HTTP_STATUS_NONE;
 #endif
 
+    // valid ICY protocol status line
+    input.append("ICY 200 Okay\n\n", 18);
+    hdr_len = headersEnd(input.content(),input.contentSize());
+    CPPUNIT_ASSERT( engine.sanityCheckStartLine(&input, hdr_len, &error) );
+    CPPUNIT_ASSERT_EQUAL(error, HTTP_STATUS_NONE);
+    input.reset();
+    error = HTTP_STATUS_NONE;
+    /* NP: the engine saves details about the protocol. even when being reset :( */
+    engine.protoPrefix="HTTP/";
+    engine.reset();
+
     // empty status line
     input.append("\n\n", 2);
     hdr_len = headersEnd(input.content(),input.contentSize());
@@ -209,15 +220,4 @@
     CPPUNIT_ASSERT_EQUAL(error, HTTP_INVALID_HEADER);
     input.reset();
     error = HTTP_STATUS_NONE;
-
-    // status line with non-HTTP protocol
-    input.append("ICY/1.1 200 Okay\n\n", 18); /* real case seen */
-    hdr_len = headersEnd(input.content(),input.contentSize());
-    /* NP: for nw ICY is handled as a pass-thru */
-    /*     Squid-3 will ignore it (and mangle the headers as per HTTP). */
-    CPPUNIT_ASSERT(!engine.sanityCheckStartLine(&input, hdr_len, &error) );
-    CPPUNIT_ASSERT_EQUAL(error, HTTP_INVALID_HEADER);
-    input.reset();
-    error = HTTP_STATUS_NONE;
-
 }
diff -u -r -N squid-3.1.0.14/src/tools.cc squid-3.1.0.15/src/tools.cc
--- squid-3.1.0.14/src/tools.cc	2009-09-27 15:28:35.000000000 +1200
+++ squid-3.1.0.15/src/tools.cc	2009-11-23 16:10:12.000000000 +1300
@@ -69,6 +69,13 @@
 SQUIDCEXTERN int backtrace(void *, int);
 SQUIDCEXTERN void backtrace_symbols_fd(void *, int, int);
 SQUIDCEXTERN int setresuid(uid_t, uid_t, uid_t);
+
+#else /* _SQUID_LINUX_ */
+/* needed on Opensolaris for backtrace_symbols_fd */
+#if HAVE_EXECINFO_H
+#include <execinfo.h>
+#endif /* HAVE_EXECINFO_H */
+
 #endif /* _SQUID_LINUX */
 
 SQUIDCEXTERN void (*failure_notify) (const char *);
@@ -335,7 +342,7 @@
     }
 
 #endif /* _SQUID_HPUX_ */
-#ifdef _SQUID_SOLARIS_
+#if defined(_SQUID_SOLARIS_) && HAVE_LIBOPCOM_STACK
     {				/* get ftp://opcom.sun.ca/pub/tars/opcom_stack.tar.gz and */
         extern void opcom_stack_trace(void);	/* link with -lopcom_stack */
         fflush(debug_log);
@@ -344,7 +351,7 @@
         fflush(stdout);
     }
 
-#endif /* _SQUID_SOLARIS_ */
+#endif /* _SQUID_SOLARIS_  and HAVE_LIBOPCOM_STACK */
 #if HAVE_BACKTRACE_SYMBOLS_FD
     {
         static void *(callarray[8192]);
@@ -1228,7 +1235,7 @@
 void
 keepCapabilities(void)
 {
-#if HAVE_PRCTL && defined(PR_SET_KEEPCAPS) && HAVE_SYS_CAPABILITY_H
+#if HAVE_PRCTL && defined(PR_SET_KEEPCAPS) && USE_LIBCAP
 
     if (prctl(PR_SET_KEEPCAPS, 1, 0, 0, 0)) {
         IpInterceptor.StopTransparency("capability setting has failed.");
@@ -1240,51 +1247,39 @@
 restoreCapabilities(int keep)
 {
     /* NP: keep these two if-endif separate. Non-Linux work perfectly well without Linux syscap support. */
-#if defined(_SQUID_LINUX_)
-
-#if HAVE_SYS_CAPABILITY_H
-#ifndef _LINUX_CAPABILITY_VERSION_1
-#define _LINUX_CAPABILITY_VERSION_1 _LINUX_CAPABILITY_VERSION
-#endif
-    cap_user_header_t head = (cap_user_header_t) xcalloc(1, sizeof(*head));
-    cap_user_data_t cap = (cap_user_data_t) xcalloc(1, sizeof(*cap));
-
-    head->version = _LINUX_CAPABILITY_VERSION_1;
-
-    if (capget(head, cap) != 0) {
-        debugs(50, DBG_IMPORTANT, "Can't get current capabilities");
-    } else if (head->version != _LINUX_CAPABILITY_VERSION_1) {
-        debugs(50, DBG_IMPORTANT, "Invalid capability version " << head->version << " (expected " << _LINUX_CAPABILITY_VERSION_1 << ")");
+#if USE_LIBCAP
+    cap_t caps;
+    if (keep)
+        caps = cap_get_proc();
+    else
+        caps = cap_init();
+    if (!caps) {
+        IpInterceptor.StopTransparency("Can't get current capabilities");
     } else {
-
-        head->pid = 0;
-
-        cap->inheritable = 0;
-        cap->effective = (1 << CAP_NET_BIND_SERVICE);
+        int ncaps = 0;
+        int rc = 0;
+        cap_value_t cap_list[10];
+        cap_list[ncaps++] = CAP_NET_BIND_SERVICE;
 
         if (IpInterceptor.TransparentActive()) {
-            cap->effective |= (1 << CAP_NET_ADMIN);
+            cap_list[ncaps++] = CAP_NET_ADMIN;
 #if LINUX_TPROXY2
-            cap->effective |= (1 << CAP_NET_BROADCAST);
+            cap_list[ncaps++] = CAP_NET_BROADCAST;
 #endif
         }
 
-        if (!keep)
-            cap->permitted &= cap->effective;
+        cap_clear_flag(caps, CAP_EFFECTIVE);
+        rc |= cap_set_flag(caps, CAP_EFFECTIVE, ncaps, cap_list, CAP_SET);
+        rc |= cap_set_flag(caps, CAP_PERMITTED, ncaps, cap_list, CAP_SET);
 
-        if (capset(head, cap) != 0) {
+        if (rc || cap_set_proc(caps) != 0) {
             IpInterceptor.StopTransparency("Error enabling needed capabilities.");
         }
+        cap_free(caps);
     }
-
-    xfree(head);
-    xfree(cap);
-
-#else
+#elif defined(_SQUID_LINUX_)
     IpInterceptor.StopTransparency("Missing needed capability support.");
 #endif /* HAVE_SYS_CAPABILITY_H */
-
-#endif /* !defined(_SQUID_LINUX_) */
 }
 
 void *
diff -u -r -N squid-3.1.0.14/src/unlinkd.cc squid-3.1.0.15/src/unlinkd.cc
--- squid-3.1.0.14/src/unlinkd.cc	2009-09-27 15:28:35.000000000 +1200
+++ squid-3.1.0.15/src/unlinkd.cc	2009-11-23 16:10:12.000000000 +1300
@@ -53,7 +53,7 @@
 {
     char buf[MAXPATHLEN];
     int l;
-    int x;
+    int bytes_written;
     static int queuelen = 0;
 
     if (unlinkd_wfd < 0) {
@@ -98,15 +98,15 @@
     * decrement the queue size by the number of newlines read.
     */
     if (queuelen > 0) {
-        int x;
+        int bytes_read;
         int i;
         char rbuf[512];
-        x = read(unlinkd_rfd, rbuf, 511);
+        bytes_read = read(unlinkd_rfd, rbuf, 511);
 
-        if (x > 0) {
-            rbuf[x] = '\0';
+        if (bytes_read > 0) {
+            rbuf[bytes_read] = '\0';
 
-            for (i = 0; i < x; i++)
+            for (i = 0; i < bytes_read; i++)
                 if ('\n' == rbuf[i])
                     queuelen--;
 
@@ -118,14 +118,14 @@
     assert(l < MAXPATHLEN);
     xstrncpy(buf, path, MAXPATHLEN);
     buf[l++] = '\n';
-    x = write(unlinkd_wfd, buf, l);
+    bytes_written = write(unlinkd_wfd, buf, l);
 
-    if (x < 0) {
+    if (bytes_written < 0) {
         debugs(2, 1, "unlinkdUnlink: write FD " << unlinkd_wfd << " failed: " << xstrerror());
         safeunlink(path, 0);
         return;
-    } else if (x != l) {
-        debugs(2, 1, "unlinkdUnlink: FD " << unlinkd_wfd << " only wrote " << x << " of " << l << " bytes");
+    } else if (bytes_written != l) {
+        debugs(2, 1, "unlinkdUnlink: FD " << unlinkd_wfd << " only wrote " << bytes_written << " of " << l << " bytes");
         safeunlink(path, 0);
         return;
     }
diff -u -r -N squid-3.1.0.14/src/url.cc squid-3.1.0.15/src/url.cc
--- squid-3.1.0.14/src/url.cc	2009-09-27 15:28:35.000000000 +1200
+++ squid-3.1.0.15/src/url.cc	2009-11-23 16:10:12.000000000 +1300
@@ -36,6 +36,7 @@
 #include "URL.h"
 #include "HttpRequest.h"
 #include "URLScheme.h"
+#include "rfc1738.h"
 
 static HttpRequest *urnParse(const HttpRequestMethod& method, char *urn);
 static const char valid_hostname_chars_u[] =
diff -u -r -N squid-3.1.0.14/src/URLScheme.cc squid-3.1.0.15/src/URLScheme.cc
--- squid-3.1.0.14/src/URLScheme.cc	2009-09-27 15:28:32.000000000 +1200
+++ squid-3.1.0.15/src/URLScheme.cc	2009-11-23 16:10:06.000000000 +1300
@@ -52,6 +52,6 @@
     "whois",
     "internal",
     "https",
+    "icy",
     "TOTAL"
 };
-
diff -u -r -N squid-3.1.0.14/src/whois.cc squid-3.1.0.15/src/whois.cc
--- squid-3.1.0.14/src/whois.cc	2009-09-27 15:28:35.000000000 +1200
+++ squid-3.1.0.15/src/whois.cc	2009-11-23 16:10:12.000000000 +1300
@@ -49,8 +49,8 @@
 
 public:
     ~WhoisState();
-    void readReply (int fd, char *buf, size_t len, comm_err_t flag, int xerrno);
-    void setReplyToOK(StoreEntry *entry);
+    void readReply (int fd, char *aBuffer, size_t aBufferLength, comm_err_t flag, int xerrno);
+    void setReplyToOK(StoreEntry *sentry);
     StoreEntry *entry;
     HttpRequest *request;
     FwdState::Pointer fwd;
@@ -124,17 +124,17 @@
 }
 
 void
-WhoisState::setReplyToOK(StoreEntry *entry)
+WhoisState::setReplyToOK(StoreEntry *sentry)
 {
     HttpReply *reply = new HttpReply;
-    entry->buffer();
+    sentry->buffer();
     HttpVersion version(1, 0);
     reply->setHeaders(version, HTTP_OK, "Gatewaying", "text/plain", -1, -1, -2);
-    entry->replaceHttpReply(reply);
+    sentry->replaceHttpReply(reply);
 }
 
 void
-WhoisState::readReply (int fd, char *buf, size_t len, comm_err_t flag, int xerrno)
+WhoisState::readReply (int fd, char *aBuffer, size_t aBufferLength, comm_err_t flag, int xerrno)
 {
     int do_next_read = 0;
 
@@ -144,27 +144,27 @@
         return;
     }
 
-    buf[len] = '\0';
-    debugs(75, 3, "whoisReadReply: FD " << fd << " read " << len << " bytes");
-    debugs(75, 5, "{" << buf << "}");
+    aBuffer[aBufferLength] = '\0';
+    debugs(75, 3, "whoisReadReply: FD " << fd << " read " << aBufferLength << " bytes");
+    debugs(75, 5, "{" << aBuffer << "}");
 
-    if (flag == COMM_OK && len > 0) {
+    if (flag == COMM_OK && aBufferLength > 0) {
         if (!dataWritten)
             setReplyToOK(entry);
 
-        kb_incr(&statCounter.server.all.kbytes_in, len);
+        kb_incr(&statCounter.server.all.kbytes_in, aBufferLength);
 
-        kb_incr(&statCounter.server.http.kbytes_in, len);
+        kb_incr(&statCounter.server.http.kbytes_in, aBufferLength);
 
         /* No range support, we always grab it all */
         dataWritten = true;
 
-        entry->append(buf, len);
+        entry->append(aBuffer, aBufferLength);
 
         entry->flush();
 
         do_next_read = 1;
-    } else if (flag != COMM_OK || len < 0) {
+    } else if (flag != COMM_OK || aBufferLength < 0) {
         debugs(50, 2, "whoisReadReply: FD " << fd << ": read failure: " << xstrerror() << ".");
 
         if (ignoreErrno(errno)) {
@@ -194,7 +194,7 @@
     }
 
     if (do_next_read)
-        comm_read(fd, buf, BUFSIZ, whoisReadReply, this);
+        comm_read(fd, aBuffer, BUFSIZ, whoisReadReply, this);
 }
 
 static void
diff -u -r -N squid-3.1.0.14/test-suite/Makefile.am squid-3.1.0.15/test-suite/Makefile.am
--- squid-3.1.0.14/test-suite/Makefile.am	2009-09-27 15:28:35.000000000 +1200
+++ squid-3.1.0.15/test-suite/Makefile.am	2009-11-23 16:10:12.000000000 +1300
@@ -17,7 +17,7 @@
 	$(top_builddir)/src/globals.o \
 	$(top_builddir)/src/time.o
 
-EXTRA_PROGRAMS = mem_node_test membanger splay tcp-banger2 rfc1738
+EXTRA_PROGRAMS = mem_node_test membanger splay tcp-banger2
 
 EXTRA_DIST = testheaders.sh
 
@@ -35,7 +35,6 @@
 	syntheticoperators \
 	VirtualDeleteOperator \
 	StackTest \
-	rfc1738 \
 	refcount\
 	splay\
 	MemPoolTest\
@@ -50,7 +49,6 @@
 		mem_node_test\
 		mem_hdr_test \
 		refcount\
-		rfc1738\
 		splay \
 		StackTest \
 		syntheticoperators \
@@ -77,8 +75,6 @@
 syntheticoperators_SOURCES = syntheticoperators.cc $(DEBUG_SOURCE)
 VirtualDeleteOperator_SOURCES = VirtualDeleteOperator.cc $(DEBUG_SOURCE)
 
-rfc1738_SOURCES = rfc1738.cc
-
 ## membanger won't link today. Bitrot..
 ##CC	= gcc
 ##CFLAGS	= -g -Wall -I../include -I../src
diff -u -r -N squid-3.1.0.14/test-suite/Makefile.in squid-3.1.0.15/test-suite/Makefile.in
--- squid-3.1.0.14/test-suite/Makefile.in	2009-09-27 15:28:57.000000000 +1200
+++ squid-3.1.0.15/test-suite/Makefile.in	2009-11-23 16:10:40.000000000 +1300
@@ -41,15 +41,14 @@
 	$(top_srcdir)/src/Common.am
 check_PROGRAMS = debug$(EXEEXT) $(am__EXEEXT_2) MemPoolTest$(EXEEXT) \
 	mem_node_test$(EXEEXT) mem_hdr_test$(EXEEXT) refcount$(EXEEXT) \
-	rfc1738$(EXEEXT) splay$(EXEEXT) StackTest$(EXEEXT) \
-	syntheticoperators$(EXEEXT) VirtualDeleteOperator$(EXEEXT)
+	splay$(EXEEXT) StackTest$(EXEEXT) syntheticoperators$(EXEEXT) \
+	VirtualDeleteOperator$(EXEEXT)
 TESTS = debug$(EXEEXT) syntheticoperators$(EXEEXT) \
 	VirtualDeleteOperator$(EXEEXT) StackTest$(EXEEXT) \
-	rfc1738$(EXEEXT) refcount$(EXEEXT) splay$(EXEEXT) \
-	MemPoolTest$(EXEEXT) mem_node_test$(EXEEXT) \
-	mem_hdr_test$(EXEEXT) $(am__EXEEXT_2)
+	refcount$(EXEEXT) splay$(EXEEXT) MemPoolTest$(EXEEXT) \
+	mem_node_test$(EXEEXT) mem_hdr_test$(EXEEXT) $(am__EXEEXT_2)
 EXTRA_PROGRAMS = mem_node_test$(EXEEXT) membanger$(EXEEXT) \
-	splay$(EXEEXT) tcp-banger2$(EXEEXT) rfc1738$(EXEEXT)
+	splay$(EXEEXT) tcp-banger2$(EXEEXT)
 subdir = test-suite
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
@@ -108,11 +107,6 @@
 refcount_LDADD = $(LDADD)
 refcount_DEPENDENCIES = $(top_builddir)/compat/libcompat.la \
 	$(top_builddir)/src/globals.o $(top_builddir)/src/time.o
-am_rfc1738_OBJECTS = rfc1738.$(OBJEXT)
-rfc1738_OBJECTS = $(am_rfc1738_OBJECTS)
-rfc1738_LDADD = $(LDADD)
-rfc1738_DEPENDENCIES = $(top_builddir)/compat/libcompat.la \
-	$(top_builddir)/src/globals.o $(top_builddir)/src/time.o
 am_splay_OBJECTS = splay.$(OBJEXT)
 splay_OBJECTS = $(am_splay_OBJECTS)
 splay_LDADD = $(LDADD)
@@ -152,20 +146,17 @@
 	$(StackTest_SOURCES) $(VirtualDeleteOperator_SOURCES) \
 	$(debug_SOURCES) $(mem_hdr_test_SOURCES) \
 	$(mem_node_test_SOURCES) membanger.c $(refcount_SOURCES) \
-	$(rfc1738_SOURCES) $(splay_SOURCES) \
-	$(syntheticoperators_SOURCES) tcp-banger2.c
+	$(splay_SOURCES) $(syntheticoperators_SOURCES) tcp-banger2.c
 DIST_SOURCES = $(ESIExpressions_SOURCES) $(MemPoolTest_SOURCES) \
 	$(StackTest_SOURCES) $(VirtualDeleteOperator_SOURCES) \
 	$(debug_SOURCES) $(mem_hdr_test_SOURCES) \
 	$(mem_node_test_SOURCES) membanger.c $(refcount_SOURCES) \
-	$(rfc1738_SOURCES) $(splay_SOURCES) \
-	$(syntheticoperators_SOURCES) tcp-banger2.c
+	$(splay_SOURCES) $(syntheticoperators_SOURCES) tcp-banger2.c
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -184,6 +175,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -201,6 +193,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -212,6 +205,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -264,6 +258,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -281,6 +276,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -337,11 +333,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 AUTOMAKE_OPTIONS = subdir-objects
 LDADD = \
 	$(top_builddir)/compat/libcompat.la \
@@ -374,7 +370,6 @@
 StackTest_SOURCES = StackTest.cc $(DEBUG_SOURCE)
 syntheticoperators_SOURCES = syntheticoperators.cc $(DEBUG_SOURCE)
 VirtualDeleteOperator_SOURCES = VirtualDeleteOperator.cc $(DEBUG_SOURCE)
-rfc1738_SOURCES = rfc1738.cc
 all: all-am
 
 .SUFFIXES:
@@ -442,9 +437,6 @@
 refcount$(EXEEXT): $(refcount_OBJECTS) $(refcount_DEPENDENCIES) 
 	@rm -f refcount$(EXEEXT)
 	$(CXXLINK) $(refcount_OBJECTS) $(refcount_LDADD) $(LIBS)
-rfc1738$(EXEEXT): $(rfc1738_OBJECTS) $(rfc1738_DEPENDENCIES) 
-	@rm -f rfc1738$(EXEEXT)
-	$(CXXLINK) $(rfc1738_OBJECTS) $(rfc1738_LDADD) $(LIBS)
 splay$(EXEEXT): $(splay_OBJECTS) $(splay_DEPENDENCIES) 
 	@rm -f splay$(EXEEXT)
 	$(CXXLINK) $(splay_OBJECTS) $(splay_LDADD) $(LIBS)
@@ -470,7 +462,6 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mem_node_test.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/membanger.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/refcount.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rfc1738.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/splay.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/syntheticoperators.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tcp-banger2.Po@am__quote@
diff -u -r -N squid-3.1.0.14/test-suite/rfc1738.cc squid-3.1.0.15/test-suite/rfc1738.cc
--- squid-3.1.0.14/test-suite/rfc1738.cc	2009-09-27 15:28:35.000000000 +1200
+++ squid-3.1.0.15/test-suite/rfc1738.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,79 +0,0 @@
-
-/*
- * $Id$
- *
- * DEBUG: section xx    RFC 1738 string [un]escaping
- * AUTHOR:  Robert Collins
- *
- * SQUID Web Proxy Cache          http://www.squid-cache.org/
- * ----------------------------------------------------------
- *
- *  Squid is the result of efforts by numerous individuals from
- *  the Internet community; see the CONTRIBUTORS file for full
- *  details.   Many organizations have provided support for Squid's
- *  development; see the SPONSORS file for full details.  Squid is
- *  Copyrighted (C) 2001 by the Regents of the University of
- *  California; see the COPYRIGHT file for full details.  Squid
- *  incorporates software developed and/or copyrighted by other
- *  sources; see the CREDITS file for full details.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
- *
- * Copyright (c) 2003 Robert Collins <robertc@squid-cache.org>
- */
-
-#include "squid.h"
-#include "util.h"
-/* testing:
-SQUIDCEXTERN char *rfc1738_escape(const char *);
-SQUIDCEXTERN char *rfc1738_escape_unescaped(const char *);
-SQUIDCEXTERN char *rfc1738_escape_part(const char *);
-SQUIDCEXTERN void rfc1738_unescape(char *);
-*/
-
-/* A corrupt string */
-#define BADSTRING "An Escaped %1"
-/* A partly corrupt string */
-#define CASE1 "An escaped %1A%3"
-#define RESULT1 "An escaped \032%3"
-/* A non corrupt string */
-#define GOODSTRING "An Escaped %1A"
-#define GOODUSTRING "An Escaped \032"
-
-void
-testAString(char const *aString, char const *aResult)
-{
-    char *escapedString;
-    escapedString = xstrdup (aString);
-    rfc1738_unescape(escapedString);
-    if (strcmp(escapedString, aResult))
-        exit (1);
-    safe_free (escapedString);
-}
-
-void
-testUnescaping()
-{
-    testAString(BADSTRING,BADSTRING);
-    testAString(GOODSTRING, GOODUSTRING);
-    testAString(CASE1, RESULT1);
-}
-
-int
-main (int argc, char **argv)
-{
-    testUnescaping();
-    return 0;
-}
diff -u -r -N squid-3.1.0.14/test-suite/testheaders.sh squid-3.1.0.15/test-suite/testheaders.sh
--- squid-3.1.0.14/test-suite/testheaders.sh	2009-09-27 15:28:35.000000000 +1200
+++ squid-3.1.0.15/test-suite/testheaders.sh	2009-11-23 16:10:13.000000000 +1300
@@ -18,13 +18,8 @@
 
 for f in `cd ${dir} && ls -1 *.h 2>/dev/null`; do
 	echo -n "Testing ${dir}/${f} ..."
-	if [ "${f}" = "cf_gen_defines.h" -o "${f}" = "cf_parser.h" ]; then
-		echo " IGNORED!"
-		continue
-	fi
 	hdr=`echo "${f}" | sed s/.h//`
-	if [ ! -e ./testHeaderDeps_${hdr}.o -o ${dir}/${f} -nt ./testHeaderDeps_${hdr}.o ]
-    then
+	if [ ! -e ./testHeaderDeps_${hdr}.o -o ${dir}/${f} -nt ./testHeaderDeps_${hdr}.o ]; then
 		(	echo "/* This file is AUTOMATICALLY GENERATED. DO NOT ALTER IT */"
 			echo "#include \"${dir}/${f}\" "
 			echo "int main( int argc, char* argv[] ) { return 0; } "
@@ -32,7 +27,7 @@
 
 		# run compile test on the new file.
 		# DEBUG: echo "TRY: ${cc} -o testHeaderDeps.o ./testHeaderDeps_${hdr}.cc"
-		${cc} -o testHeaderDeps_${hdr}.o ./testHeaderDeps_${hdr}.cc
+		${cc} -c -o testHeaderDeps_${hdr}.o ./testHeaderDeps_${hdr}.cc
 		rm ./testHeaderDeps_${hdr}.cc
 	fi
 	if [ ! -f testHeaderDeps_${hdr}.o ]; then
@@ -41,6 +36,7 @@
 	fi
 	echo "OK."
 	# unit-tests require an app to run.
-	# our most-recent object suits this purpose
-	cp ./testHeaderDeps_${hdr}.o ./testHeaders
+	# our most-recent object suits this purpose.
+	# let's link or some tests will fail
+	${cc} ./testHeaderDeps_${hdr}.o -o ./testHeaders
 done
diff -u -r -N squid-3.1.0.14/tools/cachemgr.cc squid-3.1.0.15/tools/cachemgr.cc
--- squid-3.1.0.14/tools/cachemgr.cc	2009-09-27 15:28:35.000000000 +1200
+++ squid-3.1.0.15/tools/cachemgr.cc	2009-11-23 16:10:13.000000000 +1300
@@ -31,6 +31,7 @@
  */
 
 #include "config.h"
+#include "rfc1738.h"
 
 #if HAVE_UNISTD_H
 #include <unistd.h>
diff -u -r -N squid-3.1.0.14/tools/Makefile.in squid-3.1.0.15/tools/Makefile.in
--- squid-3.1.0.14/tools/Makefile.in	2009-09-27 15:28:57.000000000 +1200
+++ squid-3.1.0.15/tools/Makefile.in	2009-11-23 16:10:40.000000000 +1300
@@ -105,7 +105,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ADAPTATION_LIBS@
-AIOLIB = @AIOLIB@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -124,6 +123,7 @@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
 CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CPPUNITCONFIG = @CPPUNITCONFIG@
@@ -141,6 +141,7 @@
 DISK_LIBS = @DISK_LIBS@
 DISK_LINKOBJS = @DISK_LINKOBJS@
 DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
 DISK_PROGRAMS = @DISK_PROGRAMS@
 DSYMUTIL = @DSYMUTIL@
 ECAPLIB = @ECAPLIB@
@@ -152,6 +153,7 @@
 EGREP = @EGREP@
 EPOLL_LIBS = @EPOLL_LIBS@
 EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
 EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
 F77 = @F77@
 FALSE = @FALSE@
@@ -204,6 +206,7 @@
 REPL_POLICIES = @REPL_POLICIES@
 RM = @RM@
 SED = @SED@
+SET_IPV6_SETTINGS = @SET_IPV6_SETTINGS@
 SET_MAKE = @SET_MAKE@
 SH = @SH@
 SHELL = @SHELL@
@@ -221,6 +224,7 @@
 TRUE = @TRUE@
 VERSION = @VERSION@
 WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
 XTRA_LIBS = @XTRA_LIBS@
 XTRA_OBJS = @XTRA_OBJS@
 abs_builddir = @abs_builddir@
@@ -277,11 +281,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CFLAGS = @SQUID_CFLAGS@
-AM_CXXFLAGS = @SQUID_CXXFLAGS@
+AM_CFLAGS = $(SQUID_CFLAGS)
+AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = 
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src \
-	-I$(top_builddir)/include @SQUID_CPPUNIT_INC@ -I$(srcdir)
+	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) -I$(srcdir)
 AUTOMAKE_OPTIONS = subdir-objects
 SUBDIRS = 
 man_MANS = \
diff -u -r -N squid-3.1.0.14/tools/squidclient.cc squid-3.1.0.15/tools/squidclient.cc
--- squid-3.1.0.14/tools/squidclient.cc	2009-09-27 15:28:35.000000000 +1200
+++ squid-3.1.0.15/tools/squidclient.cc	2009-11-23 16:10:13.000000000 +1300
@@ -84,6 +84,8 @@
 #include <getopt.h>
 #endif
 
+#include "squid_types.h"
+
 #include "util.h"
 #include "ip/IpAddress.h"
 
@@ -387,7 +389,7 @@
             strcat(msg, buf);
         }
         if (put_fd > 0) {
-            snprintf(buf, BUFSIZ, "Content-length: %d\r\n", (int) sb.st_size);
+            snprintf(buf, BUFSIZ, "Content-length: %" PRId64 "\r\n", (int64_t) sb.st_size);
             strcat(msg, buf);
         }
         if (opt_noaccept == 0) {
@@ -518,13 +520,13 @@
         iaddr.SetPort(port);
 
         if (client_comm_connect(conn, iaddr, ping ? &tv1 : NULL) < 0) {
-            char buf[MAX_IPSTRLEN];
-            iaddr.ToURL(buf, MAX_IPSTRLEN);
+            char hostnameBuf[MAX_IPSTRLEN];
+            iaddr.ToURL(hostnameBuf, MAX_IPSTRLEN);
             if (errno == 0) {
-                fprintf(stderr, "client: ERROR: Cannot connect to %s: Host unknown.\n", buf);
+                fprintf(stderr, "client: ERROR: Cannot connect to %s: Host unknown.\n", hostnameBuf);
             } else {
                 char tbuf[BUFSIZ];
-                snprintf(tbuf, BUFSIZ, "client: ERROR: Cannot connect to %s", buf);
+                snprintf(tbuf, BUFSIZ, "client: ERROR: Cannot connect to %s", hostnameBuf);
                 perror(tbuf);
             }
             exit(1);
